(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     64167,       1267]
NotebookOptionsPosition[     47448,        963]
NotebookOutlinePosition[     64027,       1261]
CellTagsIndexPosition[     63984,       1258]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["\<\
DarstellungVonFunktionenUndIhrenErstenUndZweitenAbleitungen.nb
$Rev: 1319 $
$Author: leiser $
$LastChangedDate: 2009-07-20 18:03:00 +0200 (Mon, 20 Jul 2009) $
$LastChangedBy: leiser $
\
\>", "Text",
 CellOpen->False,
 CellChangeTimes->{
  3.4570819017923803`*^9, {3.457082058226494*^9, 3.457082113300715*^9}, {
   3.457082158615162*^9, 3.4570821763298817`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"PART", " ", "WITH", " ", "TABS", " ", "AND", " ", "MANIPULATE", 
    RowBox[{"(", "S", ")"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"TabView", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"First", " ", "Tab"}], " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{
        "\"\<Darstellung von Funktionen und ihren ersten und zweiten \
Ableitungen\>\"", ",", "titleStyle"}], "]"}], "\[Rule]", 
       "\[IndentingNewLine]", 
       RowBox[{"Column", "[", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{"(*", " ", 
          RowBox[{"First", " ", "Row", " ", 
           RowBox[{"(", 
            RowBox[{"Header", " ", "and", " ", "Explanation", " ", "Button"}],
             " "}]}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Row", "[", 
           RowBox[{
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{"Button", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"\"\<Hinweise\>\"", ",", "9"}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"CreateDocument", "[", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"TextCell", "[", 
                  RowBox[{"Pane", "[", 
                   RowBox[{"Column", "[", 
                    RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{"(*", " ", 
                    RowBox[{"Explanation", " ", "Texts"}], " ", "*)"}], 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"TextCell", "[", 
                    RowBox[{"\"\<\\nHinweise\\n\>\"", ",", 
                    RowBox[{"{", "explanationHeaderStyle", "}"}]}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    "{", "\"\<In dieser Visualisierung k\[ODoubleDot]nnen Sie \
ein paar Beispielsfunktionen ausw\[ADoubleDot]hlen und sich den Graph der \
jeweiligen Funktion (schwarz) und ihrer ersten (blau) und zweiten (rot) \
Ableitung anzeigen lassen.\\n Unter dem Auswahlmenu f\[UDoubleDot]r die \
Funktion wird Ihnen der Ausdruck f\[UDoubleDot]r die erste bzw. zweite \
Ableitung angezeigt und Sie k\[ODoubleDot]nnen weiter das Anzeigeintervall f\
\[UDoubleDot]r den Plot anpassen, um gewisse Ausschnitte genauer zu \
betrachten.\>\"", "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", "]"}], 
                    ",", "explanationStyle"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{
                    "{", "\"\<\\nWas k\[ODoubleDot]nnen Sie speziell \
sehen?\\n\>\"", "}"}], "]"}], ",", 
                    RowBox[{"{", "explanationHeaderStyle", "}"}]}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<Betrachten Sie zuerst die einfachste Funktion:\\n\\n\
\>\"", ",", "\[IndentingNewLine]", ",", "\"\<f(x) := x/4\>\"", ",", 
                    "\"\<\\n\\n\>\"", ",", 
                    "\"\<Der Graph dieser Funktion ist eine Gerade. Damit ist \
die Steigung in \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<jedem\>\"", ",", "Italic"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    "\"\< Punkt gleich. Dies bedeutet, dass die erste \
Ableitung eine konstante Funktion ist und der Graph der ersten Ableitung eine \
horizontale Gerade (blau).\\n\>\"", ",", "\[IndentingNewLine]", " ", 
                    "\"\<Eine horizontale Gerade hat wiederum in \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<jedem\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< Punkt die Steigung 0: Damit ergibt sich der Graph \
der zweiten Ableitung (rot), als derjenigen der (konstanten) Nullfunktion.\\n\
\\n\>\"", ",", "\[IndentingNewLine]", 
                    "\"\<Versuchen Sie sich nun selbst\[ADoubleDot]ndig mit \
Hilfe dieser Erkenntnisse Fragen zu den anderen Funktionen zu beantworten, \
indem Sie z.B. spezielle Punkte wie lokale Extreme der Ausgansfunktionen \
betrachten und sich fragen, wieso z.B. der Punkt der ersten (zweiten) \
Ableitung so liegt, wie in der Visualisierung gezeigt, usw. \\n\>\""}], 
                    "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", 
                    "]"}], ",", "explanationStyle"}], "]"}]}], 
                    "\[IndentingNewLine]", 
                    RowBox[{"(*", " ", 
                    RowBox[{"more", ",", " ", 
                    RowBox[{
                    RowBox[{"if", " ", "necessary"}], " ", "..."}]}], " ", 
                    "*)"}], "\[IndentingNewLine]", 
                    RowBox[{"(*", " ", 
                    RowBox[{"End", " ", "Explanation", " ", "Texts"}], " ", 
                    "*)"}], "\[IndentingNewLine]", "}"}], "]"}], "]"}], "]"}],
                  ",", 
                 RowBox[{"(*", " ", 
                  RowBox[{"End", " ", "TextCell"}], " ", "*)"}], 
                 "\[IndentingNewLine]", 
                 RowBox[{"WindowFrame", "\[Rule]", "\"\<Normal\>\""}], ",", 
                 RowBox[{"WindowSize", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"650", ",", "500"}], "}"}]}], ",", 
                 RowBox[{"WindowTitle", "\[Rule]", "\"\<Hinweise\>\""}]}], 
                "\[IndentingNewLine]", "]"}], ",", 
               RowBox[{"(*", " ", 
                RowBox[{"End", " ", "CreateDocument"}], " ", "*)"}], 
               "\[IndentingNewLine]", 
               RowBox[{"ImageSize", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"80", ",", "20"}], "}"}]}]}], "]"}], " ", "}"}], ",", 
            RowBox[{"(*", " ", 
             RowBox[{"End", " ", "Button"}], " ", "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{"ImageSize", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"860", ",", "25"}], "}"}]}], ",", 
            RowBox[{"Background", "\[Rule]", 
             RowBox[{"RGBColor", "[", 
              RowBox[{"0.9", ",", "0.9", ",", "0.9"}], "]"}]}], ",", 
            RowBox[{"Alignment", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"Right", ",", "Top"}], "}"}]}]}], "\[IndentingNewLine]",
            "]"}], ",", 
          RowBox[{"(*", " ", 
           RowBox[{"End", " ", "Row"}], " ", "*)"}], "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{"Second", " ", 
            RowBox[{"Row", ":", " ", 
             RowBox[{"Manipulate", " ", "element"}]}]}], " ", "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{
          "Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Plot", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"fnr", ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"firstDerivs", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"functions", "/.", 
                    RowBox[{"t", "\[Rule]", "x"}]}], ",", "fnr"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], "/.", 
                 RowBox[{"t", "\[Rule]", "x"}]}], ",", 
                RowBox[{
                 RowBox[{"secondDerivs", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"functions", "/.", 
                    RowBox[{"t", "\[Rule]", "x"}]}], ",", "fnr"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], "/.", 
                 RowBox[{"t", "\[Rule]", "x"}]}]}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"600", ",", "400"}], "}"}]}], ",", 
              RowBox[{"Background", "\[Rule]", "White"}], ",", 
              RowBox[{"PlotStyle", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"Black", ",", "Blue", ",", "Red"}], "}"}]}], ",", 
              RowBox[{"PlotRange", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"Automatic", ",", "All"}], "}"}]}]}], 
             "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"fnr", ",", "1", ",", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<Funktion: \>\"", ",", "textStyle"}], "]"}]}], 
                 "}"}], ",", "1", ",", "4", ",", "1", ",", "PopupMenu"}], 
               "}"}], ","}], "*)"}], "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"fnr", ",", 
                RowBox[{
                 RowBox[{"functions", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "/.", 
                 RowBox[{"t", "\[Rule]", "x"}]}], ",", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<Funktion: \>\"", ",", "textStyle"}], "]"}]}], 
               "}"}], ",", 
              RowBox[{"functions", "/.", 
               RowBox[{"t", "\[Rule]", "x"}]}], ",", "PopupMenu", ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"150", ",", "Automatic"}], "}"}]}]}], "}"}], ",", 
            "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
            RowBox[{"Dynamic", "[", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"\"\<   f(x)   = \>\"", "<>", 
                RowBox[{"ToString", "[", 
                 RowBox[{"TraditionalForm", "[", "fnr", "]"}], "]"}]}], ",", 
               "textStyle", ",", "Black", ",", "Plain"}], "]"}], "]"}], ",", 
            "\[IndentingNewLine]", "\"\<\>\"", ",", "\[IndentingNewLine]", 
            RowBox[{"Dynamic", "[", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"\"\<   f'(x)  = \>\"", "<>", 
                RowBox[{"ToString", "[", 
                 RowBox[{
                  RowBox[{"TraditionalForm", "[", 
                   RowBox[{"firstDerivs", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"functions", "/.", 
                    RowBox[{"t", "\[Rule]", "x"}]}], ",", "fnr"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], "]"}], "/.", 
                  RowBox[{"t", "\[Rule]", "x"}]}], "]"}]}], ",", "textStyle", 
               ",", "Blue", ",", " ", "Plain"}], "]"}], "]"}], ",", 
            "\[IndentingNewLine]", "\"\<\>\"", ",", "\[IndentingNewLine]", 
            RowBox[{"Dynamic", "[", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"\"\<   f''(x) = \>\"", "<>", 
                RowBox[{"ToString", "[", 
                 RowBox[{
                  RowBox[{"TraditionalForm", "[", 
                   RowBox[{"secondDerivs", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"functions", "/.", 
                    RowBox[{"t", "\[Rule]", "x"}]}], ",", "fnr"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], "]"}], "/.", 
                  RowBox[{"t", "\[Rule]", "x"}]}], "]"}]}], ",", "textStyle", 
               ",", "Red", ",", " ", "Plain"}], "]"}], "]"}], ",", 
            "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
            RowBox[{"Style", "[", 
             RowBox[{
             "\"\<Angezeigtes x-Intervall [a,b]:\>\"", ",", "textStyle"}], 
             "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"a", ",", 
                RowBox[{"-", "3"}], ",", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<a: \>\"", ",", "textStyle"}], "]"}]}], "}"}], 
              ",", 
              RowBox[{"-", "5"}], ",", 
              RowBox[{"-", "0.2"}]}], "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"b", ",", "3", ",", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<b: \>\"", ",", "textStyle"}], "]"}]}], "}"}], 
              ",", "0.2", ",", "5"}], "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
            RowBox[{"AppearanceElements", "\[Rule]", "None"}], ",", 
            RowBox[{"Paneled", "\[Rule]", "False"}], ",", 
            RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Initialization", "\[RuleDelayed]", " ", 
             RowBox[{"(", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"(*", " ", "INITIALIZATIONS", " ", "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"(*", " ", "Styles", " ", "*)"}], "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"titleStyle", " ", ":=", " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                  "FontFamily", " ", "\[Rule]", "\"\<Liberation Sans\>\""}], 
                  ",", "14", ",", "Bold", ",", " ", 
                  RowBox[{"RGBColor", "[", 
                   RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
                  RowBox[{"Background", "\[Rule]", 
                   RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}]}], 
                 "}"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{"tagAtRight", " ", ":=", " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                  "FontFamily", " ", "\[Rule]", "\"\<Liberation Sans\>\""}], 
                  ",", "12", ",", "Bold", ",", " ", 
                  RowBox[{"RGBColor", "[", 
                   RowBox[{"0", ",", 
                    RowBox[{"33", "/", "255"}], ",", 
                    RowBox[{"66", "/", "255"}]}], "]"}], ",", 
                  RowBox[{"Background", "\[Rule]", 
                   RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}], ",", 
                  RowBox[{"TextAlignment", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"Right", ",", "Top"}], "}"}]}]}], "}"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"textStyle", " ", ":=", " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                  "FontFamily", " ", "\[Rule]", "\"\<LiBeration Sans\>\""}], 
                  ",", "10", ",", "Bold", ",", " ", 
                  RowBox[{"RGBColor", "[", 
                   RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
                  RowBox[{"Background", "\[Rule]", 
                   RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}], ",", 
                  RowBox[{"AutoIndent", "\[Rule]", "False"}], ",", 
                  RowBox[{"ParagraphIndent", "\[Rule]", "0"}], ",", 
                  RowBox[{"TextJustification", "\[Rule]", "1"}]}], "}"}]}], 
               ";", "\[IndentingNewLine]", 
               RowBox[{"explanationStyle", " ", ":=", " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"FontFamily", " ", "\[Rule]", "\"\<Times\>\""}], 
                  ",", "14", ",", "Plain", ",", " ", 
                  RowBox[{"RGBColor", "[", 
                   RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
                  RowBox[{"Background", "\[Rule]", 
                   RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}], ",", 
                  RowBox[{"AutoIndent", "\[Rule]", "False"}], ",", 
                  RowBox[{"ParagraphIndent", "\[Rule]", "0"}], ",", 
                  RowBox[{"TextJustification", "\[Rule]", "1"}]}], "}"}]}], 
               ";", "\[IndentingNewLine]", 
               RowBox[{"explanationHeaderStyle", " ", ":=", " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"FontFamily", " ", "\[Rule]", "\"\<Times\>\""}], 
                  ",", "16", ",", "Bold", ",", " ", 
                  RowBox[{"RGBColor", "[", 
                   RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
                  RowBox[{"Background", "\[Rule]", 
                   RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}], ",", 
                  RowBox[{"AutoIndent", "\[Rule]", "False"}], ",", 
                  RowBox[{"ParagraphIndent", "\[Rule]", "0"}], ",", 
                  RowBox[{"TextJustification", "\[Rule]", "1"}]}], "}"}]}], 
               ";", "\[IndentingNewLine]", 
               RowBox[{"mathStyle", " ", ":=", " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                  "FontFamily", " ", "\[Rule]", "\"\<Liberation Serif\>\""}], 
                  ",", "14", ",", "Bold", ",", " ", 
                  RowBox[{"RGBColor", "[", 
                   RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
                  RowBox[{"Background", "\[Rule]", 
                   RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}], ",", 
                  RowBox[{"AutoIndent", "\[Rule]", "False"}], ",", 
                  RowBox[{"ParagraphIndent", "\[Rule]", "0"}], ",", 
                  RowBox[{"TextJustification", "\[Rule]", "1"}]}], "}"}]}], 
               ";", "\[IndentingNewLine]", 
               RowBox[{"plotLabelStyle", " ", ":=", " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"FontFamily", " ", "\[Rule]", "\"\<Times\>\""}], 
                  ",", "14", ",", "Plain", ",", " ", 
                  RowBox[{"RGBColor", "[", 
                   RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
                  RowBox[{"Background", "\[Rule]", 
                   RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}]}], 
                 "}"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"(*", " ", 
                RowBox[{"Structures", " ", "and", " ", "Data"}], " ", "*)"}], 
               "\[IndentingNewLine]", 
               RowBox[{"functions", " ", ":=", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"1", "/", "4"}], ")"}], "*", "t"}], ",", 
                  RowBox[{"t", "^", "3"}], ",", 
                  RowBox[{"Cos", "[", "t", "]"}], ",", 
                  RowBox[{"Sin", "[", "t", "]"}], ",", 
                  RowBox[{"Exp", "[", "t", "]"}], ",", " ", 
                  RowBox[{"Cos", "[", 
                   RowBox[{"t", "^", "2"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"5", " ", "t"}]}], ")"}], " ", 
                   RowBox[{
                    RowBox[{"Sin", "[", 
                    RowBox[{"t", "^", "2"}], "]"}], "/", "t"}]}]}], "}"}]}], 
               ";", "\[IndentingNewLine]", 
               RowBox[{"firstDerivs", ":=", " ", 
                RowBox[{"Simplify", "[", 
                 RowBox[{"D", "[", 
                  RowBox[{"functions", ",", "t"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"secondDerivs", " ", ":=", " ", 
                RowBox[{"Simplify", "[", 
                 RowBox[{"D", "[", 
                  RowBox[{"firstDerivs", ",", "t"}], "]"}], "]"}]}], ";"}], 
              "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{"END", " ", "INITIALIZATION", " ", "PART"}], " ", 
               "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
              ")"}]}]}], "\[IndentingNewLine]", "]"}]}], " ", 
         RowBox[{"(*", " ", 
          RowBox[{"End", " ", "Manipulate"}], " ", "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"(*", " ", 
          RowBox[{"End", " ", "Second", " ", "Row"}], " ", "*)"}], 
         "\[IndentingNewLine]", "}"}], "]"}]}], " ", 
      RowBox[{"(*", " ", 
       RowBox[{"End", " ", "Column"}], " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"End", " ", "First", " ", "Tab"}], " ", "*)"}], 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{",", " ", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{"More", " ", "Tabs"}], ",", " ", 
          RowBox[{"if", " ", "necessary"}]}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Title of another Tab\>\"", ",", "titleStyle"}], "]"}], 
         "\[Rule]", "\[IndentingNewLine]", " ", 
         RowBox[{"{", "\"\<Content of another Tab\>\"", "}"}]}]}], 
       "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"End", " ", "More", " ", "Tabs"}], " ", "*)"}], 
       "\[IndentingNewLine]", "*)"}], "\n", "}"}], ",", 
     RowBox[{"Background", "\[Rule]", 
      RowBox[{"RGBColor", "[", 
       RowBox[{"0.95", ",", "0.95", ",", "0.95"}], " ", "]"}]}]}], 
    RowBox[{"(*", " ", 
     RowBox[{"TabView", " ", "Background"}], " ", "*)"}], "\n", "]"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"End", " ", "TabView"}], " ", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "END", " ", "OF", " ", "PART", " ", "WITH", " ", "TAB", " ", "AND", " ", 
     "MANIPULATE", 
     RowBox[{"(", "S", ")"}]}], " ", "*)"}]}]}]], "Input",
 CellOpen->False,
 CellChangeTimes->{
  3.4568061499507103`*^9, {3.456806218260861*^9, 3.4568062871352*^9}, {
   3.456806420579241*^9, 3.4568064517142267`*^9}, {3.4568068307116423`*^9, 
   3.4568068997617283`*^9}, {3.456806938740349*^9, 3.456806949932333*^9}, 
   3.4568075188522778`*^9, {3.456808652709962*^9, 3.4568086530530787`*^9}, {
   3.4568087999005127`*^9, 3.456808801641303*^9}, {3.4568088749948597`*^9, 
   3.4568089091895657`*^9}, {3.4568090208257437`*^9, 3.456809022076489*^9}, {
   3.4568096393615913`*^9, 3.456809650538455*^9}, {3.4568097048086452`*^9, 
   3.456809860456645*^9}, {3.456810552128368*^9, 3.456810572900736*^9}, {
   3.456810614533559*^9, 3.456810785047935*^9}, {3.456810858026827*^9, 
   3.456810924296611*^9}, {3.456810961907733*^9, 3.456811107693706*^9}, {
   3.456811432190674*^9, 3.4568114518309107`*^9}, {3.456811494347021*^9, 
   3.4568115173953114`*^9}, {3.45681634429291*^9, 3.456816398758645*^9}, {
   3.456816441347349*^9, 3.4568164453576717`*^9}, {3.45681721751297*^9, 
   3.456817399377483*^9}, {3.4568175752779217`*^9, 3.45681758227775*^9}, {
   3.456817708462397*^9, 3.4568177199704313`*^9}, {3.4568177854990892`*^9, 
   3.456817806441526*^9}, {3.4568178479329863`*^9, 3.4568179262949467`*^9}, {
   3.456818253182304*^9, 3.4568182629240932`*^9}, {3.456818345621117*^9, 
   3.456818391279191*^9}, {3.456818428795133*^9, 3.456818429051363*^9}, {
   3.4568186229081583`*^9, 3.456818658256494*^9}, {3.45681871633659*^9, 
   3.456818729375445*^9}, {3.4568188453909683`*^9, 3.456818862730322*^9}, {
   3.456818930780452*^9, 3.456818935522977*^9}, 3.45681896826505*^9, {
   3.4568192796045218`*^9, 3.456819394927362*^9}, {3.456819437678606*^9, 
   3.456819462455195*^9}, {3.45681950856281*^9, 3.4568195391592617`*^9}, {
   3.456819581703409*^9, 3.456819695532547*^9}, {3.456819811040992*^9, 
   3.4568199100573378`*^9}, {3.456819971404791*^9, 3.456820003928368*^9}, {
   3.4568200454561663`*^9, 3.456820075115718*^9}, {3.456820795357057*^9, 
   3.456820835427554*^9}, 3.456820890743229*^9, {3.456820932184865*^9, 
   3.456820933579235*^9}, {3.4568210288472767`*^9, 3.45682123390415*^9}, {
   3.456821281378995*^9, 3.456821282414175*^9}, {3.456821411085618*^9, 
   3.45682144618229*^9}, {3.456821483344469*^9, 3.456821523703195*^9}, {
   3.456821640027114*^9, 3.456821676105877*^9}, {3.4568217234425077`*^9, 
   3.456821727697378*^9}, {3.4568218037772493`*^9, 3.4568218634663353`*^9}, {
   3.456821917025371*^9, 3.456821940417973*^9}, {3.4568219919881487`*^9, 
   3.4568220462119713`*^9}, {3.456822129647167*^9, 3.456822132510503*^9}, 
   3.456822185729004*^9, {3.456822259242475*^9, 3.4568222854045753`*^9}, {
   3.456822465155513*^9, 3.456822494552636*^9}, {3.456822549214615*^9, 
   3.456822567068668*^9}, {3.4568226039056473`*^9, 3.456822605720972*^9}, {
   3.456822646224935*^9, 3.456822662649465*^9}, {3.456822696289616*^9, 
   3.456822725622344*^9}, {3.45682279469359*^9, 3.456822831108179*^9}, {
   3.456822881187484*^9, 3.4568229270236893`*^9}, {3.456823055291884*^9, 
   3.4568230850079823`*^9}, {3.4568231177885*^9, 3.456823168283746*^9}, {
   3.4568232610288477`*^9, 3.456823339135467*^9}, {3.456823500990844*^9, 
   3.456823519074809*^9}, {3.456823572162923*^9, 3.456823590818874*^9}, {
   3.456829069095036*^9, 3.4568291085303383`*^9}, {3.456829161629137*^9, 
   3.4568291660065603`*^9}, {3.456829216795035*^9, 3.45682940737595*^9}, {
   3.456833433268077*^9, 3.4568334566347017`*^9}, {3.4568336397157793`*^9, 
   3.456833649327537*^9}, {3.456833697091552*^9, 3.45683369814011*^9}, {
   3.456833782335397*^9, 3.456833783541912*^9}, {3.456833832896213*^9, 
   3.45683386855718*^9}, {3.456833906883871*^9, 3.456833911910692*^9}, {
   3.456833971528097*^9, 3.456833972818327*^9}, {3.456834010895584*^9, 
   3.456834013157957*^9}, {3.45683407039081*^9, 3.456834078799292*^9}, {
   3.456834127755381*^9, 3.456834133014394*^9}, {3.456834253018806*^9, 
   3.456834255966317*^9}, {3.456834291697249*^9, 3.456834304080769*^9}, {
   3.456834408478303*^9, 3.4568344234677877`*^9}, {3.45683447275847*^9, 
   3.456834476018565*^9}, {3.4568345268051043`*^9, 3.4568345345003443`*^9}, {
   3.456834608075449*^9, 3.4568347002675343`*^9}, {3.456834933798478*^9, 
   3.456834939693479*^9}, {3.4568350418563213`*^9, 3.456835046111493*^9}, {
   3.456835129304432*^9, 3.456835140176983*^9}, {3.456835288462777*^9, 
   3.4568353558502283`*^9}, {3.456835599077792*^9, 3.456835636407467*^9}, {
   3.456835774084099*^9, 3.4568358270843*^9}, {3.456835873121429*^9, 
   3.456835909282268*^9}, {3.456835951264227*^9, 3.456835991460306*^9}, {
   3.456931759979423*^9, 3.456931814794928*^9}, {3.4570866004152803`*^9, 
   3.457086601431032*^9}, {3.457089329483396*^9, 3.457089343116705*^9}, {
   3.457090525136807*^9, 3.457090575685581*^9}, {3.4570906690301456`*^9, 
   3.457090741426942*^9}, {3.457090813069055*^9, 3.4570908154864187`*^9}, {
   3.45709126679493*^9, 3.457091318118741*^9}, {3.45709167263659*^9, 
   3.45709187220969*^9}, {3.457092022105195*^9, 3.457092061172927*^9}, {
   3.457092094397312*^9, 3.4570920969624043`*^9}, {3.457092275630958*^9, 
   3.457092296088416*^9}}],

Cell[BoxData[
 TabViewBox[{{1,
  StyleBox["\<\"Darstellung von Funktionen und ihren ersten und zweiten \
Ableitungen\"\>",
   StripOnInput->False,
   FrontFaceColor->RGBColor[0.35, 0.35, 0.35],
   BackFaceColor->RGBColor[0.35, 0.35, 0.35],
   GraphicsColor->RGBColor[0.35, 0.35, 0.35],
   FontFamily->"Liberation Sans",
   FontSize->14,
   FontWeight->Bold,
   FontColor->RGBColor[0.35, 0.35, 0.35],
   Background->RGBColor[1, 1, 1, 0]]->
  TagBox[GridBox[{
     {
      TemplateBox[{ButtonBox[
         StyleBox["\"Hinweise\"", StripOnInput -> False, FontSize -> 9], 
         Appearance -> Automatic, ButtonFunction :> CreateDocument[
           TextCell[
            Pane[
             Column[{
               TextCell[
               "\nHinweise\n", {$CellContext`explanationHeaderStyle}], 
               TextCell[
                
                Row[{"In dieser Visualisierung k\[ODoubleDot]nnen Sie ein \
paar Beispielsfunktionen ausw\[ADoubleDot]hlen und sich den Graph der \
jeweiligen Funktion (schwarz) und ihrer ersten (blau) und zweiten (rot) \
Ableitung anzeigen lassen.\n Unter dem Auswahlmenu f\[UDoubleDot]r die \
Funktion wird Ihnen der Ausdruck f\[UDoubleDot]r die erste bzw. zweite \
Ableitung angezeigt und Sie k\[ODoubleDot]nnen weiter das Anzeigeintervall f\
\[UDoubleDot]r den Plot anpassen, um gewisse Ausschnitte genauer zu \
betrachten."}], $CellContext`explanationStyle], 
               TextCell[
                
                Row[{"\nWas k\[ODoubleDot]nnen Sie speziell sehen?\n"}], \
{$CellContext`explanationHeaderStyle}], 
               TextCell[
                
                Row[{"Betrachten Sie zuerst die einfachste Funktion:\n\n", 
                  Null, "f(x) := x/4", "\n\n", 
                  "Der Graph dieser Funktion ist eine Gerade. Damit ist die \
Steigung in ", 
                  Style["jedem", Italic], 
                  " Punkt gleich. Dies bedeutet, dass die erste Ableitung \
eine konstante Funktion ist und der Graph der ersten Ableitung eine \
horizontale Gerade (blau).\n", "Eine horizontale Gerade hat wiederum in ", 
                  Style["jedem", Italic], 
                  " Punkt die Steigung 0: Damit ergibt sich der Graph der \
zweiten Ableitung (rot), als derjenigen der (konstanten) Nullfunktion.\n\n", 
                  "Versuchen Sie sich nun selbst\[ADoubleDot]ndig mit Hilfe \
dieser Erkenntnisse Fragen zu den anderen Funktionen zu beantworten, indem \
Sie z.B. spezielle Punkte wie lokale Extreme der Ausgansfunktionen betrachten \
und sich fragen, wieso z.B. der Punkt der ersten (zweiten) Ableitung so \
liegt, wie in der Visualisierung gezeigt, usw. \n"}], \
$CellContext`explanationStyle]}]]], WindowFrame -> "Normal", 
           WindowSize -> {650, 500}, WindowTitle -> "Hinweise"], Evaluator -> 
         Automatic, ImageSize -> {80, 20}, Method -> "Preemptive"]},
       "Row",
       DisplayFunction->(PaneBox[
         StyleBox[#, Background -> RGBColor[0.9, 0.9, 0.9]], 
         Alignment -> {Right, Top}, ImageSize -> {860, 25}]& ),
       InterpretationFunction->(RowBox[{"Row", "[", 
          RowBox[{
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
                RowBox[{"860", ",", "25"}], "}"}]}], ",", 
            RowBox[{"Background", "\[Rule]", 
              RowBox[{"RGBColor", "[", 
                RowBox[{"0.9`", ",", "0.9`", ",", "0.9`"}], "]"}]}], ",", 
            RowBox[{"Alignment", "\[Rule]", 
              RowBox[{"{", 
                RowBox[{"Right", ",", "Top"}], "}"}]}]}], "]"}]& )]},
     {
      TagBox[
       StyleBox[
        DynamicModuleBox[{$CellContext`a$$ = -3, $CellContext`b$$ = 
         3, $CellContext`fnr$$ = Rational[1, 4] $CellContext`x, 
         Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
         Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, 
         Typeset`animvar$$ = 1, Typeset`name$$ = "\"untitled\"", 
         Typeset`specs$$ = {{{
            Hold[$CellContext`fnr$$], Rational[1, 4] $CellContext`x, 
            Style["Funktion: ", {FontFamily -> "LiBeration Sans", 10, Bold, 
              RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0], 
              AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
              1}]}, {Rational[1, 4] $CellContext`x, $CellContext`x^3, 
            Cos[$CellContext`x], 
            Sin[$CellContext`x], E^$CellContext`x, 
            Cos[$CellContext`x^2], $CellContext`x^(-1) (1 + 5 $CellContext`x) 
            Sin[$CellContext`x^2]}}, {
           Hold[
            Dynamic[
             Style[
              StringJoin["   f(x)   = ", 
               ToString[
                TraditionalForm[$CellContext`fnr$$]]], $CellContext`textStyle,
               Black, Plain]]], Manipulate`Dump`ThisIsNotAControl}, {
           Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
           Hold[
            Dynamic[
             Style[
              StringJoin["   f'(x)  = ", 
               ToString[
                ReplaceAll[
                 TraditionalForm[
                  Part[$CellContext`firstDerivs, 
                   Part[
                    Part[
                    Position[
                    
                    ReplaceAll[$CellContext`functions, $CellContext`t -> \
$CellContext`x], $CellContext`fnr$$], 1], 
                    1]]], $CellContext`t -> $CellContext`x]]], \
$CellContext`textStyle, Blue, Plain]]], Manipulate`Dump`ThisIsNotAControl}, {
           Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
           Hold[
            Dynamic[
             Style[
              StringJoin["   f''(x) = ", 
               ToString[
                ReplaceAll[
                 TraditionalForm[
                  Part[$CellContext`secondDerivs, 
                   Part[
                    Part[
                    Position[
                    
                    ReplaceAll[$CellContext`functions, $CellContext`t -> \
$CellContext`x], $CellContext`fnr$$], 1], 
                    1]]], $CellContext`t -> $CellContext`x]]], \
$CellContext`textStyle, Red, Plain]]], Manipulate`Dump`ThisIsNotAControl}, {
           Hold[
            Style[
            "Angezeigtes x-Intervall [a,b]:", {
             FontFamily -> "LiBeration Sans", 10, Bold, 
              RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0], 
              AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
              1}]], Manipulate`Dump`ThisIsNotAControl}, {{
            Hold[$CellContext`a$$], -3, 
            Style["a: ", {FontFamily -> "LiBeration Sans", 10, Bold, 
              RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0], 
              AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
              1}]}, -5, -0.2}, {{
            Hold[$CellContext`b$$], 3, 
            Style["b: ", {FontFamily -> "LiBeration Sans", 10, Bold, 
              RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0], 
              AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
              1}]}, 0.2, 5}}, Typeset`size$$ = {600., {197., 203.}}, 
         Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
         False, $CellContext`fnr$657$$ = 0, $CellContext`a$658$$ = 
         0, $CellContext`b$659$$ = 0}, 
         DynamicBox[Manipulate`ManipulateBoxes[
          1, StandardForm, 
           "Variables" :> {$CellContext`a$$ = -3, $CellContext`b$$ = 
             3, $CellContext`fnr$$ = Rational[1, 4] $CellContext`x}, 
           "ControllerVariables" :> {
             Hold[$CellContext`fnr$$, $CellContext`fnr$657$$, 0], 
             Hold[$CellContext`a$$, $CellContext`a$658$$, 0], 
             Hold[$CellContext`b$$, $CellContext`b$659$$, 0]}, 
           "OtherVariables" :> {
            Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
             Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
             Typeset`specs$$, Typeset`size$$, Typeset`update$$, 
             Typeset`initDone$$, Typeset`skipInitDone$$}, "Body" :> 
           Plot[{$CellContext`fnr$$, 
              ReplaceAll[
               Part[$CellContext`firstDerivs, 
                Part[
                 Part[
                  Position[
                   
                   ReplaceAll[$CellContext`functions, $CellContext`t -> \
$CellContext`x], $CellContext`fnr$$], 1], 
                 1]], $CellContext`t -> $CellContext`x], 
              ReplaceAll[
               Part[$CellContext`secondDerivs, 
                Part[
                 Part[
                  Position[
                   
                   ReplaceAll[$CellContext`functions, $CellContext`t -> \
$CellContext`x], $CellContext`fnr$$], 1], 
                 1]], $CellContext`t -> $CellContext`x]}, {$CellContext`x, \
$CellContext`a$$, $CellContext`b$$}, ImageSize -> {600, 400}, Background -> 
             White, PlotStyle -> {Black, Blue, Red}, 
             PlotRange -> {Automatic, All}], 
           "Specifications" :> {{{$CellContext`fnr$$, 
               Rational[1, 4] $CellContext`x, 
               Style["Funktion: ", {FontFamily -> "LiBeration Sans", 10, Bold, 
                 RGBColor[0.35, 0.35, 0.35], Background -> 
                 RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                 0, TextJustification -> 1}]}, {
              Rational[1, 4] $CellContext`x, $CellContext`x^3, 
               Cos[$CellContext`x], 
               Sin[$CellContext`x], E^$CellContext`x, 
               
               Cos[$CellContext`x^2], $CellContext`x^(-1) (1 + 
                5 $CellContext`x) Sin[$CellContext`x^2]}, ControlType -> 
              PopupMenu, ImageSize -> {150, Automatic}}, Delimiter, 
             Dynamic[
              Style[
               StringJoin["   f(x)   = ", 
                ToString[
                 
                 TraditionalForm[$CellContext`fnr$$]]], \
$CellContext`textStyle, Black, Plain]], "", 
             Dynamic[
              Style[
               StringJoin["   f'(x)  = ", 
                ToString[
                 ReplaceAll[
                  TraditionalForm[
                   Part[$CellContext`firstDerivs, 
                    Part[
                    Part[
                    Position[
                    
                    ReplaceAll[$CellContext`functions, $CellContext`t -> \
$CellContext`x], $CellContext`fnr$$], 1], 
                    1]]], $CellContext`t -> $CellContext`x]]], \
$CellContext`textStyle, Blue, Plain]], "", 
             Dynamic[
              Style[
               StringJoin["   f''(x) = ", 
                ToString[
                 ReplaceAll[
                  TraditionalForm[
                   Part[$CellContext`secondDerivs, 
                    Part[
                    Part[
                    Position[
                    
                    ReplaceAll[$CellContext`functions, $CellContext`t -> \
$CellContext`x], $CellContext`fnr$$], 1], 
                    1]]], $CellContext`t -> $CellContext`x]]], \
$CellContext`textStyle, Red, Plain]], Delimiter, 
             Style[
             "Angezeigtes x-Intervall [a,b]:", {
              FontFamily -> "LiBeration Sans", 10, Bold, 
               RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0],
                AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
               1}], {{$CellContext`a$$, -3, 
               Style["a: ", {FontFamily -> "LiBeration Sans", 10, Bold, 
                 RGBColor[0.35, 0.35, 0.35], Background -> 
                 RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                 0, TextJustification -> 1}]}, -5, -0.2}, {{$CellContext`b$$, 
               3, 
               Style["b: ", {FontFamily -> "LiBeration Sans", 10, Bold, 
                 RGBColor[0.35, 0.35, 0.35], Background -> 
                 RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                 0, TextJustification -> 1}]}, 0.2, 5}}, 
           "Options" :> {
            AppearanceElements -> None, Paneled -> False, ControlPlacement -> 
             Left}, "DefaultOptions" :> {}],
          ImageSizeCache->{914., {208., 213.}},
          SingleEvaluation->True],
         Deinitialization:>None,
         DynamicModuleValues:>{},
         Initialization:>({{$CellContext`firstDerivs := Simplify[
                
                D[$CellContext`functions, $CellContext`t]], \
$CellContext`functions := {(1/4) $CellContext`t, $CellContext`t^3, 
                Cos[$CellContext`t], 
                Sin[$CellContext`t], 
                Exp[$CellContext`t], 
                
                Cos[$CellContext`t^2], (1 + 5 $CellContext`t) (
                 Sin[$CellContext`t^2]/$CellContext`t)}, \
$CellContext`secondDerivs := Simplify[
                
                D[$CellContext`firstDerivs, $CellContext`t]], \
$CellContext`textStyle := {FontFamily -> "LiBeration Sans", 10, Bold, 
                RGBColor[0.35, 0.35, 0.35], Background -> 
                RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                0, TextJustification -> 1}}; ($CellContext`titleStyle := {
               FontFamily -> "Liberation Sans", 14, Bold, 
                RGBColor[0.35, 0.35, 0.35], Background -> 
                RGBColor[1, 1, 1, 0]}; $CellContext`tagAtRight := {
               FontFamily -> "Liberation Sans", 12, Bold, 
                RGBColor[0, 33/255, 66/255], Background -> 
                RGBColor[1, 1, 1, 0], 
                TextAlignment -> {Right, Top}}; $CellContext`textStyle := {
               FontFamily -> "LiBeration Sans", 10, Bold, 
                RGBColor[0.35, 0.35, 0.35], Background -> 
                RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                0, TextJustification -> 1}; $CellContext`explanationStyle := {
               FontFamily -> "Times", 14, Plain, 
                RGBColor[0.35, 0.35, 0.35], Background -> 
                RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                0, TextJustification -> 
                1}; $CellContext`explanationHeaderStyle := {
               FontFamily -> "Times", 16, Bold, 
                RGBColor[0.35, 0.35, 0.35], Background -> 
                RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                0, TextJustification -> 1}; $CellContext`mathStyle := {
               FontFamily -> "Liberation Serif", 14, Bold, 
                RGBColor[0.35, 0.35, 0.35], Background -> 
                RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                0, TextJustification -> 1}; $CellContext`plotLabelStyle := {
               FontFamily -> "Times", 14, Plain, 
                RGBColor[0.35, 0.35, 0.35], Background -> 
                RGBColor[1, 1, 1, 0]}; $CellContext`functions := {(1/
                 4) $CellContext`t, $CellContext`t^3, 
                Cos[$CellContext`t], 
                Sin[$CellContext`t], 
                Exp[$CellContext`t], 
                
                Cos[$CellContext`t^2], (1 + 5 $CellContext`t) (
                 Sin[$CellContext`t^2]/$CellContext`t)}; \
$CellContext`firstDerivs := Simplify[
                
                D[$CellContext`functions, $CellContext`t]]; \
$CellContext`secondDerivs := Simplify[
                D[$CellContext`firstDerivs, $CellContext`t]]; Null)}; 
          Typeset`initDone$$ = True),
         SynchronousInitialization->True,
         UnsavedVariables:>{Typeset`initDone$$},
         UntrackedVariables:>{Typeset`size$$}], "Manipulate",
        Deployed->True,
        StripOnInput->False],
       Manipulate`InterpretManipulate[1]]}
    },
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
   "Column"]}}, 1,
  Background->RGBColor[0.95, 0.95, 0.95]]], "Output",
 CellChangeTimes->{{3.4570910829010143`*^9, 3.457091083076647*^9}, {
   3.457091227944673*^9, 3.4570912281459103`*^9}, 3.457091321113093*^9, 
   3.4570918465479193`*^9, 3.457092075354617*^9, 3.4570923247044477`*^9}]
}, Open  ]],

Cell[TextData[{
 StyleBox["2009, ",
  FontFamily->"Liberation Sans",
  FontSize->10,
  FontColor->GrayLevel[0.5]],
 StyleBox[ButtonBox["Projekt LEMUREN",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.lemuren.math.ethz.ch"], None},
  ButtonNote->"http://www.lemuren.math.ethz.ch"],
  FontFamily->"Liberation Sans",
  FontSize->10,
  FontVariations->{"Underline"->True}],
 StyleBox[", Lernen Multimedial, Departement Mathematik, ETH \
Z\[UDoubleDot]rich | Licence: ",
  FontFamily->"Liberation Sans",
  FontSize->10,
  FontColor->GrayLevel[0.5]],
 StyleBox[ButtonBox["CC-BY-SA",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://creativecommons.org/licenses/by-sa/3.0/"], None},
  ButtonNote->"http://creativecommons.org/licenses/by-sa/3.0/"],
  FontFamily->"Liberation Sans",
  FontSize->10,
  FontVariations->{"Underline"->True}],
 StyleBox["\nAdapted version of Notebook by Prof. Giovanni Felder: \
\"Graphische Darstellung einer Funktion und ihrer Ableitungen\", Analysis I, \
D-MAVT/D-MATL ,ETHZ  2005/2006",
  FontFamily->"Liberation Sans",
  FontSize->10,
  FontColor->GrayLevel[0.5]]
}], "Text",
 CellChangeTimes->{{3.456808105578229*^9, 3.456808106333272*^9}, {
  3.456808167473958*^9, 3.456808169096045*^9}, {3.456808203146702*^9, 
  3.4568084337821913`*^9}, {3.4568085003465347`*^9, 3.456808500369081*^9}, {
  3.456808600993833*^9, 3.456808601004183*^9}, {3.456816517950988*^9, 
  3.4568165254928207`*^9}, {3.456816571109123*^9, 3.45681657383654*^9}, {
  3.456817986057159*^9, 3.456818143912376*^9}, {3.457079091027424*^9, 
  3.457079104059857*^9}, {3.4570825746293373`*^9, 3.4570825803481913`*^9}}],

Cell["\<\
$LastChangedDate: 2009-07-20 18:03:00 +0200 (Mon, 20 Jul 2009) $
\
\>", "Text",
 CellChangeTimes->{
  3.457082496717978*^9, {3.4570825434164267`*^9, 3.457082551032352*^9}},
 FontFamily->"Liberation Sans",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
},
AutoGeneratedPackage->None,
WindowSize->{1192, 763},
WindowMargins->{{0, Automatic}, {Automatic, 25}},
DockedCells->FEPrivate`If[
  FEPrivate`SameQ[FEPrivate`$ProductIDName, "MathematicaPlayer"], 
  FEPrivate`Join[{
    Cell[
     BoxData[
      GraphicsBox[
       RasterBox[CompressedData["
1:eJztXXdYFNfaz3O/f+79vudek3vTLKBIEaQpTRC7BgtqLCTWGxNjYsFookE0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        "], {{0, 0}, {557, 41}}, {0, 255}, 
        ColorFunction -> RGBColor], ImageSize -> {557, 41}, 
       PlotRange -> {{0, 557}, {0, 41}}]], "DockedCell", Background -> 
     GrayLevel[0.866682], CellFrame -> {{0, 0}, {0, 4}}, CellFrameColor -> 
     RGBColor[0.690074, 0.12871, 0.194598], CellMargins -> {{0, 0}, {-3, 0}}, 
     CellFrameMargins -> 0, ContextMenu -> None, 
     ComponentwiseContextMenu -> {}], 
    Cell[
     BoxData[
      GridBox[{{
         GraphicsBox[
          RasterBox[CompressedData["
1:eJztWl1Ik1EYFrqNEoLMbHPmNkRrEhJERj93ra4cJvbDRIsyMk1pc03tTL1w
aD+LfkQIJBkR/dBFdtHFDLywCykqoqgLIYRu6jbb8me933e+HT/P2fZN+sZ0
vg9n43zfec973nPe57zvOWNFDS2OhnU5OTlG+LyBj1S/ikAgEAgEAoFAIBAI
xEpFMBh8jUgPYG0z7d7MAOYedm/Bko4Ca5tp92YGSCokle5AUiGpdAeSCkml
O0RS/R1tjEajUIHvyIhdehPyLNZjrVSAgT5CK1Tmf32e+/qcdYEy+/4+vKTd
oQJN89PjojbaHcrCzE8qn0RGfIxrEjcF0SomD49hYqDDUUSGKtUKWRMYz42L
pFJDg1RPamGdlRWGuuDi2Yl+WHkoiy72W6jjgFeSm/wWKEAScCvtCxWpSzxt
1FPU9dJ76Lt8UnEmcVMQrWImUQE6nKJB7sgUKpb4LcpEtHiFpEpEKim2TI8n
IhXv4pAHXCAJEAPIq7d5JFAOYYEGKHEstTbQAJKSx+XH5ZKKE+CmIFq1ZC/E
SBVXoboJyMliKZKKgyapwLlK1ohHKgpYYfGRbnNpg4c8dP3prtckFQ0gUm5K
miKpVZxnRZP4KcSziiU1bjhOobpJ2TtIqnhITipYZ7byydJfoDzMpT9ZWMo1
EHbgBBLyhOWzlmakUtKQnB/VuUYkFbWNjZXIJHEKnFVL0t+IXSQVU4iRKkUk
JxVzhJI7hirpDpXOGzJ5eFLFvMNORxAlaJZhmtmZStQGAvSQA/FECSksH/kt
VLMyokw5qHDOFU3ipiBaxZmtTSo8U2lBI1LF/BWNXZ0Y1LckLo9IqQdYIWdA
9T0uvPT2J2qjrUr2lGMRSzrq4eiIVIxFGC5bMZO4KYhWcWYnSn8gv3j7k+vJ
GbVaSNXt9fo6O/XVib9Tpa+sClLdvtB0q+WSvjqRVGucVA/q6p9V1+irE0m1
xkk1cuLk2O49+upEUq1xUg1X14yZraSrS0ed+H+q9GFV/J+qx25/u9U40Nqa
aUMQ2YMrFRWf8g0vDh9JvUvgYjPR+8KIyA5AyiNeb1Pe5ql840xxSV97eyq9
Hp1y3nE602waYoXC19GRqInIGHC57lY53Lm53/O2RQ3Fr6qqNXUG609/LLX1
ulOiHyL74D/XeLPxvPiexHDtsuulyexbv2GqwLRgNP8xl/W7XAQE1IUQ1nHw
zNl5o2XYoc09RLbC5/E8te26V9+gfskY5SPkuss1abLc2Ljpm9E8Z7FFt++c
POroJoQWn1wotQAPj9XMFZp/m6y9bndGpoNYCZBikbNuoqBwsPY4IxIrQJu+
trYf5pLRfOOXotJw6d7Zsv0LtkOPzzb1ENKjolagueVD5YGodUfEZH2372Cm
p4X4X/wDFcRtOg==
           "], {{0, 0}, {199, 30}}, {0, 255}, ColorFunction -> 
           RGBColor], ImageSize -> {199, 30}, 
          PlotRange -> {{0, 199}, {0, 30}}], 
         ButtonBox[
          GraphicsBox[
           RasterBox[CompressedData["
1:eJztlDFuhFAMRJHS5w45Re6RI+wFcoOUtNtR0lJSUlNSUtNS0m9JXjTKaPQh
UfpgCeT1n2+Px15ebu9vt6eqqp55Xnm+/I/L/p+1bbtt277vvJumIcKbnwWs
73vBsHVdE1bXNQ55Ho8HMOEd3L9tWRZ+6tRBrrjEMAwigHO/37M6SII40zRB
Q7QLkpQWjKOu63RqGHHVIoOYYAR16oucinYGxUo2jqMIzPNMnpQRPF2nMkeS
cCBDXsm7ZNZp6oZRS3wsIBFNIYM2iY8gYmJA8imqawHcOAKqio4KSp4O7Qjp
K1nOUygasaG2hoKSaud3krkArggZzyhhTohP3Uz7E0mNu9g98oj26exOSTon
fRUtn8IUJL+W80gyuz6OW3mgrSXXEv5dSaRTaRz9KQpY/knxtVomKdFQxvFT
JZFR6pFBJWT5tbEvR9+H3F6S+GOSMC+DTHtrHYyh32Qu855cdhn2CUundjY=

            "], {{0, 0}, {55, 14}}, {0, 255}, ColorFunction -> RGBColor], 
           ImageSize -> {55, 14}, PlotRange -> {{0, 55}, {0, 14}}], 
          ButtonData -> {
            URL["http://store.wolfram.com/view/app/playerpro/"], None}, 
          ButtonNote -> "http://store.wolfram.com/view/app/playerpro/"], 
         GraphicsBox[
          
          RasterBox[{{{132, 132, 132}, {156, 155, 155}}, {{138, 137, 137}, {
           171, 169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 137, 
           137}, {171, 169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 
           137, 137}, {171, 169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{
           138, 137, 137}, {171, 169, 169}}, {{138, 137, 137}, {171, 169, 
           169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 137, 137}, {171, 
           169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 137, 137}, {
           171, 169, 169}}, {{135, 135, 135}, {167, 166, 166}}}, {{0, 0}, {2, 
           14}}, {0, 255}, ColorFunction -> RGBColor], ImageSize -> {2, 14}, 
          PlotRange -> {{0, 2}, {0, 14}}], 
         ButtonBox[
          GraphicsBox[
           RasterBox[CompressedData["
1:eJztlSGSg2AMhTuzfu+wB1qzR+gF9gbIWhwSW4lEV1ZWYyvxSPZb3vAmDdDq
zpCZdvKH5CUvfwhfx9+f48fhcPjk983vXy922eU9paqqcRx9HGcZhiE+PZ1O
KHVd24KOgt0WFKLQ27ZdJrper0JGcS5CVqs6n89yRpGl73tZBK6kkvv97kCe
ChOlLEvbVW2kiYPoxKcYRdwWld00jS2EcFSFMYXCqbOcBJzL5aJcxK7SFEFB
GQFn8AWupPUkMRfIJEK53W5d1z2hGVP7yohVbfanWoxAJQTfeywbT1+xK9mi
GQGTj8FT0uRAN3Tdjl3SlNANP5WoabIIRP+x52ojLEgXs8fxs7+R1cCXNFH6
SVJhKZwx0+BxBZ7nraGNpBSrEFlA1khgRDcCRg1navIWTeVKPVmliaeaL+c4
tCmcknRHfjtWaS6HNtYmC1wYjGJ+6eKjJcficWgVssz1nGbabFtD682gZaIO
MHXqkq/vyW3GFaQXliNuOhbz9lOHU3a6SrhWkCmnXC9pUoPBt1aQpquYrtJt
0f6Pazkd497W1MkSlxierkrrN254iz8oHqS0ByzxGzfOHx2yq9plYSl8l13e
Xf4ArlmHrg==
            "], {{0, 0}, {77, 14}}, {0, 255}, ColorFunction -> 
            RGBColor], ImageSize -> {77, 14}, 
           PlotRange -> {{0, 77}, {0, 14}}], ButtonData -> {
            URL[
            "http://www.wolfram.com/solutions/interactivedeployment/\
licensingterms.html"], None}, ButtonNote -> 
          "http://www.wolfram.com/solutions/interactivedeployment/\
licensingterms.html"]}}, ColumnsEqual -> False, 
       GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}]], 
     "DockedCell", Background -> GrayLevel[0.494118], 
     CellFrame -> {{0, 0}, {4, 0}}, CellFrameColor -> 
     RGBColor[0.690074, 0.12871, 0.194598], CellMargins -> 0, 
     CellFrameMargins -> {{0, 0}, {0, -1}}, ContextMenu -> None, 
     ComponentwiseContextMenu -> {}, 
     ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
          NotebookLocate[#2]}]& ), Appearance -> None, ButtonFrame -> None, 
       Evaluator -> None, Method -> "Queued"}]}, 
   FEPrivate`If[
    FEPrivate`SameQ[
     FrontEnd`CurrentValue[
      FrontEnd`EvaluationNotebook[], ScreenStyleEnvironment], "SlideShow"], {
    Inherited}, {}]], Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 371, 11, 19, "Text",
 CellOpen->False],
Cell[CellGroupData[{
Cell[941, 35, 28454, 542, 19, "Input",
 CellOpen->False],
Cell[29398, 579, 16139, 330, 516, "Output"]
}, Open  ]],
Cell[45552, 912, 1632, 39, 47, "Text"],
Cell[47187, 953, 257, 8, 47, "Text"]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 0vT3#2a6bB9FKDKEEu0E4kpR *)
