(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     82060,       1676]
NotebookOptionsPosition[     65420,       1375]
NotebookOutlinePosition[     81972,       1672]
CellTagsIndexPosition[     81929,       1669]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"TabView", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{
       "\"\<Fourier-Reihen einfacher Funktionen\>\"", ",", "titleStyle"}], 
       "]"}], "\[Rule]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Column", "[", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"(*", 
         RowBox[{"First", " ", "Row", " ", 
          RowBox[{"(", 
           RowBox[{
           "Header", " ", "and", " ", "Explanation", " ", "Button"}]}]}], 
         "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Row", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
            "Button", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<Hinweise\>\"", ",", "9"}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"CreateDocument", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"TextCell", "[", "\[IndentingNewLine]", 
                 RowBox[{"Pane", "[", "\[IndentingNewLine]", 
                  RowBox[{"Column", "[", 
                   RowBox[{
                   "{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"(*", " ", "Hinweistext", " ", "*)"}], 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"TextCell", "[", 
                    RowBox[{"\"\<\\nHinweise\\n\>\"", ",", 
                    RowBox[{"{", "explanationHeaderStyle", "}"}]}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{"hintText", ",", "explanationStyle"}], "]"}], ",",
                     "\[IndentingNewLine]", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<\\nWas ist die Fourier-\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Reihe\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< genau?\\n\>\""}], "}"}], "]"}], ",", 
                    RowBox[{"{", "explanationHeaderStyle", "}"}]}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{"hintText2", ",", "explanationStyle"}], "]"}]}], 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"(*", " ", "TODO", " ", "*)"}], 
                    "\[IndentingNewLine]", 
                    RowBox[{"(*", " ", 
                    RowBox[{"End", " ", "Hinweistext"}], " ", "*)"}], 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], 
                   "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
                  "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "]"}], 
                " ", ",", 
                RowBox[{"(*", " ", 
                 RowBox[{"End", " ", "TextCell"}], " ", "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{"WindowFrame", "\[Rule]", "\"\<Normal\>\""}], ",", 
                RowBox[{"WindowSize", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"650", ",", "500"}], "}"}]}], ",", 
                RowBox[{"WindowTitle", "\[Rule]", "\"\<Hinweise\>\""}]}], 
               "\[IndentingNewLine]", "]"}], " ", ",", 
              RowBox[{"(*", " ", 
               RowBox[{"End", " ", "CreateDocument"}], " ", "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"80", ",", "20"}], "}"}]}]}], "\[IndentingNewLine]", 
             "]"}], " ", 
            RowBox[{"(*", " ", 
             RowBox[{"End", " ", "Button"}], " ", "*)"}], 
            "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
           RowBox[{"ImageSize", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"860", ",", "25"}], "}"}]}], ",", "\[IndentingNewLine]", 
           
           RowBox[{"Background", "\[Rule]", 
            RowBox[{"RGBColor", "[", 
             RowBox[{"0.9", ",", "0.9", ",", "0.9"}], "]"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Alignment", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"Right", ",", "Top"}], "}"}]}]}], "\[IndentingNewLine]", 
          "]"}], ",", "  ", 
         RowBox[{"(*", " ", 
          RowBox[{"End", " ", "Row"}], " ", "*)"}], "\[IndentingNewLine]", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
         "Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{"Styles", " ", "definitions"}], " ", "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"titleStyle", " ", "=", " ", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "FontFamily", " ", "\[Rule]", "\"\<Liberation Sans\>\""}], ",",
                "14", ",", "Bold", ",", " ", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
               RowBox[{"Background", "\[Rule]", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}]}], 
              "}"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"tagAtRight", " ", "=", " ", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "FontFamily", " ", "\[Rule]", "\"\<Liberation Sans\>\""}], ",",
                "12", ",", "Bold", ",", " ", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"0", ",", 
                 RowBox[{"33", "/", "255"}], ",", 
                 RowBox[{"66", "/", "255"}]}], "]"}], ",", 
               RowBox[{"Background", "\[Rule]", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}], ",", 
               RowBox[{"TextAlignment", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"Right", ",", "Top"}], "}"}]}]}], "}"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"textStyle", " ", "=", " ", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "FontFamily", " ", "\[Rule]", "\"\<Liberation Sans\>\""}], ",",
                "10", ",", "Bold", ",", " ", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
               RowBox[{"Background", "\[Rule]", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}], ",", 
               RowBox[{"AutoIndent", "\[Rule]", "False"}], ",", 
               RowBox[{"ParagraphIndent", "\[Rule]", "0"}], ",", 
               RowBox[{"TextJustification", "\[Rule]", "1"}]}], "}"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"explanationStyle", " ", "=", " ", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"FontFamily", " ", "\[Rule]", "\"\<Times\>\""}], ",", 
               "14", ",", "Plain", ",", " ", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
               RowBox[{"Background", "\[Rule]", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}], ",", 
               RowBox[{"AutoIndent", "\[Rule]", "False"}], ",", 
               RowBox[{"ParagraphIndent", "\[Rule]", "0"}], ",", 
               RowBox[{"TextJustification", "\[Rule]", "1"}]}], "}"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"explanationHeaderStyle", " ", "=", " ", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"FontFamily", " ", "\[Rule]", "\"\<Times\>\""}], ",", 
               "16", ",", "Bold", ",", " ", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
               RowBox[{"Background", "\[Rule]", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}], ",", 
               RowBox[{"AutoIndent", "\[Rule]", "False"}], ",", 
               RowBox[{"ParagraphIndent", "\[Rule]", "0"}], ",", 
               RowBox[{"TextJustification", "\[Rule]", "1"}]}], "}"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"mathStyle", " ", "=", " ", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "FontFamily", " ", "\[Rule]", "\"\<Liberation Serif\>\""}], 
               ",", "14", ",", "Bold", ",", " ", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
               RowBox[{"Background", "\[Rule]", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}], ",", 
               RowBox[{"AutoIndent", "\[Rule]", "False"}], ",", 
               RowBox[{"ParagraphIndent", "\[Rule]", "0"}], ",", 
               RowBox[{"TextJustification", "\[Rule]", "1"}]}], "}"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"plotLabelStyle", " ", "=", " ", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"FontFamily", " ", "\[Rule]", "\"\<Times\>\""}], ",", 
               "14", ",", "Plain", ",", " ", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
               RowBox[{"Background", "\[Rule]", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}]}], 
              "}"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{"Plot", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"PeriodicExtension", "[", 
                 RowBox[{
                  RowBox[{"k", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"k", "[", 
                   RowBox[{"[", "2", "]"}], "]"}], "+", 
                  RowBox[{"Sum", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"k", "[", 
                    RowBox[{"[", "3", "]"}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"n", " ", "x"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"k", "[", 
                    RowBox[{"[", "4", "]"}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"n", " ", "x"}], "]"}]}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "1", ",", "m"}], "}"}]}], "]"}]}], 
                 "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"x", ",", 
                RowBox[{"-", "r"}], ",", "r"}], "}"}], ",", 
              RowBox[{"Axes", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"True", ",", "True"}], "}"}]}], ",", 
              RowBox[{"PlotStyle", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Thickness", "[", "0.005", "]"}], ",", 
                   RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "0", ",", "0"}], "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Thickness", "[", "0.003", "]"}], ",", "Blue"}], 
                  "}"}]}], "}"}]}], ",", 
              RowBox[{"Filling", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"1", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", "2", "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "0", ",", "0", ",", "0.2"}], "]"}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "0", ",", "1", ",", "0.2"}], "]"}]}], 
                    "}"}]}], 
                  RowBox[{"(*", 
                   RowBox[{"{", 
                    RowBox[{"Yellow", ",", "Orange"}], "}"}], "*)"}], "}"}]}],
                 "}"}]}], ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"500", ",", "400"}], "}"}]}], ",", 
              RowBox[{"ImagePadding", "\[Rule]", "30"}], ",", 
              RowBox[{"Background", "\[Rule]", "White"}]}], 
             "\[IndentingNewLine]", "]"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{"Manipulate", " ", "Parameters"}], " ", "*)"}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", "      ", 
           RowBox[{"(*", " ", 
            RowBox[{"Choosable", " ", "Functions"}], " ", "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"k", ",", 
               RowBox[{"(*", " ", 
                RowBox[{"Default", " ", "function", " ", "displayed"}], " ", 
                "*)"}], 
               RowBox[{"{", 
                RowBox[{"Sign", ",", "0", ",", 
                 RowBox[{
                  RowBox[{"1", "/", 
                   RowBox[{"(", 
                    RowBox[{"Pi", "*", "n"}], ")"}]}], "*", 
                  RowBox[{"(", 
                   RowBox[{"2", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"n", "*", "Pi"}], "]"}]}]}], ")"}]}], ",", "0"}], 
                "}"}], ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<Funktion\>\"", ",", "textStyle"}], "]"}]}], 
              "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{"Data", " ", "for", " ", "each", " ", "sample", " ", 
                RowBox[{"function", ":", " ", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"pure", " ", "function"}], ",", " ", 
                   RowBox[{
                    RowBox[{"const", ".", " ", "fourier"}], " ", 
                    RowBox[{"coeff", "."}]}], ",", " ", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"coeff", ".", " ", "of"}], " ", "the", " ", 
                    "sine", " ", "part", " ", "in", " ", 
                    RowBox[{"fct", ".", " ", "of"}], " ", "n"}], ",", " ", 
                   RowBox[{
                    RowBox[{"coeff", ".", " ", "of"}], " ", "the", " ", "cos",
                     " ", "part", " ", "in", " ", 
                    RowBox[{"fct", ".", " ", "of"}], " ", "n"}]}], "}"}]}]}], 
               " ", "*)"}], "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"Sign", ",", "0", ",", 
                  RowBox[{
                   RowBox[{"1", "/", 
                    RowBox[{"(", 
                    RowBox[{"Pi", "*", "n"}], ")"}]}], "*", 
                   RowBox[{"(", 
                    RowBox[{"2", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"n", "*", "Pi"}], "]"}]}]}], ")"}]}], ",", "0"}], 
                 "}"}], "\[Rule]", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<Treppenfunktion\>\"", ",", "textStyle"}], 
                 "]"}]}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"#", "&"}], ",", "0", ",", 
                  RowBox[{"2", " ", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], "^", 
                    RowBox[{"(", 
                    RowBox[{"n", "+", "1"}], ")"}]}], "/", "n"}]}], ",", 
                  "0"}], "}"}], "\[Rule]", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<S\[ADoubleDot]gezahn\>\"", ",", "textStyle"}], 
                 "]"}]}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"#", "^", "2"}], "&"}], ",", 
                  RowBox[{
                   RowBox[{"\[Pi]", "^", "2"}], "/", "3"}], ",", "0", ",", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"4", " ", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], "^", "n"}]}], ")"}], "/", 
                   RowBox[{"n", "^", "2"}]}]}], "}"}], "\[Rule]", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<Parabel\>\"", ",", "textStyle"}], "]"}]}], ",", 
               
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"#", "-", "Pi"}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"#", "+", "Pi"}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"#", "-", "1"}], ")"}]}], "&"}], ",", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"2", " ", 
                    RowBox[{"\[Pi]", "^", "2"}]}], ")"}], "/", "3"}], ",", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"12", " ", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], "^", "n"}]}], ")"}], "/", 
                   RowBox[{"n", "^", "3"}]}], ",", 
                  RowBox[{"-", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"4", " ", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], "^", "n"}]}], ")"}], "/", 
                    RowBox[{"n", "^", "2"}]}], ")"}]}]}], "}"}], "\[Rule]", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<Kubisch\>\"", ",", "textStyle"}], "]"}]}], ",", 
               
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Sin", "[", "#", "]"}], " ", 
                    RowBox[{"UnitStep", "[", "#", "]"}]}], ")"}], "&"}], ",", 
                  
                  RowBox[{"1", "/", "Pi"}], ",", 
                  RowBox[{
                   RowBox[{"KroneckerDelta", "[", 
                    RowBox[{"n", ",", "1"}], "]"}], "/", "2"}], ",", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"n", "\[Equal]", "1"}], ",", "0", ",", 
                    RowBox[{"(", 
                    RowBox[{"-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], "^", "n"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"n", "^", "2"}]}], ")"}], " ", "\[Pi]"}], ")"}]}],
                     ")"}]}], ")"}]}], "]"}]}], "}"}], "\[Rule]", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<Halbweg-Gleichrichter\>\"", ",", "textStyle"}], 
                 "]"}]}]}], "\[IndentingNewLine]", "}"}], ",", 
             "\[IndentingNewLine]", "PopupMenu"}], "\[IndentingNewLine]", 
            "}"}], ",", "\[IndentingNewLine]", "\"\<\>\"", ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", "     ", 
           RowBox[{"(*", " ", 
            RowBox[{
            "Number", " ", "of", " ", "Fourier", " ", "Summands", " ", "to", 
             " ", "consider"}], " ", "*)"}], "\[IndentingNewLine]", 
           RowBox[{"Row", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"Dynamic", "[", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{
                 "\"\<Anzahl Summanden der Fourier-Entwicklung: m = \>\"", "<>", 
                  RowBox[{"ToString", "[", "m", "]"}]}], ",", "textStyle"}], 
                "]"}], "]"}], "}"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"350", ",", "Automatic"}], "}"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"m", ",", "3", ",", "\"\<\>\""}], "}"}], ",", "1", ",", 
             "50", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", "      ", 
           RowBox[{"(*", " ", 
            RowBox[{
            "Intervall", " ", "length", " ", "to", " ", "display", " ", "as", 
             " ", "a", " ", "multiple", " ", "of", " ", "2", "Pi"}], " ", 
            "*)"}], "\[IndentingNewLine]", 
           RowBox[{"Dynamic", "[", 
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"\"\<x Zoom: I = [-\>\"", "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"r", ",", "TraditionalForm"}], "]"}], "<>", 
               "\"\<,\>\"", "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"r", ",", "TraditionalForm"}], "]"}], "<>", 
               "\"\<]\>\""}], ",", "textStyle"}], "]"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"r", ",", "Pi", ",", "\"\<\>\""}], "}"}], ",", "Pi", 
             ",", 
             RowBox[{"5", "*", "Pi"}], ",", "Pi"}], "}"}], ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", "Delimiter", ",", 
           "\[IndentingNewLine]", "\"\<\>\"", ",", "\[IndentingNewLine]", 
           RowBox[{"Style", "[", 
            RowBox[{
            "\"\<Fourier-entwickelte Funktion:\>\"", ",", "textStyle"}], 
            "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Row", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"Dynamic", "[", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{
                 "\"\<f \!\(\*SubscriptBox[\(|\), \([\(-\[Pi]\), \
\[Pi]]\)]\)(x) = \>\"", "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"TraditionalForm", "[", 
                    RowBox[{
                    RowBox[{"k", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "[", "x", "]"}], "]"}], 
                   "]"}]}], ",", "textStyle"}], "]"}], "]"}], "}"}], ",", 
             RowBox[{"Alignment", "\[Rule]", 
              RowBox[{"{", "Center", "}"}]}], ",", 
             RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"350", ",", "Automatic"}], "}"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Row", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"Dynamic", "[", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"ToString", "[", 
                    RowBox[{"k", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], "\[Equal]", 
                    RowBox[{"ToString", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Sin", "[", "#", "]"}], " ", 
                    RowBox[{"UnitStep", "[", "#", "]"}]}], ")"}], "&"}], 
                    "]"}]}], ",", 
                   "\"\<\\n \[Theta] ist die Einheitssprungfunktion \
(Heaviside Funktion)\\n\>\"", ",", "\"\<\\n\\n\>\""}], "]"}], ",", 
                 "textStyle", ",", " ", "Plain"}], "]"}], "]"}], "}"}], ",", 
             RowBox[{"Alignment", "\[Rule]", 
              RowBox[{"{", "Center", "}"}]}], ",", 
             RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"350", ",", "Automatic"}], "}"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{"End", " ", "Manipulate", " ", "Parameters"}], " ", 
            "*)"}], "\[IndentingNewLine]", 
           RowBox[{"Initialization", "\[RuleDelayed]", 
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"PeriodicExtension", "[", 
                 RowBox[{"g_", ",", "x_"}], "]"}], ":=", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Abs", "[", "x", "]"}], "<", "Pi"}], ",", 
                  RowBox[{"g", "[", "x", "]"}], ",", 
                  RowBox[{"PeriodicExtension", "[", 
                   RowBox[{"g", ",", 
                    RowBox[{"x", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Sign", "[", "x", "]"}], " ", "Pi"}]}]}], "]"}]}],
                  "]"}]}], ")"}], ",", "\[IndentingNewLine]", 
              RowBox[{"(", " ", 
               RowBox[{"hintText", "  ", ":=", " ", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{
                  "\"\<Die Visualisierung soll Ihnen einen Eindruck \
vermitteln, wie die \>\"", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Partialsummen einer Fourier-Entwicklung\>\"", ",", 
                    "Bold"}], "]"}], ",", 
                   "\"\< die Ausgangsfunktion f immer besser \
ann\[ADoubleDot]hern bzw. darstellen. Sie sollen durch die verschiedenen \
Beispielfunktionen auch sehen, dass die Konvergenz nicht bei jeder Funktion \
gleich schnell ist. W\[ADoubleDot]hlen Sie hierzu im \>\"", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Dropdown-Men\[UDoubleDot] 'Funktion'\>\"", ",", 
                    "Bold"}], "]"}], ",", 
                   "\"\< eine andere Funktion aus und beobachten Sie durch \
Ver\[ADoubleDot]ndern des \>\"", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Schiebereglers 'Anzahl Summanden...'\>\"", ",", 
                    "Bold"}], "]"}], ",", 
                   "\"\< die Partialsummenfolge f\[UDoubleDot]r steigendes m. \
Sie sehen: Bei manchen Funktionen ist im Plot sehr rasch kaum mehr ein \
Unterschied sichtbar. \\n\\nWas beinflusst eine schnellere Konvergenz? \
Versuchen Sie mit Hilfe der Visualisierung zu erkennen, dass \\n\\n\>\"", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<\[Bullet]  wenn die Funktion f stetig ist, ihre \
Fourier-Reihe schneller konvergiert\\n\>\"", ",", 
                    RowBox[{"AutoIndent", " ", "\[Rule]", "True"}], ",", 
                    RowBox[{"LineIndent", "\[Rule]", "1"}]}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    StyleBox["Style",
                    CellOpen->False], "[", 
                    RowBox[{
                    "\"\<\[Bullet]  wenn sogar die Ableitung(en) der Funktion \
f stetig ist (sind), die Konvergenz noch schneller ist (im Fall der Parabel \
und der Kubischen Funktion ist die N\[ADoubleDot]herung schon nach 4 oder 5 \
Summanden sehr gut)\>\"", ",", 
                    RowBox[{"AutoIndent", "\[Rule]", " ", "True"}], ",", " ", 
                    
                    RowBox[{"LineIndent", "\[Rule]", "1"}]}], "]"}], ",", 
                   "\"\< \\n\\nBeachten Sie weiter auch, wie die entwickelte \
Funktion f ausserhalb des Intervalls [-\[Pi],\[Pi]] periodisch fortgesetzt \
ist. Dazu haben Sie mit dem \>\"", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<'x-Zoom'-Regler\>\"", ",", "Bold"}], "]"}], 
                   ",", "\"\< die M\[ODoubleDot]glichkeit, das Intervall zu \
vergr\[ODoubleDot]ssern.\>\""}], "}"}], "]"}]}], "\[IndentingNewLine]", ")"}],
               ",", "\[IndentingNewLine]", 
              RowBox[{"(", 
               RowBox[{"hintText2", " ", ":=", " ", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", "  ", 
                  RowBox[{
                  "\"\<Einen weiteren wichtigen Sachverhalt \
m\[ODoubleDot]chten wir hier auch noch kurz erw\[ADoubleDot]hnen, da dies oft \
nicht ganz klar ist:\\nW\[ADoubleDot]hrend jede Partialsumme der \
Fourier-Entwicklung von f, also das Fourier-\>\"", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<Polynom\>\"", ",", "Bold"}], "]"}], ",", 
                   "\"\<\\n\\n       \>\"", ",", 
                   RowBox[{"DisplayForm", "[", "\"\<\!\(\*
StyleBox[SubscriptBox[\"F\", \"n\"],
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[\"x\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\!\(\*
StyleBox[\"=\",
FontSize->14]\)\!\(\*
StyleBox[FractionBox[SubscriptBox[\"a\", \"0\"], \"2\"],
FontSize->14]\)\!\(\*
StyleBox[\"+\",
FontSize->14]\)\!\(\*
StyleBox[UnderoverscriptBox[
StyleBox[\"\[CapitalSigma]\",
FontSize->36], 
RowBox[{\"k\", \"=\", \"1\"}], 
StyleBox[\"m\",
FontSize->12,
FontColor->RGBColor[1, 0, 0]]],
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[SubscriptBox[\"a\", \"k\"],
FontSize->14]\)\!\(\*
StyleBox[\"cos\",
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[\"k\[Omega]x\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\!\(\*
StyleBox[\"+\",
FontSize->14]\)\!\(\*
StyleBox[SubscriptBox[\"b\", \"k\"],
FontSize->14]\)\!\(\*
StyleBox[\"sin\",
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[\"k\[Omega]x\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\>\"", "]"}], ",", "\"\<\\n\\n\>\"", ",", 
                   "\"\<f\[UDoubleDot]r jedes m eine N\[ADoubleDot]herung an \
f darstellt, ist die (unendliche) \>\"", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<Reihe\>\"", ",", "Bold"}], "]"}], ",", 
                   "\"\<\\n\\n       \>\"", ",", 
                   RowBox[{"DisplayForm", "[", "\"\<\!\(\*
StyleBox[FractionBox[SubscriptBox[\"a\", \"0\"], \"2\"],
FontSize->14]\)\!\(\*
StyleBox[\"+\",
FontSize->14]\)\!\(\*
StyleBox[UnderoverscriptBox[
StyleBox[\"\[CapitalSigma]\",
FontSize->36], 
RowBox[{\"k\", \"=\", \"1\"}], 
StyleBox[\"\[Infinity]\",
FontSize->12,
FontColor->RGBColor[1, 0, 0]]],
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[SubscriptBox[\"a\", \"k\"],
FontSize->14]\)\!\(\*
StyleBox[\"cos\",
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[\"k\[Omega]x\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\!\(\*
StyleBox[\"+\",
FontSize->14]\)\!\(\*
StyleBox[SubscriptBox[\"b\", \"k\"],
FontSize->14]\)\!\(\*
StyleBox[\"sin\",
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[\"k\[Omega]x\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\>\"", "]"}], ",", "\"\<\\n\\n\>\"", ",", 
                   "\"\<nicht etwa eine 'besonders gute', eine 'unendlich \
gute', die 'bestm\[ODoubleDot]gliche' o.\[ADoubleDot] N\[ADoubleDot]herung an \
f, sondern sie \>\"", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<ist\>\"", ",", "Bold"}], "]"}], ",", 
                   "\"\< f! Sie ist eine \>\"", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<\[ADoubleDot]quivalente Darstellung der Funktion f\>\
\"", ",", "Bold"}], "]"}], ",", 
                   "\"\<, was ein subtiler, aber wichtiger Unterschied \
ist.\\n\\nAls Folge k\[ODoubleDot]nnen wir Funktion und Reihe gleichsetzen \
und schreiben:\>\"", ",", "\"\<\\n\\n       \>\"", ",", 
                   RowBox[{"DisplayForm", "[", "\"\<\!\(\*
StyleBox[\"f\",
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[\"x\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\!\(\*
StyleBox[\" \",
FontSize->14]\)\!\(\*
StyleBox[\"=\",
FontSize->14]\)\!\(\*
StyleBox[FractionBox[SubscriptBox[\"a\", \"0\"], \"2\"],
FontSize->14]\)\!\(\*
StyleBox[\"+\",
FontSize->14]\)\!\(\*
StyleBox[UnderoverscriptBox[
StyleBox[\"\[CapitalSigma]\",
FontSize->36], 
RowBox[{\"k\", \"=\", \"1\"}], 
StyleBox[\"\[Infinity]\",
FontSize->12,
FontColor->RGBColor[1, 0, 0]]],
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[SubscriptBox[\"a\", \"k\"],
FontSize->14]\)\!\(\*
StyleBox[\"cos\",
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[\"k\[Omega]x\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\!\(\*
StyleBox[\"+\",
FontSize->14]\)\!\(\*
StyleBox[SubscriptBox[\"b\", \"k\"],
FontSize->14]\)\!\(\*
StyleBox[\"sin\",
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[\"k\[Omega]x\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\>\"", "]"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", ")"}], 
              ",", "\[IndentingNewLine]", 
              RowBox[{"(", 
               RowBox[{"m", " ", "=", " ", "1"}], ")"}]}], 
             "\[IndentingNewLine]", "}"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
           RowBox[{"AppearanceElements", "\[Rule]", "None"}], ",", 
           RowBox[{"Paneled", "\[Rule]", "False"}], ",", " ", 
           RowBox[{"ControlPlacement", "\[Rule]", " ", "Left"}]}], 
          "\[IndentingNewLine]", "]"}]}], " ", 
        RowBox[{"(*", " ", 
         RowBox[{"End", " ", "Manipulate"}], "*)"}], "\[IndentingNewLine]", 
        "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", "]"}]}], " ", 
     RowBox[{"(*", " ", 
      RowBox[{"End", " ", "Column"}], " ", "*)"}], "\[IndentingNewLine]", 
     "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Background", "\[Rule]", 
     RowBox[{"RGBColor", "[", 
      RowBox[{"0.95", ",", "0.95", ",", "0.95"}], "]"}]}]}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"TabView", " ", "Background"}], " ", "*)"}], 
   "\[IndentingNewLine]", "]"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"End", " ", "TabView"}], " ", "*)"}]}]], "Input",
 CellOpen->False,
 CellChangeTimes->{{3.454989610421739*^9, 3.454989637167881*^9}, {
   3.454989733187718*^9, 3.4549897339586573`*^9}, {3.45498976892488*^9, 
   3.4549898031877003`*^9}, {3.454989834563542*^9, 3.4549898760202*^9}, {
   3.454989924300282*^9, 3.4549899439783583`*^9}, {3.454990080694931*^9, 
   3.454990120258028*^9}, {3.454990531024248*^9, 3.4549906001342907`*^9}, {
   3.454990645038566*^9, 3.4549907912806797`*^9}, 3.4549908333735847`*^9, 
   3.454990865266864*^9, {3.454990912502758*^9, 3.454990942335227*^9}, {
   3.454990984405155*^9, 3.4549910527222548`*^9}, {3.454991089083424*^9, 
   3.454991120345408*^9}, {3.4549911629768457`*^9, 3.454991174085278*^9}, {
   3.454991226157494*^9, 3.45499130433331*^9}, 3.454991343932794*^9, {
   3.454991374043941*^9, 3.454991378493556*^9}, {3.454991435465773*^9, 
   3.4549914433307447`*^9}, 3.454991483988105*^9, {3.4549915401145983`*^9, 
   3.454991613706037*^9}, {3.454991659410363*^9, 3.454991752873314*^9}, {
   3.454991792690339*^9, 3.45499179723909*^9}, {3.454991837052107*^9, 
   3.454991842992518*^9}, {3.4549919705501328`*^9, 3.454991978405904*^9}, {
   3.454992164955634*^9, 3.454992213052185*^9}, {3.45499225905228*^9, 
   3.454992273364128*^9}, {3.454992320986044*^9, 3.45499236275882*^9}, {
   3.454992552940693*^9, 3.454992559387968*^9}, {3.4549925949278183`*^9, 
   3.454992635820446*^9}, {3.4549931283862457`*^9, 3.45499315180352*^9}, {
   3.454993327848118*^9, 3.454993341783066*^9}, {3.4549933811747503`*^9, 
   3.4549933878137503`*^9}, {3.454993423527266*^9, 3.454993441527437*^9}, {
   3.454993515327086*^9, 3.454993518846467*^9}, {3.454993553286016*^9, 
   3.454993575530212*^9}, {3.454993650735539*^9, 3.454993700505402*^9}, {
   3.45499373456861*^9, 3.4549938230268*^9}, 3.45499391345162*^9, 
   3.4549939957650557`*^9, {3.454994939199555*^9, 3.454994953735015*^9}, {
   3.454995018277985*^9, 3.454995029035036*^9}, {3.455000429022599*^9, 
   3.455000664736315*^9}, {3.455000706777465*^9, 3.4550007571756067`*^9}, {
   3.455000811018566*^9, 3.4550008355220537`*^9}, {3.455001048275132*^9, 
   3.455001177552763*^9}, {3.4550012354530287`*^9, 3.455001279073092*^9}, {
   3.455001311413948*^9, 3.455001324152137*^9}, {3.455002070914452*^9, 
   3.455002077046471*^9}}],

Cell[BoxData[
 TabViewBox[{{1,
  StyleBox["\<\"Fourier-Reihen einfacher Funktionen\"\>",
   StripOnInput->False,
   FrontFaceColor->RGBColor[0.35, 0.35, 0.35],
   BackFaceColor->RGBColor[0.35, 0.35, 0.35],
   GraphicsColor->RGBColor[0.35, 0.35, 0.35],
   FontFamily->"Liberation Sans",
   FontSize->14,
   FontWeight->Bold,
   FontColor->RGBColor[0.35, 0.35, 0.35],
   Background->RGBColor[1, 1, 1, 0]]->
  TagBox[GridBox[{
     {
      TemplateBox[{ButtonBox[
         StyleBox["\"Hinweise\"", StripOnInput -> False, FontSize -> 9], 
         Appearance -> Automatic, ButtonFunction :> CreateDocument[
           TextCell[
            Pane[
             Column[{
               TextCell[
               "\nHinweise\n", {$CellContext`explanationHeaderStyle}], 
               TextCell[$CellContext`hintText, $CellContext`explanationStyle], 
               TextCell[
                Row[{"\nWas ist die Fourier-", 
                  Style["Reihe", Italic], 
                  " genau?\n"}], {$CellContext`explanationHeaderStyle}], 
               
               TextCell[$CellContext`hintText2, \
$CellContext`explanationStyle]}]]], WindowFrame -> "Normal", 
           WindowSize -> {650, 500}, WindowTitle -> "Hinweise"], Evaluator -> 
         Automatic, ImageSize -> {80, 20}, Method -> "Preemptive"]},
       "Row",
       DisplayFunction->(PaneBox[
         StyleBox[#, Background -> RGBColor[0.9, 0.9, 0.9]], 
         Alignment -> {Right, Top}, ImageSize -> {860, 25}]& ),
       InterpretationFunction->(RowBox[{"Row", "[", 
          RowBox[{
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
                RowBox[{"860", ",", "25"}], "}"}]}], ",", 
            RowBox[{"Background", "\[Rule]", 
              RowBox[{"RGBColor", "[", 
                RowBox[{"0.9`", ",", "0.9`", ",", "0.9`"}], "]"}]}], ",", 
            RowBox[{"Alignment", "\[Rule]", 
              RowBox[{"{", 
                RowBox[{"Right", ",", "Top"}], "}"}]}]}], "]"}]& )]},
     {
      TagBox[
       StyleBox[
        DynamicModuleBox[{$CellContext`k$$ = {
         Sign, 0, $CellContext`n^(-1) Pi^(-1) (2 - 2 Cos[$CellContext`n Pi]), 
          0}, $CellContext`m$$ = 1, $CellContext`r$$ = Pi, Typeset`show$$ = 
         True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
         Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
         "\"untitled\"", Typeset`specs$$ = {{{
            Hold[$CellContext`k$$], {
            Sign, 0, $CellContext`n^(-1) 
             Pi^(-1) (2 - 2 Cos[$CellContext`n Pi]), 0}, 
            Style["Funktion", {FontFamily -> "Liberation Sans", 10, Bold, 
              RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0], 
              AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
              1}]}, {{Sign, 0, $CellContext`n^(-1) 
              Pi^(-1) (2 - 2 Cos[$CellContext`n Pi]), 0} -> 
            Style["Treppenfunktion", {
              FontFamily -> "Liberation Sans", 10, Bold, 
               RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0],
                AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
               1}], {#& , 0, 2 (-1)^(1 + $CellContext`n)/$CellContext`n, 0} -> 
            Style["S\[ADoubleDot]gezahn", {
              FontFamily -> "Liberation Sans", 10, Bold, 
               RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0],
                AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
               1}], {#^2& , Rational[1, 3] Pi^2, 0, 
              4 (-1)^$CellContext`n $CellContext`n^(-2)} -> 
            Style["Parabel", {FontFamily -> "Liberation Sans", 10, Bold, 
               RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0],
                AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
               1}], {(# - Pi) (# + Pi) (# - 1)& , Rational[2, 3] Pi^2, 
              12 (-1)^$CellContext`n $CellContext`n^(-3), (-4) \
(-1)^$CellContext`n $CellContext`n^(-2)} -> 
            Style["Kubisch", {FontFamily -> "Liberation Sans", 10, Bold, 
               RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0],
                AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
               1}], {Sin[#] UnitStep[#]& , Pi^(-1), Rational[1, 2] 
              KroneckerDelta[1, $CellContext`n], 
              
              If[$CellContext`n == 1, 
               0, -((1 + (-1)^$CellContext`n)/((-1 + $CellContext`n^2) Pi))]} -> 
            Style["Halbweg-Gleichrichter", {
              FontFamily -> "Liberation Sans", 10, Bold, 
               RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0],
                AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
               1}]}}, {
           Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
           Hold[
            Row[{
              Dynamic[
               Style[
                StringJoin["Anzahl Summanden der Fourier-Entwicklung: m = ", 
                 ToString[$CellContext`m$$]], $CellContext`textStyle]]}, 
             ImageSize -> {350, Automatic}]], 
           Manipulate`Dump`ThisIsNotAControl}, {{
            Hold[$CellContext`m$$], 3, ""}, 1, 50, 1}, {
           Hold[
            Dynamic[
             Style[
              StringJoin["x Zoom: I = [-", 
               ToString[$CellContext`r$$, TraditionalForm], ",", 
               ToString[$CellContext`r$$, TraditionalForm], 
               "]"], $CellContext`textStyle]]], 
           Manipulate`Dump`ThisIsNotAControl}, {{
            Hold[$CellContext`r$$], Pi, ""}, Pi, 5 Pi, Pi}, {
           Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
           Hold[
            Style[
            "Fourier-entwickelte Funktion:", {
             FontFamily -> "Liberation Sans", 10, Bold, 
              RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0], 
              AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
              1}]], Manipulate`Dump`ThisIsNotAControl}, {
           Hold[
            Row[{
              Dynamic[
               Style[
                StringJoin[
                "f \!\(\*SubscriptBox[\(|\), \([\(-\[Pi]\), \[Pi]]\)]\)(x) = \
", 
                 ToString[
                  TraditionalForm[
                   
                   Part[$CellContext`k$$, 
                    1][$CellContext`x]]]], $CellContext`textStyle]]}, 
             Alignment -> {Center}, ImageSize -> {350, Automatic}]], 
           Manipulate`Dump`ThisIsNotAControl}, {
           Hold[
            Row[{
              Dynamic[
               Style[
                If[ToString[
                   Part[$CellContext`k$$, 1]] == 
                 ToString[Sin[#] UnitStep[#]& ], 
                 "\n \[Theta] ist die Einheitssprungfunktion (Heaviside \
Funktion)\n", "\n\n"], $CellContext`textStyle, Plain]]}, 
             Alignment -> {Center}, ImageSize -> {350, Automatic}]], 
           Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = {
         500., {197., 203.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
         Typeset`skipInitDone$$ = False, $CellContext`k$706$$ = 
         False, $CellContext`m$707$$ = 0, $CellContext`r$708$$ = 0}, 
         DynamicBox[Manipulate`ManipulateBoxes[
          1, StandardForm, 
           "Variables" :> {$CellContext`k$$ = {
              Sign, 0, $CellContext`n^(-1) 
               Pi^(-1) (2 - 2 Cos[$CellContext`n Pi]), 0}, $CellContext`m$$ = 
             3, $CellContext`r$$ = Pi}, "ControllerVariables" :> {
             Hold[$CellContext`k$$, $CellContext`k$706$$, False], 
             Hold[$CellContext`m$$, $CellContext`m$707$$, 0], 
             Hold[$CellContext`r$$, $CellContext`r$708$$, 0]}, 
           "OtherVariables" :> {
            Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
             Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
             Typeset`specs$$, Typeset`size$$, Typeset`update$$, 
             Typeset`initDone$$, Typeset`skipInitDone$$}, 
           "Body" :> ($CellContext`titleStyle = {
              FontFamily -> "Liberation Sans", 14, Bold, 
               RGBColor[0.35, 0.35, 0.35], Background -> 
               RGBColor[1, 1, 1, 0]}; $CellContext`tagAtRight = {
              FontFamily -> "Liberation Sans", 12, Bold, 
               RGBColor[0, 33/255, 66/255], Background -> 
               RGBColor[1, 1, 1, 0], 
               TextAlignment -> {Right, Top}}; $CellContext`textStyle = {
              FontFamily -> "Liberation Sans", 10, Bold, 
               RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0],
                AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
               1}; $CellContext`explanationStyle = {
              FontFamily -> "Times", 14, Plain, 
               RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0],
                AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
               1}; $CellContext`explanationHeaderStyle = {
              FontFamily -> "Times", 16, Bold, 
               RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0],
                AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
               1}; $CellContext`mathStyle = {
              FontFamily -> "Liberation Serif", 14, Bold, 
               RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0],
                AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
               1}; $CellContext`plotLabelStyle = {
              FontFamily -> "Times", 14, Plain, 
               RGBColor[0.35, 0.35, 0.35], Background -> 
               RGBColor[1, 1, 1, 0]}; Plot[{
               $CellContext`PeriodicExtension[
                Part[$CellContext`k$$, 1], $CellContext`x], 
               Evaluate[
               Part[$CellContext`k$$, 2] + 
                Sum[Part[$CellContext`k$$, 3] 
                   Sin[$CellContext`n $CellContext`x] + 
                  Part[$CellContext`k$$, 4] 
                   Cos[$CellContext`n $CellContext`x], {$CellContext`n, 
                   1, $CellContext`m$$}]]}, {$CellContext`x, \
-$CellContext`r$$, $CellContext`r$$}, Axes -> {True, True}, PlotStyle -> {{
                 Thickness[0.005], 
                 RGBColor[0, 0, 0]}, {
                 Thickness[0.003], Blue}}, Filling -> {1 -> {{2}, {
                   RGBColor[1, 0, 0, 0.2], 
                   RGBColor[0, 0, 1, 0.2]}}}, ImageSize -> {500, 400}, 
              ImagePadding -> 30, Background -> White]), 
           "Specifications" :> {{{$CellContext`k$$, {
               Sign, 0, $CellContext`n^(-1) 
                Pi^(-1) (2 - 2 Cos[$CellContext`n Pi]), 0}, 
               Style["Funktion", {FontFamily -> "Liberation Sans", 10, Bold, 
                 RGBColor[0.35, 0.35, 0.35], Background -> 
                 RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                 0, TextJustification -> 1}]}, {{
                Sign, 0, $CellContext`n^(-1) 
                 Pi^(-1) (2 - 2 Cos[$CellContext`n Pi]), 0} -> 
               Style["Treppenfunktion", {
                 FontFamily -> "Liberation Sans", 10, Bold, 
                  RGBColor[0.35, 0.35, 0.35], Background -> 
                  RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                  0, TextJustification -> 1}], {#& , 0, 
                 2 (-1)^(1 + $CellContext`n)/$CellContext`n, 0} -> 
               Style["S\[ADoubleDot]gezahn", {
                 FontFamily -> "Liberation Sans", 10, Bold, 
                  RGBColor[0.35, 0.35, 0.35], Background -> 
                  RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                  0, TextJustification -> 1}], {#^2& , Rational[1, 3] Pi^2, 0,
                  4 (-1)^$CellContext`n $CellContext`n^(-2)} -> 
               Style["Parabel", {FontFamily -> "Liberation Sans", 10, Bold, 
                  RGBColor[0.35, 0.35, 0.35], Background -> 
                  RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                  0, TextJustification -> 1}], {(# - Pi) (# + Pi) (# - 1)& , 
                 Rational[2, 3] Pi^2, 
                 12 (-1)^$CellContext`n $CellContext`n^(-3), (-4) \
(-1)^$CellContext`n $CellContext`n^(-2)} -> 
               Style["Kubisch", {FontFamily -> "Liberation Sans", 10, Bold, 
                  RGBColor[0.35, 0.35, 0.35], Background -> 
                  RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                  0, TextJustification -> 1}], {
                Sin[#] UnitStep[#]& , Pi^(-1), Rational[1, 2] 
                 KroneckerDelta[1, $CellContext`n], 
                 
                 If[$CellContext`n == 1, 
                  0, -((1 + (-1)^$CellContext`n)/((-1 + $CellContext`n^2) 
                   Pi))]} -> Style[
                "Halbweg-Gleichrichter", {
                 FontFamily -> "Liberation Sans", 10, Bold, 
                  RGBColor[0.35, 0.35, 0.35], Background -> 
                  RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                  0, TextJustification -> 1}]}, ControlType -> PopupMenu}, "", 
             Row[{
               Dynamic[
                Style[
                 StringJoin[
                 "Anzahl Summanden der Fourier-Entwicklung: m = ", 
                  ToString[$CellContext`m$$]], $CellContext`textStyle]]}, 
              ImageSize -> {350, Automatic}], {{$CellContext`m$$, 3, ""}, 1, 
              50, 1}, 
             Dynamic[
              Style[
               StringJoin["x Zoom: I = [-", 
                ToString[$CellContext`r$$, TraditionalForm], ",", 
                ToString[$CellContext`r$$, TraditionalForm], 
                "]"], $CellContext`textStyle]], {{$CellContext`r$$, Pi, ""}, 
              Pi, 5 Pi, Pi}, Delimiter, "", 
             Style[
             "Fourier-entwickelte Funktion:", {
              FontFamily -> "Liberation Sans", 10, Bold, 
               RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0],
                AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
               1}], 
             Row[{
               Dynamic[
                Style[
                 StringJoin[
                 "f \!\(\*SubscriptBox[\(|\), \([\(-\[Pi]\), \[Pi]]\)]\)(x) = \
", 
                  ToString[
                   TraditionalForm[
                    
                    Part[$CellContext`k$$, 
                    1][$CellContext`x]]]], $CellContext`textStyle]]}, 
              Alignment -> {Center}, ImageSize -> {350, Automatic}], 
             Row[{
               Dynamic[
                Style[
                 If[ToString[
                    Part[$CellContext`k$$, 1]] == 
                  ToString[Sin[#] UnitStep[#]& ], 
                  "\n \[Theta] ist die Einheitssprungfunktion (Heaviside \
Funktion)\n", "\n\n"], $CellContext`textStyle, Plain]]}, 
              Alignment -> {Center}, ImageSize -> {350, Automatic}]}, 
           "Options" :> {
            AppearanceElements -> None, Paneled -> False, ControlPlacement -> 
             Left}, "DefaultOptions" :> {}],
          ImageSizeCache->{877., {208., 213.}},
          SingleEvaluation->True],
         Deinitialization:>None,
         DynamicModuleValues:>{},
         Initialization:>({{$CellContext`titleStyle = {
               FontFamily -> "Liberation Sans", 14, Bold, 
                RGBColor[0.35, 0.35, 0.35], Background -> 
                RGBColor[1, 1, 1, 0]}, $CellContext`tagAtRight = {
               FontFamily -> "Liberation Sans", 12, Bold, 
                RGBColor[0, 11/85, 22/85], Background -> RGBColor[1, 1, 1, 0],
                 TextAlignment -> {Right, Top}}, $CellContext`textStyle = {
               FontFamily -> "Liberation Sans", 10, Bold, 
                RGBColor[0.35, 0.35, 0.35], Background -> 
                RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                0, TextJustification -> 1}, $CellContext`explanationStyle = {
               FontFamily -> "Times", 14, Plain, 
                RGBColor[0.35, 0.35, 0.35], Background -> 
                RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                0, TextJustification -> 
                1}, $CellContext`explanationHeaderStyle = {
               FontFamily -> "Times", 16, Bold, 
                RGBColor[0.35, 0.35, 0.35], Background -> 
                RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                0, TextJustification -> 1}, $CellContext`mathStyle = {
               FontFamily -> "Liberation Serif", 14, Bold, 
                RGBColor[0.35, 0.35, 0.35], Background -> 
                RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                0, TextJustification -> 1}, $CellContext`plotLabelStyle = {
               FontFamily -> "Times", 14, Plain, 
                RGBColor[0.35, 0.35, 0.35], Background -> 
                RGBColor[1, 1, 1, 0]}, $CellContext`PeriodicExtension[
                Pattern[$CellContext`g, 
                 Blank[]], 
                Pattern[$CellContext`x, 
                 Blank[]]] := If[Abs[$CellContext`x] < Pi, 
                $CellContext`g[$CellContext`x], 
                $CellContext`PeriodicExtension[$CellContext`g, $CellContext`x - \
(2 Sign[$CellContext`x]) Pi]]}; {$CellContext`PeriodicExtension[
                Pattern[$CellContext`g, 
                 Blank[]], 
                Pattern[$CellContext`x, 
                 Blank[]]] := If[Abs[$CellContext`x] < Pi, 
                $CellContext`g[$CellContext`x], 
                $CellContext`PeriodicExtension[$CellContext`g, $CellContext`x - 
                 2 Sign[$CellContext`x] Pi]], $CellContext`hintText := 
              Row[{"Die Visualisierung soll Ihnen einen Eindruck vermitteln, \
wie die ", 
                 Style["Partialsummen einer Fourier-Entwicklung", Bold], 
                 " die Ausgangsfunktion f immer besser ann\[ADoubleDot]hern \
bzw. darstellen. Sie sollen durch die verschiedenen Beispielfunktionen auch \
sehen, dass die Konvergenz nicht bei jeder Funktion gleich schnell ist. W\
\[ADoubleDot]hlen Sie hierzu im ", 
                 Style["Dropdown-Men\[UDoubleDot] 'Funktion'", Bold], 
                 " eine andere Funktion aus und beobachten Sie durch Ver\
\[ADoubleDot]ndern des ", 
                 Style["Schiebereglers 'Anzahl Summanden...'", Bold], 
                 " die Partialsummenfolge f\[UDoubleDot]r steigendes m. Sie \
sehen: Bei manchen Funktionen ist im Plot sehr rasch kaum mehr ein \
Unterschied sichtbar. \n\nWas beinflusst eine schnellere Konvergenz? \
Versuchen Sie mit Hilfe der Visualisierung zu erkennen, dass \n\n", 
                 Style[
                 "\[Bullet]  wenn die Funktion f stetig ist, ihre \
Fourier-Reihe schneller konvergiert\n", AutoIndent -> True, LineIndent -> 1], 
                 
                 Style[
                 "\[Bullet]  wenn sogar die Ableitung(en) der Funktion f \
stetig ist (sind), die Konvergenz noch schneller ist (im Fall der Parabel und \
der Kubischen Funktion ist die N\[ADoubleDot]herung schon nach 4 oder 5 \
Summanden sehr gut)", AutoIndent -> True, LineIndent -> 1], 
                 " \n\nBeachten Sie weiter auch, wie die entwickelte Funktion \
f ausserhalb des Intervalls [-\[Pi],\[Pi]] periodisch fortgesetzt ist. Dazu \
haben Sie mit dem ", 
                 Style["'x-Zoom'-Regler", Bold], 
                 " die M\[ODoubleDot]glichkeit, das Intervall zu vergr\
\[ODoubleDot]ssern."}], $CellContext`hintText2 := 
              Row[{
                "Einen weiteren wichtigen Sachverhalt m\[ODoubleDot]chten wir \
hier auch noch kurz erw\[ADoubleDot]hnen, da dies oft nicht ganz klar ist:\nW\
\[ADoubleDot]hrend jede Partialsumme der Fourier-Entwicklung von f, also das \
Fourier-", 
                 Style["Polynom", Bold], "\n\n       ", 
                 DisplayForm[
                 "\!\(\*\nStyleBox[SubscriptBox[\"F\", \"n\"],\nFontSize->14]\
\)\!\(\*\nStyleBox[\"(\",\nFontSize->14]\)\!\(\*\nStyleBox[\"x\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\")\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\"=\",\nFontSize->14]\)\!\(\*\nStyleBox[FractionBox[SubscriptBox[\"a\
\", \"0\"], \"2\"],\nFontSize->14]\)\!\(\*\nStyleBox[\"+\",\n\
FontSize->14]\)\!\(\*\nStyleBox[UnderoverscriptBox[\n  StyleBox[\"\
\[CapitalSigma]\",\nFontSize->36], \n  RowBox[{\"k\", \"=\", \"1\"}], \n  \
StyleBox[\"m\",\nFontSize->12,\nFontColor->RGBColor[1, 0, 0]]],\n\
FontSize->14]\)\!\(\*\nStyleBox[\"(\",\nFontSize->14]\)\!\(\*\n\
StyleBox[SubscriptBox[\"a\", \"k\"],\nFontSize->14]\)\!\(\*\n\
StyleBox[\"cos\",\nFontSize->14]\)\!\(\*\nStyleBox[\"(\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\"k\[Omega]x\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\")\",\nFontSize->14]\)\!\(\*\nStyleBox[\"+\",\n\
FontSize->14]\)\!\(\*\nStyleBox[SubscriptBox[\"b\", \"k\"],\n\
FontSize->14]\)\!\(\*\nStyleBox[\"sin\",\nFontSize->14]\)\!\(\*\nStyleBox[\"(\
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"k\[Omega]x\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\")\",\nFontSize->14]\)\!\(\*\nStyleBox[\")\",\nFontSize->14]\)"], 
                 "\n\n", 
                 "f\[UDoubleDot]r jedes m eine N\[ADoubleDot]herung an f \
darstellt, ist die (unendliche) ", 
                 Style["Reihe", Bold], "\n\n       ", 
                 DisplayForm[
                 "\!\(\*\nStyleBox[FractionBox[SubscriptBox[\"a\", \"0\"], \
\"2\"],\nFontSize->14]\)\!\(\*\nStyleBox[\"+\",\nFontSize->14]\)\!\(\*\n\
StyleBox[UnderoverscriptBox[\n  StyleBox[\"\[CapitalSigma]\",\nFontSize->36], \
\n  RowBox[{\"k\", \"=\", \"1\"}], \n  StyleBox[\"\[Infinity]\",\n\
FontSize->12,\nFontColor->RGBColor[1, 0, 0]]],\nFontSize->14]\)\!\(\*\n\
StyleBox[\"(\",\nFontSize->14]\)\!\(\*\nStyleBox[SubscriptBox[\"a\", \"k\"],\n\
FontSize->14]\)\!\(\*\nStyleBox[\"cos\",\nFontSize->14]\)\!\(\*\nStyleBox[\"(\
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"k\[Omega]x\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\")\",\nFontSize->14]\)\!\(\*\nStyleBox[\"+\",\n\
FontSize->14]\)\!\(\*\nStyleBox[SubscriptBox[\"b\", \"k\"],\n\
FontSize->14]\)\!\(\*\nStyleBox[\"sin\",\nFontSize->14]\)\!\(\*\nStyleBox[\"(\
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"k\[Omega]x\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\")\",\nFontSize->14]\)\!\(\*\nStyleBox[\")\",\nFontSize->14]\)"], 
                 "\n\n", 
                 "nicht etwa eine 'besonders gute', eine 'unendlich gute', \
die 'bestm\[ODoubleDot]gliche' o.\[ADoubleDot] N\[ADoubleDot]herung an f, \
sondern sie ", 
                 Style["ist", Bold], " f! Sie ist eine ", 
                 Style[
                 "\[ADoubleDot]quivalente Darstellung der Funktion f", Bold], 
                 ", was ein subtiler, aber wichtiger Unterschied ist.\n\nAls \
Folge k\[ODoubleDot]nnen wir Funktion und Reihe gleichsetzen und schreiben:", 
                 "\n\n       ", 
                 DisplayForm[
                 "\!\(\*\nStyleBox[\"f\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\"(\",\nFontSize->14]\)\!\(\*\nStyleBox[\"x\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\")\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"=\",\nFontSize->14]\)\!\(\*\n\
StyleBox[FractionBox[SubscriptBox[\"a\", \"0\"], \"2\"],\nFontSize->14]\)\!\(\
\*\nStyleBox[\"+\",\nFontSize->14]\)\!\(\*\nStyleBox[UnderoverscriptBox[\n  \
StyleBox[\"\[CapitalSigma]\",\nFontSize->36], \n  RowBox[{\"k\", \"=\", \
\"1\"}], \n  StyleBox[\"\[Infinity]\",\nFontSize->12,\nFontColor->RGBColor[1, \
0, 0]]],\nFontSize->14]\)\!\(\*\nStyleBox[\"(\",\nFontSize->14]\)\!\(\*\n\
StyleBox[SubscriptBox[\"a\", \"k\"],\nFontSize->14]\)\!\(\*\n\
StyleBox[\"cos\",\nFontSize->14]\)\!\(\*\nStyleBox[\"(\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\"k\[Omega]x\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\")\",\nFontSize->14]\)\!\(\*\nStyleBox[\"+\",\n\
FontSize->14]\)\!\(\*\nStyleBox[SubscriptBox[\"b\", \"k\"],\n\
FontSize->14]\)\!\(\*\nStyleBox[\"sin\",\nFontSize->14]\)\!\(\*\nStyleBox[\"(\
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"k\[Omega]x\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\")\",\nFontSize->14]\)\!\(\*\nStyleBox[\")\",\nFontSize->14]\)"]}], \
$CellContext`m$$ = 1}}; Typeset`initDone$$ = True),
         SynchronousInitialization->True,
         UnsavedVariables:>{Typeset`initDone$$},
         UntrackedVariables:>{Typeset`size$$}], "Manipulate",
        Deployed->True,
        StripOnInput->False],
       Manipulate`InterpretManipulate[1]]}
    },
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
   "Column"]}}, 1,
  Background->RGBColor[0.95, 0.95, 0.95]]], "Output",
 CellChangeTimes->{3.454994644937146*^9, 3.454994864122179*^9, 
  3.454994957248904*^9, 3.4549950315439796`*^9, 3.455000760392049*^9, 
  3.455001110798793*^9, 3.455001178885997*^9, 3.455001240103284*^9, 
  3.455001280028059*^9, 3.45500131254354*^9, 3.455002091931652*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.454992302331251*^9, 3.454992311456689*^9}}],

Cell[TextData[{
 "2009, ",
 StyleBox[ButtonBox["Projekt LEMUREN",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.lemuren.math.ethz.ch"], None},
  ButtonNote->"http://www.lemuren.math.ethz.ch"],
  FontVariations->{"Underline"->True}],
 ", Lernen Multimedial, Departement Mathematik, ETH Z\[UDoubleDot]rich | \
v20090626-1037 | Creative Common Licence: ",
 StyleBox[ButtonBox["CC-BY-SA",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://creativecommons.org/licenses/by-sa/3.0/"], None},
  ButtonNote->"http://creativecommons.org/licenses/by-sa/3.0/"],
  FontVariations->{"Underline"->True}],
 "\nAdapted version of Notebook \"",
 StyleBox[ButtonBox["FourierSeriesOfSimpleFunctions",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FourierSeriesOfSimpleFunctions/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/FourierSeriesOfSimpleFunctions/"],
  FontVariations->{"Underline"->True}],
 "\" by Alain Goriely at the Wolfram Demonstrations Project."
}], "Text",
 CellChangeTimes->{{3.446183449669383*^9, 3.446183477153606*^9}, {
   3.446183988887621*^9, 3.446184006151177*^9}, {3.4546698579880943`*^9, 
   3.4546698657797117`*^9}, {3.454669918700254*^9, 3.454670000220234*^9}, {
   3.4546700304763527`*^9, 3.454670044450142*^9}, {3.454670084876227*^9, 
   3.45467008922845*^9}, {3.454671860974012*^9, 3.454671864959506*^9}, 
   3.454671924868289*^9, {3.454737517114958*^9, 3.4547375255604963`*^9}, {
   3.454739612118599*^9, 3.4547396121228333`*^9}, {3.4547396507030487`*^9, 
   3.454739653538713*^9}, {3.454739706854105*^9, 3.454739729731954*^9}, {
   3.45475668623311*^9, 3.454756712365863*^9}, {3.454756754347534*^9, 
   3.454756754460532*^9}, {3.454916053026083*^9, 3.454916057286772*^9}, {
   3.454930224329027*^9, 3.454930290132287*^9}, {3.4549303457421837`*^9, 
   3.454930348617564*^9}, {3.454932227879908*^9, 3.4549322315538*^9}, {
   3.4549942184750557`*^9, 3.454994226618248*^9}, {3.4549951496634607`*^9, 
   3.45499514975317*^9}},
 FontFamily->"Liberation Sans",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
},
WindowSize->{1158, 713},
WindowMargins->{{70, Automatic}, {Automatic, 25}},
DockedCells->FEPrivate`If[
  FEPrivate`SameQ[FEPrivate`$ProductIDName, "MathematicaPlayer"], 
  FEPrivate`Join[{
    Cell[
     BoxData[
      GraphicsBox[
       RasterBox[CompressedData["
1:eJztXXdYFNfaz3O/f+79vudek3vTLKBIEaQpTRC7BgtqLCTWGxNjYsFookE0
NoxRY6oFuyIiWJCO9N4WWHrZpSy7VKkiBo2iy+5+Z/fsHg4zO7NLUZJ4fs/I
Mztz5j3v+87u+zvnPe+Meuu3L1v/P6+99poJ+Gf+t9dek+8LBwiBIHvu/Byd
ManLXMoSE+ExkQoZX+8W641rHWPUaDZZav+BZOoa6ZRVkhkftXrdrC3lg60h
JuGh667nVjNkJjbd4ywfjhzbcP7iQFUiICAgIHiVkHfVO0dHL0tnDFd/XNGH
q/g3bgrz84VFRVmnznAMrGRjDCSjxz6xmCFx3iFZtl/ickC6ZK/U6YtnS7Y/
c/6s23Zpt8V73aaOz8wdn+pbto4yqI2NG2qDCAgICAj+HIBTHn5GRrGhMV9H
r0hXr1hnbKGuQaGlQ6G9U5TJTJ7ZFJneaNnoMd0GZl1rjos3X+7efEn8uafk
k1OSlUfFi78RO30htl/5fOK8p2ZTmnXHNxlbVWVzh9osAgICAoI/ByANVVVU
5DpMKRs1pnS0fumYcTwDywIjh6IJixMcVrWNt5HTkL5Bt/7YR9OXi9yv1+7y
urfLu/1rryfbLnR/7iledUQ8b7vYcUXn+Ol1uhZ1EycLCwuH2iwCAgICgj8B
0AIQ2C9Yv0E4ckyNvmmh8YSs2U6chUvTlq9JcFnDc5pR9t4M/rw5/IULeDMd
M9Z9lrTVLWXLDs7Wr3O3uhVt3sn79Ev+2k2lLmvy5r+fY2JXZjO9qrh4qC0j
ICAgIPijQ4RB/vGAR72OUaHlpIqzhxsCL9QHXq4N9q4L8mryP9d051xT4IWm
oEtNARca75yvC79eG+Fbd9e3/q5vQ4TvvfDrjaE+94KuNgRfFvmdips8jZ+W
wd51VXl5bkCgIENDMwICAgKCvyoA9VSroOShbw7UjbXJ/+KzxqCrLSHhTZFJ
dbEZnRFRv4eGPQqP7IyK64yN74yL7wwP74iOackrbCkobs0taOXmt3FyHyRx
QPv6oIi68IhSz3NRK9bnht2tEgjwHiv4/JykpOgTJyI/3cBdubru7Pnq0tIh
sp7g1YUgNFTg4zPUWhAQvLpA0x9IQDUKyJlIKCxfuqbOYm7RQbfG8KC2pLzG
tIKWhHTeuXPtsUlPsoseZxU+zsp/xC14lMF9lJjSmc7pKK1oLxO2lQjasoub
knKqYzKqIlOrEzOrwuJDxtpfe2fMRSs7/wWLvZe5/DR/wS7HyTuNx/365lvh
7wxvWLuuLi1tqD1B8CoCcBDvtdfAxtfRAfsvqJcMMs0n+OsiIiLC1dX12LFj
PB6vfxJwGgIEVKuAqKKi6OB3FaZzBDPW5Xnsro2+W59e0JKc2ZGUGjppcqrD
NN4V7/a84of5JR25RR25hR0cLjjVEZ/Qnpp2PzWtOT6pNjqxKiy2PCymMjaJ
Fxrx7bsjdg1745dhbx/4xz+//Pv/nvjXsKi33m4Zrts9fkLzZa/B9QkBQZ9Q
sXFj+cqVciYaNqwqOXnQ5efl5Z09e3bQxRIQ/EEARlmBgYF79uzx8tI2mPMz
OKnXrqVcv56flFReVARmPVUCQSWPV87llsbF8QKDC095Zi9akW04JcveJXOB
a46He/XdoObY5N/iku9ncFPmL7ynY1ww0iB5xWp+cFhTblFrTmEzh9uSmtma
kNwaGdUYGlIXHCgM8C+/daPI93pxSFDW7ZtfvPPumRHjfN/R8X9nROUYPamh
kUxPr9vSuj787gv1DwGBlgBkBJiozNFx0CUTGiJ4FeDn5weYSMvGIj6//nYQ
d8VHZ/QND41491drK087uyAb23Rru6yJtlwbB96kqeWWtgJzxxqrWS02Mwr3
bK2/49MWGduWlH4vIztunnOVgUW1qW2Fnmmq/vikbV/yI2JqOTm1yZy6+OS6
qJi64BBRQED5rZulfr55167mBfjzbt3Ot5xeZ+oonjhdamYvNZkg0x/XbTmh
PibmhbpF4OMzWDn/qvx8ubQXlrQhGHKAeRDMzg36OhGhIYJXAWBO5Orq2tf8
c11ymuiLr/JMLTMMxsUYjeNaTOh0mCab5CiznCgzMpTpj5YZjJWNG5/n7iq6
ff1eVEJdQpowNSNyrnOpkWWpmS3PzK7c1DZ/jEnkRLuUI9/zoxOq4lMFEdGV
AcEVN2+X+PkW+Hhnel3m3bnTGp0iXXdIsnibZOpKqe08qYmtxNT6XkiI9qoC
FoAhAmxgHx3nDxumNnTAkS3awEd0Cgx38UEv5SOA8pJdu9CRyiNHUEegJTiF
LoH7PNXbk4AaFH3o0nCxcjlmZnjX8ryQykCYKULKI6PAcRAzgQJgQ8wIdvg6
OmiNA16LhKMYW3n6NHIpaAPtApeUL1gAdYZaIT/TL4S9QK1AG+hAIAfYCCRA
reiug5pQtIJqg66VvjUzg47quQoY6OMD+gI74CDdh7gyFFA0x/0DRIFNfit7
X4hucS85DI6ie4YJ7DQEfrkRERG91ODxduzYAY6jI3CcCY6Av2Afbwwkg+Og
PUzLA1EeHh6uCoCdhIQE1MWvv/4KW1IyJyzC1Z6CCwGoTWBgIPgI/lLsojTT
pke6KyjScOADb2AR9BiwEe8XmA+9ARqDffAX6QncBVwHrwLHQfCER6CLgBzQ
HuyjxQ7cz3gX4MJjx45BlcAOCsJ085F1LB2xeADvCBiFOxyZCQAkI53BFw/I
RzayZMyABNwK+LXRaAjlFOgOfKR8hbSEKC1d9MmGBxNtH9o6dE6Z0WUzWapn
IBujIzMykppPlJnZZbtvLb95XRQZL4hNKk9MCXCal2ZokWlmw1Fsmea2mSZW
EToGd2bNST3pWRoaURYUzPP1LfT25l65zLl0oTImqS456/mus5JPjkmct0om
L5WZTW07ea5PSqLwjkd4nJvwOI/CNdjB9+HZftAQCqTgYE/MHDANocVxxDuU
xkq+UwRtxA7gI+iazr9IMcgIqH2PFTBiq4RDw6EhUCCQIFQ3KaBcqKQShflw
XynEzAxpRXEd1EpOKL3dBfrq4XeFXWBDCoB+oWKwjVofQquZMmm45koOGjZM
LlNHB9Ec/XZQRjVMjqJ7hgkaaYgSw8EPGQYE/COIIaAZ+Iv/0mEEAx/BKRQe
QeQJVADswJYo4oGD4AjORCzCmU5B3sEVUBvf8GZ069T2qJbOcGmBGFC4hhwE
nYCirlDF5iCoIquRfHAKhGV0FZAAgjxkJXgEXIWPBCh+RqaBO4u6QFeBg2rN
R72zdMTkAdgRZB8AyGKoJXAFOILMhF82aD4kengKXM7iW9wKXDiLIZRTSI7a
XjRCJBLVnvR8OnWWxH6a2G6m2Hy6ZKy+TE9XamErnfQex8211Ne7IjyaFxFb
Eh3nPXvOTT3jAGPLO9gWaGJ5W8/44sjRN5a5ZF64WOzrV3DFK/X8uTy/myVx
KRXxaR37Lki2npKs2C+dtqZr6QZh78ptjUDhC//V49yEIgPiJkowR9G+rzSE
ekFkAQLmoNAQOgsb95RsqRbKkTTUEYh7yo5UjSm0AjlLnkJUNaDwFFSbfhZ2
B3coYZ8S6nGTYaeAjCinqOarpk6UflF71BdMfiodrnACOAKjvVquofifAlxz
5cxFNaVCrI2bD52P98XuKHYSROgTDcHoAQe38AgMWagBDDVwnxIH6DMd1AUe
HHAJLMKZTlGCMIj8au1ioiGWHjXSkNpTFIEwigpVY3VICugjlA+ZC51il0Pv
HX0Et5WyGgI+wnvNEr1ZOmLyAL0jaAK9JfInaAAu0Vi6BhrAoQt+EE6c4bXa
0xAwBE5y+10vV1NT0xAdI35vocx8Sre9i3juFrGVg1RXR2ppn+a2pcDnSmnQ
3cKQiILwyDMzZv48Su+0vvGp3hs44qlv/PNw3eO6erfWr088eTL70qXcsOiC
qITSmKR7Hhefu52RfHxEOuPj5tt9SMdBKH/vivhPCXrKpJAqPleePo0HMSEt
edJnGqLNWQYrKYd6h2fxMIhsRNLoasCZCOJfJU8NG8ZkCN4AJzgmrZgk99gY
GorP1yDUzrmQKIpWTCQCnYCSXXBmh5uGQHc4Dlxz+BVCk+KeSZ8qq6nMkSqm
PD1jA1ZH0X2uFn2iIRhG0A8c5tvxgAlTHzD5g8cBekumLpAEFuEsp2CncELB
MvRVSxzs5vSDhugCUUuW+AlYnn5HoNvV9shEQ/RMFwz+7L2zdMTkAXpHTAsx
cKoFbdSmbg1OSClfG3hT4OVa0hCkM8j1THlFjaiurq6trW1MSeuetkhq94Fk
+Tf3N53onDpfNtaQ47al9Oa1irsxpZExJVFx52fNPqVrcM5wvNrtvJHpWX2T
X94aecnCMvG7wwXR8fyk9PL4tFqPC4/czkjXH5HM21yf3OdnKGBwoyymKJdO
0GRHwTtqIxse+vqRlFPS34IFMGQNIg3BnCGM0vBaFAahObBreDlaWFEu4igI
F8VAOv9SKACnD7QPJFM2IX3m1Xt6ghslXxtSjQ2UzsEsQh+RKGHvCRQTDSHe
AUaBLtAMV22JCIuHe5kcGopmeXTfImWA5tCTymkjq6Nw+WrvL4T2NASnQjCL
whRLhQxxgJ62QpkrcBzP9gtV6X0W4RpPwaEvy7hXrQR2c/pBQ/SVC5hAU3sJ
e0cwgAOB9FkAEw3R5WhDgiwdMXlA7XFKwEfrO8hGmKnDQR+lwPtI7xGNMbSk
IXgjgEXgKqYJskZAGgJzoubgMKn1YsnSPR2up0p2nm6fPDvX3VUQ4Fcdm1QZ
l1yekHzDaV6YoXmkmbWazdQ6wnhCtIVV1jLn9N2uCefPlscnizg51enZdR7n
H7if7t70o2zu9par/n3SDUUhtAOPwzAiXxZX7MDB84ugIbhIzcNqHgaLhpRU
oojSMPbK47lCCAzUyikPNgGEjIxvKHnF671iTqcAHpaYogjpkYanxWCVAk0y
Pi3FV/DRpmZyiuaSmFZ06sQ9A3vBN7VVCihHCtkBMhe6cfiFeDkE2np8q1AM
X0iCN5HFURT5TNCehuiJr77SEB1CBhrShmtYTtFlUvByaIh+vN80JMRKHXDv
0UUNkIZYOuorDaGDcLUIr5FQ+2WgC2FKq8JVNnZD8FOgPaIttdlCjRCJRDUq
gP0n63ZIF2x/4npC4Ha26Kufcr/5QhToVx+fIkpKr0zJCJo3P8PQgmtum22m
2FQ7WSbW3PFWJU6zit03JZ79pTAyuja3qCY9q5bDrePkNHx74b7bSfHG49LF
X4udNtRmq0kdMEGZrVIELjxhguI/mhYJBy8ph6JTL00U8wh8jX6ANIR0AztQ
FM6V4KByXoBRiRBVj/v4KCeJlBo2VV9q5kdw/K9ITFHK8HpmHD4+TLxDqdnD
c3HQFnAthXfoBQ94JZ583Ye5/AC5VO7z3ik1HPQRgnwapeIFiuZKmYr7SMko
4glSlKBjd5Sw90IhE7SkITQVEmI/cO2TcpTKLngWDnQp8QdKAO0HkpQDYUeb
2RA+FAeNB5iUw6XBS6DV/UjKsSSsgGQgFmarKDIpH/uXlGPpqH80BJ1ASYXR
6x7VjhxcFZMmeo+Q19gNwU+hry76dtFlsgO9QgHS0MN9x6VzPn/+2Y+NOz0L
913IOexeH3SjKTGtPjVTmJYZNde5zMCy3NS23NRG8de23MS63Hhi9RRHkeva
TM/jKX5+uf53mnLym3MLmzNzmrLzmji5Tfs9H+4+I/74kGSJm8x+RdfSTTV5
BVqq1ysJphqyKlNYihiCNxisEgVY2QWPgFiKD9dhSKSklWDcQzFWOVNADMg8
WkbrIDgNoQkRZUlIrgler06pYeu9Yo56RykyPGbCs6g+nBJdlVUBZmZKpyku
lPsEy7z1kC+WklJTaNebaNRWKSDJOPAjOPVTgN8CNEhAHEq5EJdJKSbEaQip
LSdlVkeh7liYVEsaYqo96FOJAmXtGw50XWklCoiwBlKiwM5E9NkZDE3sJQrs
BQ84oBC4JKF2xZ8lfjIt3+NHWPyMPmosUUDUQAnOTB31j4bU1sZTdENJM7oQ
bWhIrSHID5AH0USsT69TgMDf5CN/m1yloOv9jyWz1ks+PvJw55nyPWdzj+1r
DLvdnpjakp5dz8mOn+dcrW9RPd5GvplYVxtNqJ9o27h2SdEvHlkB/qVhEcVh
d0uDQ1q4+fdzi9oz8zpyCjoyczu2He3c9pN4nYdk/hbptLUyc6dn81fXJado
oyF9mAp++2hHiC3uw/ZaFmzDJ0eUz4Mo6njxbBXKfcHROAzmeME2bIxioLIS
WCVN/tHMDAlheUUMsg6nISE2IcKDHqxwpmiCFnRQaTFavOjRR0cH5bgQK6G1
NiQN+RB9xC9U2qXqpWdZ6sgR+QM1K1fKdVA1BgEfTvHQ0zqwjFzIUIkntwtK
UNRsCxVUqEy1oQemsFIHBDQDRXM3pUDFFJIyXQVdyO0FXwygmMo58JTa0Qvk
LxZHoXU0egU4gjY0hE+FhL3jHlOFMyzTRXMEdBVcEYCn0HNDrqpC7sEt2GZZ
IWJKo7EXbMMlCfqzJ0zShLSCbWis2ksoE09U/wwLtgGQHLzymcnPQk0F2zsU
wAuzoaOYOhL2l4agOej+wpuO13jDXtRSvDZJOSZDmOgYTQm1B+XVpk3B4RLz
Gd3TVkpWHOjaerLB3bPghwMtkYG/JSQ9SM9uzs5NmK+kIZHRxBozq6YlcysO
78i84cNPSL6XlnEvLr4kNLwoOLiVW9CWU3ifk9uRV/woq+Dxp/t+X7VL+sEe
yexPpPbLpDaLZTYLxI7zqry8NWqI103BsTSMJHjQoER7cBZ/YkXt46t4ETge
glBMQ2tP8mdFe69T9KSnsKE46hE+HYk+sj9XgsIdVAzFUjQhoozSKasb8qCN
TVjwDfgKVSmgSI7P8oSKxB3uKDRrQwmrXnadPt3LLqzqTK1/8Ae7cOail89R
1rwQxeNLTiyvHqXogxKDeDEGquvAO8JNpnAZZdbD5Cg0BEIlEHT1tKEhGChQ
PKeEULXPe8IjCCj6oZYocMFQP1iPr+K6wSVpcJa+9s1CHGrFwnkNCKFQT+2l
CbGlFkhhrljBNt6MMqpHDxmBWA31R4pBaoC3g+5nbR5fhTcCPjPrij1KTPEA
3pFwAGtDoF9Y5A+LH5CNUDdKLzi0KVFgMgRPTuLfcHqmVCNwGqrl8Z/OXSIx
myK2X/h8weautYfuu/5c9P3+1siAR3HxD1Mz7mflRM53Lh5rxjOxEs6eLnD7
jHv1XEF4pCghpTktozklpSk2tvJueEFQUHN6dktmXms6tz2n6GFWwf3/7nm8
dPvTmRu6HVaJrRdLzGdLLabLLGdKJ0xt3/xlDSeTST16YS0Kvzw886MqpcOv
VfsyH41JOYqEHk1UKzKMqioa4OvjkMKY2kOggjeKRUIsXNMnAjDA4sJ71b9t
3Ag1wSuK4doNntPDzdRsF94Xg11QDt4F/sgqTJohTdRm4egaMjXGQbmJFOqh
DwbotxId6aU83ck0R+GiKF8ABI00BDkIpwD2qNvXZkzBrX8YXN0Gt9NB7/fF
yVSLftNQv6GxYJsFg+sWxEQPP/28e7zVM3OHbus5YkeXZ4u2ta7en394T1PY
rYfR0Q/iE9tSUv3nOCVbTCj5fFXOmR/ygoOFsQn1iUnC2PjqmNjGmJjau3cr
Q0Jy7vjfi0u6l8Spi0tv4uS1cwoebvjuscuurtmfPrVdKLZ4T2LuJB0/VWZs
JzOeJH9SyXJK20cbqgODhBUVFN3QyBYdQUkh/CDLEjYFfaKhl4CelwaoFiPQ
KWQ7ngViB+XRKnqt9csHvZxMbcwfCChrVWi9RllF0PsZ25cPjTQERpj4VEio
9Q+c5YU5lC4IDQ0EWvp54Hj5NKTx8VUWvAhXV2zcLB5rLDaxemxo0TbOttl8
Vp3DysIFm7MPudcGXGsJCWoJC2uMiAxZOC/tm23ZftfKgsOEkVGCiKiy8IjS
sPDCkJDioKDSO3cKb91Mu36tKiRSEJtWGZVSk5zdmpLzdN13Txdu67JZJjZ9
76nt3IdrtzzYe7j1hGfLxSvNV661el7o2Pvtgx27m05Rf614il6lpzLm4JVa
9GZMUEtDlFK0lww8TUQZbOOntKESuEZPf6eExveevVAAAoLrWRSt2NOVfZJP
yf7hXw+1dX0vExppyJX2Ji7tf+DalCQNIQ3Ra9sG0qk20l7QzAX3M1q+H3S8
fBoSanqZj8YLB64AhIjHa3XdLh6l1zVKr11Hv1HXQDTWtGb8ZJ7V/Jx5GzkH
vxb4Xay+4Su6dav61i3Ozz8WXvctvu1f4u8vCAgUBAYW37qVfv168rVrYMu4
ejXzypXYC+dLfG/zwxL4QbG1iZltabnPluwQO6zsdNnUeupiTXYOoyqCKsoB
EGHQ0rayiSLPQzkIV8O1CWsUGkIpIxCmhmrADF/dqXyjWu8JgnyJSnWqf+/3
1vK9Zy8ZUKvBcjhcBcM3+GgtPEt5WevLh0YaokyFhIM9/B4SGqK/jLR/L71k
ksbk0peQQBsSGqK/mkDtwf6B5dWmLBhEVzf53nruOKtzlF7NOLOaibaVVrZC
m0k8Q9N8HeNsI/u0mavjN3/Gu+lVfsOv3P92xR1/fsCdquBgUWxcbSa3Pr+o
LqegIT2zNia+MiiIc8Mv9qpXrNeVqCuXMq/5VIbHC6OSH1TV1kXEPp+8+vfl
m0T8skHReSCAMR9P36F6hiEcML840O39IwAuu7yc/zgDkdRQ/T8dQ/4fPQxi
vBK+xAxV//AHV48dg3unXjQGxdWi4mKB5/nwj9cH7tmTHxhUmZMjKCkRlpYK
i4srk5MLz5xNfn9VmPX84ElTOD//IORmN1VWtolEbXX1bU3N91va2lsVW3PL
g8bmjsam+w2NrbUNzVXCmoqKSj6/qozfJqp+9OBhe01N8axlT0xmNt64Myi2
ExD8uTDkNERA8IdFVWlpEZdLP44qFspzc8Ns5/jpG9wwNoqYM6dw3cYS96NZ
e49x9hzJ3Hck99BxsHEPHM13P8jf8U32VveUDV8lfOYWu37nTecl+6c6Rs9b
kL9kdan17DaL6Y8MrOvDyH+0SvAqAtYGD7UWBAR/MiAmCpjl9Mub/z45YozA
dq5k44nn+7ybvrsuOOIjOHpN+IOv6Mfrwh98ag9d/H37MeHGw/lr92Ws+zZ9
1cGi5bt8jO02vvF6pZFZnfGEJkPz+7oGNX43h9osAgICAoI/E8rS0o6OHO7x
+ptn39HvmuwiWbZXsun0E7eLD/Z6tRz0bvDwrj10tcbjSsO+i+0bj7as+7Z6
xYHyNYf5y3bxnT6vmvxhpJ55/CjdyrGGVXpG9Tp6Fd8dHWqDCAgICAj+PBAI
kn788cib7+7/v9dTdMdJHN6XzNkgWbZb8slPkq1nn3198fHuK527L993v/Rg
57nfPj32ePV3vy37pn353ntzNtZMcqk0nV5mZJU1Wi911Oji0XplI3XLFi0V
VlEL4QgICAgICNSiSiDITUw8NFLH45+vPzOxlk6cKZm0WDJtjWzWZtnifdI1
30s2/Nq98WT3phPP133/fOWhrkV7njq5ds5c/8hycfPUJTV2s/ijDXOGj4ob
PjJ+pA5nhG6OoXGFuqUoAgICAgICtcgIDV3/93+kDB8pNZkgHW8nM50msXPu
ctny++aDzz50k87cIlm0W7LIXeK8s9tp29MpH/9us/ypyezWo7+IioqFYAsK
Llm5OmXM2MC33ol8e0TcuyNzvTW/QY6AgICAgADiyv59B//1L5m+vsxgnNTM
utP1q7pU5ZPLovKKhx4nZXYrpFP+K53yUbfd8qcWzl2G03775AuKEF5sbMJS
lytv/Mf/P29HOi8ieTkCAgICAm1QJRBstbYSDB8p09Pres+pITqG3qbzKw+Z
zWLpxLkSG+cnxtO6jB3r45PUSuNcunRGR/fCsDdq1ckhICAgICCgICs5+ei/
/y3T0ev48isRwzvuqotKxLOWyl+UbT7tmZH9o8WrhAIBk8Di5OTjxkZx06eT
CREBAQEBgUb8vGVz24jRTZ7n2Js13wyQjbeXmTmKDa3aftXw/kwel/uzpYXo
0uXBU5OAgICA4C+IHA7n0tvD205d0Kbx74s/lBlNkBpb18TFa2zMz8uLcd1a
nZM7YB0JCAgICP6yuPT1zta9h7Vs3HLJS2Zs02ntWFFYqE378sLCCkJDBAQE
BAQMyMrI4B//Rfv2osrKbodZ9xcseXEqERAQEBC8OqgoLu5rFcGTlRu4HwzZ
/25JQEBAQPBHw/8DCp03+A==
        "], {{0, 0}, {557, 41}}, {0, 255}, 
        ColorFunction -> RGBColor], ImageSize -> {557, 41}, 
       PlotRange -> {{0, 557}, {0, 41}}]], "DockedCell", Background -> 
     GrayLevel[0.866682], CellFrame -> {{0, 0}, {0, 4}}, CellFrameColor -> 
     RGBColor[0.690074, 0.12871, 0.194598], CellMargins -> {{0, 0}, {-3, 0}}, 
     CellFrameMargins -> 0, ContextMenu -> None, 
     ComponentwiseContextMenu -> {}], 
    Cell[
     BoxData[
      GridBox[{{
         GraphicsBox[
          RasterBox[CompressedData["
1:eJztWl1Ik1EYFrqNEoLMbHPmNkRrEhJERj93ra4cJvbDRIsyMk1pc03tTL1w
aD+LfkQIJBkR/dBFdtHFDLywCykqoqgLIYRu6jbb8me933e+HT/P2fZN+sZ0
vg9n43zfec973nPe57zvOWNFDS2OhnU5OTlG+LyBj1S/ikAgEAgEAoFAIBAI
xEpFMBh8jUgPYG0z7d7MAOYedm/Bko4Ca5tp92YGSCokle5AUiGpdAeSCkml
O0RS/R1tjEajUIHvyIhdehPyLNZjrVSAgT5CK1Tmf32e+/qcdYEy+/4+vKTd
oQJN89PjojbaHcrCzE8qn0RGfIxrEjcF0SomD49hYqDDUUSGKtUKWRMYz42L
pFJDg1RPamGdlRWGuuDi2Yl+WHkoiy72W6jjgFeSm/wWKEAScCvtCxWpSzxt
1FPU9dJ76Lt8UnEmcVMQrWImUQE6nKJB7sgUKpb4LcpEtHiFpEpEKim2TI8n
IhXv4pAHXCAJEAPIq7d5JFAOYYEGKHEstTbQAJKSx+XH5ZKKE+CmIFq1ZC/E
SBVXoboJyMliKZKKgyapwLlK1ohHKgpYYfGRbnNpg4c8dP3prtckFQ0gUm5K
miKpVZxnRZP4KcSziiU1bjhOobpJ2TtIqnhITipYZ7byydJfoDzMpT9ZWMo1
EHbgBBLyhOWzlmakUtKQnB/VuUYkFbWNjZXIJHEKnFVL0t+IXSQVU4iRKkUk
JxVzhJI7hirpDpXOGzJ5eFLFvMNORxAlaJZhmtmZStQGAvSQA/FECSksH/kt
VLMyokw5qHDOFU3ipiBaxZmtTSo8U2lBI1LF/BWNXZ0Y1LckLo9IqQdYIWdA
9T0uvPT2J2qjrUr2lGMRSzrq4eiIVIxFGC5bMZO4KYhWcWYnSn8gv3j7k+vJ
GbVaSNXt9fo6O/XVib9Tpa+sClLdvtB0q+WSvjqRVGucVA/q6p9V1+irE0m1
xkk1cuLk2O49+upEUq1xUg1X14yZraSrS0ed+H+q9GFV/J+qx25/u9U40Nqa
aUMQ2YMrFRWf8g0vDh9JvUvgYjPR+8KIyA5AyiNeb1Pe5ql840xxSV97eyq9
Hp1y3nE602waYoXC19GRqInIGHC57lY53Lm53/O2RQ3Fr6qqNXUG609/LLX1
ulOiHyL74D/XeLPxvPiexHDtsuulyexbv2GqwLRgNP8xl/W7XAQE1IUQ1nHw
zNl5o2XYoc09RLbC5/E8te26V9+gfskY5SPkuss1abLc2Ljpm9E8Z7FFt++c
POroJoQWn1wotQAPj9XMFZp/m6y9bndGpoNYCZBikbNuoqBwsPY4IxIrQJu+
trYf5pLRfOOXotJw6d7Zsv0LtkOPzzb1ENKjolagueVD5YGodUfEZH2372Cm
p4X4X/wDFcRtOg==
           "], {{0, 0}, {199, 30}}, {0, 255}, ColorFunction -> 
           RGBColor], ImageSize -> {199, 30}, 
          PlotRange -> {{0, 199}, {0, 30}}], 
         ButtonBox[
          GraphicsBox[
           RasterBox[CompressedData["
1:eJztlDFuhFAMRJHS5w45Re6RI+wFcoOUtNtR0lJSUlNSUtNS0m9JXjTKaPQh
UfpgCeT1n2+Px15ebu9vt6eqqp55Xnm+/I/L/p+1bbtt277vvJumIcKbnwWs
73vBsHVdE1bXNQ55Ho8HMOEd3L9tWRZ+6tRBrrjEMAwigHO/37M6SII40zRB
Q7QLkpQWjKOu63RqGHHVIoOYYAR16oucinYGxUo2jqMIzPNMnpQRPF2nMkeS
cCBDXsm7ZNZp6oZRS3wsIBFNIYM2iY8gYmJA8imqawHcOAKqio4KSp4O7Qjp
K1nOUygasaG2hoKSaud3krkArggZzyhhTohP3Uz7E0mNu9g98oj26exOSTon
fRUtn8IUJL+W80gyuz6OW3mgrSXXEv5dSaRTaRz9KQpY/knxtVomKdFQxvFT
JZFR6pFBJWT5tbEvR9+H3F6S+GOSMC+DTHtrHYyh32Qu855cdhn2CUundjY=

            "], {{0, 0}, {55, 14}}, {0, 255}, ColorFunction -> RGBColor], 
           ImageSize -> {55, 14}, PlotRange -> {{0, 55}, {0, 14}}], 
          ButtonData -> {
            URL["http://store.wolfram.com/view/app/playerpro/"], None}, 
          ButtonNote -> "http://store.wolfram.com/view/app/playerpro/"], 
         GraphicsBox[
          
          RasterBox[{{{132, 132, 132}, {156, 155, 155}}, {{138, 137, 137}, {
           171, 169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 137, 
           137}, {171, 169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 
           137, 137}, {171, 169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{
           138, 137, 137}, {171, 169, 169}}, {{138, 137, 137}, {171, 169, 
           169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 137, 137}, {171, 
           169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 137, 137}, {
           171, 169, 169}}, {{135, 135, 135}, {167, 166, 166}}}, {{0, 0}, {2, 
           14}}, {0, 255}, ColorFunction -> RGBColor], ImageSize -> {2, 14}, 
          PlotRange -> {{0, 2}, {0, 14}}], 
         ButtonBox[
          GraphicsBox[
           RasterBox[CompressedData["
1:eJztlSGSg2AMhTuzfu+wB1qzR+gF9gbIWhwSW4lEV1ZWYyvxSPZb3vAmDdDq
zpCZdvKH5CUvfwhfx9+f48fhcPjk983vXy922eU9paqqcRx9HGcZhiE+PZ1O
KHVd24KOgt0WFKLQ27ZdJrper0JGcS5CVqs6n89yRpGl73tZBK6kkvv97kCe
ChOlLEvbVW2kiYPoxKcYRdwWld00jS2EcFSFMYXCqbOcBJzL5aJcxK7SFEFB
GQFn8AWupPUkMRfIJEK53W5d1z2hGVP7yohVbfanWoxAJQTfeywbT1+xK9mi
GQGTj8FT0uRAN3Tdjl3SlNANP5WoabIIRP+x52ojLEgXs8fxs7+R1cCXNFH6
SVJhKZwx0+BxBZ7nraGNpBSrEFlA1khgRDcCRg1navIWTeVKPVmliaeaL+c4
tCmcknRHfjtWaS6HNtYmC1wYjGJ+6eKjJcficWgVssz1nGbabFtD682gZaIO
MHXqkq/vyW3GFaQXliNuOhbz9lOHU3a6SrhWkCmnXC9pUoPBt1aQpquYrtJt
0f6Pazkd497W1MkSlxierkrrN254iz8oHqS0ByzxGzfOHx2yq9plYSl8l13e
Xf4ArlmHrg==
            "], {{0, 0}, {77, 14}}, {0, 255}, ColorFunction -> 
            RGBColor], ImageSize -> {77, 14}, 
           PlotRange -> {{0, 77}, {0, 14}}], ButtonData -> {
            URL[
            "http://www.wolfram.com/solutions/interactivedeployment/\
licensingterms.html"], None}, ButtonNote -> 
          "http://www.wolfram.com/solutions/interactivedeployment/\
licensingterms.html"]}}, ColumnsEqual -> False, 
       GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}]], 
     "DockedCell", Background -> GrayLevel[0.494118], 
     CellFrame -> {{0, 0}, {4, 0}}, CellFrameColor -> 
     RGBColor[0.690074, 0.12871, 0.194598], CellMargins -> 0, 
     CellFrameMargins -> {{0, 0}, {0, -1}}, ContextMenu -> None, 
     ComponentwiseContextMenu -> {}, 
     ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
          NotebookLocate[#2]}]& ), Appearance -> None, ButtonFrame -> None, 
       Evaluator -> None, Method -> "Queued"}]}, 
   FEPrivate`If[
    FEPrivate`SameQ[
     FrontEnd`CurrentValue[
      FrontEnd`EvaluationNotebook[], ScreenStyleEnvironment], "SlideShow"], {
    Inherited}, {}]], Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 37643, 845, 19, "Input",
 CellOpen->False],
Cell[38213, 869, 24999, 455, 516, "Output"]
}, Open  ]],
Cell[63227, 1327, 92, 1, 32, "Input"],
Cell[63322, 1330, 2094, 43, 47, "Text"]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature zxpTovevFEou3BKvduZ#RR0U *)
