(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     46672,        957]
NotebookOptionsPosition[     30016,        655]
NotebookOutlinePosition[     46567,        952]
CellTagsIndexPosition[     46524,        949]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Style", " ", "Definitions"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{"titleStyle", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", "\[Rule]", "\"\<Liberation Sans\>\""}], ",", 
       "14", ",", "Bold", ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
       RowBox[{"Background", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}]}], "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"textStyle", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", "\[Rule]", "\"\<Liberation Sans\>\""}], ",", 
       "12", ",", "Bold", ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
       RowBox[{"Background", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}]}], "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"plotLabelStyle", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", "14", ",", 
       "Plain", ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
       RowBox[{"Background", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"x", "^", "2"}]}], "-", 
     RowBox[{"y", "^", "2"}], "+", "16"}]}], "\n", 
   RowBox[{
    RowBox[{"xAxesMax", "=", "2.5"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"yAxesMax", "=", "xAxesMax"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"numberOfDiscrX", "=", "10"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"numberOfDiscrY", "=", "numberOfDiscrX"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"currentWidthOfCuboid", "=", 
     RowBox[{"Dynamic", "[", 
      RowBox[{"Min", "[", 
       RowBox[{
        RowBox[{"xAxesMax", "/", "numberOfDiscrX"}], ",", 
        RowBox[{"yAxesMax", "/", "numberOfDiscrY"}]}], "]"}], "]"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"exactDefiniteIntegral", "=", 
     RowBox[{"Integrate", "[", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"x", ",", "y"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "xAxesMax"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", "0", ",", "yAxesMax"}], "}"}]}], "]"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"explanationWindowContent", "=", 
     RowBox[{"Column", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<\n     \n\!\(\*
StyleBox[\"Ziel\",
FontSize->16]\)\!\(\*
StyleBox[\":\",
FontSize->16]\)\nIn dieser Visualisierung sehen Sie eine Funktion f \
\[UDoubleDot]ber einem (rechteckigen) Gebiet G des \
\!\(\*SuperscriptBox[\(R\), \(2\)]\). In einer ersten N\[ADoubleDot]herung f\
\[UDoubleDot]r das Gebietsintegral von f \[UDoubleDot]ber G sind vier Quader \
dargestellt, die das Gebiet gleichm\[ADoubleDot]ssig unterteilen. Dem N\
\[ADoubleDot]herungswert f\[UDoubleDot]r das Integral entspricht (im ersten \
Schritt sehr grob) die Summe der Volumina dieser vier Quadern.\n\n\!\(\*
StyleBox[\"Aktivit\[ADoubleDot]t\",
FontSize->16]\)\!\(\*
StyleBox[\":\",
FontSize->16]\)\nErh\[ODoubleDot]hen Sie nun mit dem Schieberegler oder dem \
+-Button schrittweise die Anzahl approximierender Quader. Sie sehen an den \
eingeblendeten Werten, wie sich durch diese Verfeinerung, die Genauigkeit erh\
\[ODoubleDot]ht und immer besser dem Volumen unter der Funktion entspricht. \
Seien Sie sich aber auch bewusst, dass das Gebietsintegral selbst als \
Grenzwert dieses Grenzprozesses definiert ist.\n\n\!\(\*
StyleBox[\"Tipps\",
FontSize->16]\)\!\(\*
StyleBox[\":\",
FontSize->16]\)\nSie k\[ODoubleDot]nnen mit dem Regler f\[UDoubleDot]r die \
Transparenz der Quader einstellen, wie stark der Graph der Funktion in \
Erscheinung tritt. So k\[ODoubleDot]nnen Sie einerseits mehr die Folge der \
Quader visualisieren oder andererseits mehr sehen, wie sich das \
Quadervolumina an das Volumen unter dem Funktionsgraphen \
ann\[ADoubleDot]hert.\n\nHalten Sie die linke Maustaste gedr\[UDoubleDot]ckt \
und \\\" draggen \\\" Sie mit der Maus auf dem Graphen, um ihn zu drehen.\n\
Mit <Ctrl> und \\\" Mausdrag \\\" k\[ODoubleDot]nnen Sie zudem in den Graphen \
hinein- bzw. hinauszoomen.\n\n     \n     \>\"", ",", 
          RowBox[{"BaseStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"14", ",", "Black", ",", "Plain"}], "}"}]}]}], "]"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Left", ",", "Top"}], "}"}]}], "]"}]}], ";"}]}]}]], "Input",
 CellOpen->False,
 CellChangeTimes->{{3.446182608835973*^9, 3.4461826445352993`*^9}, {
   3.446182684562451*^9, 3.446182688959125*^9}, 3.446182720569936*^9, 
   3.446182751310655*^9, {3.4461827846889353`*^9, 3.446182896228187*^9}, {
   3.44618295049251*^9, 3.446182977929429*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TabView", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Style", "[", 
      RowBox[{"\"\<Gebietsintegral als Grenzprozess\>\"", ",", "titleStyle"}],
       "]"}], "\[Rule]", 
     RowBox[{"Column", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"(*", 
         RowBox[{"First", " ", "Row", " ", 
          RowBox[{"(", 
           RowBox[{
           "Header", " ", "and", " ", "Explanation", " ", "Button"}]}]}], 
         "*)"}], 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Button", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<Erkl\[ADoubleDot]rung\>\"", ",", "9"}], "]"}], 
              ",", 
              RowBox[{"CreateDocument", "[", 
               RowBox[{
                RowBox[{"TextCell", "[", 
                 RowBox[{
                 "Pane", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                  RowBox[{"(*", " ", 
                   RowBox[{"ISSUE", ":", " ", 
                    RowBox[{
                    RowBox[{"Doesn", "'"}], "t", " ", "work", " ", "by", " ", 
                    "defining", " ", "text", " ", "in", " ", "init", " ", 
                    "cell", " ", "after", " ", "converting", " ", "to", " ", 
                    "a", " ", "player", " ", "notebook", 
                    "\[IndentingNewLine]", "  ", 
                    RowBox[{"Workaround", ":", " ", 
                    RowBox[{
                    "Directly", " ", "defining", " ", "text", " ", "here", 
                    " ", "in", " ", "the", " ", "manipulate", " ", 
                    "command"}]}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
                  RowBox[{"(*", " ", "explanationWindowContent", " ", "*)"}], 
                  "\[IndentingNewLine]", "\[IndentingNewLine]", 
                  RowBox[{"Column", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Text", "[", 
                    RowBox[{"\"\<\n     \n\!\(\*
StyleBox[\"Ziel\",
FontSize->16]\)\!\(\*
StyleBox[\":\",
FontSize->16]\)\nIn dieser Visualisierung sehen Sie eine Funktion f \
\[UDoubleDot]ber einem (rechteckigen) Gebiet G des \
\!\(\*SuperscriptBox[\(R\), \(2\)]\). In einer ersten N\[ADoubleDot]herung f\
\[UDoubleDot]r das Gebietsintegral von f \[UDoubleDot]ber G sind vier Quader \
dargestellt, die das Gebiet gleichm\[ADoubleDot]ssig unterteilen. Dem N\
\[ADoubleDot]herungswert f\[UDoubleDot]r das Integral entspricht (im ersten \
Schritt sehr grob) die Summe der Volumina dieser vier Quadern.\n\n\!\(\*
StyleBox[\"Aktivit\[ADoubleDot]t\",
FontSize->16]\)\!\(\*
StyleBox[\":\",
FontSize->16]\)\nErh\[ODoubleDot]hen Sie nun mit dem Schieberegler oder dem \
+-Button schrittweise die Anzahl approximierender Quader. Sie sehen an den \
eingeblendeten Werten, wie sich durch diese Verfeinerung, die Genauigkeit erh\
\[ODoubleDot]ht und immer besser dem Volumen unter der Funktion entspricht. \
Seien Sie sich aber auch bewusst, dass das Gebietsintegral selbst als \
Grenzwert dieses Grenzprozesses definiert ist.\n\n\!\(\*
StyleBox[\"Tipps\",
FontSize->16]\)\!\(\*
StyleBox[\":\",
FontSize->16]\)\nSie k\[ODoubleDot]nnen mit dem Regler f\[UDoubleDot]r die \
Transparenz der Quader einstellen, wie stark der Graph der Funktion in \
Erscheinung tritt. So k\[ODoubleDot]nnen Sie einerseits mehr die Folge der \
Quader visualisieren oder andererseits mehr sehen, wie sich das \
Quadervolumina an das Volumen unter dem Funktionsgraphen \
ann\[ADoubleDot]hert.\n\nHalten Sie die linke Maustaste gedr\[UDoubleDot]ckt \
und \\\" draggen \\\" Sie mit der Maus auf dem Graphen, um ihn zu drehen.\n\
Mit <Ctrl> und \\\" Mausdrag \\\" k\[ODoubleDot]nnen Sie zudem in den Graphen \
hinein- bzw. hinauszoomen.\n\n     \n     \>\"", ",", 
                    RowBox[{"BaseStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"14", ",", "Black", ",", "Plain"}], "}"}]}]}], 
                    "]"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Left", ",", "Top"}], "}"}]}], "]"}], 
                  "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], "]"}], 
                ",", 
                RowBox[{"WindowFrame", "\[Rule]", "\"\<Normal\>\""}], ",", 
                RowBox[{"WindowSize", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"650", ",", "500"}], "}"}]}], ",", 
                RowBox[{
                "WindowTitle", "\[Rule]", "\"\<Erkl\[ADoubleDot]rung\>\""}]}],
                "]"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"90", ",", "20"}], "}"}]}], ",", 
              RowBox[{"Background", "\[Rule]", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"0.9", ",", "0.9", ",", "0.9"}], "]"}]}]}], "]"}], 
            ",", "\"\<  \>\""}], "}"}], "]"}], ",", 
         RowBox[{"Manipulate", "[", 
          RowBox[{
           RowBox[{"Labeled", "[", 
            RowBox[{
             RowBox[{"Show", "[", 
              RowBox[{
               RowBox[{"Plot3D", "[", 
                RowBox[{
                 RowBox[{"f", "[", 
                  RowBox[{"x", ",", "y"}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"x", ",", "0", ",", "xAxesMax"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"y", ",", "0", ",", "yAxesMax"}], "}"}], ",", 
                 RowBox[{"ImageSize", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"500", ",", "400"}], "}"}]}], ",", 
                 RowBox[{"ColorFunction", "\[Rule]", "\"\<NeonColors\>\""}], 
                 ",", 
                 RowBox[{"ViewPoint", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Pi", "/", "2"}], ",", 
                    RowBox[{"Pi", "/", "2"}], ",", "1"}], "}"}]}], ",", 
                 RowBox[{"Background", "\[Rule]", "White"}], ",", 
                 RowBox[{"PlotLabel", "\[Rule]", 
                  RowBox[{"Style", "[", 
                   RowBox[{
                    RowBox[{
                    "\"\<\\n Approximation des Gebietintegrals von\\n f(x,y) \
= \>\"", "<>", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], "]"}], "]"}], "<>", 
                    "\"\<\\n durch eine Folge von Quadern \\n\>\""}], ",", 
                    "textStyle", ",", "Plain"}], "]"}]}]}], "]"}], ",", 
               RowBox[{"Graphics3D", "[", 
                RowBox[{
                 RowBox[{"Table", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RGBColor", "[", 
                    RowBox[{
                    "0", ",", "0", ",", "1", ",", "cuboidTransparency"}], 
                    "]"}], ",", 
                    RowBox[{"Cuboid", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"i", "-", "1"}], ")"}], "*", 
                    RowBox[{"xAxesMax", "/", "numberOfDiscr"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"j", "-", "1"}], ")"}], "*", 
                    RowBox[{"yAxesMax", "/", "numberOfDiscr"}]}], ",", "0"}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"i", "*", 
                    RowBox[{"xAxesMax", "/", "numberOfDiscr"}]}], ",", 
                    RowBox[{"j", "*", 
                    RowBox[{"yAxesMax", "/", "numberOfDiscr"}]}], ",", 
                    RowBox[{"f", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"i", "-", "1"}], ")"}], "*", 
                    RowBox[{"xAxesMax", "/", "numberOfDiscr"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"j", "-", "1"}], ")"}], "*", 
                    RowBox[{"yAxesMax", "/", "numberOfDiscr"}]}]}], "]"}]}], 
                    "}"}]}], "]"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"i", ",", "1", ",", "numberOfDiscr"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"j", ",", "1", ",", "numberOfDiscr"}], "}"}]}], 
                  "]"}], ",", 
                 RowBox[{"Lighting", "\[Rule]", "\"\<Neutral\>\""}], ",", 
                 RowBox[{"Boxed", "\[Rule]", "True"}], ",", 
                 RowBox[{"AxesLabel", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                   "\"\<x\>\"", ",", "\"\<y\>\"", ",", "\"\<  f(x,y)\>\""}], 
                   "}"}]}], ",", 
                 RowBox[{"Axes", "\[Rule]", "True"}], ",", 
                 RowBox[{"PlotRange", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "xAxesMax"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "yAxesMax"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
                 RowBox[{"ImageSize", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"500", ",", "400"}], "}"}]}], ",", 
                 RowBox[{"BoxRatios", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"3.5", ",", "3.5", ",", "3"}], "}"}]}]}], "]"}]}], 
              "]"}], ",", 
             RowBox[{"(*", "Show", "*)"}], 
             RowBox[{"Text", "[", 
              RowBox[{"Style", "[", 
               RowBox[{
                RowBox[{"\"\<Exakter Wert: \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"TraditionalForm", "[", 
                   RowBox[{"Round", "[", 
                    RowBox[{"exactDefiniteIntegral", ",", "0.01"}], "]"}], 
                   "]"}], "]"}], "<>", 
                 "\"\<\\nAktuelle N\[ADoubleDot]herung: \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"TraditionalForm", "[", 
                   RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{"Sum", "[", 
                    RowBox[{
                    RowBox[{"Sum", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"xAxesMax", "/", "numberOfDiscr"}], ")"}], "*", 
                    RowBox[{"(", 
                    RowBox[{"yAxesMax", "/", "numberOfDiscr"}], ")"}], "*", 
                    RowBox[{"f", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"i", "-", "1"}], ")"}], "*", 
                    RowBox[{"xAxesMax", "/", "numberOfDiscr"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"j", "-", "1"}], ")"}], "*", 
                    RowBox[{"yAxesMax", "/", "numberOfDiscr"}]}]}], "]"}]}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "1", ",", "numberOfDiscr"}], "}"}]}], 
                    "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"j", ",", "1", ",", "numberOfDiscr"}], "}"}]}], 
                    "]"}], ",", "0.01"}], "]"}], "]"}], "]"}]}], ",", 
                "titleStyle", ",", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{
                  RowBox[{"112", "/", "255"}], ",", "0", ",", "0"}], "]"}]}], 
               "]"}], "]"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"numberOfDiscr", ",", "2", ",", 
               RowBox[{"Dynamic", "[", 
                RowBox[{"Style", "[", 
                 RowBox[{
                  RowBox[{
                  "\"\<Feinheit der Approximation:   \\nAnz. Volumenelemente \
= \>\"", "<>", 
                   RowBox[{"ToString", "[", 
                    RowBox[{"numberOfDiscr", "^", "2"}], "]"}], "<>", 
                   "\"\<\\n\\n\>\""}], ",", "textStyle"}], "]"}], "]"}]}], 
              "}"}], ",", "2", ",", "50", ",", "2", ",", 
             RowBox[{"Appearance", "\[Rule]", "\"\<Open\>\""}], ",", 
             RowBox[{"AppearanceElements", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
               "\"\<StepRightButton\>\"", ",", "\"\<StepLeftButton\>\""}], 
               "}"}]}], ",", 
             RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"cuboidTransparency", ",", "0.7", ",", 
               RowBox[{"Dynamic", "[", 
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<Transparenz der Quader: \>\"", ",", "textStyle"}], 
                 "]"}], "]"}]}], "}"}], ",", "0", ",", "1", ",", "0.1", ",", 
             RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
           RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
           RowBox[{"AppearanceElements", "\[Rule]", "None"}], ",", 
           RowBox[{"Paneled", "\[Rule]", "False"}]}], "]"}]}], " ", 
        RowBox[{"(*", "Manipulate", "*)"}], "}"}], ",", 
       RowBox[{"Alignment", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Top", ",", "Right"}], "}"}]}]}], "]"}]}], "}"}], ",", 
   RowBox[{"Background", "\[Rule]", 
    RowBox[{"RGBColor", "[", 
     RowBox[{"0.95", ",", "0.95", ",", "0.95"}], "]"}]}]}], "]"}]], "Input",
 CellOpen->False,
 CellChangeTimes->{{3.446183748084251*^9, 3.446183920729026*^9}}],

Cell[BoxData[
 TabViewBox[{{1,
  StyleBox["\<\"Gebietsintegral als Grenzprozess\"\>",
   StripOnInput->False,
   FrontFaceColor->RGBColor[0.35, 0.35, 0.35],
   BackFaceColor->RGBColor[0.35, 0.35, 0.35],
   GraphicsColor->RGBColor[0.35, 0.35, 0.35],
   FontFamily->"Liberation Sans",
   FontSize->14,
   FontWeight->Bold,
   FontColor->RGBColor[0.35, 0.35, 0.35],
   Background->RGBColor[1, 1, 1, 0]]->
  TagBox[GridBox[{
     {
      TemplateBox[{ButtonBox[
         StyleBox[
         "\"Erkl\[ADoubleDot]rung\"", StripOnInput -> False, FontSize -> 9], 
         Appearance -> Automatic, Background -> RGBColor[0.9, 0.9, 0.9], 
         ButtonFunction :> CreateDocument[
           TextCell[
            Pane[
             Column[{
               Text[
               "\n     \n\!\(\*\nStyleBox[\"Ziel\",\nFontSize->16]\)\!\(\*\n\
StyleBox[\":\",\nFontSize->16]\)\nIn dieser Visualisierung sehen Sie eine \
Funktion f \[UDoubleDot]ber einem (rechteckigen) Gebiet G des \
\!\(\*SuperscriptBox[\(R\), \(2\)]\). In einer ersten N\[ADoubleDot]herung f\
\[UDoubleDot]r das Gebietsintegral von f \[UDoubleDot]ber G sind vier Quader \
dargestellt, die das Gebiet gleichm\[ADoubleDot]ssig unterteilen. Dem N\
\[ADoubleDot]herungswert f\[UDoubleDot]r das Integral entspricht (im ersten \
Schritt sehr grob) die Summe der Volumina dieser vier Quadern.\n\n\!\(\*\n\
StyleBox[\"Aktivit\[ADoubleDot]t\",\nFontSize->16]\)\!\(\*\nStyleBox[\":\",\n\
FontSize->16]\)\nErh\[ODoubleDot]hen Sie nun mit dem Schieberegler oder dem \
+-Button schrittweise die Anzahl approximierender Quader. Sie sehen an den \
eingeblendeten Werten, wie sich durch diese Verfeinerung, die Genauigkeit erh\
\[ODoubleDot]ht und immer besser dem Volumen unter der Funktion entspricht. \
Seien Sie sich aber auch bewusst, dass das Gebietsintegral selbst als \
Grenzwert dieses Grenzprozesses definiert ist.\n\n\!\(\*\nStyleBox[\"Tipps\",\
\nFontSize->16]\)\!\(\*\nStyleBox[\":\",\nFontSize->16]\)\nSie \
k\[ODoubleDot]nnen mit dem Regler f\[UDoubleDot]r die Transparenz der Quader \
einstellen, wie stark der Graph der Funktion in Erscheinung tritt. So k\
\[ODoubleDot]nnen Sie einerseits mehr die Folge der Quader visualisieren oder \
andererseits mehr sehen, wie sich das Quadervolumina an das Volumen unter dem \
Funktionsgraphen ann\[ADoubleDot]hert.\n\nHalten Sie die linke Maustaste gedr\
\[UDoubleDot]ckt und \" draggen \" Sie mit der Maus auf dem Graphen, um ihn \
zu drehen.\nMit <Ctrl> und \" Mausdrag \" k\[ODoubleDot]nnen Sie zudem in den \
Graphen hinein- bzw. hinauszoomen.\n\n     \n     ", 
                BaseStyle -> {14, Black, Plain}]}, {Left, Top}]]], 
           WindowFrame -> "Normal", WindowSize -> {650, 500}, WindowTitle -> 
           "Erkl\[ADoubleDot]rung"], Evaluator -> Automatic, 
         ImageSize -> {90, 20}, Method -> "Preemptive"],"\"  \""},
       "Row",
       DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
       InterpretationFunction->(RowBox[{"Row", "[", 
          RowBox[{"{", 
            RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
     {
      TagBox[
       StyleBox[
        DynamicModuleBox[{$CellContext`cuboidTransparency$$ = 
         0.7, $CellContext`numberOfDiscr$$ = 2, Typeset`show$$ = True, 
         Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
         Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
         "\"untitled\"", Typeset`specs$$ = {{{
            Hold[$CellContext`numberOfDiscr$$], 2, 
            Dynamic[
             Style[
              StringJoin[
              "Feinheit der Approximation:   \nAnz. Volumenelemente = ", 
               ToString[$CellContext`numberOfDiscr$$^2], 
               "\n\n"], $CellContext`textStyle]]}, 2, 50, 2}, {{
            Hold[$CellContext`cuboidTransparency$$], 0.7, 
            Dynamic[
             Style["Transparenz der Quader: ", $CellContext`textStyle]]}, 0, 
           1, 0.1}}, Typeset`size$$ = {500., {246., 203.}}, Typeset`update$$ =
          0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
         False, $CellContext`numberOfDiscr$931$$ = 
         0, $CellContext`cuboidTransparency$932$$ = 0}, 
         DynamicBox[Manipulate`ManipulateBoxes[
          1, StandardForm, 
           "Variables" :> {$CellContext`cuboidTransparency$$ = 
             0.7, $CellContext`numberOfDiscr$$ = 2}, "ControllerVariables" :> {
             
             Hold[$CellContext`numberOfDiscr$$, \
$CellContext`numberOfDiscr$931$$, 0], 
             
             Hold[$CellContext`cuboidTransparency$$, \
$CellContext`cuboidTransparency$932$$, 0]}, 
           "OtherVariables" :> {
            Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
             Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
             Typeset`specs$$, Typeset`size$$, Typeset`update$$, 
             Typeset`initDone$$, Typeset`skipInitDone$$}, "Body" :> Labeled[
             Show[
              Plot3D[
               $CellContext`f[$CellContext`x, $CellContext`y], \
{$CellContext`x, 0, $CellContext`xAxesMax}, {$CellContext`y, 
                0, $CellContext`yAxesMax}, ImageSize -> {500, 400}, 
               ColorFunction -> "NeonColors", ViewPoint -> {Pi/2, Pi/2, 1}, 
               Background -> White, PlotLabel -> Style[
                 StringJoin[
                 "\n Approximation des Gebietintegrals von\n f(x,y) = ", 
                  ToString[
                   TraditionalForm[
                    $CellContext`f[$CellContext`x, $CellContext`y]]], 
                  "\n durch eine Folge von Quadern \n"], \
$CellContext`textStyle, Plain]], 
              Graphics3D[
               Table[{
                 RGBColor[0, 0, 1, $CellContext`cuboidTransparency$$], 
                 
                 Cuboid[{($CellContext`i - 
                    1) ($CellContext`xAxesMax/$CellContext`numberOfDiscr$$), \
($CellContext`j - 1) ($CellContext`yAxesMax/$CellContext`numberOfDiscr$$), 
                   0}, {$CellContext`i \
($CellContext`xAxesMax/$CellContext`numberOfDiscr$$), $CellContext`j \
($CellContext`yAxesMax/$CellContext`numberOfDiscr$$), 
                   $CellContext`f[($CellContext`i - 
                    1) ($CellContext`xAxesMax/$CellContext`numberOfDiscr$$), \
($CellContext`j - 
                    1) ($CellContext`yAxesMax/$CellContext`numberOfDiscr$$)]}]\
}, {$CellContext`i, 1, $CellContext`numberOfDiscr$$}, {$CellContext`j, 
                 1, $CellContext`numberOfDiscr$$}], Lighting -> "Neutral", 
               Boxed -> True, AxesLabel -> {"x", "y", "  f(x,y)"}, Axes -> 
               True, PlotRange -> {{0, $CellContext`xAxesMax}, {
                 0, $CellContext`yAxesMax}, {0, Automatic}}, 
               ImageSize -> {500, 400}, BoxRatios -> {3.5, 3.5, 3}]], 
             Text[
              Style[
               StringJoin["Exakter Wert: ", 
                ToString[
                 TraditionalForm[
                  Round[$CellContext`exactDefiniteIntegral, 0.01]]], 
                "\nAktuelle N\[ADoubleDot]herung: ", 
                ToString[
                 TraditionalForm[
                  Round[
                   Sum[
                    
                    Sum[(($CellContext`xAxesMax/$CellContext`numberOfDiscr$$) \
($CellContext`yAxesMax/$CellContext`numberOfDiscr$$)) \
$CellContext`f[($CellContext`i - 
                    1) ($CellContext`xAxesMax/$CellContext`numberOfDiscr$$), \
($CellContext`j - 
                    1) ($CellContext`yAxesMax/$CellContext`numberOfDiscr$$)], \
{$CellContext`i, 1, $CellContext`numberOfDiscr$$}], {$CellContext`j, 
                    1, $CellContext`numberOfDiscr$$}], 
                   0.01]]]], $CellContext`titleStyle, 
               RGBColor[112/255, 0, 0]]]], 
           "Specifications" :> {{{$CellContext`numberOfDiscr$$, 2, 
               Dynamic[
                Style[
                 StringJoin[
                 "Feinheit der Approximation:   \nAnz. Volumenelemente = ", 
                  ToString[$CellContext`numberOfDiscr$$^2], 
                  "\n\n"], $CellContext`textStyle]]}, 2, 50, 2, Appearance -> 
              "Open", AppearanceElements -> {
               "StepRightButton", "StepLeftButton"}, ControlPlacement -> 
              Left}, {{$CellContext`cuboidTransparency$$, 0.7, 
               Dynamic[
                Style["Transparenz der Quader: ", $CellContext`textStyle]]}, 
              0, 1, 0.1, ControlPlacement -> Left}}, 
           "Options" :> {AppearanceElements -> None, Paneled -> False}, 
           "DefaultOptions" :> {}],
          ImageSizeCache->{949., {232., 237.}},
          SingleEvaluation->True],
         Deinitialization:>None,
         DynamicModuleValues:>{},
         Initialization:>({$CellContext`f[
              Pattern[$CellContext`x, 
               Blank[]], 
              Pattern[$CellContext`y, 
               Blank[]]] := -$CellContext`x^2 - $CellContext`y^2 + 
             16, $CellContext`xAxesMax = 2.5, $CellContext`yAxesMax = 
            2.5, $CellContext`textStyle = {
             FontFamily -> "Liberation Sans", 12, Bold, 
              RGBColor[0.35, 0.35, 0.35], Background -> 
              RGBColor[1, 1, 1, 0]}, $CellContext`exactDefiniteIntegral = 
            73.95833333333333, $CellContext`titleStyle = {
             FontFamily -> "Liberation Sans", 14, Bold, 
              RGBColor[0.35, 0.35, 0.35], Background -> 
              RGBColor[1, 1, 1, 0]}}; Typeset`initDone$$ = True),
         SynchronousInitialization->True,
         UnsavedVariables:>{Typeset`initDone$$},
         UntrackedVariables:>{Typeset`size$$}], "Manipulate",
        Deployed->True,
        StripOnInput->False],
       Manipulate`InterpretManipulate[1]]}
    },
    GridBoxAlignment->{"Columns" -> {{Top}}, "Rows" -> {{Right}}},
    GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
   "Column"]}}, 1,
  Background->RGBColor[0.95, 0.95, 0.95]]], "Output",
 CellChangeTimes->{3.4461830431236877`*^9, 3.446183160212665*^9, 
  3.446183954141308*^9}]
}, Open  ]],

Cell["\<\
\[Copyright] 2009 Projekt LEMUREN, Lernen Multimedial, Departement \
Mathematik, ETH Z\[UDoubleDot]rich
20090313-1020\
\>", "Text",
 CellChangeTimes->{{3.446183449669383*^9, 3.446183477153606*^9}, {
  3.446183988887621*^9, 3.446184006151177*^9}},
 FontFamily->"Liberation Sans",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
},
WindowSize->{1077, 818},
WindowMargins->{{4, Automatic}, {25, Automatic}},
DockedCells->FEPrivate`If[
  FEPrivate`SameQ[FEPrivate`$ProductIDName, "MathematicaPlayer"], 
  FEPrivate`Join[{
    Cell[
     BoxData[
      GraphicsBox[
       RasterBox[CompressedData["
1:eJztXXdYFNfaz3O/f+79vudek3vTLKBIEaQpTRC7BgtqLCTWGxNjYsFookE0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        "], {{0, 0}, {557, 41}}, {0, 255}, 
        ColorFunction -> RGBColor], ImageSize -> {557, 41}, 
       PlotRange -> {{0, 557}, {0, 41}}]], "DockedCell", Background -> 
     GrayLevel[0.866682], CellFrame -> {{0, 0}, {0, 4}}, CellFrameColor -> 
     RGBColor[0.690074, 0.12871, 0.194598], CellMargins -> {{0, 0}, {-3, 0}}, 
     CellFrameMargins -> 0, ContextMenu -> None, 
     ComponentwiseContextMenu -> {}], 
    Cell[
     BoxData[
      GridBox[{{
         GraphicsBox[
          RasterBox[CompressedData["
1:eJztWl1Ik1EYFrqNEoLMbHPmNkRrEhJERj93ra4cJvbDRIsyMk1pc03tTL1w
aD+LfkQIJBkR/dBFdtHFDLywCykqoqgLIYRu6jbb8me933e+HT/P2fZN+sZ0
vg9n43zfec973nPe57zvOWNFDS2OhnU5OTlG+LyBj1S/ikAgEAgEAoFAIBAI
xEpFMBh8jUgPYG0z7d7MAOYedm/Bko4Ca5tp92YGSCokle5AUiGpdAeSCkml
O0RS/R1tjEajUIHvyIhdehPyLNZjrVSAgT5CK1Tmf32e+/qcdYEy+/4+vKTd
oQJN89PjojbaHcrCzE8qn0RGfIxrEjcF0SomD49hYqDDUUSGKtUKWRMYz42L
pFJDg1RPamGdlRWGuuDi2Yl+WHkoiy72W6jjgFeSm/wWKEAScCvtCxWpSzxt
1FPU9dJ76Lt8UnEmcVMQrWImUQE6nKJB7sgUKpb4LcpEtHiFpEpEKim2TI8n
IhXv4pAHXCAJEAPIq7d5JFAOYYEGKHEstTbQAJKSx+XH5ZKKE+CmIFq1ZC/E
SBVXoboJyMliKZKKgyapwLlK1ohHKgpYYfGRbnNpg4c8dP3prtckFQ0gUm5K
miKpVZxnRZP4KcSziiU1bjhOobpJ2TtIqnhITipYZ7byydJfoDzMpT9ZWMo1
EHbgBBLyhOWzlmakUtKQnB/VuUYkFbWNjZXIJHEKnFVL0t+IXSQVU4iRKkUk
JxVzhJI7hirpDpXOGzJ5eFLFvMNORxAlaJZhmtmZStQGAvSQA/FECSksH/kt
VLMyokw5qHDOFU3ipiBaxZmtTSo8U2lBI1LF/BWNXZ0Y1LckLo9IqQdYIWdA
9T0uvPT2J2qjrUr2lGMRSzrq4eiIVIxFGC5bMZO4KYhWcWYnSn8gv3j7k+vJ
GbVaSNXt9fo6O/XVib9Tpa+sClLdvtB0q+WSvjqRVGucVA/q6p9V1+irE0m1
xkk1cuLk2O49+upEUq1xUg1X14yZraSrS0ed+H+q9GFV/J+qx25/u9U40Nqa
aUMQ2YMrFRWf8g0vDh9JvUvgYjPR+8KIyA5AyiNeb1Pe5ql840xxSV97eyq9
Hp1y3nE602waYoXC19GRqInIGHC57lY53Lm53/O2RQ3Fr6qqNXUG609/LLX1
ulOiHyL74D/XeLPxvPiexHDtsuulyexbv2GqwLRgNP8xl/W7XAQE1IUQ1nHw
zNl5o2XYoc09RLbC5/E8te26V9+gfskY5SPkuss1abLc2Ljpm9E8Z7FFt++c
POroJoQWn1wotQAPj9XMFZp/m6y9bndGpoNYCZBikbNuoqBwsPY4IxIrQJu+
trYf5pLRfOOXotJw6d7Zsv0LtkOPzzb1ENKjolagueVD5YGodUfEZH2372Cm
p4X4X/wDFcRtOg==
           "], {{0, 0}, {199, 30}}, {0, 255}, ColorFunction -> 
           RGBColor], ImageSize -> {199, 30}, 
          PlotRange -> {{0, 199}, {0, 30}}], 
         ButtonBox[
          GraphicsBox[
           RasterBox[CompressedData["
1:eJztlDFuhFAMRJHS5w45Re6RI+wFcoOUtNtR0lJSUlNSUtNS0m9JXjTKaPQh
UfpgCeT1n2+Px15ebu9vt6eqqp55Xnm+/I/L/p+1bbtt277vvJumIcKbnwWs
73vBsHVdE1bXNQ55Ho8HMOEd3L9tWRZ+6tRBrrjEMAwigHO/37M6SII40zRB
Q7QLkpQWjKOu63RqGHHVIoOYYAR16oucinYGxUo2jqMIzPNMnpQRPF2nMkeS
cCBDXsm7ZNZp6oZRS3wsIBFNIYM2iY8gYmJA8imqawHcOAKqio4KSp4O7Qjp
K1nOUygasaG2hoKSaud3krkArggZzyhhTohP3Uz7E0mNu9g98oj26exOSTon
fRUtn8IUJL+W80gyuz6OW3mgrSXXEv5dSaRTaRz9KQpY/knxtVomKdFQxvFT
JZFR6pFBJWT5tbEvR9+H3F6S+GOSMC+DTHtrHYyh32Qu855cdhn2CUundjY=

            "], {{0, 0}, {55, 14}}, {0, 255}, ColorFunction -> RGBColor], 
           ImageSize -> {55, 14}, PlotRange -> {{0, 55}, {0, 14}}], 
          ButtonData -> {
            URL["http://store.wolfram.com/view/app/playerpro/"], None}, 
          ButtonNote -> "http://store.wolfram.com/view/app/playerpro/"], 
         GraphicsBox[
          
          RasterBox[{{{132, 132, 132}, {156, 155, 155}}, {{138, 137, 137}, {
           171, 169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 137, 
           137}, {171, 169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 
           137, 137}, {171, 169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{
           138, 137, 137}, {171, 169, 169}}, {{138, 137, 137}, {171, 169, 
           169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 137, 137}, {171, 
           169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 137, 137}, {
           171, 169, 169}}, {{135, 135, 135}, {167, 166, 166}}}, {{0, 0}, {2, 
           14}}, {0, 255}, ColorFunction -> RGBColor], ImageSize -> {2, 14}, 
          PlotRange -> {{0, 2}, {0, 14}}], 
         ButtonBox[
          GraphicsBox[
           RasterBox[CompressedData["
1:eJztlSGSg2AMhTuzfu+wB1qzR+gF9gbIWhwSW4lEV1ZWYyvxSPZb3vAmDdDq
zpCZdvKH5CUvfwhfx9+f48fhcPjk983vXy922eU9paqqcRx9HGcZhiE+PZ1O
KHVd24KOgt0WFKLQ27ZdJrper0JGcS5CVqs6n89yRpGl73tZBK6kkvv97kCe
ChOlLEvbVW2kiYPoxKcYRdwWld00jS2EcFSFMYXCqbOcBJzL5aJcxK7SFEFB
GQFn8AWupPUkMRfIJEK53W5d1z2hGVP7yohVbfanWoxAJQTfeywbT1+xK9mi
GQGTj8FT0uRAN3Tdjl3SlNANP5WoabIIRP+x52ojLEgXs8fxs7+R1cCXNFH6
SVJhKZwx0+BxBZ7nraGNpBSrEFlA1khgRDcCRg1navIWTeVKPVmliaeaL+c4
tCmcknRHfjtWaS6HNtYmC1wYjGJ+6eKjJcficWgVssz1nGbabFtD682gZaIO
MHXqkq/vyW3GFaQXliNuOhbz9lOHU3a6SrhWkCmnXC9pUoPBt1aQpquYrtJt
0f6Pazkd497W1MkSlxierkrrN254iz8oHqS0ByzxGzfOHx2yq9plYSl8l13e
Xf4ArlmHrg==
            "], {{0, 0}, {77, 14}}, {0, 255}, ColorFunction -> 
            RGBColor], ImageSize -> {77, 14}, 
           PlotRange -> {{0, 77}, {0, 14}}], ButtonData -> {
            URL[
            "http://www.wolfram.com/solutions/interactivedeployment/\
licensingterms.html"], None}, ButtonNote -> 
          "http://www.wolfram.com/solutions/interactivedeployment/\
licensingterms.html"]}}, ColumnsEqual -> False, 
       GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}]], 
     "DockedCell", Background -> GrayLevel[0.494118], 
     CellFrame -> {{0, 0}, {4, 0}}, CellFrameColor -> 
     RGBColor[0.690074, 0.12871, 0.194598], CellMargins -> 0, 
     CellFrameMargins -> {{0, 0}, {0, -1}}, ContextMenu -> None, 
     ComponentwiseContextMenu -> {}, 
     ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
          NotebookLocate[#2]}]& ), Appearance -> None, ButtonFrame -> None, 
       Evaluator -> None, Method -> "Queued"}]}, 
   FEPrivate`If[
    FEPrivate`SameQ[
     FrontEnd`CurrentValue[
      FrontEnd`EvaluationNotebook[], ScreenStyleEnvironment], "SlideShow"], {
    Inherited}, {}]], Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 5110, 123, 19, "Input",
 CellOpen->False],
Cell[CellGroupData[{
Cell[5680, 147, 13978, 298, 19, "Input",
 CellOpen->False],
Cell[19661, 447, 10005, 194, 560, "Output"]
}, Open  ]],
Cell[29681, 644, 331, 9, 47, "Text"]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 6u02Cr@buvx8NC1Y3M4JsQ6@ *)
