(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    116486,       2525]
NotebookOptionsPosition[     99712,       2219]
NotebookOutlinePosition[    116321,       2518]
CellTagsIndexPosition[    116278,       2515]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Style", " ", "Definitions"}], " ", "*)"}], "\[IndentingNewLine]", 
  
  RowBox[{
   RowBox[{
    RowBox[{"titleStyle", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", " ", "\[Rule]", "\"\<Liberation Sans\>\""}], ",",
        "14", ",", "Bold", ",", " ", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
       RowBox[{"Background", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"textStyle", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", " ", "\[Rule]", "\"\<Liberation Sans\>\""}], ",",
        "12", ",", "Bold", ",", " ", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
       RowBox[{"Background", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"plotLabelStyle", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", " ", "\[Rule]", "\"\<Times\>\""}], ",", "14", 
       ",", "Plain", ",", " ", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
       RowBox[{"Background", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"defaultPlotImageSizeWidth", " ", "=", " ", "250"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"defaultPlotImageSizeHeight", "=", " ", "250"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "Erklaerungstext", " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"explanationWindowContent", "=", "\[IndentingNewLine]", 
     RowBox[{"Column", "[", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
         "\"\<\nLinke Spalte:\nAuswahl der Funktion und Anzeige seines \
Graphen, Auswahl des betrachteten Ableitungspunktes.\n\nRechte Spalte:\nIn \
der oberen Reihe wird der Graph der ersten Ableitung gezeigt: links \
\!\(\*SubscriptBox[\(f\), \(x\)]\) und rechts \!\(\*SubscriptBox[\(f\), \
\(y\)]\). Darin miteingezeichnet ist der Schnitt in y- bzw. x-Richtung, \
welcher in der darunterfolgenden Animation die zweiten Ableitungen \
\!\(\*SubscriptBox[\(f\), \(xy\)]\) und \!\(\*SubscriptBox[\(f\), \(yx\)]\) \
als Grenzprozesse visualisiert. (Die Plots lassen sich manipulieren, z.B. mit \
dem Mauszeiger bei gedr\[UDoubleDot]ckter linker Maustaste drehen!) \nIn der \
unteren Reihe k\[ODoubleDot]nnen Sie diese Animation starten (wobei Sie die \
Animationsrate schneller oder langsamer machen k\[ODoubleDot]nnen). Darin \
sehen Sie wie die beiden partiellen Ableitungen \!\(\*SubscriptBox[\(f\), \
\(xy\)]\) und \!\(\*SubscriptBox[\(f\), \(yx\)]\) als Grenzwerte von \
Sekantensteigungen ermittelt werden und dass beide Werte im Allgemeinen zwar \
gleich sind, nicht aber im kritischen Punkt (a,b) = (0,0) der beiden \
Beispielsfunktionen. Hier ist n\[ADoubleDot]mlich die Voraussetzung des \
Satzes von Schwarz, dass die zweiten Ableitungen in beide Richtungen stetig \
sein m\[UDoubleDot]ssen, nicht erf\[UDoubleDot]llt.\n\nZu beachten:\nEs \
werden unter der Animation auch die beiden Ausdr\[UDoubleDot]cke f\
\[UDoubleDot]r \!\(\*SubscriptBox[\(f\), \(xy\)]\) und \!\(\*SubscriptBox[\(f\
\), \(yx\)]\) angezeigt, wie sie Computer Algebra Systeme (hier z.B. \
Mathematica) h\[ADoubleDot]ufig berechnen. Im kritischen Punkt (0,0) sind die \
beiden zweiten Ableitungen verschieden, wie die Visualisierung zeigt. (Und \
was mit einer exakten Rechnung anhand der Definition der zweiten partiellen \
Ableitungen verifiziert werden kann.) Viele CAS ignorieren aber den Umstand, \
dass in diesen kritischen Punkten der Satz von Schwarz nicht gilt und geben - \
wie demonstriert - f\[ADoubleDot]lschlicherweise gleiche Werte \
f\[UDoubleDot]r beide Ableitungen aus!\>\"", ",", 
          RowBox[{"BaseStyle", "->", 
           RowBox[{"{", 
            RowBox[{"14", ",", "Black", ",", "Plain"}], "}"}]}]}], "]"}], 
        "\[IndentingNewLine]", "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Left", ",", "Top"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Variables", " ", "and", " ", "Mathematical", " ", "Objects"}], 
    " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"functionList", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Piecewise", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{
             RowBox[{"x", "\[Equal]", "0"}], "&&", 
             RowBox[{"y", "\[Equal]", "0"}]}]}], "}"}], "}"}], ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"x", " ", 
             RowBox[{"y", "^", "3"}]}], "-", 
            RowBox[{"y", " ", 
             RowBox[{"x", "^", "3"}]}]}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"x", "^", "2"}], "+", 
            RowBox[{"y", "^", "2"}]}], ")"}]}]}], "]"}], ",", 
       RowBox[{"Piecewise", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"3", " ", 
                RowBox[{"x", "^", "4"}]}], "+", 
               RowBox[{"x", "^", "2"}], "+", 
               RowBox[{"y", "^", "2"}]}], ")"}], "\[Equal]", "0"}]}], "}"}], 
          "}"}], ",", 
         RowBox[{
          RowBox[{"Sin", "[", 
           RowBox[{"y", " ", 
            RowBox[{"x", "^", "3"}]}], "]"}], "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"3", " ", 
             RowBox[{"x", "^", "4"}]}], "+", 
            RowBox[{"x", "^", "2"}], "+", 
            RowBox[{"y", "^", "2"}]}], ")"}]}]}], "]"}]}], "}"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"criticalPointList", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"initialFunctionIndex", " ", "=", "2"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
     RowBox[{"functionList", "[", 
      RowBox[{"[", "initialFunctionIndex", "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pointToWatch", " ", "=", " ", 
     RowBox[{"criticalPointList", "[", 
      RowBox[{"[", "initialFunctionIndex", "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pointToWatchX", " ", "=", 
     RowBox[{"pointToWatch", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pointToWatchY", " ", "=", 
     RowBox[{"pointToWatch", "[", 
      RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xIntervallAroundPointToWatch", " ", "=", " ", "1"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"yIntervallAroundPointToWatch", " ", "=", " ", "1"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xBound", " ", "=", " ", "3"}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Defines", " ", "the", " ", "displayed", " ", "intervall", " ", "of", " ",
      "the", " ", "function", " ", "itself"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"yBound", " ", "=", " ", "3"}], ";"}], " ", 
   RowBox[{"(*", " ", "\"\< \>", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"h", "=", "xIntervallAroundPointToWatch"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"animationRate", " ", "=", " ", "0.06"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"currentFunctionIndex", " ", "=", " ", 
     RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
      RowBox[{"If", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"StringMatchQ", "[", 
         RowBox[{
          RowBox[{"ToString", "[", 
           RowBox[{"f", "[", 
            RowBox[{"x", ",", "y"}], "]"}], "]"}], ",", 
          RowBox[{"ToString", "[", 
           RowBox[{"functionList", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}], ",", 
        "\[IndentingNewLine]", "1", ",", "\[IndentingNewLine]", "2"}], "]"}], 
      "]"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"Very", " ", "simple", " ", "for", " ", "the", " ", "moment", " ", 
     RowBox[{"(", 
      RowBox[{"with", " ", "just", " ", "two", " ", "functions"}], ")"}]}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Dynamic", "[", "currentFunctionIndex", "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"plot3Df", " ", "=", " ", 
     RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
      RowBox[{"Show", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Plot3D", "[", 
         RowBox[{
          RowBox[{"f", "[", 
           RowBox[{"x", ",", "y"}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "xBound"}], ",", "xBound"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"-", "yBound"}], ",", "yBound"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"pointToWatchX", "-", "xIntervallAroundPointToWatch"}], 
              ",", 
              RowBox[{
              "pointToWatchX", "+", "xIntervallAroundPointToWatch"}]}], "}"}],
             ",", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              RowBox[{"pointToWatchY", "-", "yIntervallAroundPointToWatch"}], 
              ",", 
              RowBox[{
              "pointToWatchY", "+", "yIntervallAroundPointToWatch"}]}], "}"}],
             ","}], "\[IndentingNewLine]", "*)"}], "\[IndentingNewLine]", 
          RowBox[{"AxesLabel", "\[Rule]", "Automatic"}], ",", 
          RowBox[{"Mesh", "\[Rule]", "5"}], ",", 
          RowBox[{"PlotLabel", "\[Rule]", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}]}], ",", 
          RowBox[{"ImageSize", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
            "defaultPlotImageSizeWidth", ",", "defaultPlotImageSizeHeight"}], 
            "}"}]}], ",", 
          RowBox[{"Background", "\[Rule]", 
           RowBox[{"RGBColor", "[", 
            RowBox[{"1", ",", "1", ",", "1"}], "]"}]}]}], 
         "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Graphics3D", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", "0.05", "]"}], ",", "Black", ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"pointToWatchX", ",", "pointToWatchY", ",", " ", 
              RowBox[{
               RowBox[{"f", "[", 
                RowBox[{"x", ",", "y"}], "]"}], "/.", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"x", "->", "pointToWatchX"}], ",", 
                 RowBox[{"y", "->", "pointToWatchY"}]}], "}"}]}]}], "}"}], 
            "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{
           RowBox[{
           "The", " ", "arrow", " ", "thing", " ", "is", " ", "far", " ", 
            "from", " ", "being", " ", "parametrized", " ", "and", " ", 
            "automated", " ", "yet"}], " ", "..."}], ":"}], " ", "*)"}], 
        RowBox[{"Graphics3D", "[", 
         RowBox[{"{", 
          RowBox[{"Red", ",", "Thick", ",", 
           RowBox[{"Arrowheads", "[", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"currentFunctionIndex", " ", "\[Equal]", " ", "1"}], 
              ",", "0.1", ",", "0.01"}], "]"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Arrow", "[", 
            RowBox[{"{", " ", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"pointToWatchX", ",", "pointToWatchY", ",", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"currentFunctionIndex", " ", "\[Equal]", " ", "1"}],
                   ",", "2.2", ",", " ", "0.3"}], "]"}]}], " ", "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"pointToWatchX", ",", "pointToWatchY", ",", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"currentFunctionIndex", " ", "\[Equal]", " ", "1"}],
                   ",", "0.5", ",", " ", "0.1"}], "]"}]}], "}"}]}], 
             "\[IndentingNewLine]", "}"}], "]"}]}], "\[IndentingNewLine]", 
          "}"}], "]"}]}], "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]",
       "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"fx", "[", 
      RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
     RowBox[{"Evaluate", "[", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"f", "[", 
         RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"plot3Dfx", "=", 
     RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
      RowBox[{"Show", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Plot3D", "[", 
         RowBox[{
          RowBox[{"Evaluate", "[", 
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"f", "[", 
              RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"pointToWatchX", "-", "xIntervallAroundPointToWatch"}], 
            ",", 
            RowBox[{"pointToWatchX", "+", "xIntervallAroundPointToWatch"}]}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"pointToWatchY", "-", "yIntervallAroundPointToWatch"}], 
            ",", 
            RowBox[{"pointToWatchY", "+", "yIntervallAroundPointToWatch"}]}], 
           "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"AxesLabel", "\[Rule]", "Automatic"}], ",", 
          RowBox[{
          "PlotLabel", "\[Rule]", 
           "\"\<\\n \!\(\*SubscriptBox[\(f\), \(x\)]\) \\n rot: Schnitt in \
y-Richtung\>\""}], ",", 
          RowBox[{"ImageSize", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"defaultPlotImageSizeWidth", "+", "50"}], ",", 
             RowBox[{"defaultPlotImageSizeHeight", "+", "50"}]}], "}"}]}], 
          ",", 
          RowBox[{"Mesh", "\[Rule]", "\[IndentingNewLine]", 
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"{", " ", 
              RowBox[{"(*", " ", 
               RowBox[{"mesh", " ", "in", " ", "y", " ", "direction"}], " ", 
               "*)"}], "\[IndentingNewLine]", 
              RowBox[{"(*", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"2", "/", "3"}], ")"}], "*", 
                   RowBox[{"(", 
                    RowBox[{
                    "pointToWatchX", "-", "xIntervallAroundPointToWatch"}], 
                    ")"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Thickness", "[", "0.002", "]"}], ",", "Black"}], 
                   "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"1", "/", "3"}], ")"}], "*", 
                   RowBox[{"(", 
                    RowBox[{
                    "pointToWatchX", "-", "xIntervallAroundPointToWatch"}], 
                    ")"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Thickness", "[", "0.002", "]"}], ",", "Black"}], 
                   "}"}]}], "}"}], ","}], "\[IndentingNewLine]", "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"pointToWatchX", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Thickness", "[", "0.01", "]"}], ",", "Red"}], 
                 "}"}]}], "}"}], 
              RowBox[{"(*", 
               RowBox[{",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"1", "/", "3"}], ")"}], "*", 
                   RowBox[{"(", 
                    RowBox[{
                    "pointToWatchX", "+", "xIntervallAroundPointToWatch"}], 
                    ")"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Thickness", "[", "0.002", "]"}], ",", "Black"}], 
                   "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"2", "/", "3"}], ")"}], "*", 
                   RowBox[{"(", 
                    RowBox[{
                    "pointToWatchX", "+", "xIntervallAroundPointToWatch"}], 
                    ")"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Thickness", "[", "0.002", "]"}], ",", "Black"}], 
                   "}"}]}], "}"}]}], "\[IndentingNewLine]", "*)"}], 
              "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", " ", 
              RowBox[{"(*", " ", 
               RowBox[{"mesh", " ", "in", " ", "x", " ", "direction"}], " ", 
               "*)"}], "\[IndentingNewLine]", 
              RowBox[{"(*", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"2", "/", "3"}], ")"}], "*", 
                   RowBox[{"(", 
                    RowBox[{
                    "pointToWatchY", "-", "yIntervallAroundPointToWatch"}], 
                    ")"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Thickness", "[", "0.002", "]"}], ",", "Black"}], 
                   "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"1", "/", "3"}], ")"}], "*", 
                   RowBox[{"(", 
                    RowBox[{
                    "pointToWatchY", "-", "yIntervallAroundPointToWatch"}], 
                    ")"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Thickness", "[", "0.002", "]"}], ",", "Black"}], 
                   "}"}]}], "}"}], ","}], "\[IndentingNewLine]", "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"pointToWatchY", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Thickness", "[", "0.001", "]"}], ",", 
                  "LightGray"}], "}"}]}], "}"}], 
              RowBox[{"(*", 
               RowBox[{",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"1", "/", "3"}], ")"}], "*", 
                   RowBox[{"(", 
                    RowBox[{
                    "pointToWatchY", "+", "yIntervallAroundPointToWatch"}], 
                    ")"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Thickness", "[", "0.002", "]"}], ",", "Black"}], 
                   "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"2", "/", "3"}], ")"}], "*", 
                   RowBox[{"(", 
                    RowBox[{
                    "pointToWatchY", "+", "yIntervallAroundPointToWatch"}], 
                    ")"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Thickness", "[", "0.002", "]"}], ",", "Black"}], 
                   "}"}]}], "}"}]}], "\[IndentingNewLine]", "*)"}], 
              "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", 
            "}"}]}]}], "\[IndentingNewLine]", "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Graphics3D", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", "0.05", "]"}], ",", "Black", ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"pointToWatchX", ",", "pointToWatchY", ",", 
              RowBox[{
               RowBox[{"Evaluate", "[", 
                RowBox[{"D", "[", 
                 RowBox[{
                  RowBox[{"f", "[", 
                   RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}], "]"}], "/.", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"x", "->", "pointToWatchX"}], ",", 
                 RowBox[{"y", "->", "pointToWatchY"}]}], "}"}]}]}], "}"}], 
            "]"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", "]"}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"fy", "[", 
      RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
     RowBox[{"Evaluate", "[", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"f", "[", 
         RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"plot3Dfy", "=", 
     RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
      RowBox[{"Show", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Plot3D", "[", 
         RowBox[{
          RowBox[{"Evaluate", "[", 
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"f", "[", 
              RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"pointToWatchX", "-", "xIntervallAroundPointToWatch"}], 
            ",", 
            RowBox[{"pointToWatchX", "+", "xIntervallAroundPointToWatch"}]}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"pointToWatchY", "-", "yIntervallAroundPointToWatch"}], 
            ",", 
            RowBox[{"pointToWatchY", "+", "yIntervallAroundPointToWatch"}]}], 
           "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"AxesLabel", "\[Rule]", "Automatic"}], ",", 
          RowBox[{
          "PlotLabel", "\[Rule]", 
           "\"\<\\n \!\(\*SubscriptBox[\(f\), \(y\)]\) \\n rot: Schnitt in \
x-Richtung\>\""}], ",", 
          RowBox[{"ImageSize", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"defaultPlotImageSizeWidth", "+", "50"}], ",", 
             RowBox[{"defaultPlotImageSizeHeight", "+", "50"}]}], "}"}]}], 
          ",", 
          RowBox[{"Mesh", "\[Rule]", "\[IndentingNewLine]", 
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"{", " ", 
              RowBox[{"(*", " ", 
               RowBox[{"mesh", " ", "in", " ", "y", " ", "direction"}], " ", 
               "*)"}], "\[IndentingNewLine]", 
              RowBox[{"(*", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"2", "/", "3"}], ")"}], "*", 
                   RowBox[{"(", 
                    RowBox[{
                    "pointToWatchX", "-", "xIntervallAroundPointToWatch"}], 
                    ")"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Thickness", "[", "0.002", "]"}], ",", "Black"}], 
                   "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"1", "/", "3"}], ")"}], "*", 
                   RowBox[{"(", 
                    RowBox[{
                    "pointToWatchX", "-", "xIntervallAroundPointToWatch"}], 
                    ")"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Thickness", "[", "0.002", "]"}], ",", "Black"}], 
                   "}"}]}], "}"}], ","}], "\[IndentingNewLine]", "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"pointToWatchX", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Thickness", "[", "0.001", "]"}], ",", 
                  "LightGray"}], "}"}]}], "}"}], 
              RowBox[{"(*", 
               RowBox[{",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"1", "/", "3"}], ")"}], "*", 
                   RowBox[{"(", 
                    RowBox[{
                    "pointToWatchX", "+", "xIntervallAroundPointToWatch"}], 
                    ")"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Thickness", "[", "0.002", "]"}], ",", "Black"}], 
                   "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"2", "/", "3"}], ")"}], "*", 
                   RowBox[{"(", 
                    RowBox[{
                    "pointToWatchX", "+", "xIntervallAroundPointToWatch"}], 
                    ")"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Thickness", "[", "0.002", "]"}], ",", "Black"}], 
                   "}"}]}], "}"}]}], "\[IndentingNewLine]", "*)"}], 
              "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", " ", 
              RowBox[{"(*", " ", 
               RowBox[{"mesh", " ", "in", " ", "x", " ", "direction"}], " ", 
               "*)"}], "\[IndentingNewLine]", 
              RowBox[{"(*", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"2", "/", "3"}], ")"}], "*", 
                   RowBox[{"(", 
                    RowBox[{
                    "pointToWatchY", "-", "yIntervallAroundPointToWatch"}], 
                    ")"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Thickness", "[", "0.002", "]"}], ",", "Black"}], 
                   "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"1", "/", "3"}], ")"}], "*", 
                   RowBox[{"(", 
                    RowBox[{
                    "pointToWatchY", "-", "yIntervallAroundPointToWatch"}], 
                    ")"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Thickness", "[", "0.002", "]"}], ",", "Black"}], 
                   "}"}]}], "}"}], ","}], "\[IndentingNewLine]", "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"pointToWatchY", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Thickness", "[", "0.01", "]"}], ",", "Red"}], 
                 "}"}]}], "}"}], 
              RowBox[{"(*", 
               RowBox[{",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"1", "/", "3"}], ")"}], "*", 
                   RowBox[{"(", 
                    RowBox[{
                    "pointToWatchY", "+", "yIntervallAroundPointToWatch"}], 
                    ")"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Thickness", "[", "0.002", "]"}], ",", "Black"}], 
                   "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"2", "/", "3"}], ")"}], "*", 
                   RowBox[{"(", 
                    RowBox[{
                    "pointToWatchY", "+", "yIntervallAroundPointToWatch"}], 
                    ")"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Thickness", "[", "0.002", "]"}], ",", "Black"}], 
                   "}"}]}], "}"}]}], "\[IndentingNewLine]", "*)"}], 
              "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", 
            "}"}]}]}], "\[IndentingNewLine]", "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Graphics3D", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", "0.05", "]"}], ",", "Black", ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{"pointToWatchX", ",", "pointToWatchY", ",", 
              RowBox[{
               RowBox[{"Evaluate", "[", 
                RowBox[{"D", "[", 
                 RowBox[{
                  RowBox[{"f", "[", 
                   RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}], "]"}], "/.", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"x", "->", "pointToWatchX"}], ",", 
                 RowBox[{"y", "->", "pointToWatchY"}]}], "}"}]}]}], "}"}], 
            "]"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", "]"}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"fxy", "[", 
      RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
     RowBox[{"Evaluate", "[", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"fx", "[", 
         RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"fyx", "[", 
      RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
     RowBox[{"Evaluate", "[", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"fy", "[", 
         RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fxy", "[", 
     RowBox[{"a_", ",", "b_", ",", "h_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"fx", "[", 
        RowBox[{"a", ",", 
         RowBox[{"b", "+", "h"}]}], "]"}], " ", "-", " ", 
       RowBox[{"fx", "[", 
        RowBox[{"a", ",", "b"}], "]"}]}], ")"}], "/", "h"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fyx", "[", 
     RowBox[{"a_", ",", "b_", ",", "h_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"fy", "[", 
        RowBox[{
         RowBox[{"a", "+", "h"}], ",", "b"}], "]"}], " ", "-", " ", 
       RowBox[{"fy", "[", 
        RowBox[{"a", ",", "b"}], "]"}]}], ")"}], "/", "h"}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"functionChooser", "=", 
     RowBox[{"Labeled", "[", 
      RowBox[{
       RowBox[{"PopupMenu", "[", 
        RowBox[{
         RowBox[{"Dynamic", "[", 
          RowBox[{"f", "[", 
           RowBox[{"x_", ",", "y_"}], "]"}], "]"}], ",", "functionList", ",", 
         " ", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"12", ",", 
            RowBox[{"FontFamily", "\[Rule]", "\"\<Courier\>\""}], ",", 
            "Plain"}], "}"}]}]}], "]"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{
        "\"\<Funktion mit kritischer Stelle: \>\"", ",", "textStyle"}], "]"}],
        ",", "Top"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"plotCutsAnimation", "  ", "=", " ", 
     RowBox[{"Dynamic", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Animate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Row", "[", 
         RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{"left", " ", "part", " ", "of", " ", "animation"}], " ", 
           "*)"}], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Column", "[", 
            RowBox[{
             RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Show", "[", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"Plot", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}], "]"}], 
                    "/.", 
                    RowBox[{"x", "\[Rule]", "pointToWatchX"}]}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{"y", ",", 
                    RowBox[{
                    "pointToWatchY", "-", "yIntervallAroundPointToWatch"}], 
                    ",", 
                    RowBox[{
                    "pointToWatchY", "+", "yIntervallAroundPointToWatch"}]}], 
                    "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"AxesLabel", "\[Rule]", "Automatic"}], ",", 
                   RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Thick", ",", "Red"}], "}"}]}], ",", 
                   RowBox[{"PlotLabel", "\[Rule]", 
                    RowBox[{
                    "\"\<Schnitt \!\(\*SubscriptBox[\(f\), \(x\)]\)(a,y)\\n \
a=const=\>\"", "<>", 
                    RowBox[{"ToString", "[", "pointToWatchX", "]"}]}]}], ",", 
                   
                   RowBox[{"ImageSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"defaultPlotImageSizeWidth", "+", "50"}], ",", 
                    RowBox[{"defaultPlotImageSizeHeight", "+", "50"}]}], 
                    "}"}]}], ",", " ", 
                   RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "pointToWatchY", "-", "yIntervallAroundPointToWatch"}], 
                    ",", 
                    RowBox[{
                    "pointToWatchY", "+", "yIntervallAroundPointToWatch"}]}], 
                    "}"}], ",", "Full"}], "}"}]}], ",", 
                   RowBox[{"Background", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "1", ",", "1"}], "]"}]}]}], 
                  "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"Graphics", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"PointSize", "[", "0.03", "]"}], ",", "Black", 
                    ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"pointToWatchY", ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}], "]"}], 
                    "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "->", "pointToWatchX"}], ",", 
                    RowBox[{"y", "->", "pointToWatchY"}]}], "}"}]}]}], "}"}], 
                    "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"Graphics", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"PointSize", "[", "0.03", "]"}], ",", "Blue", ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"pointToWatchY", "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}], "]"}], 
                    "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "->", "pointToWatchX"}], ",", 
                    RowBox[{"y", "->", 
                    RowBox[{"pointToWatchY", "+", "h"}]}]}], "}"}]}]}], "}"}],
                     "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"Graphics", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Thickness", "[", "0.005", "]"}], ",", "Blue", 
                    ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"pointToWatchY", "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}], "]"}], 
                    "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "->", "pointToWatchX"}], ",", 
                    RowBox[{"y", "->", 
                    RowBox[{"pointToWatchY", "+", "h"}]}]}], "}"}]}]}], "}"}],
                     " ", "-", " ", 
                    RowBox[{
                    RowBox[{"10", "^", "5"}], "*", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"pointToWatchY", "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}], "]"}], 
                    "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "->", "pointToWatchX"}], ",", 
                    RowBox[{"y", "->", 
                    RowBox[{"pointToWatchY", "+", "h"}]}]}], "}"}]}]}], "}"}],
                     " ", "-", " ", 
                    RowBox[{"{", 
                    RowBox[{"pointToWatchY", ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}], "]"}], 
                    "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "->", "pointToWatchX"}], ",", 
                    RowBox[{"y", "->", "pointToWatchY"}]}], "}"}]}]}], 
                    "}"}]}], ")"}]}]}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"pointToWatchY", ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}], "]"}], 
                    "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "->", "pointToWatchX"}], ",", 
                    RowBox[{"y", "->", "pointToWatchY"}]}], "}"}]}]}], "}"}], 
                    " ", "+", " ", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"10", "^", "5"}], "*", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"pointToWatchY", "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}], "]"}], 
                    "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "->", "pointToWatchX"}], ",", 
                    RowBox[{"y", "->", 
                    RowBox[{"pointToWatchY", "+", "h"}]}]}], "}"}]}]}], "}"}],
                     " ", "-", " ", 
                    RowBox[{"{", 
                    RowBox[{"pointToWatchY", ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}], "]"}], 
                    "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "->", "pointToWatchX"}], ",", 
                    RowBox[{"y", "->", "pointToWatchY"}]}], "}"}]}]}], 
                    "}"}]}], ")"}]}]}]}], "\[IndentingNewLine]", "}"}], 
                    "]"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", "]"}], 
               "\[IndentingNewLine]", 
               RowBox[{"(*", "]", "*)"}], ",", "\[IndentingNewLine]", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"\"\<\!\(\*SubscriptBox[\(f\), \(xy\)]\)(\>\"", "<>", 
                  RowBox[{"ToString", "[", "pointToWatchX", "]"}], "<>", 
                  "\"\<,\>\"", "<>", 
                  RowBox[{"ToString", "[", "pointToWatchY", "]"}], "<>", 
                  "\"\<) \[TildeTilde] \>\"", "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}], "]"}], 
                    "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "\[Rule]", "pointToWatchX"}], ",", 
                    RowBox[{"y", "\[Rule]", 
                    RowBox[{"pointToWatchY", "+", "h"}]}]}], "}"}]}], ")"}], 
                    " ", "-", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}], "]"}], 
                    "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "\[Rule]", "pointToWatchX"}], ",", 
                    RowBox[{"y", "\[Rule]", "pointToWatchY"}]}], "}"}]}], 
                    ")"}]}], ")"}], "/", "h"}], ",", "0.001"}], "]"}], 
                   "]"}]}], ",", "plotLabelStyle", ",", "12", ",", "Red", ",",
                  "Bold"}], "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{
                 "\"\<Mathematica: \!\(\*SubscriptBox[\(f\), \(xy\)]\)(\>\"", 
                  "<>", 
                  RowBox[{"ToString", "[", "pointToWatchX", "]"}], "<>", 
                  "\"\<,\>\"", "<>", 
                  RowBox[{"ToString", "[", "pointToWatchY", "]"}], "<>", 
                  "\"\<) = \>\"", "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "x", ",", "y"}], 
                    "]"}], "]"}], "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "->", "pointToWatchX"}], ",", 
                    RowBox[{"y", "->", "pointToWatchY"}]}], "}"}]}], ",", 
                    "0.001"}], "]"}], "]"}]}], ",", "plotLabelStyle", ",", 
                 "12"}], "]"}]}], "\[IndentingNewLine]", "}"}], ",", " ", 
             "Center"}], "]"}], " ", 
           RowBox[{"(*", " ", 
            RowBox[{"end", " ", "column"}], " ", "*)"}], 
           "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{"right", " ", "part", " ", "of", " ", "animation"}], " ", 
            "*)"}], "\[IndentingNewLine]", 
           RowBox[{"Column", "[", 
            RowBox[{
             RowBox[{"{", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Show", "[", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"Plot", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}], "]"}], 
                    "/.", 
                    RowBox[{"y", "\[Rule]", "pointToWatchY"}]}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{
                    "pointToWatchX", "-", "xIntervallAroundPointToWatch"}], 
                    ",", 
                    RowBox[{
                    "pointToWatchX", "+", "xIntervallAroundPointToWatch"}]}], 
                    "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"AxesLabel", "\[Rule]", "Automatic"}], ",", 
                   RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Thick", ",", "Red"}], "}"}]}], ",", 
                   RowBox[{"PlotLabel", "\[Rule]", 
                    RowBox[{
                    "\"\<Schnitt \!\(\*SubscriptBox[\(f\), \(y\)]\)(x,b)\\n \
b=const=\>\"", "<>", 
                    RowBox[{"ToString", "[", "pointToWatchY", "]"}]}]}], ",", 
                   
                   RowBox[{"ImageSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"defaultPlotImageSizeWidth", "+", "50"}], ",", 
                    RowBox[{"defaultPlotImageSizeHeight", "+", "50"}]}], 
                    "}"}]}], ",", " ", 
                   RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "pointToWatchX", "-", "xIntervallAroundPointToWatch"}], 
                    ",", 
                    RowBox[{
                    "pointToWatchX", "+", "xIntervallAroundPointToWatch"}]}], 
                    "}"}], ",", "Full"}], "}"}]}], ",", 
                   RowBox[{"Background", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "1", ",", "1"}], "]"}]}]}], 
                  "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"Graphics", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"PointSize", "[", "0.03", "]"}], ",", "Black", 
                    ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"pointToWatchX", ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}], "]"}], 
                    "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "->", "pointToWatchX"}], ",", 
                    RowBox[{"y", "->", "pointToWatchY"}]}], "}"}]}]}], "}"}], 
                    "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"Graphics", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"PointSize", "[", "0.03", "]"}], ",", "Blue", ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"pointToWatchX", "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}], "]"}], 
                    "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "->", 
                    RowBox[{"pointToWatchX", "+", "h"}]}], ",", 
                    RowBox[{"y", "->", "pointToWatchY"}]}], "}"}]}]}], "}"}], 
                    "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"Graphics", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Thickness", "[", "0.005", "]"}], ",", "Blue", 
                    ",", " ", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"pointToWatchX", "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}], "]"}], 
                    "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "->", 
                    RowBox[{"pointToWatchX", "+", "h"}]}], ",", 
                    RowBox[{"y", "->", "pointToWatchY"}]}], "}"}]}]}], "}"}], 
                    " ", "-", "\[IndentingNewLine]", " ", 
                    RowBox[{
                    RowBox[{"10", "^", "5"}], " ", "*", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"pointToWatchX", "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}], "]"}], 
                    "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "->", 
                    RowBox[{"pointToWatchX", "+", "h"}]}], ",", 
                    RowBox[{"y", "->", "pointToWatchY"}]}], "}"}]}]}], "}"}], 
                    " ", "-", " ", 
                    RowBox[{"{", 
                    RowBox[{"pointToWatchX", ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}], "]"}], 
                    "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "->", "pointToWatchX"}], ",", 
                    RowBox[{"y", "->", "pointToWatchY"}]}], "}"}]}]}], 
                    "}"}]}], ")"}]}]}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"pointToWatchX", ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}], "]"}], 
                    "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "->", "pointToWatchX"}], ",", 
                    RowBox[{"y", "->", "pointToWatchY"}]}], "}"}]}]}], "}"}], 
                    " ", "+", "\[IndentingNewLine]", " ", 
                    RowBox[{
                    RowBox[{"10", "^", "5"}], " ", "*", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"pointToWatchX", "+", "h"}], ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}], "]"}], 
                    "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "->", 
                    RowBox[{"pointToWatchX", "+", "h"}]}], ",", 
                    RowBox[{"y", "->", "pointToWatchY"}]}], "}"}]}]}], "}"}], 
                    " ", "-", " ", 
                    RowBox[{"{", 
                    RowBox[{"pointToWatchX", ",", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}], "]"}], 
                    "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "->", "pointToWatchX"}], ",", 
                    RowBox[{"y", "->", "pointToWatchY"}]}], "}"}]}]}], 
                    "}"}]}], ")"}]}]}]}], "\[IndentingNewLine]", "}"}], 
                    "]"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", "]"}], 
               ",", "\[IndentingNewLine]", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"\"\<\!\(\*SubscriptBox[\(f\), \(yx\)]\)(\>\"", "<>", 
                  RowBox[{"ToString", "[", "pointToWatchX", "]"}], "<>", 
                  "\"\<,\>\"", "<>", 
                  RowBox[{"ToString", "[", "pointToWatchY", "]"}], "<>", 
                  "\"\<) \[TildeTilde] \>\"", "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}], "]"}], 
                    "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "\[Rule]", 
                    RowBox[{"pointToWatchX", "+", "h"}]}], ",", 
                    RowBox[{"y", "\[Rule]", "pointToWatchY"}]}], "}"}]}], 
                    ")"}], " ", "-", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}], "]"}], 
                    "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "\[Rule]", "pointToWatchX"}], ",", 
                    RowBox[{"y", "\[Rule]", "pointToWatchY"}]}], "}"}]}], 
                    ")"}]}], ")"}], "/", "h"}], ",", "0.001"}], "]"}], 
                   "]"}]}], ",", "plotLabelStyle", ",", "12", ",", "Red", ",",
                  "Bold"}], "]"}], "\[IndentingNewLine]", ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{
                 "\"\<Mathematica: \!\(\*SubscriptBox[\(f\), \(yx\)]\)(\>\"", 
                  "<>", 
                  RowBox[{"ToString", "[", "pointToWatchX", "]"}], "<>", 
                  "\"\<,\>\"", "<>", 
                  RowBox[{"ToString", "[", "pointToWatchY", "]"}], "<>", 
                  "\"\<) = \>\"", "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "y", ",", "x"}], 
                    "]"}], "]"}], "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "->", "pointToWatchX"}], ",", 
                    RowBox[{"y", "->", "pointToWatchY"}]}], "}"}]}], ",", 
                    "0.001"}], "]"}], "]"}]}], ",", "plotLabelStyle", ",", 
                 "12"}], "]"}]}], "\[IndentingNewLine]", 
              "\[IndentingNewLine]", "}"}], ",", "Center"}], "]"}]}], " ", 
          RowBox[{"(*", " ", 
           RowBox[{"end", " ", "colum"}], " ", "*)"}], "\[IndentingNewLine]", 
          "}"}], "]"}], " ", 
        RowBox[{"(*", " ", 
         RowBox[{"end", " ", "row"}], " ", "*)"}], "\[IndentingNewLine]", 
        "\[IndentingNewLine]", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"h", ",", 
            RowBox[{"pointToWatchX", "+", "xIntervallAroundPointToWatch"}], 
            ",", 
            RowBox[{"Dynamic", "[", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"\"\<                         Animation:  h = \>\"", "<>", 
                RowBox[{"ToString", "[", 
                 RowBox[{"TraditionalForm", "[", 
                  RowBox[{"NumberForm", "[", 
                   RowBox[{
                    RowBox[{"Round", "[", 
                    RowBox[{"h", ",", "0.001"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"4", ",", "3"}], "}"}]}], "]"}], "]"}], "]"}]}], 
               ",", " ", "textStyle"}], "]"}], "]"}]}], "}"}], ",", 
          "xIntervallAroundPointToWatch", ",", "0.0001"}], "}"}], ",", " ", 
        RowBox[{"ControlPlacement", "\[Rule]", 
         RowBox[{"{", "Bottom", "}"}]}], ",", 
        RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
        RowBox[{"AppearanceElements", "\[Rule]", "None"}], ",", 
        RowBox[{"Paneled", "\[Rule]", "False"}], ",", " ", 
        RowBox[{"AnimationRunning", "\[Rule]", "False"}], ",", " ", 
        RowBox[{"DisplayAllSteps", "\[Rule]", "True"}], ",", " ", 
        RowBox[{"AnimationRate", "\[Rule]", 
         RowBox[{"Dynamic", "[", "animationRate", "]"}]}], ",", 
        RowBox[{"RefreshRate", "\[Rule]", "5"}], ",", " ", 
        RowBox[{"AnimationRepetitions", "\[Rule]", "1"}]}], 
       "\[IndentingNewLine]", "]"}], " ", 
      RowBox[{"(*", " ", 
       RowBox[{"end", " ", "animate"}], " ", "*)"}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"end", " ", "plotsCutAnimation"}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]"}]}]], "Input",
 CellOpen->False,
 InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"GUI", " ", "and", " ", "Manipulate"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"TabView", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
          "\"\<Satz von Schwarz (Satz von Clairaut)\>\"", ",", "titleStyle"}],
           "]"}], "\[Rule]", "\[IndentingNewLine]", 
         RowBox[{"Column", "[", 
          RowBox[{
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{"(*", " ", 
             RowBox[{"First", " ", "Row", " ", 
              RowBox[{"(", 
               RowBox[{
               "Header", " ", "and", " ", "Explanation", " ", "Button"}], 
               " "}]}], "*)"}], "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Row", "[", 
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<Gegenbeispiele und Bemerkung zu Computer Algebra \
Systemen\>\"", ",", "textStyle"}], "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<. . . . . . . . . . . . . . . . . . . . . . . . . . . . \
. . \>\"", ",", "textStyle"}], "]"}], ",", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"Button", "[", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<Erkl\[ADoubleDot]rung\>\"", ",", "9"}], "]"}],
                   ",", 
                  RowBox[{"CreateDocument", "[", 
                   RowBox[{
                    RowBox[{"TextCell", "[", 
                    RowBox[{"Pane", "[", "explanationWindowContent", "]"}], 
                    "]"}], ",", 
                    RowBox[{"WindowFrame", "\[Rule]", "\"\<Normal\>\""}], ",", 
                    RowBox[{"WindowSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"650", ",", "500"}], "}"}]}], ",", 
                    RowBox[{
                    "WindowTitle", "\[Rule]", 
                    "\"\<Erkl\[ADoubleDot]rung\>\""}]}], "]"}], 
                  "\[IndentingNewLine]", ",", 
                  RowBox[{"ImageSize", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"90", ",", "20"}], "}"}]}], ",", 
                  RowBox[{"Background", "\[Rule]", 
                   RowBox[{"RGBColor", "[", 
                    RowBox[{"0.9", ",", "0.9", ",", "0.9"}], "]"}]}]}], 
                 "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}],
               "]"}], "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
             RowBox[{"Grid", "[", 
              RowBox[{
               RowBox[{"{", " ", 
                RowBox[{"(*", " ", 
                 RowBox[{"Second", " ", "Row", " ", 
                  RowBox[{"(", "Content", ")"}]}], " ", "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{"{", "  ", 
                 RowBox[{"(*", " ", 
                  RowBox[{"First", " ", "Column"}], " ", "*)"}], 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Grid", "[", 
                   RowBox[{
                    RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Column", "[", 
                    RowBox[{
                    RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{"plot3Df", ",", "\[IndentingNewLine]", 
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"\"\<f(x,y) = \>\"", "<>", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], "]"}], "]"}], "<>", 
                    "\"\<\\n\>\""}], ",", "plotLabelStyle", ",", "10"}], 
                    "]"}], "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
                    RowBox[{"Background", "\[Rule]", "White"}], ",", " ", 
                    RowBox[{"Alignment", "->", "Center"}]}], "]"}], 
                    "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
                    
                    RowBox[{"{", "\"\<  \>\"", "}"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", "functionChooser", "}"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", "\"\<  \>\"", "}"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", "\"\<  \>\"", "}"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"Labeled", "[", 
                    RowBox[{
                    RowBox[{"Slider2D", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Dynamic", "[", "pointToWatchX", "]"}], ",", 
                    RowBox[{"Dynamic", "[", "pointToWatchY", "]"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "xIntervallAroundPointToWatch"}], ",", 
                    RowBox[{"-", "yIntervallAroundPointToWatch"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "xIntervallAroundPointToWatch", ",", 
                    "yIntervallAroundPointToWatch"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.5", ",", "0.5"}], "}"}]}], "}"}]}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<\\nBetrachteter Ableitungspunkt:\\n(Auf Bereich \
klicken zum Verschieben)\>\"", ",", "textStyle"}], "]"}], ",", "Top"}], "]"}],
                     "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"Labeled", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"\"\<(\>\"", "<>", 
                    RowBox[{"ToString", "[", "pointToWatchX", "]"}], "<>", 
                    "\"\<,\>\"", "<>", 
                    RowBox[{"ToString", "[", "pointToWatchY", "]"}], "<>", 
                    "\"\<)\>\""}], ",", "textStyle", ",", "Red", ",", "9"}], 
                    "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Aktuell: (a,b)=\>\"", ",", "textStyle", ",", "Red", 
                    ",", "9"}], "]"}], ",", "Left"}], "]"}], "]"}], "}"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"Button", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Auf kritischen Punkt (0,0) setzen\>\"", ",", "10"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"pointToWatch", " ", "=", " ", 
                    RowBox[{"criticalPointList", "[", 
                    RowBox[{"[", "initialFunctionIndex", "]"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"pointToWatchX", " ", "=", 
                    RowBox[{"pointToWatch", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"pointToWatchY", " ", "=", 
                    RowBox[{"pointToWatch", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], 
                    "\[IndentingNewLine]", "}"}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"220", ",", "40"}], "}"}]}]}], "]"}], "]"}], 
                    "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", "\"\<  \>\"", "}"}]}], "\[IndentingNewLine]",
                     "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Center", ",", "Top"}], "}"}]}]}], "]"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"(*", " ", 
                   RowBox[{"Second", " ", "Column"}], " ", "*)"}], 
                  "\[IndentingNewLine]", 
                  RowBox[{"Column", "[", 
                   RowBox[{
                    RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "plot3Dfx", ",", "\"\<\>\"", ",", " ", "plot3Dfy"}], 
                    "\[IndentingNewLine]", "}"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Column", "[", 
                    RowBox[{
                    RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{"Dynamic", "[", "plotCutsAnimation", "]"}], 
                    "\[IndentingNewLine]", "}"}], "]"}], 
                    "\[IndentingNewLine]", "}"}], ",", "Center"}], "]"}], 
                    "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
                    "\"\<   \>\"", ",", "\[IndentingNewLine]", 
                    RowBox[{"Labeled", "[", 
                    RowBox[{
                    RowBox[{"Slider", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "[", "animationRate", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.02", ",", "0.2", ",", "0.005"}], "}"}]}], 
                    "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Animationsrate:\>\"", ",", "textStyle"}], 
                    "]"}], " ", ",", "Left"}], "]"}], ",", 
                    "\[IndentingNewLine]", "\"\<    \>\""}], 
                    "\[IndentingNewLine]", "}"}], ",", 
                    RowBox[{"Background", "\[Rule]", "White"}], ",", " ", 
                    RowBox[{"Alignment", "->", "Center"}]}], "]"}]}], 
                 "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", "}"}], 
               ",", 
               RowBox[{"Alignment", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"Center", ",", "Center"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"Top", ",", "Top"}], "}"}]}], "}"}]}], ",", 
               RowBox[{"Frame", "\[Rule]", "None"}]}], "]"}]}], 
            "\[IndentingNewLine]", "}"}], ",", 
           RowBox[{"Alignment", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"Left", ",", "Center"}], "}"}]}]}], "]"}]}], 
        "\[IndentingNewLine]", "}"}], ",", 
       RowBox[{"Background", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"0.95", ",", "0.95", ",", "0.95"}], "]"}]}]}], "]"}], 
     "\[IndentingNewLine]", ",", 
     RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
     RowBox[{"AppearanceElements", "\[Rule]", "None"}], ",", 
     RowBox[{"Paneled", "\[Rule]", "False"}], ",", 
     RowBox[{"SynchronousUpdating", "\[Rule]", "False"}]}], "]"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]"}]}]], "Input",
 CellOpen->False,
 InitializationCell->True],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {}, 
    Typeset`size$$ = {908., {412., 417.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {}, "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      TabView[{Style[
          "Satz von Schwarz (Satz von Clairaut)", $CellContext`titleStyle] -> 
         Column[{
            Row[{
              Style[
              "Gegenbeispiele und Bemerkung zu Computer Algebra Systemen", \
$CellContext`textStyle], 
              Style[
              ". . . . . . . . . . . . . . . . . . . . . . . . . . . . . . ", \
$CellContext`textStyle], 
              Button[
               Style["Erkl\[ADoubleDot]rung", 9], 
               CreateDocument[
                TextCell[
                 Pane[$CellContext`explanationWindowContent]], WindowFrame -> 
                "Normal", WindowSize -> {650, 500}, WindowTitle -> 
                "Erkl\[ADoubleDot]rung"], ImageSize -> {90, 20}, Background -> 
               RGBColor[0.9, 0.9, 0.9]]}], 
            Grid[{{
               Grid[{{
                  Column[{$CellContext`plot3Df, 
                    Dynamic[
                    Style[
                    StringJoin["f(x,y) = ", 
                    ToString[
                    TraditionalForm[
                    $CellContext`f[$CellContext`x, $CellContext`y]]], 
                    "\n"], $CellContext`plotLabelStyle, 10]]}, Background -> 
                   White, Alignment -> Center]}, {
                 "  "}, {$CellContext`functionChooser}, {"  "}, {"  "}, {
                  Labeled[
                   Slider2D[{
                    Dynamic[$CellContext`pointToWatchX], 
                    
                    Dynamic[$CellContext`pointToWatchY]}, \
{{-$CellContext`xIntervallAroundPointToWatch, \
-$CellContext`yIntervallAroundPointToWatch}, \
{$CellContext`xIntervallAroundPointToWatch, \
$CellContext`yIntervallAroundPointToWatch}, {0.5, 0.5}}], 
                   Style[
                   "\nBetrachteter Ableitungspunkt:\n(Auf Bereich klicken zum \
Verschieben)", $CellContext`textStyle], Top]}, {
                  Dynamic[
                   Labeled[
                    Style[
                    StringJoin["(", 
                    ToString[$CellContext`pointToWatchX], ",", 
                    ToString[$CellContext`pointToWatchY], 
                    ")"], $CellContext`textStyle, Red, 9], 
                    Style["Aktuell: (a,b)=", $CellContext`textStyle, Red, 9], 
                    Left]]}, {
                  Dynamic[
                   Button[
                    Style[
                    "Auf kritischen Punkt (0,0) setzen", 
                    10], {$CellContext`pointToWatch = 
                    Part[$CellContext`criticalPointList, \
$CellContext`initialFunctionIndex]; $CellContext`pointToWatchX = 
                    Part[$CellContext`pointToWatch, 
                    1]; $CellContext`pointToWatchY = 
                    Part[$CellContext`pointToWatch, 2]; Null}, 
                    ImageSize -> {220, 40}]]}, {"  "}}, 
                Alignment -> {Center, Top}], 
               Column[{
                 Row[{$CellContext`plot3Dfx, "", $CellContext`plot3Dfy}], 
                 Column[{
                   Row[{
                    Dynamic[$CellContext`plotCutsAnimation]}]}, Center], 
                 "   ", 
                 Labeled[
                  Slider[
                   Dynamic[$CellContext`animationRate], {0.02, 0.2, 0.005}], 
                  Style["Animationsrate:", $CellContext`textStyle], Left], 
                 "    "}, Background -> White, Alignment -> Center]}}, 
             Alignment -> {{Center, Center}, {Top, Top}}, Frame -> None]}, 
           Alignment -> {Left, Center}]}, Background -> 
        RGBColor[0.95, 0.95, 0.95]], "Specifications" :> {}, 
      "Options" :> {
       AppearanceElements -> None, Paneled -> False, SynchronousUpdating -> 
        False}, "DefaultOptions" :> {}],
     ImageSizeCache->{928., {422., 427.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`titleStyle = {
        FontFamily -> "Liberation Sans", 14, Bold, 
         RGBColor[0.35, 0.35, 0.35], Background -> 
         RGBColor[1, 1, 1, 0]}, $CellContext`textStyle = {
        FontFamily -> "Liberation Sans", 12, Bold, 
         RGBColor[0.35, 0.35, 0.35], Background -> 
         RGBColor[1, 1, 1, 0]}, $CellContext`explanationWindowContent = 
       Column[{
          Text[
          "\nLinke Spalte:\nAuswahl der Funktion und Anzeige seines Graphen, \
Auswahl des betrachteten Ableitungspunktes.\n\nRechte Spalte:\nIn der oberen \
Reihe wird der Graph der ersten Ableitung gezeigt: links \
\!\(\*SubscriptBox[\(f\), \(x\)]\) und rechts \!\(\*SubscriptBox[\(f\), \
\(y\)]\). Darin miteingezeichnet ist der Schnitt in y- bzw. x-Richtung, \
welcher in der darunterfolgenden Animation die zweiten Ableitungen \
\!\(\*SubscriptBox[\(f\), \(xy\)]\) und \!\(\*SubscriptBox[\(f\), \(yx\)]\) \
als Grenzprozesse visualisiert. (Die Plots lassen sich manipulieren, z.B. mit \
dem Mauszeiger bei gedr\[UDoubleDot]ckter linker Maustaste drehen!) \nIn der \
unteren Reihe k\[ODoubleDot]nnen Sie diese Animation starten (wobei Sie die \
Animationsrate schneller oder langsamer machen k\[ODoubleDot]nnen). Darin \
sehen Sie wie die beiden partiellen Ableitungen \!\(\*SubscriptBox[\(f\), \
\(xy\)]\) und \!\(\*SubscriptBox[\(f\), \(yx\)]\) als Grenzwerte von \
Sekantensteigungen ermittelt werden und dass beide Werte im Allgemeinen zwar \
gleich sind, nicht aber im kritischen Punkt (a,b) = (0,0) der beiden \
Beispielsfunktionen. Hier ist n\[ADoubleDot]mlich die Voraussetzung des \
Satzes von Schwarz, dass die zweiten Ableitungen in beide Richtungen stetig \
sein m\[UDoubleDot]ssen, nicht erf\[UDoubleDot]llt.\n\nZu beachten:\nEs \
werden unter der Animation auch die beiden Ausdr\[UDoubleDot]cke f\
\[UDoubleDot]r \!\(\*SubscriptBox[\(f\), \(xy\)]\) und \!\(\*SubscriptBox[\(f\
\), \(yx\)]\) angezeigt, wie sie Computer Algebra Systeme (hier z.B. \
Mathematica) h\[ADoubleDot]ufig berechnen. Im kritischen Punkt (0,0) sind die \
beiden zweiten Ableitungen verschieden, wie die Visualisierung zeigt. (Und \
was mit einer exakten Rechnung anhand der Definition der zweiten partiellen \
Ableitungen verifiziert werden kann.) Viele CAS ignorieren aber den Umstand, \
dass in diesen kritischen Punkten der Satz von Schwarz nicht gilt und geben - \
wie demonstriert - f\[ADoubleDot]lschlicherweise gleiche Werte \
f\[UDoubleDot]r beide Ableitungen aus!", BaseStyle -> {14, 
             GrayLevel[0], Plain}]}, {Left, Top}], $CellContext`plot3Df = 
       Dynamic[
         Show[
          Plot3D[
           $CellContext`f[$CellContext`x, $CellContext`y], {$CellContext`x, \
-$CellContext`xBound, $CellContext`xBound}, {$CellContext`y, \
-$CellContext`yBound, $CellContext`yBound}, AxesLabel -> Automatic, Mesh -> 5,
            PlotLabel -> Style["f", Italic], 
           ImageSize -> {$CellContext`defaultPlotImageSizeWidth, \
$CellContext`defaultPlotImageSizeHeight}, Background -> RGBColor[1, 1, 1]], 
          Graphics3D[{
            PointSize[0.05], Black, 
            Point[{$CellContext`pointToWatchX, $CellContext`pointToWatchY, 
              ReplaceAll[
               $CellContext`f[$CellContext`x, $CellContext`y], \
{$CellContext`x -> $CellContext`pointToWatchX, $CellContext`y -> \
$CellContext`pointToWatchY}]}]}], 
          Graphics3D[{Red, Thick, 
            Arrowheads[
             If[$CellContext`currentFunctionIndex == 1, 0.1, 0.01]], 
            Arrow[{{$CellContext`pointToWatchX, $CellContext`pointToWatchY, 
               
               If[$CellContext`currentFunctionIndex == 1, 2.2, 
                
                0.3]}, {$CellContext`pointToWatchX, \
$CellContext`pointToWatchY, 
               
               If[$CellContext`currentFunctionIndex == 1, 0.5, 
                0.1]}}]}]]], $CellContext`f[
         Pattern[$CellContext`x, 
          Blank[]], 
         Pattern[$CellContext`y, 
          Blank[]]] := 
       Part[$CellContext`functionList, $CellContext`initialFunctionIndex], \
$CellContext`functionList = {
         Piecewise[{{0, 
            
            And[$CellContext`x == 0, $CellContext`y == 
             0]}}, (-($CellContext`x^3 $CellContext`y) + $CellContext`x \
$CellContext`y^3)/($CellContext`x^2 + $CellContext`y^2)], 
         Piecewise[{{
           0, $CellContext`x^2 + 3 $CellContext`x^4 + $CellContext`y^2 == 0}},
           Sin[$CellContext`x^3 $CellContext`y]/($CellContext`x^2 + 
          3 $CellContext`x^4 + $CellContext`y^2)]}, \
$CellContext`initialFunctionIndex = 2, $CellContext`xBound = 
       3, $CellContext`yBound = 3, $CellContext`defaultPlotImageSizeWidth = 
       250, $CellContext`defaultPlotImageSizeHeight = 
       250, $CellContext`pointToWatchX = 0, $CellContext`pointToWatchY = 
       0, $CellContext`currentFunctionIndex = Dynamic[
         If[
          StringMatchQ[
           ToString[
            $CellContext`f[$CellContext`x, $CellContext`y]], 
           ToString[
            Part[$CellContext`functionList, 1]]], 1, 
          2]], $CellContext`plotLabelStyle = {
        FontFamily -> "Times", 14, Plain, 
         RGBColor[0.35, 0.35, 0.35], Background -> 
         RGBColor[1, 1, 1, 0]}, $CellContext`functionChooser = Labeled[
         PopupMenu[
          Dynamic[
           $CellContext`f[
            Pattern[$CellContext`x, 
             Blank[]], 
            Pattern[$CellContext`y, 
             Blank[]]]], {
           Piecewise[{{0, 
              
              And[$CellContext`x == 0, $CellContext`y == 
               0]}}, (-($CellContext`x^3 $CellContext`y) + $CellContext`x \
$CellContext`y^3)/($CellContext`x^2 + $CellContext`y^2)], 
           
           Piecewise[{{
             0, $CellContext`x^2 + 3 $CellContext`x^4 + $CellContext`y^2 == 
              0}}, Sin[$CellContext`x^3 $CellContext`y]/($CellContext`x^2 + 
            3 $CellContext`x^4 + $CellContext`y^2)]}, 
          BaseStyle -> {12, FontFamily -> "Courier", Plain}], 
         Style[
         "Funktion mit kritischer Stelle: ", {
          FontFamily -> "Liberation Sans", 12, Bold, 
           RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0]}], 
         Top], $CellContext`xIntervallAroundPointToWatch = 
       1, $CellContext`yIntervallAroundPointToWatch = 
       1, $CellContext`pointToWatch = {0, 
        0}, $CellContext`criticalPointList = {{0, 0}, {0, 
        0}}, $CellContext`plot3Dfx = Dynamic[
         Show[
          Plot3D[
           Evaluate[
            D[
             $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`x]], {$CellContext`x, $CellContext`pointToWatchX - \
$CellContext`xIntervallAroundPointToWatch, $CellContext`pointToWatchX + \
$CellContext`xIntervallAroundPointToWatch}, {$CellContext`y, \
$CellContext`pointToWatchY - $CellContext`yIntervallAroundPointToWatch, \
$CellContext`pointToWatchY + $CellContext`yIntervallAroundPointToWatch}, 
           AxesLabel -> Automatic, PlotLabel -> 
           "\n \!\(\*SubscriptBox[\(f\), \(x\)]\) \n rot: Schnitt in \
y-Richtung", 
           ImageSize -> {$CellContext`defaultPlotImageSizeWidth + 
             50, $CellContext`defaultPlotImageSizeHeight + 50}, 
           Mesh -> {{{$CellContext`pointToWatchX, {
                Thickness[0.01], Red}}}, {{$CellContext`pointToWatchY, {
                Thickness[0.001], LightGray}}}}], 
          Graphics3D[{
            PointSize[0.05], Black, 
            Point[{$CellContext`pointToWatchX, $CellContext`pointToWatchY, 
              ReplaceAll[
               Evaluate[
                D[
                 $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`x]], {$CellContext`x -> $CellContext`pointToWatchX, \
$CellContext`y -> $CellContext`pointToWatchY}]}]}]]], $CellContext`plot3Dfy = 
       Dynamic[
         Show[
          Plot3D[
           Evaluate[
            D[
             $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`y]], {$CellContext`x, $CellContext`pointToWatchX - \
$CellContext`xIntervallAroundPointToWatch, $CellContext`pointToWatchX + \
$CellContext`xIntervallAroundPointToWatch}, {$CellContext`y, \
$CellContext`pointToWatchY - $CellContext`yIntervallAroundPointToWatch, \
$CellContext`pointToWatchY + $CellContext`yIntervallAroundPointToWatch}, 
           AxesLabel -> Automatic, PlotLabel -> 
           "\n \!\(\*SubscriptBox[\(f\), \(y\)]\) \n rot: Schnitt in \
x-Richtung", 
           ImageSize -> {$CellContext`defaultPlotImageSizeWidth + 
             50, $CellContext`defaultPlotImageSizeHeight + 50}, 
           Mesh -> {{{$CellContext`pointToWatchX, {
                Thickness[0.001], LightGray}}}, {{$CellContext`pointToWatchY, {
                Thickness[0.01], Red}}}}], 
          Graphics3D[{
            PointSize[0.05], Black, 
            Point[{$CellContext`pointToWatchX, $CellContext`pointToWatchY, 
              ReplaceAll[
               Evaluate[
                D[
                 $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`y]], {$CellContext`x -> $CellContext`pointToWatchX, \
$CellContext`y -> $CellContext`pointToWatchY}]}]}]]], \
$CellContext`plotCutsAnimation = Dynamic[
         Animate[
          Row[{
            Column[{
              Show[
               Plot[
                ReplaceAll[
                 Evaluate[
                  D[
                   $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`x]], $CellContext`x -> $CellContext`pointToWatchX], \
{$CellContext`y, $CellContext`pointToWatchY - \
$CellContext`yIntervallAroundPointToWatch, $CellContext`pointToWatchY + \
$CellContext`yIntervallAroundPointToWatch}, AxesLabel -> Automatic, 
                PlotStyle -> {Thick, Red}, PlotLabel -> 
                StringJoin[
                 "Schnitt \!\(\*SubscriptBox[\(f\), \(x\)]\)(a,y)\n a=const=", 
                  ToString[$CellContext`pointToWatchX]], 
                ImageSize -> {$CellContext`defaultPlotImageSizeWidth + 
                  50, $CellContext`defaultPlotImageSizeHeight + 50}, 
                PlotRange -> {{$CellContext`pointToWatchY - \
$CellContext`yIntervallAroundPointToWatch, $CellContext`pointToWatchY + \
$CellContext`yIntervallAroundPointToWatch}, Full}, Background -> 
                RGBColor[1, 1, 1]], 
               Graphics[{
                 PointSize[0.03], Black, 
                 Point[{$CellContext`pointToWatchY, 
                   ReplaceAll[
                    Evaluate[
                    D[
                    $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`x]], {$CellContext`x -> $CellContext`pointToWatchX, \
$CellContext`y -> $CellContext`pointToWatchY}]}]}], 
               Graphics[{
                 PointSize[0.03], Blue, 
                 Point[{$CellContext`pointToWatchY + $CellContext`h, 
                   ReplaceAll[
                    Evaluate[
                    D[
                    $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`x]], {$CellContext`x -> $CellContext`pointToWatchX, \
$CellContext`y -> $CellContext`pointToWatchY + $CellContext`h}]}]}], 
               Graphics[{
                 Thickness[0.005], Blue, 
                 Line[{{$CellContext`pointToWatchY + $CellContext`h, 
                    ReplaceAll[
                    Evaluate[
                    D[
                    $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`x]], {$CellContext`x -> $CellContext`pointToWatchX, \
$CellContext`y -> $CellContext`pointToWatchY + $CellContext`h}]} - 
                   10^5 ({$CellContext`pointToWatchY + $CellContext`h, 
                    ReplaceAll[
                    Evaluate[
                    D[
                    $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`x]], {$CellContext`x -> $CellContext`pointToWatchX, \
$CellContext`y -> $CellContext`pointToWatchY + $CellContext`h}]} - \
{$CellContext`pointToWatchY, 
                    ReplaceAll[
                    Evaluate[
                    D[
                    $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`x]], {$CellContext`x -> $CellContext`pointToWatchX, \
$CellContext`y -> $CellContext`pointToWatchY}]}), {$CellContext`pointToWatchY, 
                    ReplaceAll[
                    Evaluate[
                    D[
                    $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`x]], {$CellContext`x -> $CellContext`pointToWatchX, \
$CellContext`y -> $CellContext`pointToWatchY}]} + 
                   10^5 ({$CellContext`pointToWatchY + $CellContext`h, 
                    ReplaceAll[
                    Evaluate[
                    D[
                    $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`x]], {$CellContext`x -> $CellContext`pointToWatchX, \
$CellContext`y -> $CellContext`pointToWatchY + $CellContext`h}]} - \
{$CellContext`pointToWatchY, 
                    ReplaceAll[
                    Evaluate[
                    D[
                    $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`x]], {$CellContext`x -> $CellContext`pointToWatchX, \
$CellContext`y -> $CellContext`pointToWatchY}]})}]}]], 
              Style[
               StringJoin["\!\(\*SubscriptBox[\(f\), \(xy\)]\)(", 
                ToString[$CellContext`pointToWatchX], ",", 
                ToString[$CellContext`pointToWatchY], ") \[TildeTilde] ", 
                ToString[
                 Round[(ReplaceAll[
                    Evaluate[
                    D[
                    $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`x]], {$CellContext`x -> $CellContext`pointToWatchX, \
$CellContext`y -> $CellContext`pointToWatchY + $CellContext`h}] - ReplaceAll[
                    Evaluate[
                    D[
                    $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`x]], {$CellContext`x -> $CellContext`pointToWatchX, \
$CellContext`y -> $CellContext`pointToWatchY}])/$CellContext`h, 
                  0.001]]], $CellContext`plotLabelStyle, 12, Red, Bold], 
              Style[
               StringJoin["Mathematica: \!\(\*SubscriptBox[\(f\), \(xy\)]\)(", 
                ToString[$CellContext`pointToWatchX], ",", 
                ToString[$CellContext`pointToWatchY], ") = ", 
                ToString[
                 Round[
                  ReplaceAll[
                   Evaluate[
                    D[
                    $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`x, $CellContext`y]], {$CellContext`x -> \
$CellContext`pointToWatchX, $CellContext`y -> $CellContext`pointToWatchY}], 
                  0.001]]], $CellContext`plotLabelStyle, 12]}, Center], 
            Column[{
              Show[
               Plot[
                ReplaceAll[
                 Evaluate[
                  D[
                   $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`y]], $CellContext`y -> $CellContext`pointToWatchY], \
{$CellContext`x, $CellContext`pointToWatchX - \
$CellContext`xIntervallAroundPointToWatch, $CellContext`pointToWatchX + \
$CellContext`xIntervallAroundPointToWatch}, AxesLabel -> Automatic, 
                PlotStyle -> {Thick, Red}, PlotLabel -> 
                StringJoin[
                 "Schnitt \!\(\*SubscriptBox[\(f\), \(y\)]\)(x,b)\n b=const=", 
                  ToString[$CellContext`pointToWatchY]], 
                ImageSize -> {$CellContext`defaultPlotImageSizeWidth + 
                  50, $CellContext`defaultPlotImageSizeHeight + 50}, 
                PlotRange -> {{$CellContext`pointToWatchX - \
$CellContext`xIntervallAroundPointToWatch, $CellContext`pointToWatchX + \
$CellContext`xIntervallAroundPointToWatch}, Full}, Background -> 
                RGBColor[1, 1, 1]], 
               Graphics[{
                 PointSize[0.03], Black, 
                 Point[{$CellContext`pointToWatchX, 
                   ReplaceAll[
                    Evaluate[
                    D[
                    $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`y]], {$CellContext`x -> $CellContext`pointToWatchX, \
$CellContext`y -> $CellContext`pointToWatchY}]}]}], 
               Graphics[{
                 PointSize[0.03], Blue, 
                 Point[{$CellContext`pointToWatchX + $CellContext`h, 
                   ReplaceAll[
                    Evaluate[
                    D[
                    $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`y]], {$CellContext`x -> $CellContext`pointToWatchX + \
$CellContext`h, $CellContext`y -> $CellContext`pointToWatchY}]}]}], 
               Graphics[{
                 Thickness[0.005], Blue, 
                 Line[{{$CellContext`pointToWatchX + $CellContext`h, 
                    ReplaceAll[
                    Evaluate[
                    D[
                    $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`y]], {$CellContext`x -> $CellContext`pointToWatchX + \
$CellContext`h, $CellContext`y -> $CellContext`pointToWatchY}]} - 
                   10^5 ({$CellContext`pointToWatchX + $CellContext`h, 
                    ReplaceAll[
                    Evaluate[
                    D[
                    $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`y]], {$CellContext`x -> $CellContext`pointToWatchX + \
$CellContext`h, $CellContext`y -> $CellContext`pointToWatchY}]} - \
{$CellContext`pointToWatchX, 
                    ReplaceAll[
                    Evaluate[
                    D[
                    $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`y]], {$CellContext`x -> $CellContext`pointToWatchX, \
$CellContext`y -> $CellContext`pointToWatchY}]}), {$CellContext`pointToWatchX, 
                    ReplaceAll[
                    Evaluate[
                    D[
                    $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`y]], {$CellContext`x -> $CellContext`pointToWatchX, \
$CellContext`y -> $CellContext`pointToWatchY}]} + 
                   10^5 ({$CellContext`pointToWatchX + $CellContext`h, 
                    ReplaceAll[
                    Evaluate[
                    D[
                    $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`y]], {$CellContext`x -> $CellContext`pointToWatchX + \
$CellContext`h, $CellContext`y -> $CellContext`pointToWatchY}]} - \
{$CellContext`pointToWatchX, 
                    ReplaceAll[
                    Evaluate[
                    D[
                    $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`y]], {$CellContext`x -> $CellContext`pointToWatchX, \
$CellContext`y -> $CellContext`pointToWatchY}]})}]}]], 
              Style[
               StringJoin["\!\(\*SubscriptBox[\(f\), \(yx\)]\)(", 
                ToString[$CellContext`pointToWatchX], ",", 
                ToString[$CellContext`pointToWatchY], ") \[TildeTilde] ", 
                ToString[
                 Round[(ReplaceAll[
                    Evaluate[
                    D[
                    $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`y]], {$CellContext`x -> $CellContext`pointToWatchX + \
$CellContext`h, $CellContext`y -> $CellContext`pointToWatchY}] - ReplaceAll[
                    Evaluate[
                    D[
                    $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`y]], {$CellContext`x -> $CellContext`pointToWatchX, \
$CellContext`y -> $CellContext`pointToWatchY}])/$CellContext`h, 
                  0.001]]], $CellContext`plotLabelStyle, 12, Red, Bold], 
              Style[
               StringJoin["Mathematica: \!\(\*SubscriptBox[\(f\), \(yx\)]\)(", 
                ToString[$CellContext`pointToWatchX], ",", 
                ToString[$CellContext`pointToWatchY], ") = ", 
                ToString[
                 Round[
                  ReplaceAll[
                   Evaluate[
                    D[
                    $CellContext`f[$CellContext`x, $CellContext`y], \
$CellContext`y, $CellContext`x]], {$CellContext`x -> \
$CellContext`pointToWatchX, $CellContext`y -> $CellContext`pointToWatchY}], 
                  0.001]]], $CellContext`plotLabelStyle, 12]}, 
             Center]}], {{$CellContext`h, $CellContext`pointToWatchX + \
$CellContext`xIntervallAroundPointToWatch, 
            Dynamic[
             Style[
              StringJoin["                         Animation:  h = ", 
               ToString[
                TraditionalForm[
                 NumberForm[
                  Round[$CellContext`h, 0.001], {4, 
                  3}]]]], $CellContext`textStyle]]}, \
$CellContext`xIntervallAroundPointToWatch, 0.0001}, 
          ControlPlacement -> {Bottom}, SaveDefinitions -> True, 
          AppearanceElements -> None, Paneled -> False, AnimationRunning -> 
          False, DisplayAllSteps -> True, AnimationRate -> 
          Dynamic[$CellContext`animationRate], RefreshRate -> 5, 
          AnimationRepetitions -> 1]], $CellContext`h = 
       1, $CellContext`animationRate = 0.06}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output"]
}, Open  ]],

Cell[TextData[StyleBox["\[Copyright] 2009 Projekt LEMUREN, Lernen \
Multimedial, Departement Mathematik, ETH Z\[UDoubleDot]rich\n",
 FontFamily->"Bitstream Vera Sans",
 FontSize->11,
 FontColor->GrayLevel[0.5]]], "Text",
 FontFamily->"Liberation Sans",
 FontSize->8]
},
AutoGeneratedPackage->None,
WindowSize->{1119, 797},
WindowMargins->{{98, Automatic}, {Automatic, 25}},
DockedCells->FEPrivate`If[
  FEPrivate`SameQ[FEPrivate`$ProductIDName, "MathematicaPlayer"], 
  FEPrivate`Join[{
    Cell[
     BoxData[
      GraphicsBox[
       RasterBox[CompressedData["
1:eJztXXdYFNfaz3O/f+79vudek3vTLKBIEaQpTRC7BgtqLCTWGxNjYsFookE0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        "], {{0, 0}, {557, 41}}, {0, 255}, 
        ColorFunction -> RGBColor], ImageSize -> {557, 41}, 
       PlotRange -> {{0, 557}, {0, 41}}]], "DockedCell", Background -> 
     GrayLevel[0.866682], CellFrame -> {{0, 0}, {0, 4}}, CellFrameColor -> 
     RGBColor[0.690074, 0.12871, 0.194598], CellMargins -> {{0, 0}, {-3, 0}}, 
     CellFrameMargins -> 0, ContextMenu -> None, 
     ComponentwiseContextMenu -> {}], 
    Cell[
     BoxData[
      GridBox[{{
         GraphicsBox[
          RasterBox[CompressedData["
1:eJztWl1Ik1EYFrqNEoLMbHPmNkRrEhJERj93ra4cJvbDRIsyMk1pc03tTL1w
aD+LfkQIJBkR/dBFdtHFDLywCykqoqgLIYRu6jbb8me933e+HT/P2fZN+sZ0
vg9n43zfec973nPe57zvOWNFDS2OhnU5OTlG+LyBj1S/ikAgEAgEAoFAIBAI
xEpFMBh8jUgPYG0z7d7MAOYedm/Bko4Ca5tp92YGSCokle5AUiGpdAeSCkml
O0RS/R1tjEajUIHvyIhdehPyLNZjrVSAgT5CK1Tmf32e+/qcdYEy+/4+vKTd
oQJN89PjojbaHcrCzE8qn0RGfIxrEjcF0SomD49hYqDDUUSGKtUKWRMYz42L
pFJDg1RPamGdlRWGuuDi2Yl+WHkoiy72W6jjgFeSm/wWKEAScCvtCxWpSzxt
1FPU9dJ76Lt8UnEmcVMQrWImUQE6nKJB7sgUKpb4LcpEtHiFpEpEKim2TI8n
IhXv4pAHXCAJEAPIq7d5JFAOYYEGKHEstTbQAJKSx+XH5ZKKE+CmIFq1ZC/E
SBVXoboJyMliKZKKgyapwLlK1ohHKgpYYfGRbnNpg4c8dP3prtckFQ0gUm5K
miKpVZxnRZP4KcSziiU1bjhOobpJ2TtIqnhITipYZ7byydJfoDzMpT9ZWMo1
EHbgBBLyhOWzlmakUtKQnB/VuUYkFbWNjZXIJHEKnFVL0t+IXSQVU4iRKkUk
JxVzhJI7hirpDpXOGzJ5eFLFvMNORxAlaJZhmtmZStQGAvSQA/FECSksH/kt
VLMyokw5qHDOFU3ipiBaxZmtTSo8U2lBI1LF/BWNXZ0Y1LckLo9IqQdYIWdA
9T0uvPT2J2qjrUr2lGMRSzrq4eiIVIxFGC5bMZO4KYhWcWYnSn8gv3j7k+vJ
GbVaSNXt9fo6O/XVib9Tpa+sClLdvtB0q+WSvjqRVGucVA/q6p9V1+irE0m1
xkk1cuLk2O49+upEUq1xUg1X14yZraSrS0ed+H+q9GFV/J+qx25/u9U40Nqa
aUMQ2YMrFRWf8g0vDh9JvUvgYjPR+8KIyA5AyiNeb1Pe5ql840xxSV97eyq9
Hp1y3nE602waYoXC19GRqInIGHC57lY53Lm53/O2RQ3Fr6qqNXUG609/LLX1
ulOiHyL74D/XeLPxvPiexHDtsuulyexbv2GqwLRgNP8xl/W7XAQE1IUQ1nHw
zNl5o2XYoc09RLbC5/E8te26V9+gfskY5SPkuss1abLc2Ljpm9E8Z7FFt++c
POroJoQWn1wotQAPj9XMFZp/m6y9bndGpoNYCZBikbNuoqBwsPY4IxIrQJu+
trYf5pLRfOOXotJw6d7Zsv0LtkOPzzb1ENKjolagueVD5YGodUfEZH2372Cm
p4X4X/wDFcRtOg==
           "], {{0, 0}, {199, 30}}, {0, 255}, ColorFunction -> 
           RGBColor], ImageSize -> {199, 30}, 
          PlotRange -> {{0, 199}, {0, 30}}], 
         ButtonBox[
          GraphicsBox[
           RasterBox[CompressedData["
1:eJztlDFuhFAMRJHS5w45Re6RI+wFcoOUtNtR0lJSUlNSUtNS0m9JXjTKaPQh
UfpgCeT1n2+Px15ebu9vt6eqqp55Xnm+/I/L/p+1bbtt277vvJumIcKbnwWs
73vBsHVdE1bXNQ55Ho8HMOEd3L9tWRZ+6tRBrrjEMAwigHO/37M6SII40zRB
Q7QLkpQWjKOu63RqGHHVIoOYYAR16oucinYGxUo2jqMIzPNMnpQRPF2nMkeS
cCBDXsm7ZNZp6oZRS3wsIBFNIYM2iY8gYmJA8imqawHcOAKqio4KSp4O7Qjp
K1nOUygasaG2hoKSaud3krkArggZzyhhTohP3Uz7E0mNu9g98oj26exOSTon
fRUtn8IUJL+W80gyuz6OW3mgrSXXEv5dSaRTaRz9KQpY/knxtVomKdFQxvFT
JZFR6pFBJWT5tbEvR9+H3F6S+GOSMC+DTHtrHYyh32Qu855cdhn2CUundjY=

            "], {{0, 0}, {55, 14}}, {0, 255}, ColorFunction -> RGBColor], 
           ImageSize -> {55, 14}, PlotRange -> {{0, 55}, {0, 14}}], 
          ButtonData -> {
            URL["http://store.wolfram.com/view/app/playerpro/"], None}, 
          ButtonNote -> "http://store.wolfram.com/view/app/playerpro/"], 
         GraphicsBox[
          
          RasterBox[{{{132, 132, 132}, {156, 155, 155}}, {{138, 137, 137}, {
           171, 169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 137, 
           137}, {171, 169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 
           137, 137}, {171, 169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{
           138, 137, 137}, {171, 169, 169}}, {{138, 137, 137}, {171, 169, 
           169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 137, 137}, {171, 
           169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 137, 137}, {
           171, 169, 169}}, {{135, 135, 135}, {167, 166, 166}}}, {{0, 0}, {2, 
           14}}, {0, 255}, ColorFunction -> RGBColor], ImageSize -> {2, 14}, 
          PlotRange -> {{0, 2}, {0, 14}}], 
         ButtonBox[
          GraphicsBox[
           RasterBox[CompressedData["
1:eJztlSGSg2AMhTuzfu+wB1qzR+gF9gbIWhwSW4lEV1ZWYyvxSPZb3vAmDdDq
zpCZdvKH5CUvfwhfx9+f48fhcPjk983vXy922eU9paqqcRx9HGcZhiE+PZ1O
KHVd24KOgt0WFKLQ27ZdJrper0JGcS5CVqs6n89yRpGl73tZBK6kkvv97kCe
ChOlLEvbVW2kiYPoxKcYRdwWld00jS2EcFSFMYXCqbOcBJzL5aJcxK7SFEFB
GQFn8AWupPUkMRfIJEK53W5d1z2hGVP7yohVbfanWoxAJQTfeywbT1+xK9mi
GQGTj8FT0uRAN3Tdjl3SlNANP5WoabIIRP+x52ojLEgXs8fxs7+R1cCXNFH6
SVJhKZwx0+BxBZ7nraGNpBSrEFlA1khgRDcCRg1navIWTeVKPVmliaeaL+c4
tCmcknRHfjtWaS6HNtYmC1wYjGJ+6eKjJcficWgVssz1nGbabFtD682gZaIO
MHXqkq/vyW3GFaQXliNuOhbz9lOHU3a6SrhWkCmnXC9pUoPBt1aQpquYrtJt
0f6Pazkd497W1MkSlxierkrrN254iz8oHqS0ByzxGzfOHx2yq9plYSl8l13e
Xf4ArlmHrg==
            "], {{0, 0}, {77, 14}}, {0, 255}, ColorFunction -> 
            RGBColor], ImageSize -> {77, 14}, 
           PlotRange -> {{0, 77}, {0, 14}}], ButtonData -> {
            URL[
            "http://www.wolfram.com/solutions/interactivedeployment/\
licensingterms.html"], None}, ButtonNote -> 
          "http://www.wolfram.com/solutions/interactivedeployment/\
licensingterms.html"]}}, ColumnsEqual -> False, 
       GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}]], 
     "DockedCell", Background -> GrayLevel[0.494118], 
     CellFrame -> {{0, 0}, {4, 0}}, CellFrameColor -> 
     RGBColor[0.690074, 0.12871, 0.194598], CellMargins -> 0, 
     CellFrameMargins -> {{0, 0}, {0, -1}}, ContextMenu -> None, 
     ComponentwiseContextMenu -> {}, 
     ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
          NotebookLocate[#2]}]& ), Appearance -> None, ButtonFrame -> None, 
       Evaluator -> None, Method -> "Queued"}]}, 
   FEPrivate`If[
    FEPrivate`SameQ[
     FrontEnd`CurrentValue[
      FrontEnd`EvaluationNotebook[], ScreenStyleEnvironment], "SlideShow"], {
    Inherited}, {}]], Inherited],
TrackCellChangeTimes->False,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 61084, 1409, 19, "Input",
 CellOpen->False,
 InitializationCell->True],
Cell[CellGroupData[{
Cell[61654, 1433, 11849, 247, 19, "Input",
 CellOpen->False,
 InitializationCell->True],
Cell[73506, 1682, 25921, 526, 866, "Output"]
}, Open  ]],
Cell[99442, 2211, 266, 6, 49, "Text"]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 0v0SbQj9GTUbQBKm7Q8gBKnh *)
