(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     73094,       1524]
NotebookOptionsPosition[     56453,       1223]
NotebookOutlinePosition[     72988,       1519]
CellTagsIndexPosition[     72945,       1516]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Style", " ", "Definitions"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"titleStyle", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", " ", "\[Rule]", "\"\<Liberation Sans\>\""}], ",",
        "14", ",", "Bold", ",", " ", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
       RowBox[{"Background", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"textStyle", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", " ", "\[Rule]", "\"\<Liberation Sans\>\""}], ",",
        "12", ",", "Bold", ",", " ", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
       RowBox[{"Background", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"plotLabelStyle", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", " ", "\[Rule]", "\"\<Times\>\""}], ",", "14", 
       ",", "Plain", ",", " ", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
       RowBox[{"Background", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Functions", ",", " ", 
     RowBox[{"Parameters", " ", "and", " ", "Controls"}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"flist", " ", "=", " ", 
     RowBox[{"{", "   ", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{"NOTE", ":", " ", 
         RowBox[{"When", " ", "adding", " ", "another", " ", "function"}]}], 
        ",", " ", 
        RowBox[{
        "also", " ", "add", " ", "appropriate", " ", "part", " ", "to", " ", 
         "the", " ", 
         RowBox[{"fChooser", "!"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           RowBox[{"x", "^", "2"}]}], "-", 
          RowBox[{"y", "^", "2"}]}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "4"}], ",", " ", "4"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "20"}], ",", "0"}], "}"}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"x", "^", "2"}], "*", 
           RowBox[{"y", "^", "2"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", " ", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "2"}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "^", "4"}], "+", 
          RowBox[{"y", "^", "4"}], "-", 
          RowBox[{"4", " ", "x", " ", "y"}], " ", "+", " ", "1"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1.8"}], ",", " ", "1.8"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1.8"}], ",", "1.8"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1.5"}], ",", "2"}], "}"}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"10", 
           RowBox[{"x", "^", "2"}], " ", "y"}], " ", "-", " ", 
          RowBox[{"5", " ", 
           RowBox[{"x", "^", "2"}]}], " ", "-", 
          RowBox[{"4", " ", 
           RowBox[{"y", " ", "^", "2"}]}], " ", "-", 
          RowBox[{"x", "^", "4"}], " ", "-", 
          RowBox[{"2", " ", 
           RowBox[{"y", "^", "4"}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2"}], ",", "3"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "20"}], ",", "12"}], "}"}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"2", 
           RowBox[{"x", "^", "2"}]}], "+", 
          RowBox[{"y", "^", "2"}]}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "10"}], "}"}]}], "}"}]}], "\[IndentingNewLine]", 
      "}"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"numberOfLevelCurves", " ", "=", "8"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"flist", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xa", " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"flist", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "[", 
       RowBox[{"[", "2", "]"}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xb", " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"flist", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "[", 
       RowBox[{"[", "2", "]"}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ya", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"flist", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "[", 
       RowBox[{"[", "3", "]"}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"yb", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"flist", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "[", 
       RowBox[{"[", "3", "]"}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"za", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"flist", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "[", 
       RowBox[{"[", "4", "]"}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"zb", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"flist", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "[", 
       RowBox[{"[", "4", "]"}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"delta", " ", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"maxDeltaX", " ", "=", " ", 
     RowBox[{
      RowBox[{"Abs", "[", 
       RowBox[{"xb", "-", "xa"}], "]"}], "/", "2"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"maxDeltaY", " ", "=", 
     RowBox[{
      RowBox[{"Abs", "[", 
       RowBox[{"yb", "-", "ya"}], "]"}], "/", "2"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fChooser", " ", "=", 
     RowBox[{"Labeled", "[", " ", 
      RowBox[{
       RowBox[{"ActionMenu", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<f(x,y) = \>\"", ",", "textStyle"}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"ToString", "[", 
             RowBox[{"TraditionalForm", "[", 
              RowBox[{
               RowBox[{"flist", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], "\[RuleDelayed]", 
            RowBox[{"(", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"f", "[", 
                RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
               RowBox[{
                RowBox[{"flist", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"xa", " ", "=", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"xb", " ", "=", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"ya", "=", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "[", 
                 RowBox[{"[", "3", "]"}], "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"yb", "=", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "[", 
                 RowBox[{"[", "3", "]"}], "]"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"za", "=", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "[", 
                 RowBox[{"[", "4", "]"}], "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"zb", "=", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "[", 
                 RowBox[{"[", "4", "]"}], "]"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"maxDeltaX", " ", "=", " ", 
               RowBox[{
                RowBox[{"Abs", "[", 
                 RowBox[{"xb", "-", "xa"}], "]"}], "/", "2"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"maxDeltaY", " ", "=", 
               RowBox[{
                RowBox[{"Abs", "[", 
                 RowBox[{"yb", "-", "ya"}], "]"}], "/", "2"}]}], ";"}], 
             ")"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"ToString", "[", 
             RowBox[{"TraditionalForm", "[", 
              RowBox[{
               RowBox[{"flist", "[", 
                RowBox[{"[", "2", "]"}], "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], "\[RuleDelayed]", 
            RowBox[{"(", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"f", "[", 
                RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
               RowBox[{
                RowBox[{"flist", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"xa", " ", "=", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"xb", " ", "=", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"ya", "=", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "[", 
                 RowBox[{"[", "3", "]"}], "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"yb", "=", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "[", 
                 RowBox[{"[", "3", "]"}], "]"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"za", "=", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "[", 
                 RowBox[{"[", "4", "]"}], "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"zb", "=", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "[", 
                 RowBox[{"[", "4", "]"}], "]"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"maxDeltaX", " ", "=", " ", 
               RowBox[{
                RowBox[{"Abs", "[", 
                 RowBox[{"xb", "-", "xa"}], "]"}], "/", "2"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"maxDeltaY", " ", "=", 
               RowBox[{
                RowBox[{"Abs", "[", 
                 RowBox[{"yb", "-", "ya"}], "]"}], "/", "2"}]}], ";"}], 
             ")"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"ToString", "[", 
             RowBox[{"TraditionalForm", "[", 
              RowBox[{
               RowBox[{"flist", "[", 
                RowBox[{"[", "3", "]"}], "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], "\[RuleDelayed]", 
            RowBox[{"(", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"f", "[", 
                RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
               RowBox[{
                RowBox[{"flist", "[", 
                 RowBox[{"[", "3", "]"}], "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"xa", " ", "=", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "3", "]"}], "]"}], "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"xb", " ", "=", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "3", "]"}], "]"}], "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"ya", "=", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "3", "]"}], "]"}], "[", 
                 RowBox[{"[", "3", "]"}], "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"yb", "=", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "3", "]"}], "]"}], "[", 
                 RowBox[{"[", "3", "]"}], "]"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"za", "=", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "3", "]"}], "]"}], "[", 
                 RowBox[{"[", "4", "]"}], "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"zb", "=", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "3", "]"}], "]"}], "[", 
                 RowBox[{"[", "4", "]"}], "]"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"maxDeltaX", " ", "=", " ", 
               RowBox[{
                RowBox[{"Abs", "[", 
                 RowBox[{"xb", "-", "xa"}], "]"}], "/", "2"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"maxDeltaY", " ", "=", 
               RowBox[{
                RowBox[{"Abs", "[", 
                 RowBox[{"yb", "-", "ya"}], "]"}], "/", "2"}]}], ";"}], 
             ")"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"ToString", "[", 
             RowBox[{"TraditionalForm", "[", 
              RowBox[{
               RowBox[{"flist", "[", 
                RowBox[{"[", "4", "]"}], "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], "\[RuleDelayed]", 
            RowBox[{"(", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"f", "[", 
                RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
               RowBox[{
                RowBox[{"flist", "[", 
                 RowBox[{"[", "4", "]"}], "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"xa", " ", "=", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "4", "]"}], "]"}], "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"xb", " ", "=", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "4", "]"}], "]"}], "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"ya", "=", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "4", "]"}], "]"}], "[", 
                 RowBox[{"[", "3", "]"}], "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"yb", "=", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "4", "]"}], "]"}], "[", 
                 RowBox[{"[", "3", "]"}], "]"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"za", "=", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "4", "]"}], "]"}], "[", 
                 RowBox[{"[", "4", "]"}], "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"zb", "=", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "4", "]"}], "]"}], "[", 
                 RowBox[{"[", "4", "]"}], "]"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"maxDeltaX", " ", "=", " ", 
               RowBox[{
                RowBox[{"Abs", "[", 
                 RowBox[{"xb", "-", "xa"}], "]"}], "/", "2"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"maxDeltaY", " ", "=", 
               RowBox[{
                RowBox[{"Abs", "[", 
                 RowBox[{"yb", "-", "ya"}], "]"}], "/", "2"}]}], ";"}], 
             ")"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"ToString", "[", 
             RowBox[{"TraditionalForm", "[", 
              RowBox[{
               RowBox[{"flist", "[", 
                RowBox[{"[", "5", "]"}], "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], "\[RuleDelayed]", 
            RowBox[{"(", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"f", "[", 
                RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
               RowBox[{
                RowBox[{"flist", "[", 
                 RowBox[{"[", "5", "]"}], "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"xa", " ", "=", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "5", "]"}], "]"}], "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"xb", " ", "=", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "5", "]"}], "]"}], "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"ya", "=", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "5", "]"}], "]"}], "[", 
                 RowBox[{"[", "3", "]"}], "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"yb", "=", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "5", "]"}], "]"}], "[", 
                 RowBox[{"[", "3", "]"}], "]"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"za", "=", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "5", "]"}], "]"}], "[", 
                 RowBox[{"[", "4", "]"}], "]"}], "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"zb", "=", 
               RowBox[{
                RowBox[{
                 RowBox[{"flist", "[", 
                  RowBox[{"[", "5", "]"}], "]"}], "[", 
                 RowBox[{"[", "4", "]"}], "]"}], "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"maxDeltaX", " ", "=", " ", 
               RowBox[{
                RowBox[{"Abs", "[", 
                 RowBox[{"xb", "-", "xa"}], "]"}], "/", "2"}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"maxDeltaY", " ", "=", 
               RowBox[{
                RowBox[{"Abs", "[", 
                 RowBox[{"yb", "-", "ya"}], "]"}], "/", "2"}]}], ";"}], 
             ")"}]}]}], "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]",
         "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Function: \>\"", ",", "textStyle"}], "]"}], ",", 
       "Left"}], "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"shifter2D", " ", "=", " ", 
     RowBox[{"Labeled", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Dynamic", "[", 
        RowBox[{"Slider2D", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Dynamic", "[", "delta", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "maxDeltaX"}], ",", 
              RowBox[{"-", "maxDeltaY"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"maxDeltaX", ",", "maxDeltaY"}], "}"}]}], "}"}]}], 
         "\[IndentingNewLine]", "]"}], "]"}], ",", 
       RowBox[{"Column", "[", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<Shift displayed domain by\>\"", ",", "textStyle"}], 
           "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"\"\<(\[CapitalDelta]x,\[CapitalDelta]y) = (\>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"TraditionalForm", "[", 
               RowBox[{"Dynamic", "[", 
                RowBox[{"delta", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}], "]"}], "<>", 
             "\"\<,\>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"TraditionalForm", "[", 
               RowBox[{"Dynamic", "[", 
                RowBox[{"delta", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}], "]"}], "<>", 
             "\"\<)\>\""}], ",", "textStyle"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Style", "[", 
           RowBox[{"\"\<from origin:\>\"", ",", "textStyle"}], "]"}]}], 
         "\[IndentingNewLine]", "}"}], "]"}], "\[IndentingNewLine]", ",", 
       "Left"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"numberOfLevelCurvesChooser", " ", "=", " ", 
     RowBox[{"Labeled", "[", 
      RowBox[{
       RowBox[{"SetterBar", "[", 
        RowBox[{
         RowBox[{"Dynamic", "[", "numberOfLevelCurves", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
          "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6", ",", "8", 
           ",", "10", ",", "12", ",", "15", ",", "20", ",", "30", ",", "50", 
           ",", "100"}], "}"}]}], "]"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Number Of Level Curves: \>\"", ",", "textStyle"}], "]"}],
        ",", "Left"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "Plots", " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"surfacePlot", "=", 
     RowBox[{"Dynamic", "[", 
      RowBox[{"Plot3D", "[", 
       RowBox[{
        RowBox[{"f", "[", 
         RowBox[{"x", ",", "y"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"xa", "+", 
           RowBox[{"delta", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ",", 
          RowBox[{"xb", "+", 
           RowBox[{"delta", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", 
          RowBox[{"ya", "+", 
           RowBox[{"delta", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ",", 
          RowBox[{"yb", "+", 
           RowBox[{"delta", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}], ",", 
        RowBox[{"AxesLabel", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}]}], ",", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"400", ",", "400"}], "}"}]}], ",", 
        RowBox[{"ClippingStyle", "\[Rule]", "None"}], ",", 
        RowBox[{"MeshFunctions", "->", 
         RowBox[{"{", 
          RowBox[{"#3", "&"}], "}"}]}], ",", 
        RowBox[{"Mesh", "\[Rule]", "numberOfLevelCurves"}], ",", 
        RowBox[{"PlotLabel", "\[Rule]", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"\"\<\\n\>\"", "<>", "\"\<f(x,y) = \>\"", "<>", 
            RowBox[{"ToString", "[", 
             RowBox[{"TraditionalForm", "[", 
              RowBox[{"f", "[", 
               RowBox[{"x", ",", "y"}], "]"}], "]"}], "]"}], "<>", 
            "\"\< (Surface Plot)\\n\>\""}], ",", "plotLabelStyle"}], "]"}]}], 
        ",", 
        RowBox[{"Background", "\[Rule]", 
         RowBox[{"RGBColor", "[", 
          RowBox[{"1", ",", "1", ",", "1"}], "]"}]}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Full", ",", "Full", ",", 
           RowBox[{"{", 
            RowBox[{"za", ",", "zb"}], "}"}]}], "}"}]}]}], "]"}], "]"}]}], 
    ";", 
    RowBox[{"contourPlot", " ", "=", " ", 
     RowBox[{"Dynamic", "[", 
      RowBox[{"ContourPlot", "[", 
       RowBox[{
        RowBox[{"f", "[", 
         RowBox[{"x", ",", "y"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"xa", "+", 
           RowBox[{"delta", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ",", 
          RowBox[{"xb", "+", 
           RowBox[{"delta", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", 
          RowBox[{"ya", "+", 
           RowBox[{"delta", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ",", 
          RowBox[{"yb", "+", 
           RowBox[{"delta", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}], ",", 
        RowBox[{"AxesLabel", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}]}], ",", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"400", ",", "400"}], "}"}]}], ",", 
        RowBox[{"Contours", "\[Rule]", "numberOfLevelCurves"}], ",", 
        RowBox[{"ContourLabels", "\[Rule]", "Automatic"}], ",", 
        RowBox[{"ContourShading", "\[Rule]", "None"}], ",", 
        RowBox[{"ClippingStyle", "\[Rule]", "None"}], ",", 
        RowBox[{"PlotLabel", "\[Rule]", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"\"\<\\n\>\"", "<>", "\"\<f(x,y) = \>\"", "<>", 
            RowBox[{"ToString", "[", 
             RowBox[{"TraditionalForm", "[", 
              RowBox[{"f", "[", 
               RowBox[{"x", ",", "y"}], "]"}], "]"}], "]"}], "<>", 
            "\"\< (Level Curves)\\n\>\""}], ",", "plotLabelStyle"}], "]"}]}], 
        ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Full", ",", "Full", ",", 
           RowBox[{"{", 
            RowBox[{"za", ",", "zb"}], "}"}]}], "}"}]}], ",", 
        RowBox[{"Background", "\[Rule]", 
         RowBox[{"RGBColor", "[", 
          RowBox[{"1", ",", "1", ",", "1"}], "]"}]}]}], "]"}], "]"}]}], ";"}],
    "\[IndentingNewLine]", "\[IndentingNewLine]"}]}]], "Input",
 CellOpen->False,
 CellChangeTimes->{{3.44341440796875*^9, 3.443414478078125*^9}, {
   3.443414517078125*^9, 3.44341451796875*^9}, 3.4434147785*^9, {
   3.44341904065625*^9, 3.443419090359375*^9}, {3.4434197610625*^9, 
   3.44341979134375*^9}, {3.443423312875*^9, 3.443423334828125*^9}, {
   3.443424840859375*^9, 3.4434250106875*^9}, {3.443427055921875*^9, 
   3.44342706346875*^9}, {3.443427888203125*^9, 3.443427897640625*^9}, {
   3.44342844809375*^9, 3.44342849634375*^9}, 3.443428883890625*^9, {
   3.443449161234375*^9, 3.443449217296875*^9}, {3.443449313140625*^9, 
   3.44344947671875*^9}, {3.443449518421875*^9, 3.44344957684375*^9}, {
   3.443449711078125*^9, 3.443449711765625*^9}, {3.4434501435625*^9, 
   3.44345014771875*^9}, {3.443450244765625*^9, 3.44345024625*^9}, {
   3.44345066459375*^9, 3.44345070603125*^9}, {3.443450756484375*^9, 
   3.443450766625*^9}, {3.443450873828125*^9, 3.443450880671875*^9}, 
   3.443451367671875*^9, {3.443458040171875*^9, 3.44345812434375*^9}, {
   3.44345822359375*^9, 3.443458228625*^9}, {3.443458693140625*^9, 
   3.4434587115625*^9}, {3.443458741796875*^9, 3.44345890125*^9}, {
   3.44345893240625*^9, 3.443459211671875*^9}, {3.443459593984375*^9, 
   3.443459595109375*^9}, {3.443459630171875*^9, 3.4434596463125*^9}, {
   3.443459685546875*^9, 3.44345970978125*^9}, {3.443459765734375*^9, 
   3.443459832328125*^9}, {3.443459866703125*^9, 3.443459952375*^9}, {
   3.443460032921875*^9, 3.443460075515625*^9}, {3.4434601068125*^9, 
   3.44346011384375*^9}, {3.44346022046875*^9, 3.443460244859375*^9}, {
   3.4434603245625*^9, 3.44346038796875*^9}, 3.44346043109375*^9, {
   3.443460481296875*^9, 3.44346050334375*^9}, {3.443460537578125*^9, 
   3.443460663453125*^9}, {3.44346071678125*^9, 3.44346079025*^9}, {
   3.443460882046875*^9, 3.4434608885*^9}, {3.44346095090625*^9, 
   3.4434611184375*^9}, {3.4434612061875*^9, 3.443461211234375*^9}, {
   3.443461247546875*^9, 3.44346125040625*^9}, {3.4434613145*^9, 
   3.4434613823125*^9}, {3.443461457796875*^9, 3.44346149328125*^9}, {
   3.4434615391875*^9, 3.443461540578125*^9}, {3.443461624234375*^9, 
   3.443461639953125*^9}, {3.4434616900625*^9, 3.44346171675*^9}, {
   3.4434617748125*^9, 3.443461777921875*^9}, {3.443462095484375*^9, 
   3.4434621285*^9}, {3.443462276171875*^9, 3.4434623469375*^9}, {
   3.4434624448125*^9, 3.44346263*^9}, {3.443462749828125*^9, 
   3.443462797046875*^9}, {3.443462883*^9, 3.443463038375*^9}, {
   3.443463094109375*^9, 3.44346310059375*^9}, 3.443463143875*^9, {
   3.443463174125*^9, 3.4434631934375*^9}, {3.443463313046875*^9, 
   3.443463342390625*^9}, 3.443463382625*^9, {3.443463471328125*^9, 
   3.443463584578125*^9}, {3.443463627703125*^9, 3.4434636505*^9}, 
   3.4434649829375*^9, {3.443465199390625*^9, 3.443465211203125*^9}, {
   3.44346531740625*^9, 3.443465328*^9}, {3.44346535871875*^9, 
   3.443465360546875*^9}, {3.4435147831015244`*^9, 3.443514784052102*^9}, {
   3.443514869992334*^9, 3.443514885889246*^9}, {3.443514921321954*^9, 
   3.4435149478403873`*^9}, {3.443515102382019*^9, 3.4435152400468407`*^9}, {
   3.443515291983883*^9, 3.443515324585004*^9}, {3.443515384174465*^9, 
   3.443515394510798*^9}, {3.4435154994827213`*^9, 3.443515521644486*^9}, {
   3.443515993829667*^9, 3.4435160394963837`*^9}, {3.4435161267165194`*^9, 
   3.4435161637524567`*^9}, {3.443516255420179*^9, 3.443516287094605*^9}, {
   3.44351654925077*^9, 3.443516556594138*^9}, {3.443516884891095*^9, 
   3.44351689216605*^9}, {3.443516939822735*^9, 3.443516953465108*^9}, {
   3.4435169947188663`*^9, 3.4435171645878057`*^9}, {3.443517202797599*^9, 
   3.443517220519432*^9}, {3.4435172630069237`*^9, 3.443517269073196*^9}, {
   3.443517638511375*^9, 3.443517679925049*^9}, {3.4435177234529037`*^9, 
   3.4435177699304657`*^9}, {3.443517868523633*^9, 3.4435178715663567`*^9}, {
   3.443522171405994*^9, 3.4435221810542583`*^9}, {3.443522466717245*^9, 
   3.4435224764665117`*^9}, {3.4435225903407707`*^9, 3.443522654498179*^9}, {
   3.443522711370831*^9, 3.4435227757790203`*^9}, {3.4435228576179237`*^9, 
   3.443522869368717*^9}, {3.443522912603612*^9, 3.443522913171999*^9}, {
   3.443522943949791*^9, 3.443522946430244*^9}, {3.443523002730801*^9, 
   3.443523116897593*^9}, {3.4435231627494*^9, 3.443523167012227*^9}, {
   3.443523257160589*^9, 3.443523319698998*^9}, {3.443523352851055*^9, 
   3.443523352979738*^9}, {3.44352343695914*^9, 3.443523475559842*^9}, {
   3.4435235131715527`*^9, 3.443523548274663*^9}, {3.443523624496934*^9, 
   3.4435236565918207`*^9}, {3.4435238122853813`*^9, 3.4435238256917048`*^9}, 
   3.443523862775784*^9, {3.443523904640316*^9, 3.443523910619998*^9}, {
   3.443523973076151*^9, 3.443523981767933*^9}, {3.443524729122899*^9, 
   3.443524737665133*^9}, {3.4435253877295437`*^9, 3.4435254943753557`*^9}, {
   3.443525545415038*^9, 3.4435255472801037`*^9}, {3.443525588289071*^9, 
   3.443525792689437*^9}, 3.44352584099625*^9, 3.443525890437258*^9, 
   3.443525952115498*^9, {3.443526013717579*^9, 3.4435260262780333`*^9}, 
   3.443526058528427*^9, {3.44352614202127*^9, 3.443526148439693*^9}, {
   3.44352619262121*^9, 3.4435262178362093`*^9}, {3.443526351827177*^9, 
   3.443526352379415*^9}, {3.443526508281259*^9, 3.443526513115851*^9}, {
   3.443526562479298*^9, 3.443526594317059*^9}, {3.443526677762494*^9, 
   3.443526740162035*^9}, {3.443526854336062*^9, 3.443526866657868*^9}, {
   3.4435270076421623`*^9, 3.443527018339699*^9}, {3.443555802811277*^9, 
   3.443555927501607*^9}, {3.443556001594936*^9, 3.4435560306362333`*^9}, {
   3.443556410740204*^9, 3.4435564185252247`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"TabView", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Level Curves\>\"", ",", "titleStyle"}], "]"}], "->", 
       "\[IndentingNewLine]", 
       RowBox[{"Column", "[", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{"\"\<\>\"", ",", "\[IndentingNewLine]", 
          RowBox[{"Row", "[", 
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{"\"\<   \>\"", ",", "\[IndentingNewLine]", 
             RowBox[{"Column", "[", 
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
               "fChooser", ",", "\[IndentingNewLine]", "\"\<    \>\"", ",", 
                "\[IndentingNewLine]", "numberOfLevelCurvesChooser"}], 
               "\[IndentingNewLine]", "}"}], "]"}], ",", 
             "\[IndentingNewLine]", "\"\<    \>\"", ",", 
             "\[IndentingNewLine]", "shifter2D", ",", "\[IndentingNewLine]", 
             "\"\<    \>\""}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Row", "[", 
           RowBox[{
           "{", "\[IndentingNewLine]", "\"\<  \>\"", "\[IndentingNewLine]", 
            "}"}], "]"}], ",", "\[IndentingNewLine]", "\"\<   \>\"", ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Row", "[", 
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{"\"\<  \>\"", ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Column", "[", 
               RowBox[{
                RowBox[{"{", "\[IndentingNewLine]", 
                 RowBox[{"surfacePlot", ",", "\[IndentingNewLine]", 
                  RowBox[{"Style", "[", 
                   RowBox[{
                   "\"\<Rotate and zoom plot\>\"", ",", "textStyle", ",", 
                    "10"}], "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
                "Center"}], "]"}], "\[IndentingNewLine]", "\"\<  \>\""}], ",",
              "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Column", "[", 
               RowBox[{
                RowBox[{"{", "\[IndentingNewLine]", 
                 RowBox[{"contourPlot", ",", "\[IndentingNewLine]", 
                  RowBox[{"Style", "[", 
                   RowBox[{
                   "\"\<Point with mouse on level curve to display z \
value\>\"", ",", "textStyle", ",", "10"}], "]"}]}], "\[IndentingNewLine]", 
                 "}"}], ",", " ", "Center"}], "]"}], "\[IndentingNewLine]", 
              "\"\<  \>\""}], ",", "\[IndentingNewLine]", "\"\<  \>\""}], 
            "\[IndentingNewLine]", "}"}], "]"}]}], "\[IndentingNewLine]", 
         "}"}], "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
     RowBox[{"Background", "\[Rule]", 
      RowBox[{"RGBColor", "[", 
       RowBox[{"0.85", ",", "0.85", ",", "0.85"}], "]"}]}]}], "]"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"SaveDefinitions", "->", "True"}], ",", 
   RowBox[{"AppearanceElements", "\[Rule]", "None"}], ",", 
   RowBox[{"Paneled", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellOpen->False,
 CellChangeTimes->{{3.443416474703125*^9, 3.443416507421875*^9}, {
   3.4434165516875*^9, 3.443416570015625*^9}, {3.44341667403125*^9, 
   3.443416695234375*^9}, {3.443418323125*^9, 3.4434184098125*^9}, {
   3.443419129578125*^9, 3.44341913328125*^9}, {3.443419256421875*^9, 
   3.443419260984375*^9}, {3.44341929665625*^9, 3.44341936215625*^9}, {
   3.4434194390625*^9, 3.4434194474375*^9}, {3.44341995659375*^9, 
   3.44341997353125*^9}, {3.44342142378125*^9, 3.44342148771875*^9}, {
   3.443421669359375*^9, 3.44342167728125*^9}, {3.443421712453125*^9, 
   3.4434217851875*^9}, {3.4434222484375*^9, 3.443422291046875*^9}, {
   3.44342233175*^9, 3.443422376875*^9}, 3.443423659609375*^9, {
   3.44342674165625*^9, 3.443426786125*^9}, {3.44342681740625*^9, 
   3.4434268335625*^9}, {3.443426869640625*^9, 3.443426908234375*^9}, {
   3.443427394984375*^9, 3.443427410921875*^9}, {3.443427443625*^9, 
   3.44342747515625*^9}, {3.443427628234375*^9, 3.443427640890625*^9}, {
   3.443427739765625*^9, 3.4434277488125*^9}, {3.44346117990625*^9, 
   3.44346118334375*^9}, {3.4434620715625*^9, 3.443462083015625*^9}, {
   3.44346221578125*^9, 3.44346226721875*^9}, {3.443463615421875*^9, 
   3.4434636181875*^9}, {3.4434636763125*^9, 3.443463787140625*^9}, {
   3.443463891453125*^9, 3.44346389603125*^9}, {3.44346396084375*^9, 
   3.443463981359375*^9}, {3.443464032328125*^9, 3.4434640328125*^9}, {
   3.4434640766875*^9, 3.443464217296875*^9}, {3.443465446453125*^9, 
   3.4434654518125*^9}, {3.443465738796875*^9, 3.443465743359375*^9}, {
   3.443514719242985*^9, 3.443514730953167*^9}, {3.443556180984542*^9, 
   3.443556188036708*^9}, {3.443556223942156*^9, 3.4435562877148848`*^9}, {
   3.443556341483777*^9, 3.443556347112455*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {}, 
    Typeset`size$$ = {892., {296., 301.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {}, "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      TabView[{Style["Level Curves", $CellContext`titleStyle] -> Column[{"", 
            Row[{"   ", 
              
              Column[{$CellContext`fChooser, 
                "    ", $CellContext`numberOfLevelCurvesChooser}], 
              "    ", $CellContext`shifter2D, "    "}], 
            Row[{"  "}], "   ", 
            Row[{"  ", Column[{$CellContext`surfacePlot, 
                 Style["Rotate and zoom plot", $CellContext`textStyle, 10]}, 
                Center] "  ", Column[{$CellContext`contourPlot, 
                 Style[
                 "Point with mouse on level curve to display z value", \
$CellContext`textStyle, 10]}, Center] "  ", "  "}]}]}, Background -> 
        RGBColor[0.85, 0.85, 0.85]], "Specifications" :> {}, 
      "Options" :> {AppearanceElements -> None, Paneled -> False}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{912., {306., 311.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`titleStyle = {
        FontFamily -> "Liberation Sans", 14, Bold, 
         RGBColor[0.35, 0.35, 0.35], Background -> 
         RGBColor[1, 1, 1, 0]}, $CellContext`fChooser = Labeled[
         ActionMenu[
          Style["f(x,y) = ", {FontFamily -> "Liberation Sans", 12, Bold, 
            RGBColor[0.35, 0.35, 0.35], Background -> 
            RGBColor[1, 1, 1, 0]}], {
          "\!\(TraditionalForm\`\(\(\(-\(\(x\^2\)\)\)\) - y\^2\)\)" :> \
($CellContext`f[
               Pattern[$CellContext`x, 
                Blank[]], 
               Pattern[$CellContext`y, 
                Blank[]]] := Part[
               Part[$CellContext`flist, 1], 1]; $CellContext`xa = Part[
               Part[
                Part[$CellContext`flist, 1], 2], 1]; $CellContext`xb = Part[
               Part[
                Part[$CellContext`flist, 1], 2], 2]; $CellContext`ya = Part[
               Part[
                Part[$CellContext`flist, 1], 3], 1]; $CellContext`yb = Part[
               Part[
                Part[$CellContext`flist, 1], 3], 2]; $CellContext`za = Part[
               Part[
                Part[$CellContext`flist, 1], 4], 1]; $CellContext`zb = Part[
               Part[
                Part[$CellContext`flist, 1], 4], 2]; $CellContext`maxDeltaX = 
             Abs[$CellContext`xb - $CellContext`xa]/2; $CellContext`maxDeltaY = 
             Abs[$CellContext`yb - $CellContext`ya]/2; Null), 
           "\!\(TraditionalForm\`\[ExponentialE]\^\(x\^2\\ y\^2\)\)" :> \
($CellContext`f[
               Pattern[$CellContext`x, 
                Blank[]], 
               Pattern[$CellContext`y, 
                Blank[]]] := Part[
               Part[$CellContext`flist, 2], 1]; $CellContext`xa = Part[
               Part[
                Part[$CellContext`flist, 2], 2], 1]; $CellContext`xb = Part[
               Part[
                Part[$CellContext`flist, 2], 2], 2]; $CellContext`ya = Part[
               Part[
                Part[$CellContext`flist, 2], 3], 1]; $CellContext`yb = Part[
               Part[
                Part[$CellContext`flist, 2], 3], 2]; $CellContext`za = Part[
               Part[
                Part[$CellContext`flist, 2], 4], 1]; $CellContext`zb = Part[
               Part[
                Part[$CellContext`flist, 2], 4], 2]; $CellContext`maxDeltaX = 
             Abs[$CellContext`xb - $CellContext`xa]/2; $CellContext`maxDeltaY = 
             Abs[$CellContext`yb - $CellContext`ya]/2; Null), 
           "\!\(TraditionalForm\`\(x\^4 - \(\(4\\ x\\ y\)\) + y\^4 + 1\)\)" :> \
($CellContext`f[
               Pattern[$CellContext`x, 
                Blank[]], 
               Pattern[$CellContext`y, 
                Blank[]]] := Part[
               Part[$CellContext`flist, 3], 1]; $CellContext`xa = Part[
               Part[
                Part[$CellContext`flist, 3], 2], 1]; $CellContext`xb = Part[
               Part[
                Part[$CellContext`flist, 3], 2], 2]; $CellContext`ya = Part[
               Part[
                Part[$CellContext`flist, 3], 3], 1]; $CellContext`yb = Part[
               Part[
                Part[$CellContext`flist, 3], 3], 2]; $CellContext`za = Part[
               Part[
                Part[$CellContext`flist, 3], 4], 1]; $CellContext`zb = Part[
               Part[
                Part[$CellContext`flist, 3], 4], 2]; $CellContext`maxDeltaX = 
             Abs[$CellContext`xb - $CellContext`xa]/2; $CellContext`maxDeltaY = 
             Abs[$CellContext`yb - $CellContext`ya]/2; Null), 
           "\!\(TraditionalForm\`\(\(\(-\(\(x\^4\)\)\)\) + \(\(10\\ x\^2\\ \
y\)\) - \(\(5\\ x\^2\)\) - \(\(2\\ y\^4\)\) - \(\(4\\ y\^2\)\)\)\)" :> \
($CellContext`f[
               Pattern[$CellContext`x, 
                Blank[]], 
               Pattern[$CellContext`y, 
                Blank[]]] := Part[
               Part[$CellContext`flist, 4], 1]; $CellContext`xa = Part[
               Part[
                Part[$CellContext`flist, 4], 2], 1]; $CellContext`xb = Part[
               Part[
                Part[$CellContext`flist, 4], 2], 2]; $CellContext`ya = Part[
               Part[
                Part[$CellContext`flist, 4], 3], 1]; $CellContext`yb = Part[
               Part[
                Part[$CellContext`flist, 4], 3], 2]; $CellContext`za = Part[
               Part[
                Part[$CellContext`flist, 4], 4], 1]; $CellContext`zb = Part[
               Part[
                Part[$CellContext`flist, 4], 4], 2]; $CellContext`maxDeltaX = 
             Abs[$CellContext`xb - $CellContext`xa]/2; $CellContext`maxDeltaY = 
             Abs[$CellContext`yb - $CellContext`ya]/2; Null), 
           "\!\(TraditionalForm\`\(\(\(2\\ x\^2\)\) + y\^2\)\)" :> \
($CellContext`f[
               Pattern[$CellContext`x, 
                Blank[]], 
               Pattern[$CellContext`y, 
                Blank[]]] := Part[
               Part[$CellContext`flist, 5], 1]; $CellContext`xa = Part[
               Part[
                Part[$CellContext`flist, 5], 2], 1]; $CellContext`xb = Part[
               Part[
                Part[$CellContext`flist, 5], 2], 2]; $CellContext`ya = Part[
               Part[
                Part[$CellContext`flist, 5], 3], 1]; $CellContext`yb = Part[
               Part[
                Part[$CellContext`flist, 5], 3], 2]; $CellContext`za = Part[
               Part[
                Part[$CellContext`flist, 5], 4], 1]; $CellContext`zb = Part[
               Part[
                Part[$CellContext`flist, 5], 4], 2]; $CellContext`maxDeltaX = 
             Abs[$CellContext`xb - $CellContext`xa]/2; $CellContext`maxDeltaY = 
             Abs[$CellContext`yb - $CellContext`ya]/2; Null)}], 
         Style["Function: ", {FontFamily -> "Liberation Sans", 12, Bold, 
           RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0]}], 
         Left], $CellContext`f[
         Pattern[$CellContext`x, 
          Blank[]], 
         Pattern[$CellContext`y, 
          Blank[]]] := Part[
         Part[$CellContext`flist, 1], 
         1], $CellContext`flist = {{-$CellContext`x^2 - $CellContext`y^2, {-4,
           4}, {-4, 4}, {-20, 0}}, {
         E^($CellContext`x^2 $CellContext`y^2), {-1, 1}, {-1, 1}, {1, 2}}, {
         1 + $CellContext`x^4 - 
          4 $CellContext`x $CellContext`y + $CellContext`y^4, {-1.8, 
          1.8}, {-1.8, 
          1.8}, {-1.5, 2}}, {(-5) $CellContext`x^2 - $CellContext`x^4 + 
          10 $CellContext`x^2 $CellContext`y - 4 $CellContext`y^2 - 
          2 $CellContext`y^4, {-3, 3}, {-2, 3}, {-20, 12}}, {
         2 $CellContext`x^2 + $CellContext`y^2, {-2, 2}, {-2, 2}, {0, 
          10}}}, $CellContext`xa = -4, $CellContext`xb = 
       4, $CellContext`ya = -4, $CellContext`yb = 
       4, $CellContext`za = -20, $CellContext`zb = 0, $CellContext`maxDeltaX = 
       4, $CellContext`maxDeltaY = 4, $CellContext`numberOfLevelCurvesChooser = 
       Labeled[
         SetterBar[
          Dynamic[$CellContext`numberOfLevelCurves], {1, 2, 3, 4, 5, 6, 8, 10,
           12, 15, 20, 30, 50, 100}], 
         Style[
         "Number Of Level Curves: ", {
          FontFamily -> "Liberation Sans", 12, Bold, 
           RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0]}], 
         Left], $CellContext`numberOfLevelCurves = 8, $CellContext`shifter2D = 
       Labeled[
         Dynamic[
          Slider2D[
           
           Dynamic[$CellContext`delta], {{-$CellContext`maxDeltaX, \
-$CellContext`maxDeltaY}, {$CellContext`maxDeltaX, $CellContext`maxDeltaY}}]], 
         Column[{
           Style[
           "Shift displayed domain by", {
            FontFamily -> "Liberation Sans", 12, Bold, 
             RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0]}], 
           Style[
           "(\[CapitalDelta]x,\[CapitalDelta]y) = \
(\!\(TraditionalForm\`\*DynamicBox[ToBoxes[Part[delta, 1], \
TraditionalForm]]\),\!\(TraditionalForm\`\*DynamicBox[ToBoxes[Part[delta, 2], \
TraditionalForm]]\))", {FontFamily -> "Liberation Sans", 12, Bold, 
             RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0]}], 
           Style["from origin:", {FontFamily -> "Liberation Sans", 12, Bold, 
             RGBColor[0.35, 0.35, 0.35], Background -> 
             RGBColor[1, 1, 1, 0]}]}], Left], $CellContext`delta = {0, 
        0}, $CellContext`surfacePlot = Dynamic[
         Plot3D[
          $CellContext`f[$CellContext`x, $CellContext`y], {$CellContext`x, \
$CellContext`xa + Part[$CellContext`delta, 1], $CellContext`xb + 
           Part[$CellContext`delta, 1]}, {$CellContext`y, $CellContext`ya + 
           Part[$CellContext`delta, 2], $CellContext`yb + 
           Part[$CellContext`delta, 2]}, 
          AxesLabel -> {$CellContext`x, $CellContext`y}, 
          ImageSize -> {400, 400}, ClippingStyle -> None, 
          MeshFunctions -> {#3& }, Mesh -> $CellContext`numberOfLevelCurves, 
          PlotLabel -> Style[
            StringJoin["\n", "f(x,y) = ", 
             ToString[
              TraditionalForm[
               $CellContext`f[$CellContext`x, $CellContext`y]]], 
             " (Surface Plot)\n"], $CellContext`plotLabelStyle], Background -> 
          RGBColor[1, 1, 1], 
          PlotRange -> {
           Full, Full, {$CellContext`za, $CellContext`zb}}]], \
$CellContext`plotLabelStyle = {FontFamily -> "Times", 14, Plain, 
         RGBColor[0.35, 0.35, 0.35], Background -> 
         RGBColor[1, 1, 1, 0]}, $CellContext`textStyle = {
        FontFamily -> "Liberation Sans", 12, Bold, 
         RGBColor[0.35, 0.35, 0.35], Background -> 
         RGBColor[1, 1, 1, 0]}, $CellContext`contourPlot = Dynamic[
         ContourPlot[
          $CellContext`f[$CellContext`x, $CellContext`y], {$CellContext`x, \
$CellContext`xa + Part[$CellContext`delta, 1], $CellContext`xb + 
           Part[$CellContext`delta, 1]}, {$CellContext`y, $CellContext`ya + 
           Part[$CellContext`delta, 2], $CellContext`yb + 
           Part[$CellContext`delta, 2]}, 
          AxesLabel -> {$CellContext`x, $CellContext`y}, 
          ImageSize -> {400, 400}, 
          Contours -> $CellContext`numberOfLevelCurves, ContourLabels -> 
          Automatic, ContourShading -> None, ClippingStyle -> None, PlotLabel -> 
          Style[
            StringJoin["\n", "f(x,y) = ", 
             ToString[
              TraditionalForm[
               $CellContext`f[$CellContext`x, $CellContext`y]]], 
             " (Level Curves)\n"], $CellContext`plotLabelStyle], 
          PlotRange -> {Full, Full, {$CellContext`za, $CellContext`zb}}, 
          Background -> RGBColor[1, 1, 1]]]}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.443460485796875*^9, 3.443460506328125*^9}, 
   3.44346067640625*^9, 3.4434607980625*^9, 3.4434608915*^9, 
   3.443461122265625*^9, 3.44346121409375*^9, 3.44346125296875*^9, {
   3.4434613189375*^9, 3.44346138521875*^9}, {3.443461467453125*^9, 
   3.443461495609375*^9}, 3.443461553390625*^9, 3.443461642453125*^9, {
   3.44346169525*^9, 3.443461719296875*^9}, 3.44346178034375*^9, 
   3.44346263646875*^9, {3.4434626819375*^9, 3.44346268915625*^9}, 
   3.443462799328125*^9, 3.443462986625*^9, 3.443463197453125*^9, {
   3.443463367*^9, 3.443463386328125*^9}, 3.4434637934375*^9, 
   3.44346384803125*^9, 3.4434638985625*^9, 3.443463982046875*^9, 
   3.443464033546875*^9, {3.443464168296875*^9, 3.443464218125*^9}, 
   3.443465005234375*^9, 3.443465615546875*^9, 3.443465765734375*^9, 
   3.443514737198835*^9, {3.4435149292796917`*^9, 3.443514950122058*^9}, 
   3.443515331869032*^9, 3.443515396352997*^9, 3.443515524337653*^9, 
   3.443516042135572*^9, 3.4435161681707153`*^9, 3.4435162961922493`*^9, 
   3.443516693350603*^9, 3.443516895849931*^9, 3.443516954929859*^9, {
   3.443517141296969*^9, 3.443517168657566*^9}, 3.4435172940786963`*^9, 
   3.4435176858075047`*^9, 3.443517772780876*^9, 3.4435221909375067`*^9, {
   3.443522661000585*^9, 3.443522684762927*^9}, 3.4435227820435266`*^9, 
   3.4435228719323883`*^9, 3.4435229156954*^9, 3.443522947873385*^9, {
   3.443523020951973*^9, 3.443523058172152*^9}, 3.443523120274599*^9, 
   3.443523168835444*^9, 3.443523275412359*^9, 3.4435233217493553`*^9, 
   3.443523355536955*^9, 3.443523478885006*^9, {3.443523551364932*^9, 
   3.4435235659721737`*^9}, {3.4435236370901623`*^9, 3.443523658766081*^9}, 
   3.443523836197669*^9, 3.443523914637546*^9, 3.443523987155702*^9, 
   3.4435247458768272`*^9, 3.443525517089315*^9, 3.443525565148026*^9, {
   3.4435256150260267`*^9, 3.443525634779891*^9}, {3.443525806127564*^9, 
   3.44352580904004*^9}, 3.443526031865679*^9, 3.443526062463175*^9, 
   3.443526220065234*^9, 3.443526363710647*^9, 3.4435265180313587`*^9, 
   3.4435265979298058`*^9, 3.443526751685047*^9, 3.443526870494174*^9, 
   3.443527021051319*^9, 3.443555900845889*^9, 3.4435559314488573`*^9, 
   3.4435560352173157`*^9, 3.443556189673071*^9, {3.4435562699832973`*^9, 
   3.4435562887907667`*^9}, 3.443556349050948*^9, 3.443556426149624*^9, {
   3.443947341124352*^9, 3.443947366679178*^9}}]
}, Open  ]],

Cell["\<\
\[Copyright] 2009 Projekt LEMUREN, Lernen Multimedial, Departement \
Mathematik, ETH Z\[UDoubleDot]rich\
\>", "Text",
 CellChangeTimes->{{3.443428021515625*^9, 3.44342809746875*^9}},
 FontFamily->"Trebuchet MS",
 FontSize->11,
 FontColor->RGBColor[
  0.5019607843137255, 0.5019607843137255, 0.5019607843137255]]
},
WindowSize->{1245, 798},
WindowMargins->{{Automatic, 32}, {Automatic, 25}},
DockedCells->FEPrivate`If[
  FEPrivate`SameQ[FEPrivate`$ProductIDName, "MathematicaPlayer"], 
  FEPrivate`Join[{
    Cell[
     BoxData[
      GraphicsBox[
       RasterBox[CompressedData["
1:eJztXXdYFNfaz3O/f+79vudek3vTLKBIEaQpTRC7BgtqLCTWGxNjYsFookE0
NoxRY6oFuyIiWJCO9N4WWHrZpSy7VKkiBo2iy+5+Z/fsHg4zO7NLUZJ4fs/I
Mztz5j3v+87u+zvnPe+Meuu3L1v/P6+99poJ+Gf+t9dek+8LBwiBIHvu/Byd
ManLXMoSE+ExkQoZX+8W641rHWPUaDZZav+BZOoa6ZRVkhkftXrdrC3lg60h
JuGh667nVjNkJjbd4ywfjhzbcP7iQFUiICAgIHiVkHfVO0dHL0tnDFd/XNGH
q/g3bgrz84VFRVmnznAMrGRjDCSjxz6xmCFx3iFZtl/ickC6ZK/U6YtnS7Y/
c/6s23Zpt8V73aaOz8wdn+pbto4yqI2NG2qDCAgICAj+HIBTHn5GRrGhMV9H
r0hXr1hnbKGuQaGlQ6G9U5TJTJ7ZFJneaNnoMd0GZl1rjos3X+7efEn8uafk
k1OSlUfFi78RO30htl/5fOK8p2ZTmnXHNxlbVWVzh9osAgICAoI/ByANVVVU
5DpMKRs1pnS0fumYcTwDywIjh6IJixMcVrWNt5HTkL5Bt/7YR9OXi9yv1+7y
urfLu/1rryfbLnR/7iledUQ8b7vYcUXn+Ol1uhZ1EycLCwuH2iwCAgICgj8B
0AIQ2C9Yv0E4ckyNvmmh8YSs2U6chUvTlq9JcFnDc5pR9t4M/rw5/IULeDMd
M9Z9lrTVLWXLDs7Wr3O3uhVt3sn79Ev+2k2lLmvy5r+fY2JXZjO9qrh4qC0j
ICAgIPijQ4RB/vGAR72OUaHlpIqzhxsCL9QHXq4N9q4L8mryP9d051xT4IWm
oEtNARca75yvC79eG+Fbd9e3/q5vQ4TvvfDrjaE+94KuNgRfFvmdips8jZ+W
wd51VXl5bkCgIENDMwICAgKCvyoA9VSroOShbw7UjbXJ/+KzxqCrLSHhTZFJ
dbEZnRFRv4eGPQqP7IyK64yN74yL7wwP74iOackrbCkobs0taOXmt3FyHyRx
QPv6oIi68IhSz3NRK9bnht2tEgjwHiv4/JykpOgTJyI/3cBdubru7Pnq0tIh
sp7g1YUgNFTg4zPUWhAQvLpA0x9IQDUKyJlIKCxfuqbOYm7RQbfG8KC2pLzG
tIKWhHTeuXPtsUlPsoseZxU+zsp/xC14lMF9lJjSmc7pKK1oLxO2lQjasoub
knKqYzKqIlOrEzOrwuJDxtpfe2fMRSs7/wWLvZe5/DR/wS7HyTuNx/365lvh
7wxvWLuuLi1tqD1B8CoCcBDvtdfAxtfRAfsvqJcMMs0n+OsiIiLC1dX12LFj
PB6vfxJwGgIEVKuAqKKi6OB3FaZzBDPW5Xnsro2+W59e0JKc2ZGUGjppcqrD
NN4V7/a84of5JR25RR25hR0cLjjVEZ/Qnpp2PzWtOT6pNjqxKiy2PCymMjaJ
Fxrx7bsjdg1745dhbx/4xz+//Pv/nvjXsKi33m4Zrts9fkLzZa/B9QkBQZ9Q
sXFj+cqVciYaNqwqOXnQ5efl5Z09e3bQxRIQ/EEARlmBgYF79uzx8tI2mPMz
OKnXrqVcv56flFReVARmPVUCQSWPV87llsbF8QKDC095Zi9akW04JcveJXOB
a46He/XdoObY5N/iku9ncFPmL7ynY1ww0iB5xWp+cFhTblFrTmEzh9uSmtma
kNwaGdUYGlIXHCgM8C+/daPI93pxSFDW7ZtfvPPumRHjfN/R8X9nROUYPamh
kUxPr9vSuj787gv1DwGBlgBkBJiozNFx0CUTGiJ4FeDn5weYSMvGIj6//nYQ
d8VHZ/QND41491drK087uyAb23Rru6yJtlwbB96kqeWWtgJzxxqrWS02Mwr3
bK2/49MWGduWlH4vIztunnOVgUW1qW2Fnmmq/vikbV/yI2JqOTm1yZy6+OS6
qJi64BBRQED5rZulfr55167mBfjzbt3Ot5xeZ+oonjhdamYvNZkg0x/XbTmh
PibmhbpF4OMzWDn/qvx8ubQXlrQhGHKAeRDMzg36OhGhIYJXAWBO5Orq2tf8
c11ymuiLr/JMLTMMxsUYjeNaTOh0mCab5CiznCgzMpTpj5YZjJWNG5/n7iq6
ff1eVEJdQpowNSNyrnOpkWWpmS3PzK7c1DZ/jEnkRLuUI9/zoxOq4lMFEdGV
AcEVN2+X+PkW+Hhnel3m3bnTGp0iXXdIsnibZOpKqe08qYmtxNT6XkiI9qoC
FoAhAmxgHx3nDxumNnTAkS3awEd0Cgx38UEv5SOA8pJdu9CRyiNHUEegJTiF
LoH7PNXbk4AaFH3o0nCxcjlmZnjX8ryQykCYKULKI6PAcRAzgQJgQ8wIdvg6
OmiNA16LhKMYW3n6NHIpaAPtApeUL1gAdYZaIT/TL4S9QK1AG+hAIAfYCCRA
reiug5pQtIJqg66VvjUzg47quQoY6OMD+gI74CDdh7gyFFA0x/0DRIFNfit7
X4hucS85DI6ie4YJ7DQEfrkRERG91ODxduzYAY6jI3CcCY6Av2Afbwwkg+Og
PUzLA1EeHh6uCoCdhIQE1MWvv/4KW1IyJyzC1Z6CCwGoTWBgIPgI/lLsojTT
pke6KyjScOADb2AR9BiwEe8XmA+9ARqDffAX6QncBVwHrwLHQfCER6CLgBzQ
HuyjxQ7cz3gX4MJjx45BlcAOCsJ085F1LB2xeADvCBiFOxyZCQAkI53BFw/I
RzayZMyABNwK+LXRaAjlFOgOfKR8hbSEKC1d9MmGBxNtH9o6dE6Z0WUzWapn
IBujIzMykppPlJnZZbtvLb95XRQZL4hNKk9MCXCal2ZokWlmw1Fsmea2mSZW
EToGd2bNST3pWRoaURYUzPP1LfT25l65zLl0oTImqS456/mus5JPjkmct0om
L5WZTW07ea5PSqLwjkd4nJvwOI/CNdjB9+HZftAQCqTgYE/MHDANocVxxDuU
xkq+UwRtxA7gI+iazr9IMcgIqH2PFTBiq4RDw6EhUCCQIFQ3KaBcqKQShflw
XynEzAxpRXEd1EpOKL3dBfrq4XeFXWBDCoB+oWKwjVofQquZMmm45koOGjZM
LlNHB9Ec/XZQRjVMjqJ7hgkaaYgSw8EPGQYE/COIIaAZ+Iv/0mEEAx/BKRQe
QeQJVADswJYo4oGD4AjORCzCmU5B3sEVUBvf8GZ069T2qJbOcGmBGFC4hhwE
nYCirlDF5iCoIquRfHAKhGV0FZAAgjxkJXgEXIWPBCh+RqaBO4u6QFeBg2rN
R72zdMTkAdgRZB8AyGKoJXAFOILMhF82aD4kengKXM7iW9wKXDiLIZRTSI7a
XjRCJBLVnvR8OnWWxH6a2G6m2Hy6ZKy+TE9XamErnfQex8211Ne7IjyaFxFb
Eh3nPXvOTT3jAGPLO9gWaGJ5W8/44sjRN5a5ZF64WOzrV3DFK/X8uTy/myVx
KRXxaR37Lki2npKs2C+dtqZr6QZh78ptjUDhC//V49yEIgPiJkowR9G+rzSE
ekFkAQLmoNAQOgsb95RsqRbKkTTUEYh7yo5UjSm0AjlLnkJUNaDwFFSbfhZ2
B3coYZ8S6nGTYaeAjCinqOarpk6UflF71BdMfiodrnACOAKjvVquofifAlxz
5cxFNaVCrI2bD52P98XuKHYSROgTDcHoAQe38AgMWagBDDVwnxIH6DMd1AUe
HHAJLMKZTlGCMIj8au1ioiGWHjXSkNpTFIEwigpVY3VICugjlA+ZC51il0Pv
HX0Et5WyGgI+wnvNEr1ZOmLyAL0jaAK9JfInaAAu0Vi6BhrAoQt+EE6c4bXa
0xAwBE5y+10vV1NT0xAdI35vocx8Sre9i3juFrGVg1RXR2ppn+a2pcDnSmnQ
3cKQiILwyDMzZv48Su+0vvGp3hs44qlv/PNw3eO6erfWr088eTL70qXcsOiC
qITSmKR7Hhefu52RfHxEOuPj5tt9SMdBKH/vivhPCXrKpJAqPleePo0HMSEt
edJnGqLNWQYrKYd6h2fxMIhsRNLoasCZCOJfJU8NG8ZkCN4AJzgmrZgk99gY
GorP1yDUzrmQKIpWTCQCnYCSXXBmh5uGQHc4Dlxz+BVCk+KeSZ8qq6nMkSqm
PD1jA1ZH0X2uFn2iIRhG0A8c5tvxgAlTHzD5g8cBekumLpAEFuEsp2CncELB
MvRVSxzs5vSDhugCUUuW+AlYnn5HoNvV9shEQ/RMFwz+7L2zdMTkAXpHTAsx
cKoFbdSmbg1OSClfG3hT4OVa0hCkM8j1THlFjaiurq6trW1MSeuetkhq94Fk
+Tf3N53onDpfNtaQ47al9Oa1irsxpZExJVFx52fNPqVrcM5wvNrtvJHpWX2T
X94aecnCMvG7wwXR8fyk9PL4tFqPC4/czkjXH5HM21yf3OdnKGBwoyymKJdO
0GRHwTtqIxse+vqRlFPS34IFMGQNIg3BnCGM0vBaFAahObBreDlaWFEu4igI
F8VAOv9SKACnD7QPJFM2IX3m1Xt6ghslXxtSjQ2UzsEsQh+RKGHvCRQTDSHe
AUaBLtAMV22JCIuHe5kcGopmeXTfImWA5tCTymkjq6Nw+WrvL4T2NASnQjCL
whRLhQxxgJ62QpkrcBzP9gtV6X0W4RpPwaEvy7hXrQR2c/pBQ/SVC5hAU3sJ
e0cwgAOB9FkAEw3R5WhDgiwdMXlA7XFKwEfrO8hGmKnDQR+lwPtI7xGNMbSk
IXgjgEXgKqYJskZAGgJzoubgMKn1YsnSPR2up0p2nm6fPDvX3VUQ4Fcdm1QZ
l1yekHzDaV6YoXmkmbWazdQ6wnhCtIVV1jLn9N2uCefPlscnizg51enZdR7n
H7if7t70o2zu9par/n3SDUUhtAOPwzAiXxZX7MDB84ugIbhIzcNqHgaLhpRU
oojSMPbK47lCCAzUyikPNgGEjIxvKHnF671iTqcAHpaYogjpkYanxWCVAk0y
Pi3FV/DRpmZyiuaSmFZ06sQ9A3vBN7VVCihHCtkBMhe6cfiFeDkE2np8q1AM
X0iCN5HFURT5TNCehuiJr77SEB1CBhrShmtYTtFlUvByaIh+vN80JMRKHXDv
0UUNkIZYOuorDaGDcLUIr5FQ+2WgC2FKq8JVNnZD8FOgPaIttdlCjRCJRDUq
gP0n63ZIF2x/4npC4Ha26Kufcr/5QhToVx+fIkpKr0zJCJo3P8PQgmtum22m
2FQ7WSbW3PFWJU6zit03JZ79pTAyuja3qCY9q5bDrePkNHx74b7bSfHG49LF
X4udNtRmq0kdMEGZrVIELjxhguI/mhYJBy8ph6JTL00U8wh8jX6ANIR0AztQ
FM6V4KByXoBRiRBVj/v4KCeJlBo2VV9q5kdw/K9ITFHK8HpmHD4+TLxDqdnD
c3HQFnAthXfoBQ94JZ583Ye5/AC5VO7z3ik1HPQRgnwapeIFiuZKmYr7SMko
4glSlKBjd5Sw90IhE7SkITQVEmI/cO2TcpTKLngWDnQp8QdKAO0HkpQDYUeb
2RA+FAeNB5iUw6XBS6DV/UjKsSSsgGQgFmarKDIpH/uXlGPpqH80BJ1ASYXR
6x7VjhxcFZMmeo+Q19gNwU+hry76dtFlsgO9QgHS0MN9x6VzPn/+2Y+NOz0L
913IOexeH3SjKTGtPjVTmJYZNde5zMCy3NS23NRG8de23MS63Hhi9RRHkeva
TM/jKX5+uf53mnLym3MLmzNzmrLzmji5Tfs9H+4+I/74kGSJm8x+RdfSTTV5
BVqq1ysJphqyKlNYihiCNxisEgVY2QWPgFiKD9dhSKSklWDcQzFWOVNADMg8
WkbrIDgNoQkRZUlIrgler06pYeu9Yo56RykyPGbCs6g+nBJdlVUBZmZKpyku
lPsEy7z1kC+WklJTaNebaNRWKSDJOPAjOPVTgN8CNEhAHEq5EJdJKSbEaQip
LSdlVkeh7liYVEsaYqo96FOJAmXtGw50XWklCoiwBlKiwM5E9NkZDE3sJQrs
BQ84oBC4JKF2xZ8lfjIt3+NHWPyMPmosUUDUQAnOTB31j4bU1sZTdENJM7oQ
bWhIrSHID5AH0USsT69TgMDf5CN/m1yloOv9jyWz1ks+PvJw55nyPWdzj+1r
DLvdnpjakp5dz8mOn+dcrW9RPd5GvplYVxtNqJ9o27h2SdEvHlkB/qVhEcVh
d0uDQ1q4+fdzi9oz8zpyCjoyczu2He3c9pN4nYdk/hbptLUyc6dn81fXJado
oyF9mAp++2hHiC3uw/ZaFmzDJ0eUz4Mo6njxbBXKfcHROAzmeME2bIxioLIS
WCVN/tHMDAlheUUMsg6nISE2IcKDHqxwpmiCFnRQaTFavOjRR0cH5bgQK6G1
NiQN+RB9xC9U2qXqpWdZ6sgR+QM1K1fKdVA1BgEfTvHQ0zqwjFzIUIkntwtK
UNRsCxVUqEy1oQemsFIHBDQDRXM3pUDFFJIyXQVdyO0FXwygmMo58JTa0Qvk
LxZHoXU0egU4gjY0hE+FhL3jHlOFMyzTRXMEdBVcEYCn0HNDrqpC7sEt2GZZ
IWJKo7EXbMMlCfqzJ0zShLSCbWis2ksoE09U/wwLtgGQHLzymcnPQk0F2zsU
wAuzoaOYOhL2l4agOej+wpuO13jDXtRSvDZJOSZDmOgYTQm1B+XVpk3B4RLz
Gd3TVkpWHOjaerLB3bPghwMtkYG/JSQ9SM9uzs5NmK+kIZHRxBozq6YlcysO
78i84cNPSL6XlnEvLr4kNLwoOLiVW9CWU3ifk9uRV/woq+Dxp/t+X7VL+sEe
yexPpPbLpDaLZTYLxI7zqry8NWqI103BsTSMJHjQoER7cBZ/YkXt46t4ETge
glBMQ2tP8mdFe69T9KSnsKE46hE+HYk+sj9XgsIdVAzFUjQhoozSKasb8qCN
TVjwDfgKVSmgSI7P8oSKxB3uKDRrQwmrXnadPt3LLqzqTK1/8Ae7cOail89R
1rwQxeNLTiyvHqXogxKDeDEGquvAO8JNpnAZZdbD5Cg0BEIlEHT1tKEhGChQ
PKeEULXPe8IjCCj6oZYocMFQP1iPr+K6wSVpcJa+9s1CHGrFwnkNCKFQT+2l
CbGlFkhhrljBNt6MMqpHDxmBWA31R4pBaoC3g+5nbR5fhTcCPjPrij1KTPEA
3pFwAGtDoF9Y5A+LH5CNUDdKLzi0KVFgMgRPTuLfcHqmVCNwGqrl8Z/OXSIx
myK2X/h8weautYfuu/5c9P3+1siAR3HxD1Mz7mflRM53Lh5rxjOxEs6eLnD7
jHv1XEF4pCghpTktozklpSk2tvJueEFQUHN6dktmXms6tz2n6GFWwf3/7nm8
dPvTmRu6HVaJrRdLzGdLLabLLGdKJ0xt3/xlDSeTST16YS0Kvzw886MqpcOv
VfsyH41JOYqEHk1UKzKMqioa4OvjkMKY2kOggjeKRUIsXNMnAjDA4sJ71b9t
3Ag1wSuK4doNntPDzdRsF94Xg11QDt4F/sgqTJohTdRm4egaMjXGQbmJFOqh
DwbotxId6aU83ck0R+GiKF8ABI00BDkIpwD2qNvXZkzBrX8YXN0Gt9NB7/fF
yVSLftNQv6GxYJsFg+sWxEQPP/28e7zVM3OHbus5YkeXZ4u2ta7en394T1PY
rYfR0Q/iE9tSUv3nOCVbTCj5fFXOmR/ygoOFsQn1iUnC2PjqmNjGmJjau3cr
Q0Jy7vjfi0u6l8Spi0tv4uS1cwoebvjuscuurtmfPrVdKLZ4T2LuJB0/VWZs
JzOeJH9SyXJK20cbqgODhBUVFN3QyBYdQUkh/CDLEjYFfaKhl4CelwaoFiPQ
KWQ7ngViB+XRKnqt9csHvZxMbcwfCChrVWi9RllF0PsZ25cPjTQERpj4VEio
9Q+c5YU5lC4IDQ0EWvp54Hj5NKTx8VUWvAhXV2zcLB5rLDaxemxo0TbOttl8
Vp3DysIFm7MPudcGXGsJCWoJC2uMiAxZOC/tm23ZftfKgsOEkVGCiKiy8IjS
sPDCkJDioKDSO3cKb91Mu36tKiRSEJtWGZVSk5zdmpLzdN13Txdu67JZJjZ9
76nt3IdrtzzYe7j1hGfLxSvNV661el7o2Pvtgx27m05Rf614il6lpzLm4JVa
9GZMUEtDlFK0lww8TUQZbOOntKESuEZPf6eExveevVAAAoLrWRSt2NOVfZJP
yf7hXw+1dX0vExppyJX2Ji7tf+DalCQNIQ3Ra9sG0qk20l7QzAX3M1q+H3S8
fBoSanqZj8YLB64AhIjHa3XdLh6l1zVKr11Hv1HXQDTWtGb8ZJ7V/Jx5GzkH
vxb4Xay+4Su6dav61i3Ozz8WXvctvu1f4u8vCAgUBAYW37qVfv168rVrYMu4
ejXzypXYC+dLfG/zwxL4QbG1iZltabnPluwQO6zsdNnUeupiTXYOoyqCKsoB
EGHQ0rayiSLPQzkIV8O1CWsUGkIpIxCmhmrADF/dqXyjWu8JgnyJSnWqf+/3
1vK9Zy8ZUKvBcjhcBcM3+GgtPEt5WevLh0YaokyFhIM9/B4SGqK/jLR/L71k
ksbk0peQQBsSGqK/mkDtwf6B5dWmLBhEVzf53nruOKtzlF7NOLOaibaVVrZC
m0k8Q9N8HeNsI/u0mavjN3/Gu+lVfsOv3P92xR1/fsCdquBgUWxcbSa3Pr+o
LqegIT2zNia+MiiIc8Mv9qpXrNeVqCuXMq/5VIbHC6OSH1TV1kXEPp+8+vfl
m0T8skHReSCAMR9P36F6hiEcML840O39IwAuu7yc/zgDkdRQ/T8dQ/4fPQxi
vBK+xAxV//AHV48dg3unXjQGxdWi4mKB5/nwj9cH7tmTHxhUmZMjKCkRlpYK
i4srk5MLz5xNfn9VmPX84ElTOD//IORmN1VWtolEbXX1bU3N91va2lsVW3PL
g8bmjsam+w2NrbUNzVXCmoqKSj6/qozfJqp+9OBhe01N8axlT0xmNt64Myi2
ExD8uTDkNERA8IdFVWlpEZdLP44qFspzc8Ns5/jpG9wwNoqYM6dw3cYS96NZ
e49x9hzJ3Hck99BxsHEPHM13P8jf8U32VveUDV8lfOYWu37nTecl+6c6Rs9b
kL9kdan17DaL6Y8MrOvDyH+0SvAqAtYGD7UWBAR/MiAmCpjl9Mub/z45YozA
dq5k44nn+7ybvrsuOOIjOHpN+IOv6Mfrwh98ag9d/H37MeHGw/lr92Ws+zZ9
1cGi5bt8jO02vvF6pZFZnfGEJkPz+7oGNX43h9osAgICAoI/E8rS0o6OHO7x
+ptn39HvmuwiWbZXsun0E7eLD/Z6tRz0bvDwrj10tcbjSsO+i+0bj7as+7Z6
xYHyNYf5y3bxnT6vmvxhpJ55/CjdyrGGVXpG9Tp6Fd8dHWqDCAgICAj+PBAI
kn788cib7+7/v9dTdMdJHN6XzNkgWbZb8slPkq1nn3198fHuK527L993v/Rg
57nfPj32ePV3vy37pn353ntzNtZMcqk0nV5mZJU1Wi911Oji0XplI3XLFi0V
VlEL4QgICAgICNSiSiDITUw8NFLH45+vPzOxlk6cKZm0WDJtjWzWZtnifdI1
30s2/Nq98WT3phPP133/fOWhrkV7njq5ds5c/8hycfPUJTV2s/ijDXOGj4ob
PjJ+pA5nhG6OoXGFuqUoAgICAgICtcgIDV3/93+kDB8pNZkgHW8nM50msXPu
ctny++aDzz50k87cIlm0W7LIXeK8s9tp29MpH/9us/ypyezWo7+IioqFYAsK
Llm5OmXM2MC33ol8e0TcuyNzvTW/QY6AgICAgADiyv59B//1L5m+vsxgnNTM
utP1q7pU5ZPLovKKhx4nZXYrpFP+K53yUbfd8qcWzl2G03775AuKEF5sbMJS
lytv/Mf/P29HOi8ieTkCAgICAm1QJRBstbYSDB8p09Pres+pITqG3qbzKw+Z
zWLpxLkSG+cnxtO6jB3r45PUSuNcunRGR/fCsDdq1ckhICAgICCgICs5+ei/
/y3T0ev48isRwzvuqotKxLOWyl+UbT7tmZH9o8WrhAIBk8Di5OTjxkZx06eT
CREBAQEBgUb8vGVz24jRTZ7n2Js13wyQjbeXmTmKDa3aftXw/kwel/uzpYXo
0uXBU5OAgICA4C+IHA7n0tvD205d0Kbx74s/lBlNkBpb18TFa2zMz8uLcd1a
nZM7YB0JCAgICP6yuPT1zta9h7Vs3HLJS2Zs02ntWFFYqE378sLCCkJDBAQE
BAQMyMrI4B//Rfv2osrKbodZ9xcseXEqERAQEBC8OqgoLu5rFcGTlRu4HwzZ
/25JQEBAQPBHw/8DCp03+A==
        "], {{0, 0}, {557, 41}}, {0, 255}, ColorFunction -> RGBColor], 
       ImageSize -> {557, 41}, PlotRange -> {{0, 557}, {0, 41}}]], 
     "DockedCell", Background -> GrayLevel[0.866682], 
     CellFrame -> {{0, 0}, {0, 4}}, CellFrameColor -> 
     RGBColor[0.690074, 0.12871, 0.194598], CellMargins -> {{0, 0}, {-3, 0}}, 
     CellFrameMargins -> 0, ContextMenu -> None, 
     ComponentwiseContextMenu -> {}], 
    Cell[
     BoxData[
      GridBox[{{
         GraphicsBox[
          RasterBox[CompressedData["
1:eJztWl1Ik1EYFrqNEoLMbHPmNkRrEhJERj93ra4cJvbDRIsyMk1pc03tTL1w
aD+LfkQIJBkR/dBFdtHFDLywCykqoqgLIYRu6jbb8me933e+HT/P2fZN+sZ0
vg9n43zfec973nPe57zvOWNFDS2OhnU5OTlG+LyBj1S/ikAgEAgEAoFAIBAI
xEpFMBh8jUgPYG0z7d7MAOYedm/Bko4Ca5tp92YGSCokle5AUiGpdAeSCkml
O0RS/R1tjEajUIHvyIhdehPyLNZjrVSAgT5CK1Tmf32e+/qcdYEy+/4+vKTd
oQJN89PjojbaHcrCzE8qn0RGfIxrEjcF0SomD49hYqDDUUSGKtUKWRMYz42L
pFJDg1RPamGdlRWGuuDi2Yl+WHkoiy72W6jjgFeSm/wWKEAScCvtCxWpSzxt
1FPU9dJ76Lt8UnEmcVMQrWImUQE6nKJB7sgUKpb4LcpEtHiFpEpEKim2TI8n
IhXv4pAHXCAJEAPIq7d5JFAOYYEGKHEstTbQAJKSx+XH5ZKKE+CmIFq1ZC/E
SBVXoboJyMliKZKKgyapwLlK1ohHKgpYYfGRbnNpg4c8dP3prtckFQ0gUm5K
miKpVZxnRZP4KcSziiU1bjhOobpJ2TtIqnhITipYZ7byydJfoDzMpT9ZWMo1
EHbgBBLyhOWzlmakUtKQnB/VuUYkFbWNjZXIJHEKnFVL0t+IXSQVU4iRKkUk
JxVzhJI7hirpDpXOGzJ5eFLFvMNORxAlaJZhmtmZStQGAvSQA/FECSksH/kt
VLMyokw5qHDOFU3ipiBaxZmtTSo8U2lBI1LF/BWNXZ0Y1LckLo9IqQdYIWdA
9T0uvPT2J2qjrUr2lGMRSzrq4eiIVIxFGC5bMZO4KYhWcWYnSn8gv3j7k+vJ
GbVaSNXt9fo6O/XVib9Tpa+sClLdvtB0q+WSvjqRVGucVA/q6p9V1+irE0m1
xkk1cuLk2O49+upEUq1xUg1X14yZraSrS0ed+H+q9GFV/J+qx25/u9U40Nqa
aUMQ2YMrFRWf8g0vDh9JvUvgYjPR+8KIyA5AyiNeb1Pe5ql840xxSV97eyq9
Hp1y3nE602waYoXC19GRqInIGHC57lY53Lm53/O2RQ3Fr6qqNXUG609/LLX1
ulOiHyL74D/XeLPxvPiexHDtsuulyexbv2GqwLRgNP8xl/W7XAQE1IUQ1nHw
zNl5o2XYoc09RLbC5/E8te26V9+gfskY5SPkuss1abLc2Ljpm9E8Z7FFt++c
POroJoQWn1wotQAPj9XMFZp/m6y9bndGpoNYCZBikbNuoqBwsPY4IxIrQJu+
trYf5pLRfOOXotJw6d7Zsv0LtkOPzzb1ENKjolagueVD5YGodUfEZH2372Cm
p4X4X/wDFcRtOg==
           "], {{0, 0}, {199, 30}}, {0, 255}, ColorFunction -> RGBColor], 
          ImageSize -> {199, 30}, PlotRange -> {{0, 199}, {0, 30}}], 
         ButtonBox[
          GraphicsBox[
           RasterBox[CompressedData["
1:eJztlDFuhFAMRJHS5w45Re6RI+wFcoOUtNtR0lJSUlNSUtNS0m9JXjTKaPQh
UfpgCeT1n2+Px15ebu9vt6eqqp55Xnm+/I/L/p+1bbtt277vvJumIcKbnwWs
73vBsHVdE1bXNQ55Ho8HMOEd3L9tWRZ+6tRBrrjEMAwigHO/37M6SII40zRB
Q7QLkpQWjKOu63RqGHHVIoOYYAR16oucinYGxUo2jqMIzPNMnpQRPF2nMkeS
cCBDXsm7ZNZp6oZRS3wsIBFNIYM2iY8gYmJA8imqawHcOAKqio4KSp4O7Qjp
K1nOUygasaG2hoKSaud3krkArggZzyhhTohP3Uz7E0mNu9g98oj26exOSTon
fRUtn8IUJL+W80gyuz6OW3mgrSXXEv5dSaRTaRz9KQpY/knxtVomKdFQxvFT
JZFR6pFBJWT5tbEvR9+H3F6S+GOSMC+DTHtrHYyh32Qu855cdhn2CUundjY=

            "], {{0, 0}, {55, 14}}, {0, 255}, ColorFunction -> RGBColor], 
           ImageSize -> {55, 14}, PlotRange -> {{0, 55}, {0, 14}}], 
          ButtonData -> {
            URL["http://store.wolfram.com/view/app/playerpro/"], None}, 
          ButtonNote -> "http://store.wolfram.com/view/app/playerpro/"], 
         GraphicsBox[
          
          RasterBox[{{{132, 132, 132}, {156, 155, 155}}, {{138, 137, 137}, {
           171, 169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 137, 
           137}, {171, 169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 
           137, 137}, {171, 169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{
           138, 137, 137}, {171, 169, 169}}, {{138, 137, 137}, {171, 169, 
           169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 137, 137}, {171, 
           169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 137, 137}, {
           171, 169, 169}}, {{135, 135, 135}, {167, 166, 166}}}, {{0, 0}, {2, 
           14}}, {0, 255}, ColorFunction -> RGBColor], ImageSize -> {2, 14}, 
          PlotRange -> {{0, 2}, {0, 14}}], 
         ButtonBox[
          GraphicsBox[
           RasterBox[CompressedData["
1:eJztlSGSg2AMhTuzfu+wB1qzR+gF9gbIWhwSW4lEV1ZWYyvxSPZb3vAmDdDq
zpCZdvKH5CUvfwhfx9+f48fhcPjk983vXy922eU9paqqcRx9HGcZhiE+PZ1O
KHVd24KOgt0WFKLQ27ZdJrper0JGcS5CVqs6n89yRpGl73tZBK6kkvv97kCe
ChOlLEvbVW2kiYPoxKcYRdwWld00jS2EcFSFMYXCqbOcBJzL5aJcxK7SFEFB
GQFn8AWupPUkMRfIJEK53W5d1z2hGVP7yohVbfanWoxAJQTfeywbT1+xK9mi
GQGTj8FT0uRAN3Tdjl3SlNANP5WoabIIRP+x52ojLEgXs8fxs7+R1cCXNFH6
SVJhKZwx0+BxBZ7nraGNpBSrEFlA1khgRDcCRg1navIWTeVKPVmliaeaL+c4
tCmcknRHfjtWaS6HNtYmC1wYjGJ+6eKjJcficWgVssz1nGbabFtD682gZaIO
MHXqkq/vyW3GFaQXliNuOhbz9lOHU3a6SrhWkCmnXC9pUoPBt1aQpquYrtJt
0f6Pazkd497W1MkSlxierkrrN254iz8oHqS0ByzxGzfOHx2yq9plYSl8l13e
Xf4ArlmHrg==
            "], {{0, 0}, {77, 14}}, {0, 255}, ColorFunction -> RGBColor], 
           ImageSize -> {77, 14}, PlotRange -> {{0, 77}, {0, 14}}], 
          ButtonData -> {
            URL[
            "http://www.wolfram.com/solutions/interactivedeployment/\
licensingterms.html"], None}, ButtonNote -> 
          "http://www.wolfram.com/solutions/interactivedeployment/\
licensingterms.html"]}}, ColumnsEqual -> False, 
       GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}]], 
     "DockedCell", Background -> GrayLevel[0.494118], 
     CellFrame -> {{0, 0}, {4, 0}}, CellFrameColor -> 
     RGBColor[0.690074, 0.12871, 0.194598], CellMargins -> 0, 
     CellFrameMargins -> {{0, 0}, {0, -1}}, ContextMenu -> None, 
     ComponentwiseContextMenu -> {}, 
     ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
          NotebookLocate[#2]}]& ), Appearance -> None, ButtonFrame -> None, 
       Evaluator -> None, Method -> "Queued"}]}, 
   FEPrivate`If[
    FEPrivate`SameQ[
     FrontEnd`CurrentValue[
      FrontEnd`EvaluationNotebook[], ScreenStyleEnvironment], "SlideShow"], {
    Inherited}, {}]], Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 35681, 812, 19, "Input",
 CellOpen->False],
Cell[CellGroupData[{
Cell[36251, 836, 4879, 90, 19, "Input",
 CellOpen->False],
Cell[41133, 928, 14980, 282, 634, "Output"]
}, Open  ]],
Cell[56128, 1213, 321, 8, 30, "Text"]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature jwTojWpkNKNg6DwP10dDfLyn *)


!DSPAM:499bf9be280801323315482!
