(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     78012,       1510]
NotebookOptionsPosition[     61315,       1207]
NotebookOutlinePosition[     77877,       1504]
CellTagsIndexPosition[     77834,       1501]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Content", " ", "of", " ", "the", " ", "Help", " ", "Window"}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"tab1HelpWindowContent", " ", "=", " ", 
     RowBox[{"Column", "[", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Ziel der Visualisierung: \>\"", ",", 
           RowBox[{"{", 
            RowBox[{"textStyle", ",", "Bold"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Style", "[", 
          RowBox[{
          "\"\<Demonstration der partiellen Ableitung einer Funktion in einem \
Punkt \\n als Tangentensteigung und damit als Grenzwert einer Folge \\n von \
Sekantensteigungen.\>\"", ",", 
           RowBox[{"{", 
            RowBox[{"textStyle", ",", "Plain"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<\\nManipulation: \>\"", ",", 
           RowBox[{"{", 
            RowBox[{"textStyle", ",", "Bold"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Style", "[", 
          RowBox[{
          "\"\<Lassen Sie die jeweilige x- oder y-Koordinate des zweiten \
Punktes der \\n Sekante mit dem Regler gegen die x- bzw. y-Koordinate des  \
\\n Tangenten-Punktes wandern. Die 'Grenzsekante' (gr\[UDoubleDot]n) \
entspricht \\n der Tangente und deren Steigung ist die partielle Ableitung \
von f bzgl. \\n dieser Koordinate im betreffenden Punkt.\\n\>\"", ",", 
           RowBox[{"{", 
            RowBox[{"textStyle", ",", "Plain"}], "}"}]}], "]"}]}], 
        "\[IndentingNewLine]", "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Left", ",", "Top"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "Styles", " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"titleStyle", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", "->", "\"\<Liberation Sans\>\""}], ",", "14", 
       ",", "Bold", ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
       RowBox[{"Background", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"textStyle", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", "->", "\"\<Liberation Sans\>\""}], ",", "12", 
       ",", "Bold", ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
       RowBox[{"Background", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"plotLabelStyle", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", "->", "\"\<Times\>\""}], ",", "14", ",", "Plain",
        ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
       RowBox[{"Background", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"Generate", " ", "random", " ", "numbers"}], ",", " ", 
     RowBox[{
     "used", " ", "to", " ", "parametrize", " ", "the", " ", 
      "visualisation"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rand1", "=", 
     RowBox[{"RandomInteger", "[", 
      RowBox[{"{", 
       RowBox[{"1", ",", "3"}], "}"}], "]"}]}], ";"}], "  ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "random", " ", "number", " ", "to", " ", "generate", " ", "fraction", " ",
      "of", " ", "first", " ", "coefficient"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rand2", "=", 
     RowBox[{"RandomInteger", "[", 
      RowBox[{"{", 
       RowBox[{"1", ",", "3"}], "}"}], "]"}]}], ";"}], "  ", 
   RowBox[{"(*", " ", "\"\< \>", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rand3", " ", "=", " ", 
     RowBox[{"RandomInteger", "[", 
      RowBox[{"{", 
       RowBox[{"1", ",", "30"}], "}"}], "]"}]}], ";"}], "   ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "random", " ", "number", " ", "to", " ", "generate", " ", "fraction", " ",
      "of", " ", "third", " ", "coefficient"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rand4", " ", "=", " ", 
     RowBox[{"RandomInteger", "[", 
      RowBox[{"{", 
       RowBox[{"1", ",", "30"}], "}"}], "]"}]}], ";"}], "   ", 
   RowBox[{"(*", " ", "\"\< \>", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a1", "=", 
     RowBox[{"Min", "[", 
      RowBox[{"{", 
       RowBox[{"rand1", ",", "rand2"}], "}"}], "]"}]}], ";"}], "    ", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"Choose", " ", "nominator", " ", "and"}], " ", "..."}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a2", "=", 
     RowBox[{"Max", "[", 
      RowBox[{"{", 
       RowBox[{"rand1", ",", "rand2"}], "}"}], "]"}]}], ";"}], "    ", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "...", " ", "denominator", " ", "in", " ", "such", " ", "a", " ", 
      "way"}], ",", " ", 
     RowBox[{
      RowBox[{"that", " ", "the", " ", "coefficient", " ", "becomes"}], " ", 
      "\[LessEqual]", " ", "1"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"b", "=", 
     RowBox[{"RandomInteger", "[", 
      RowBox[{"{", 
       RowBox[{"1", ",", "3"}], "}"}], "]"}]}], ";"}], "   ", 
   RowBox[{"(*", " ", 
    RowBox[{"random", " ", "second", " ", "coefficient"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"c1", "=", 
     RowBox[{"Max", "[", 
      RowBox[{"{", 
       RowBox[{"rand3", ",", "rand4"}], "}"}], "]"}]}], ";"}], "  ", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"Choose", " ", "nominator", " ", "and"}], " ", "..."}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"c2", " ", "=", " ", 
     RowBox[{"Min", "[", 
      RowBox[{"{", 
       RowBox[{"rand3", ",", "rand4"}], "}"}], "]"}]}], ";"}], "  ", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "...", " ", "denominator", " ", "so", " ", "that", " ", "coefficient", 
      " ", "is"}], " ", "\[GreaterEqual]", " ", "1"}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Map", " ", "of", " ", "the", " ", "surface", " ", "under", " ", 
     "consideration"}], " ", "*)"}], "\[IndentingNewLine]", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{"a1", "/", "a2"}], ")"}]}], "*", 
       RowBox[{"x", "^", "2"}]}], " ", "-", " ", 
      RowBox[{"b", "*", 
       RowBox[{"y", "^", "2"}]}], "+", 
      RowBox[{"(", 
       RowBox[{"c1", "/", "c2"}], ")"}]}]}], " ", ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "Initialize", " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"maxXOfZeroPointInRelevantQuadrant", " ", "=", " ", 
     RowBox[{"Max", "[", 
      RowBox[{"t", "/.", 
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"f", "[", 
           RowBox[{"t", ",", "0"}], "]"}], "==", "0"}], ",", "t"}], "]"}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"maxYOfZeroPointInRelevantQuadrant", "=", " ", 
     RowBox[{"Max", "[", 
      RowBox[{"t", "/.", 
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"f", "[", 
           RowBox[{"0", ",", "t"}], "]"}], "==", "0"}], ",", "t"}], "]"}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xRightBound", "=", 
     RowBox[{"1.1", "*", "maxXOfZeroPointInRelevantQuadrant"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"Bound", " ", "for", " ", "plot", " ", "range"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"yRightBound", "=", 
     RowBox[{"1.1", "*", "maxYOfZeroPointInRelevantQuadrant"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"Bound", " ", "for", " ", "plot", " ", "range"}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"x0", "=", 
     RowBox[{"1", "/", "2"}]}], ";"}], "   ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Generate", " ", "point", " ", "at", " ", "which", " ", "derivative", " ",
      "of", " ", "f", " ", "will", " ", "be", " ", "considered"}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"y0", "=", 
     RowBox[{"1", "/", "2"}]}], ";"}], "  ", 
   RowBox[{"(*", " ", "\"\< \>", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p0", "=", 
     RowBox[{"{", 
      RowBox[{"x0", ",", "y0", ",", 
       RowBox[{"f", "[", 
        RowBox[{"x0", ",", "y0"}], "]"}]}], "}"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Point", " ", "of", " ", "derivative", " ", "to", " ", "be", " ", 
     "considered"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"geodesicXDirection", "[", "x_", "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y0", ",", 
       RowBox[{"f", "[", 
        RowBox[{"x", ",", "y0"}], "]"}]}], "}"}]}], ";"}], "   ", 
   RowBox[{"(*", " ", 
    RowBox[{"Generate", " ", "parametric", " ", "curve", " ", "of", " ", 
     RowBox[{"f", "[", 
      RowBox[{"x", ",", "y0"}], "]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"geodesicXZeroX", " ", "=", 
     RowBox[{"Max", "[", 
      RowBox[{"x", "/.", " ", 
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"f", "[", 
           RowBox[{"x", ",", "y0"}], "]"}], "\[Equal]", "0"}], ",", "x"}], 
        "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"geodesicYDirection", "[", "y_", "]"}], ":=", " ", 
     RowBox[{"{", 
      RowBox[{"x0", ",", "y", ",", 
       RowBox[{"f", "[", 
        RowBox[{"x0", ",", "y"}], "]"}]}], "}"}]}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"Generate", " ", "parametric", " ", "curve", " ", "of", " ", 
     RowBox[{"f", "[", 
      RowBox[{"x0", ",", "y"}], "]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"geodesicYZeroY", " ", "=", " ", 
     RowBox[{"Max", "[", 
      RowBox[{"y", "/.", 
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"f", "[", 
           RowBox[{"x0", ",", "y"}], "]"}], "\[Equal]", "0"}], ",", "y"}], 
        "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p1", "[", "x_", "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y0", ",", 
       RowBox[{"f", "[", 
        RowBox[{"x", ",", "y0"}], "]"}]}], "}"}]}], ";"}], "  ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Moving", " ", "point", " ", "of", " ", "secant", " ", "in", " ", "x", 
     " ", "direction"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p2", "[", "y_", "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{"x0", ",", "y", ",", 
       RowBox[{"f", "[", 
        RowBox[{"x0", ",", "y"}], "]"}]}], "}"}]}], ";"}], "  ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Moving", " ", "point", " ", "of", " ", "secant", " ", "in", " ", "y", 
     " ", "direction"}], " ", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fx", "[", "x_", "]"}], ":=", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"f", "[", 
       RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fy", "[", "y_", "]"}], ":=", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"f", "[", 
       RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"secantColor", "=", 
     RowBox[{"RGBColor", "[", 
      RowBox[{"1", ",", "0", ",", "0"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tangentColor", "=", 
     RowBox[{"RGBColor", "[", 
      RowBox[{"0", ",", "1", ",", "0"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellOpen->False,
 InitializationCell->True,
 CellChangeTimes->{{3.437399288875*^9, 3.437399312640625*^9}, {
   3.437399348375*^9, 3.43739936509375*^9}, {3.43740047721875*^9, 
   3.43740062934375*^9}, {3.437400799765625*^9, 3.437400807765625*^9}, {
   3.437400949953125*^9, 3.437400954296875*^9}, {3.437401159921875*^9, 
   3.437401166734375*^9}, {3.437401202890625*^9, 3.437401209*^9}, {
   3.437401247234375*^9, 3.437401393703125*^9}, {3.437401427296875*^9, 
   3.437401436953125*^9}, {3.437453720966011*^9, 3.437453792208312*^9}, {
   3.4374539066297483`*^9, 3.437453934638774*^9}, 3.437453981513904*^9, {
   3.437454011683913*^9, 3.437454041894421*^9}, {3.437454082792864*^9, 
   3.437454084217716*^9}, {3.437454453443344*^9, 3.437454684029149*^9}, {
   3.437454753894951*^9, 3.437454816583522*^9}, {3.437454894112782*^9, 
   3.4374549156752863`*^9}, {3.437455658101778*^9, 3.4374556703728867`*^9}, {
   3.43745574086775*^9, 3.437455799571855*^9}, {3.437455834905266*^9, 
   3.437455868175173*^9}, {3.437455934814839*^9, 3.437455945545445*^9}, {
   3.4374605601161737`*^9, 3.437460560218114*^9}, {3.4374616818112307`*^9, 
   3.437461692703637*^9}, {3.43746177897748*^9, 3.437461844593082*^9}, {
   3.437461917441888*^9, 3.437461930006227*^9}, {3.437461960486974*^9, 
   3.43746198875208*^9}, {3.437462028055006*^9, 3.437462030720758*^9}, {
   3.437462269869993*^9, 3.437462289506741*^9}, {3.437462356560364*^9, 
   3.437462387228198*^9}, {3.437462443898534*^9, 3.437462453576948*^9}, {
   3.4374653548379107`*^9, 3.437465379272297*^9}, {3.437465463933117*^9, 
   3.4374654806371193`*^9}, {3.437465524131238*^9, 3.43746553456393*^9}, {
   3.4374656121147537`*^9, 3.437465617688574*^9}, {3.437465722541882*^9, 
   3.437465758931288*^9}, {3.4374659975312557`*^9, 3.4374660049639797`*^9}, {
   3.437466056901457*^9, 3.437466057330801*^9}, {3.4374661523729477`*^9, 
   3.437466158107458*^9}, {3.4374663958684072`*^9, 3.4374664220296993`*^9}, {
   3.437466469108322*^9, 3.437466550457404*^9}, {3.437466609859894*^9, 
   3.437466633043694*^9}, {3.4374667410619173`*^9, 3.437466744542334*^9}, {
   3.4374669185691147`*^9, 3.437466921679022*^9}, {3.437466961995039*^9, 
   3.437467002878559*^9}, {3.437467047465365*^9, 3.437467063437152*^9}, {
   3.43746906232019*^9, 3.437469063187252*^9}, {3.437469980719489*^9, 
   3.437469983556465*^9}, {3.4374700288218184`*^9, 3.4374700396544*^9}, {
   3.4374704007536383`*^9, 3.437470474907991*^9}, {3.437471110233193*^9, 
   3.437471111066392*^9}, {3.437471570651456*^9, 3.4374716254115763`*^9}, {
   3.437471684276588*^9, 3.437471719933712*^9}, {3.437472649851976*^9, 
   3.437472660884687*^9}, {3.437472940644691*^9, 3.437472941446588*^9}, {
   3.437473158556576*^9, 3.437473186707612*^9}, {3.437473479259437*^9, 
   3.437473481902883*^9}, {3.437473665703034*^9, 3.437473667430276*^9}, {
   3.437473794157309*^9, 3.43747385529924*^9}, {3.437473890582388*^9, 
   3.437473938216625*^9}, {3.437473986059453*^9, 3.437474015625354*^9}, {
   3.4374740601029787`*^9, 3.437474117491929*^9}, {3.437475021624401*^9, 
   3.437475069468151*^9}, {3.437475152250251*^9, 3.4374752048997087`*^9}, 
   3.437475235643737*^9, {3.437475274932489*^9, 3.437475320787925*^9}, {
   3.4374753669755287`*^9, 3.437475369950467*^9}, {3.43747540635467*^9, 
   3.437475407640005*^9}, {3.437475452839776*^9, 3.437475453562765*^9}, {
   3.437475858221842*^9, 3.437475873470261*^9}, {3.4374759111018887`*^9, 
   3.437475912908299*^9}, {3.437476165180674*^9, 3.4374761733780327`*^9}, {
   3.437476232323676*^9, 3.437476252565227*^9}, {3.4374763386639423`*^9, 
   3.43747633949197*^9}, {3.437476546967751*^9, 3.437476551387766*^9}, {
   3.437476658272903*^9, 3.437476658952016*^9}, {3.437476707842658*^9, 
   3.437476713238943*^9}, {3.437476748724349*^9, 3.437476749843536*^9}, {
   3.437476874929661*^9, 3.4374768814215927`*^9}, {3.437477324192463*^9, 
   3.437477350297687*^9}, {3.437477486950324*^9, 3.4374774878316*^9}, {
   3.4374775995796947`*^9, 3.4374775998903017`*^9}, {3.4374781993151827`*^9, 
   3.437478225019835*^9}, {3.4374791198977757`*^9, 3.437479136356307*^9}, {
   3.4374792350106497`*^9, 3.437479278976001*^9}, {3.437479482495607*^9, 
   3.437479503158532*^9}, {3.4374795798671503`*^9, 3.437479589065962*^9}, {
   3.4374802043113203`*^9, 3.437480204596744*^9}, {3.437480534255699*^9, 
   3.4374805460470743`*^9}, {3.437480611603065*^9, 3.437480615922228*^9}, {
   3.437480656006287*^9, 3.437480696222444*^9}, {3.4374807416549273`*^9, 
   3.43748074232329*^9}, {3.437480788840117*^9, 3.437480789207695*^9}, {
   3.43748082302738*^9, 3.437480852728026*^9}, {3.437481168996038*^9, 
   3.4374811873489923`*^9}, {3.43748160883072*^9, 3.437481634455999*^9}, {
   3.43748297127452*^9, 3.437482981066258*^9}, {3.43748317142881*^9, 
   3.437483186954034*^9}, {3.437483247182598*^9, 3.437483334731517*^9}, {
   3.437483372546385*^9, 3.4374833837297363`*^9}, {3.4374834283110847`*^9, 
   3.437483453289446*^9}, {3.4374834930746117`*^9, 3.437483508482923*^9}, {
   3.437714753600561*^9, 3.437714755123271*^9}, {3.437715349381303*^9, 
   3.437715350866344*^9}, {3.437715530445298*^9, 3.437715537135311*^9}, {
   3.4377156319909487`*^9, 3.437715637455165*^9}, {3.437716095128738*^9, 
   3.4377161040470333`*^9}, {3.4377161734077663`*^9, 
   3.4377161755939913`*^9}, {3.437720236004064*^9, 3.437720241600648*^9}, {
   3.437721057170541*^9, 3.437721068740288*^9}, {3.437721191205365*^9, 
   3.437721195930684*^9}, {3.437721691431102*^9, 3.4377217717306633`*^9}, {
   3.437721804479864*^9, 3.4377219185031977`*^9}, {3.437721956357036*^9, 
   3.437722239031266*^9}, {3.4377222827933273`*^9, 3.43772229556885*^9}, {
   3.4377223427650137`*^9, 3.4377223440007772`*^9}, {3.437722395106502*^9, 
   3.437722583363885*^9}, {3.437722621033368*^9, 3.437722699344698*^9}, {
   3.437722856844912*^9, 3.4377228571282263`*^9}, 3.4377232387962933`*^9, {
   3.4377232881935873`*^9, 3.437723296658621*^9}, {3.437723702762498*^9, 
   3.437723722674214*^9}, {3.437724240242586*^9, 3.4377243472333727`*^9}, {
   3.4377243817644167`*^9, 3.4377245048988543`*^9}, {3.437724576035103*^9, 
   3.437724636055461*^9}, {3.437726772269821*^9, 3.437726777972389*^9}, {
   3.43772683353728*^9, 3.437726937857348*^9}, {3.437727001898039*^9, 
   3.437727004165266*^9}, {3.437727820217824*^9, 3.4377279490680923`*^9}, {
   3.437734187564892*^9, 3.437734350791065*^9}, {3.437734513604375*^9, 
   3.437734520901721*^9}, {3.437734764475336*^9, 3.437734764719282*^9}, {
   3.4377351119196043`*^9, 3.437735132934857*^9}, {3.4377351658964653`*^9, 
   3.437735175075201*^9}, {3.437735219800164*^9, 3.437735253989044*^9}, {
   3.437736167952836*^9, 3.4377361796562853`*^9}, {3.438426792095437*^9, 
   3.43842686858856*^9}, {3.4398057029364233`*^9, 3.439805712050744*^9}, {
   3.439805752153255*^9, 3.4398057799949417`*^9}, {3.439818982892188*^9, 
   3.439819004211109*^9}, {3.439820228216345*^9, 3.439820322910873*^9}, {
   3.439820363332383*^9, 3.43982037971004*^9}, {3.4398207203564577`*^9, 
   3.439820727735612*^9}, {3.4398208782719383`*^9, 3.4398208809150333`*^9}, {
   3.439820922527204*^9, 3.439820937440041*^9}, {3.439821016924109*^9, 
   3.439821017106296*^9}, {3.440071330993582*^9, 3.440071332111573*^9}, {
   3.440072223080823*^9, 3.440072288608815*^9}, {3.440072345093718*^9, 
   3.440072356173917*^9}, 3.44007238621889*^9, {3.440072418785997*^9, 
   3.44007242643899*^9}, {3.440072547983012*^9, 3.440072577761688*^9}, {
   3.440072611238434*^9, 3.440072622038721*^9}, {3.440072859012702*^9, 
   3.4400729247432747`*^9}, {3.440073023918284*^9, 3.4400730404578743`*^9}, {
   3.4400731063105793`*^9, 3.4400731347641697`*^9}, {3.440073193409306*^9, 
   3.440073228989357*^9}, {3.440074064836215*^9, 3.4400740741653748`*^9}, {
   3.440074329740303*^9, 3.440074379271419*^9}, {3.4400744095985518`*^9, 
   3.440074557776984*^9}, {3.4400751170974703`*^9, 3.440075138245387*^9}, {
   3.440075741291502*^9, 3.4400757494637814`*^9}, {3.440075779593745*^9, 
   3.440075783742374*^9}, {3.440075969944291*^9, 3.440075972440989*^9}, {
   3.44007614386242*^9, 3.44007615213485*^9}, {3.440076204782152*^9, 
   3.440076206116061*^9}, {3.440076326719769*^9, 3.4400763304992933`*^9}, {
   3.440076374756015*^9, 3.440076436523814*^9}, {3.4400766066077023`*^9, 
   3.440076638076798*^9}, {3.4400767043727503`*^9, 3.440076731836771*^9}, {
   3.440076980366191*^9, 3.4400769920939283`*^9}, {3.44007704382452*^9, 
   3.44007705290804*^9}, {3.440077089407825*^9, 3.440077108163826*^9}, {
   3.440077181342462*^9, 3.440077188109929*^9}, {3.4400772623426*^9, 
   3.440077279643095*^9}, {3.440077310310631*^9, 3.4400773129301243`*^9}, {
   3.440077418310711*^9, 3.440077429999874*^9}, {3.44007751675426*^9, 
   3.440077601675157*^9}, {3.440077660821396*^9, 3.4400777484044724`*^9}, {
   3.440077846029451*^9, 3.4400778757158337`*^9}, {3.44007793163906*^9, 
   3.4400779869590282`*^9}, {3.440078042503026*^9, 3.4400780976783*^9}, {
   3.4400783377158327`*^9, 3.44007845865009*^9}, {3.440078563887905*^9, 
   3.440078587764629*^9}, {3.440078630207941*^9, 3.440078654338217*^9}, {
   3.440082616251281*^9, 3.440082672642658*^9}, {3.440083618268846*^9, 
   3.440083620258074*^9}, {3.440083651606662*^9, 3.440083654154924*^9}, {
   3.440083732451792*^9, 3.440083741204165*^9}, {3.440218170026658*^9, 
   3.4402182574214697`*^9}, {3.440218896015586*^9, 3.440218896166644*^9}, {
   3.4402193319621477`*^9, 3.440219335140195*^9}, {3.440221001543097*^9, 
   3.440221042924492*^9}, {3.441428545205217*^9, 3.441428553328216*^9}, {
   3.441428938591161*^9, 3.441428944614809*^9}, {3.441429207783259*^9, 
   3.441429323579638*^9}, {3.441429364461137*^9, 3.44142963959545*^9}, {
   3.441429745435925*^9, 3.441429746040031*^9}, 3.4414297818253927`*^9, {
   3.4427408333959007`*^9, 3.442740840486351*^9}, {3.442741262542383*^9, 
   3.4427412632290697`*^9}, {3.443781524897313*^9, 3.443781570180056*^9}, {
   3.44378160063507*^9, 3.4437816012973948`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Column", "[", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\< Visualisierung / geometrische Interpretation der \
partiellen Ableitung \>\"", ",", "titleStyle"}], "]"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Text", "[", 
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<     . . . . . . . . . . . . . . . . . . . . . . . . . . . \
. . . . \>\"", ",", "textStyle", ",", " ", "Plain", ",", "8"}], "]"}], "]"}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{"PopupWindow", "[", 
             RowBox[{
              RowBox[{"Button", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<Hilfe\>\"", ",", "9"}], "]"}], ",", 
                RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", " ", 
                RowBox[{"Background", "\[Rule]", 
                 RowBox[{"RGBColor", "[", 
                  RowBox[{"0.9", ",", "0.9", ",", "0.9"}], "]"}]}]}], "]"}], 
              ",", "tab1HelpWindowContent", ",", 
              RowBox[{"WindowTitle", "\[Rule]", "\"\<Hilfe\>\""}], ",", " ", 
              RowBox[{"WindowSize", "\[Rule]", "All"}]}], "]"}]}], "}"}], 
          "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Labeled", "[", 
          RowBox[{
           RowBox[{"Show", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Plot3D", "[", 
              RowBox[{
               RowBox[{"f", "[", 
                RowBox[{"x", ",", "y"}], "]"}], ",", " ", 
               RowBox[{"{", 
                RowBox[{"x", ",", "0", ",", "xRightBound"}], "}"}], ",", " ", 
               RowBox[{"{", 
                RowBox[{"y", ",", "0", ",", "yRightBound"}], "}"}], ",", " ", 
               "\[IndentingNewLine]", 
               RowBox[{"PlotRange", " ", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"All", ",", "All", ",", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", 
                    RowBox[{"f", "[", 
                    RowBox[{"0", ",", "0"}], "]"}]}], "}"}]}], "}"}]}], " ", 
               ",", " ", 
               RowBox[{"PlotStyle", " ", "->", " ", 
                RowBox[{"{", 
                 RowBox[{"Opacity", "[", "0.5", "]"}], "}"}]}], ",", " ", 
               RowBox[{"AxesLabel", " ", "->", " ", "Automatic"}], ",", 
               RowBox[{"AspectRatio", " ", "\[Rule]", " ", "1"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"ViewPoint", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"Pi", ",", 
                  RowBox[{"Pi", "/", "2"}], ",", "2"}], "}"}]}]}], 
              "\[IndentingNewLine]", "]"}], ",", " ", "\[IndentingNewLine]", 
             RowBox[{"ListPointPlot3D", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"p0", ",", 
                 RowBox[{"p1", "[", "x1", "]"}], ",", 
                 RowBox[{"p2", "[", "y2", "]"}]}], "}"}], ",", 
               RowBox[{"PlotStyle", " ", "->", " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"Red", ",", 
                    RowBox[{"PointSize", "[", "0.02", "]"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"Red", ",", 
                    RowBox[{"PointSize", "[", "0.02", "]"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"Red", ",", 
                    RowBox[{"PointSize", "[", "0.02", "]"}]}], "}"}]}], 
                 "}"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"ParametricPlot3D", "[", 
              RowBox[{
               RowBox[{"geodesicXDirection", "[", "x", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", "0", ",", "geodesicXZeroX"}], "}"}], ",", 
               RowBox[{"PlotStyle", " ", "\[Rule]", " ", 
                RowBox[{"{", 
                 RowBox[{"Blue", ",", 
                  RowBox[{"Thickness", "[", "0.004", "]"}]}], "}"}]}]}], 
              "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"ParametricPlot3D", "[", 
              RowBox[{
               RowBox[{"geodesicYDirection", "[", "y", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"y", ",", "0", ",", "geodesicYZeroY"}], "}"}], ",", 
               RowBox[{"PlotStyle", " ", "\[Rule]", " ", 
                RowBox[{"{", 
                 RowBox[{"Blue", ",", 
                  RowBox[{"Thickness", "[", "0.004", "]"}]}], "}"}]}]}], 
              "]"}], ",", "\t\t", 
             RowBox[{"ParametricPlot3D", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"x", ",", "y0", ",", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"x0", "\[Equal]", "x1"}], ",", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fx", "[", "val", "]"}], "/.", 
                    RowBox[{"val", "\[Rule]", "x0"}]}], ")"}], "*", "x"}], 
                    "-", 
                    RowBox[{"x0", "*", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fx", "[", "val", "]"}], "/.", 
                    RowBox[{"val", "\[Rule]", "x0"}]}], ")"}]}], "  ", "+", 
                    RowBox[{"f", "[", 
                    RowBox[{"x1", ",", "y0"}], "]"}]}], ",", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x0", ",", "y0"}], "]"}], "-", 
                    RowBox[{"f", "[", 
                    RowBox[{"x1", ",", "y0"}], "]"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"x0", "-", "x1"}], ")"}]}], ")"}], "*", "x"}], 
                    "-", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"f", "[", 
                    RowBox[{"x0", ",", "y0"}], "]"}], ")"}], "-", 
                    RowBox[{"f", "[", 
                    RowBox[{"x1", ",", "y0"}], "]"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"x0", "-", "x1"}], ")"}]}], "*", "x1"}], " ", "+", 
                    RowBox[{"f", "[", 
                    RowBox[{"x1", ",", "y0"}], "]"}]}]}], "]"}]}], "}"}], ",",
                "\[IndentingNewLine]", "\t", 
               RowBox[{"{", 
                RowBox[{"x", ",", "0", ",", "geodesicXZeroX"}], "}"}], ",", 
               RowBox[{"PlotStyle", " ", "\[Rule]", " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"x0", "\[Equal]", "x1"}], ",", "tangentColor", 
                    ",", "secantColor"}], "]"}], ",", 
                  RowBox[{"Thickness", "[", "0.004", "]"}]}], "}"}]}]}], 
              "]"}], ",", " ", 
             RowBox[{"(*", " ", 
              RowBox[{
               RowBox[{"secant", "/", "tangent"}], " ", "wrt", " ", "x"}], 
              " ", "*)"}], "\[IndentingNewLine]", 
             RowBox[{"ParametricPlot3D", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"x0", ",", "y", ",", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"y0", "\[Equal]", "y2"}], ",", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fy", "[", "val", "]"}], "/.", 
                    RowBox[{"val", "\[Rule]", "y0"}]}], ")"}], "*", "y"}], 
                    "-", 
                    RowBox[{"y0", "*", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fy", "[", "val", "]"}], "/.", 
                    RowBox[{"val", "\[Rule]", "y0"}]}], ")"}]}], "  ", "+", 
                    RowBox[{"f", "[", 
                    RowBox[{"x0", ",", "y2"}], "]"}]}], ",", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x0", ",", "y0"}], "]"}], "-", 
                    RowBox[{"f", "[", 
                    RowBox[{"x0", ",", "y2"}], "]"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"y0", "-", "y2"}], ")"}]}], ")"}], "*", "y"}], 
                    "-", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"f", "[", 
                    RowBox[{"x0", ",", "y0"}], "]"}], ")"}], "-", 
                    RowBox[{"f", "[", 
                    RowBox[{"x0", ",", "y2"}], "]"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{"y0", "-", "y2"}], ")"}]}], "*", "y2"}], " ", "+", 
                    RowBox[{"f", "[", 
                    RowBox[{"x0", ",", "y2"}], "]"}]}]}], "]"}]}], "}"}], ",",
                "\[IndentingNewLine]", "\t", 
               RowBox[{"{", 
                RowBox[{"y", ",", "0", ",", "geodesicYZeroY"}], "}"}], ",", 
               RowBox[{"PlotStyle", " ", "\[Rule]", " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"y0", "\[Equal]", "y2"}], ",", "tangentColor", 
                    ",", "secantColor"}], "]"}], ",", 
                  RowBox[{"Thickness", "[", "0.004", "]"}]}], "}"}]}]}], 
              "]"}], ",", " ", 
             RowBox[{"(*", " ", 
              RowBox[{
               RowBox[{"secant", "/", "tangent"}], " ", "wrt", " ", "y"}], 
              " ", "*)"}], "\[IndentingNewLine]", " ", 
             RowBox[{"ImageSize", " ", "\[Rule]", " ", 
              RowBox[{"{", 
               RowBox[{"800", ",", "550"}], "}"}]}], ",", 
             "\[IndentingNewLine]", " ", 
             RowBox[{"PlotRange", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "xRightBound"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "yRightBound"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"f", "[", 
                   RowBox[{"0", ",", "0"}], "]"}]}], "}"}]}], "}"}]}]}], 
            "\[IndentingNewLine]", "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"\"\<f(x,y) = \>\"", "\[IndentingNewLine]", "<>", " ", 
               RowBox[{"ToString", "[", 
                RowBox[{"TraditionalForm", "[", 
                 RowBox[{"f", "[", 
                  RowBox[{"x", ",", "y"}], "]"}], "]"}], "]"}], " ", 
               "\[IndentingNewLine]", "<>", " ", 
               "\"\<\\n\\n \!\(\*FractionBox[\(\[PartialD]\), \
\(\[PartialD]x\)]\)f(x,y) = \>\"", " ", "\[IndentingNewLine]", "<>", " ", 
               RowBox[{"ToString", "[", 
                RowBox[{"TraditionalForm", "[", 
                 RowBox[{"fx", "[", "x", "]"}], "]"}], "]"}], 
               "\[IndentingNewLine]", "<>", " ", 
               "\"\<      ,     \!\(\*FractionBox[\(\[PartialD]\), \(\
\[PartialD]y\)]\)f(x,y) = \>\"", " ", "\[IndentingNewLine]", "<>", " ", 
               RowBox[{"ToString", "[", 
                RowBox[{"TraditionalForm", "[", 
                 RowBox[{"fy", "[", "y", "]"}], "]"}], "]"}]}], ",", 
              "\[IndentingNewLine]", "16", ",", 
              RowBox[{"FontFamily", "\[Rule]", "Times"}]}], "]"}], "}"}], ",", 
           RowBox[{"{", "Bottom", "}"}]}], "]"}]}], "\[IndentingNewLine]", 
        "}"}], ",", "Top"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x1", ",", ",", 
         RowBox[{"Style", "[", " ", 
          RowBox[{
          "\"\<x-Koordinate des \\nvariablen Punkts der \\nSekante in \
x-Richtung\\n\>\"", ",", "textStyle"}], "]"}]}], "}"}], ",", "geodesicXZeroX",
        ",", "x0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y2", ",", ",", 
         RowBox[{"Style", "[", " ", 
          RowBox[{
          "\"\<y-Koordinate des \\nvariablen Punkts der \\nSekante in \
y-Richtung\\n\>\"", ",", "textStyle"}], "]"}]}], "}"}], ",", "geodesicYZeroY",
        ",", "y0"}], "}"}], ",", 
     RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "\[IndentingNewLine]",
     "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]"}]}]], "Input",
 CellOpen->False,
 CellChangeTimes->{{3.4373960259375*^9, 3.437396112203125*^9}, {
   3.437396453859375*^9, 3.43739649596875*^9}, {3.43739761884375*^9, 
   3.437397630015625*^9}, {3.437397765921875*^9, 3.437397782078125*^9}, {
   3.437397856703125*^9, 3.43739798009375*^9}, {3.437398038640625*^9, 
   3.437398163578125*^9}, {3.437398236046875*^9, 3.437398240421875*^9}, 
   3.4373983639375*^9, {3.437398396984375*^9, 3.43739841025*^9}, {
   3.437398464921875*^9, 3.437398466265625*^9}, {3.43739863225*^9, 
   3.43739867684375*^9}, {3.43739872734375*^9, 3.437398882671875*^9}, {
   3.43739893396875*^9, 3.437398936265625*^9}, {3.4373993298125*^9, 
   3.437399335421875*^9}, {3.437399379171875*^9, 3.437399457078125*^9}, {
   3.437399511421875*^9, 3.437399527734375*^9}, {3.437399867859375*^9, 
   3.4373998806875*^9}, {3.43739993328125*^9, 3.437399972640625*^9}, 
   3.437400176375*^9, {3.437400307859375*^9, 3.437400357515625*^9}, {
   3.4374006375625*^9, 3.437400660125*^9}, {3.43740069928125*^9, 
   3.437400760578125*^9}, {3.43740101628125*^9, 3.437401055421875*^9}, 
   3.43740111765625*^9, {3.437401176671875*^9, 3.4374011863125*^9}, {
   3.4374012314375*^9, 3.437401240359375*^9}, {3.437401453984375*^9, 
   3.437401454375*^9}, {3.437401496796875*^9, 3.4374015201875*^9}, {
   3.4374015635*^9, 3.43740157578125*^9}, {3.437409465171875*^9, 
   3.43740947409375*^9}, {3.437409515546875*^9, 3.4374095160625*^9}, {
   3.43740969184375*^9, 3.43740969496875*^9}, {3.437409727796875*^9, 
   3.43740986028125*^9}, {3.4374098979375*^9, 3.4374099580625*^9}, {
   3.43741002225*^9, 3.437410122328125*^9}, {3.4374102245*^9, 
   3.437410247984375*^9}, {3.43741028471875*^9, 3.43741028728125*^9}, {
   3.4374103238125*^9, 3.4374103495625*^9}, {3.437410522140625*^9, 
   3.437410642859375*^9}, {3.437410675375*^9, 3.437410692640625*^9}, {
   3.4374108304375*^9, 3.43741093025*^9}, {3.437411034625*^9, 
   3.437411051890625*^9}, {3.437411089546875*^9, 3.437411106*^9}, {
   3.437411173828125*^9, 3.437411209265625*^9}, {3.437411364609375*^9, 
   3.437411415890625*^9}, {3.437454202274373*^9, 3.437454213315485*^9}, {
   3.43745426759298*^9, 3.4374542873637953`*^9}, {3.437454800469162*^9, 
   3.4374548023277807`*^9}, {3.4374549231104813`*^9, 
   3.4374549266711807`*^9}, {3.437454961606956*^9, 3.437454993469236*^9}, {
   3.437455073491284*^9, 3.437455188241938*^9}, {3.437455356365703*^9, 
   3.437455362554748*^9}, {3.437455403003243*^9, 3.437455441024701*^9}, {
   3.437455807876279*^9, 3.437455808266665*^9}, {3.437455877697733*^9, 
   3.4374559002616453`*^9}, {3.437456093950568*^9, 3.437456128609803*^9}, {
   3.437456166456478*^9, 3.437456200378248*^9}, {3.437456230577477*^9, 
   3.437456240220174*^9}, {3.4374563521228123`*^9, 3.437456407838642*^9}, {
   3.437456462819619*^9, 3.437456517296472*^9}, {3.437460615513323*^9, 
   3.437460615637306*^9}, {3.437461858964555*^9, 3.437461859566249*^9}, {
   3.4374622934603252`*^9, 3.437462294634302*^9}, {3.437462465009444*^9, 
   3.437462465132328*^9}, {3.437463071102429*^9, 3.437463071548745*^9}, {
   3.437464810219036*^9, 3.437464815186211*^9}, {3.4374648576137047`*^9, 
   3.437464898114615*^9}, {3.43746496885758*^9, 3.437464984272038*^9}, {
   3.437465079181347*^9, 3.437465091015492*^9}, {3.437465129849683*^9, 
   3.437465132250413*^9}, {3.437465417849112*^9, 3.437465429169305*^9}, {
   3.437465575615172*^9, 3.437465598512252*^9}, {3.4374656311496267`*^9, 
   3.437465641539769*^9}, {3.4374658233801527`*^9, 3.4374658418075113`*^9}, {
   3.4374658736924953`*^9, 3.4374659040716753`*^9}, {3.437465951633936*^9, 
   3.4374659642334414`*^9}, {3.437466643092802*^9, 3.437466659366736*^9}, {
   3.437469079248283*^9, 3.43746909104983*^9}, {3.437469170912509*^9, 
   3.4374691951767673`*^9}, {3.437469740701007*^9, 3.4374698171207113`*^9}, 
   3.437469869023961*^9, {3.437470062275313*^9, 3.437470062403859*^9}, {
   3.4374701186638947`*^9, 3.437470120194363*^9}, {3.437470852746356*^9, 
   3.437470915917625*^9}, 3.437470965934972*^9, {3.437471002815318*^9, 
   3.43747100507467*^9}, {3.43747104739254*^9, 3.4374710780505342`*^9}, {
   3.4374711583153057`*^9, 3.437471284876548*^9}, {3.43747144805457*^9, 
   3.4374714495809507`*^9}, {3.4374724236330557`*^9, 3.437472435674816*^9}, {
   3.437472496555943*^9, 3.4374725365423326`*^9}, {3.437472622660635*^9, 
   3.437472633863078*^9}, {3.4374726814773827`*^9, 3.437472753969945*^9}, {
   3.437472965501511*^9, 3.437472966262247*^9}, {3.4374732233919077`*^9, 
   3.437473290994005*^9}, {3.4374734513922873`*^9, 3.4374734522431993`*^9}, {
   3.437474218862998*^9, 3.437474220414689*^9}, {3.437474496001965*^9, 
   3.437474496962935*^9}, {3.437475144073574*^9, 3.437475147752249*^9}, {
   3.437477370324616*^9, 3.437477397803945*^9}, {3.437481254462899*^9, 
   3.437481283359022*^9}, 3.437481545178877*^9, {3.437481717454447*^9, 
   3.43748177738157*^9}, 3.437481866317307*^9, {3.437482053183298*^9, 
   3.437482087453039*^9}, {3.437482223982492*^9, 3.4374822275005207`*^9}, {
   3.437482791322214*^9, 3.4374827996594553`*^9}, {3.43748411164598*^9, 
   3.43748411956103*^9}, 3.437484161602518*^9, {3.4374842549449263`*^9, 
   3.437484286727519*^9}, {3.437484353970841*^9, 3.4374843668556423`*^9}, {
   3.437484598537202*^9, 3.437484670302269*^9}, {3.4374848839353313`*^9, 
   3.4374849073407307`*^9}, {3.437484942552545*^9, 3.437484968396371*^9}, {
   3.4377162051695213`*^9, 3.437716225788186*^9}, {3.437716268435018*^9, 
   3.437716289566956*^9}, {3.437716386938039*^9, 3.437716420687077*^9}, {
   3.437716451884015*^9, 3.437716496117158*^9}, {3.4377165441467524`*^9, 
   3.437716544328397*^9}, {3.437716645514135*^9, 3.437716647275867*^9}, {
   3.437716687698855*^9, 3.4377167224956293`*^9}, {3.437716793017716*^9, 
   3.437716806996067*^9}, 3.4377168527566433`*^9, 3.437716955461113*^9, {
   3.4377171239603357`*^9, 3.4377171486728077`*^9}, {3.43771718617483*^9, 
   3.437717186998637*^9}, {3.437717431619732*^9, 3.437717600183453*^9}, {
   3.437717673927229*^9, 3.4377176821686087`*^9}, {3.437717734517964*^9, 
   3.437717752578772*^9}, {3.437718047172093*^9, 3.437718060223743*^9}, {
   3.43771822049946*^9, 3.437718228089645*^9}, {3.4377187627767687`*^9, 
   3.437718882450453*^9}, 3.4377189542419767`*^9, {3.437719560933159*^9, 
   3.437719598040607*^9}, {3.4377201969920397`*^9, 3.437720217927113*^9}, {
   3.437720302737035*^9, 3.437720308357044*^9}, {3.437720685992733*^9, 
   3.43772079122398*^9}, {3.437720882971952*^9, 3.437720884664687*^9}, {
   3.437720940338944*^9, 3.4377209689051723`*^9}, {3.437721014332308*^9, 
   3.4377210149477243`*^9}, {3.437721078798421*^9, 3.437721094583478*^9}, {
   3.437723097264471*^9, 3.437723103055146*^9}, {3.4377231353277073`*^9, 
   3.437723140501781*^9}, 3.43772345224842*^9, {3.437723526265085*^9, 
   3.4377235285284233`*^9}, {3.4377269889289637`*^9, 3.437726990749946*^9}, {
   3.437734553490135*^9, 3.437734584454836*^9}, {3.437734939230633*^9, 
   3.437734964551999*^9}, {3.4377355314336843`*^9, 3.437735563534174*^9}, {
   3.4377360474439917`*^9, 3.437736050986266*^9}, {3.4377360856947193`*^9, 
   3.4377361054601994`*^9}, {3.437736227334293*^9, 3.4377362319063253`*^9}, {
   3.4384256122289743`*^9, 3.438425621887229*^9}, {3.438425812672042*^9, 
   3.438425818636937*^9}, {3.4384261483325987`*^9, 3.438426235706356*^9}, {
   3.4384262833477983`*^9, 3.438426290101366*^9}, 3.4384264777512493`*^9, {
   3.438426978983821*^9, 3.438426989489917*^9}, {3.438427586686975*^9, 
   3.438427725353541*^9}, {3.438427789825601*^9, 3.438427822824128*^9}, {
   3.4384279507606897`*^9, 3.438427952878931*^9}, {3.438427997809701*^9, 
   3.438428007246126*^9}, {3.438428145429545*^9, 3.4384282070106297`*^9}, {
   3.438428248394198*^9, 3.438428254170184*^9}, {3.4384284426024437`*^9, 
   3.438428444015836*^9}, {3.438428484389217*^9, 3.438428493256542*^9}, {
   3.43842862549957*^9, 3.4384286362501783`*^9}, {3.438428807063858*^9, 
   3.438428847119432*^9}, {3.438428883897127*^9, 3.438428892057774*^9}, {
   3.438429117299633*^9, 3.4384291254414062`*^9}, {3.438429311720725*^9, 
   3.438429319842332*^9}, {3.4384295758546352`*^9, 3.438429623286133*^9}, {
   3.4384297723656197`*^9, 3.438429803961644*^9}, {3.438429946670594*^9, 
   3.438429960150145*^9}, {3.439805897540403*^9, 3.439805914148985*^9}, {
   3.43980595463422*^9, 3.439805958963381*^9}, {3.439816716005022*^9, 
   3.4398167253306503`*^9}, {3.4398168172610197`*^9, 3.439816966756098*^9}, {
   3.439818510166287*^9, 3.439818532230598*^9}, {3.439818601652832*^9, 
   3.439818669976878*^9}, {3.4398187525157757`*^9, 3.439818776577939*^9}, {
   3.439818853982175*^9, 3.439818891202746*^9}, {3.439819315242744*^9, 
   3.439819319400024*^9}, {3.439820418005122*^9, 3.439820475709711*^9}, {
   3.439820529156843*^9, 3.4398205327346354`*^9}, {3.4398207413932858`*^9, 
   3.4398207419757957`*^9}, {3.440071450283483*^9, 3.440071511735461*^9}, {
   3.4400716501359997`*^9, 3.440071668801907*^9}, {3.440071713573461*^9, 
   3.440071714649405*^9}, {3.440071778738429*^9, 3.44007180781844*^9}, 
   3.4400718474768047`*^9, {3.4400719127844763`*^9, 3.440071919847252*^9}, {
   3.440071949925844*^9, 3.44007198608074*^9}, {3.440072018099538*^9, 
   3.440072018207007*^9}, {3.440072105741034*^9, 3.44007212264183*^9}, {
   3.440072630063744*^9, 3.440072631106657*^9}, 3.44007589887761*^9, {
   3.44007622273127*^9, 3.440076249046669*^9}, {3.440077776591382*^9, 
   3.440077811160796*^9}, {3.44007791274959*^9, 3.440077913753832*^9}, {
   3.440078472049129*^9, 3.440078473129573*^9}, {3.440078687147459*^9, 
   3.440078687502948*^9}, {3.440078722591218*^9, 3.440078757849496*^9}, {
   3.440078838871492*^9, 3.4400788919557123`*^9}, {3.440078930386619*^9, 
   3.440078947228389*^9}, {3.44007899877731*^9, 3.440078999058764*^9}, {
   3.440079055372863*^9, 3.4400790768118687`*^9}, {3.440079234812895*^9, 
   3.4400793163926764`*^9}, {3.44007942884984*^9, 3.440079447144075*^9}, {
   3.440079482781557*^9, 3.440079493689048*^9}, {3.440079530036388*^9, 
   3.440079605116304*^9}, {3.440079667381444*^9, 3.440079774416017*^9}, {
   3.440079816862217*^9, 3.440079858833496*^9}, {3.440080192055667*^9, 
   3.440080214418326*^9}, {3.440080427671302*^9, 3.440080434312291*^9}, {
   3.4400805130702963`*^9, 3.440080527896853*^9}, {3.440081072403348*^9, 
   3.440081072866996*^9}, {3.440081108589446*^9, 3.440081119807076*^9}, {
   3.440081253865374*^9, 3.44008126477874*^9}, {3.4400813012938137`*^9, 
   3.440081301456749*^9}, {3.4400813369960957`*^9, 3.4400813997979937`*^9}, {
   3.4400814308853397`*^9, 3.4400814698938026`*^9}, {3.440081531724189*^9, 
   3.440081545472062*^9}, {3.440081828496386*^9, 3.440081860185916*^9}, {
   3.440081935594244*^9, 3.440082006052375*^9}, {3.4400820687683973`*^9, 
   3.440082177487191*^9}, {3.440082230836245*^9, 3.440082234414871*^9}, {
   3.440082276131065*^9, 3.440082279495632*^9}, {3.4400827041789207`*^9, 
   3.44008271195441*^9}, {3.4400828129739923`*^9, 3.440083003528434*^9}, {
   3.440083257162389*^9, 3.4400832858418093`*^9}, {3.440083342860694*^9, 
   3.440083346682804*^9}, {3.440083395738207*^9, 3.440083473561583*^9}, {
   3.440083681020073*^9, 3.4400837193612823`*^9}, {3.4400841865203342`*^9, 
   3.440084203333475*^9}, {3.440084290796067*^9, 3.440084299338385*^9}, {
   3.440084334600436*^9, 3.440084395573048*^9}, {3.440084443588038*^9, 
   3.440084558187049*^9}, {3.440084658324225*^9, 3.440084761891041*^9}, {
   3.440084834121792*^9, 3.4400848566896553`*^9}, {3.440084931402637*^9, 
   3.4400850280760508`*^9}, {3.44008506369102*^9, 3.4400850652692966`*^9}, {
   3.440085112210589*^9, 3.440085152983551*^9}, {3.440085392220606*^9, 
   3.440085431135998*^9}, {3.4400854676048203`*^9, 3.440085493235249*^9}, {
   3.440085565243793*^9, 3.440085571332128*^9}, {3.440085607423963*^9, 
   3.44008560788345*^9}, {3.4400856679027653`*^9, 3.440085750173052*^9}, {
   3.4400857820079*^9, 3.440085822143148*^9}, {3.440085856184721*^9, 
   3.440085943213963*^9}, {3.44008601879211*^9, 3.4400860357172937`*^9}, {
   3.440086112042678*^9, 3.440086246459159*^9}, {3.440086343456388*^9, 
   3.4400863998839283`*^9}, {3.440086528485772*^9, 3.440086603570167*^9}, {
   3.4402182965479803`*^9, 3.440218668728951*^9}, {3.440218778801436*^9, 
   3.440218843049058*^9}, {3.440218877155794*^9, 3.4402188783876143`*^9}, {
   3.440218999974848*^9, 3.4402191061636457`*^9}, {3.441428661146644*^9, 
   3.441428769714218*^9}, {3.4414288184107533`*^9, 3.441428823132913*^9}, {
   3.441429005509404*^9, 3.441429056539769*^9}, {3.4419625747355747`*^9, 
   3.441962614831573*^9}, {3.442739701597178*^9, 3.4427397320200443`*^9}, {
   3.4427397815387993`*^9, 3.442739784405669*^9}, {3.4427401857357187`*^9, 
   3.442740189010323*^9}, {3.442740398404276*^9, 3.442740408251956*^9}, {
   3.442740518652256*^9, 3.442740522474557*^9}, 3.442740873413364*^9, 
   3.4427411301856956`*^9, {3.442742972560954*^9, 3.442742974001584*^9}, {
   3.443780935098486*^9, 3.443780935620521*^9}, {3.443781446348901*^9, 
   3.443781471541813*^9}, {3.443781783580514*^9, 3.4437818850613194`*^9}, {
   3.4437819350491953`*^9, 3.443781992469796*^9}, {3.443782071679886*^9, 
   3.443782072218318*^9}, {3.4437822452710047`*^9, 3.44378229160616*^9}, {
   3.443782329149475*^9, 3.443782487335017*^9}, {3.4437825478723392`*^9, 
   3.443782713426509*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`x1$$ = 
    3.7416573867739413`, $CellContext`y2$$ = 2.669269563007828, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`x1$$], Null, 
       Style[
       "x-Koordinate des \nvariablen Punkts der \nSekante in x-Richtung\n", {
        FontFamily -> "Liberation Sans", 12, Bold, 
         RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0]}]}, 
      14^Rational[1, 2], 
      Rational[1, 2]}, {{
       Hold[$CellContext`y2$$], Null, 
       Style[
       "y-Koordinate des \nvariablen Punkts der \nSekante in y-Richtung\n", {
        FontFamily -> "Liberation Sans", 12, Bold, 
         RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0]}]}, 
      Rational[1, 2] Rational[57, 2]^Rational[1, 2], 
      Rational[1, 2]}}, Typeset`size$$ = {800., {329., 334.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`x1$22032$$ = 0, $CellContext`y2$22033$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`x1$$ = Null, $CellContext`y2$$ = Null}, 
      "ControllerVariables" :> {
        Hold[$CellContext`x1$$, $CellContext`x1$22032$$, 0], 
        Hold[$CellContext`y2$$, $CellContext`y2$22033$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         Row[{
           Text[
            Style[
            " Visualisierung / geometrische Interpretation der partiellen \
Ableitung ", $CellContext`titleStyle]], 
           Text[
            Style[
            "     . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . \
. ", $CellContext`textStyle, Plain, 8]], 
           PopupWindow[
            Button[
             Style["Hilfe", 9], ImageSize -> Medium, Background -> 
             RGBColor[0.9, 0.9, 0.9]], $CellContext`tab1HelpWindowContent, 
            WindowTitle -> "Hilfe", WindowSize -> All]}], 
         Labeled[
          Show[
           Plot3D[
            $CellContext`f[$CellContext`x, $CellContext`y], {$CellContext`x, 
             0, $CellContext`xRightBound}, {$CellContext`y, 
             0, $CellContext`yRightBound}, PlotRange -> {All, All, {0, 
               $CellContext`f[0, 0]}}, PlotStyle -> {
              Opacity[0.5]}, AxesLabel -> Automatic, AspectRatio -> 1, 
            ViewPoint -> {Pi, Pi/2, 2}], 
           ListPointPlot3D[{$CellContext`p0, 
             $CellContext`p1[$CellContext`x1$$], 
             $CellContext`p2[$CellContext`y2$$]}, PlotStyle -> {{Red, 
               PointSize[0.02]}, {Red, 
               PointSize[0.02]}, {Red, 
               PointSize[0.02]}}], 
           ParametricPlot3D[
            $CellContext`geodesicXDirection[$CellContext`x], {$CellContext`x, 
             0, $CellContext`geodesicXZeroX}, PlotStyle -> {Blue, 
              Thickness[0.004]}], 
           ParametricPlot3D[
            $CellContext`geodesicYDirection[$CellContext`y], {$CellContext`y, 
             0, $CellContext`geodesicYZeroY}, PlotStyle -> {Blue, 
              Thickness[0.004]}], 
           ParametricPlot3D[{$CellContext`x, $CellContext`y0, 
             If[$CellContext`x0 == $CellContext`x1$$, ReplaceAll[
                 $CellContext`fx[$CellContext`val], $CellContext`val -> \
$CellContext`x0] $CellContext`x - $CellContext`x0 ReplaceAll[
                $CellContext`fx[$CellContext`val], $CellContext`val -> \
$CellContext`x0] + $CellContext`f[$CellContext`x1$$, $CellContext`y0], \
(($CellContext`f[$CellContext`x0, $CellContext`y0] - \
$CellContext`f[$CellContext`x1$$, $CellContext`y0])/($CellContext`x0 - \
$CellContext`x1$$)) $CellContext`x - (($CellContext`f[$CellContext`x0, \
$CellContext`y0] - $CellContext`f[$CellContext`x1$$, \
$CellContext`y0])/($CellContext`x0 - $CellContext`x1$$)) $CellContext`x1$$ + \
$CellContext`f[$CellContext`x1$$, $CellContext`y0]]}, {$CellContext`x, 
             0, $CellContext`geodesicXZeroX}, PlotStyle -> {
              
              If[$CellContext`x0 == $CellContext`x1$$, \
$CellContext`tangentColor, $CellContext`secantColor], 
              Thickness[0.004]}], 
           ParametricPlot3D[{$CellContext`x0, $CellContext`y, 
             If[$CellContext`y0 == $CellContext`y2$$, ReplaceAll[
                 $CellContext`fy[$CellContext`val], $CellContext`val -> \
$CellContext`y0] $CellContext`y - $CellContext`y0 ReplaceAll[
                $CellContext`fy[$CellContext`val], $CellContext`val -> \
$CellContext`y0] + $CellContext`f[$CellContext`x0, $CellContext`y2$$], \
(($CellContext`f[$CellContext`x0, $CellContext`y0] - \
$CellContext`f[$CellContext`x0, $CellContext`y2$$])/($CellContext`y0 - \
$CellContext`y2$$)) $CellContext`y - (($CellContext`f[$CellContext`x0, \
$CellContext`y0] - $CellContext`f[$CellContext`x0, \
$CellContext`y2$$])/($CellContext`y0 - $CellContext`y2$$)) $CellContext`y2$$ + \
$CellContext`f[$CellContext`x0, $CellContext`y2$$]]}, {$CellContext`y, 
             0, $CellContext`geodesicYZeroY}, PlotStyle -> {
              
              If[$CellContext`y0 == $CellContext`y2$$, \
$CellContext`tangentColor, $CellContext`secantColor], 
              Thickness[0.004]}], ImageSize -> {800, 550}, 
           PlotRange -> {{0, $CellContext`xRightBound}, {
             0, $CellContext`yRightBound}, {0, 
              $CellContext`f[0, 0]}}], {
           Style[
            StringJoin["f(x,y) = ", 
             ToString[
              TraditionalForm[
               $CellContext`f[$CellContext`x, $CellContext`y]]], 
             "\n\n \!\(\*FractionBox[\(\[PartialD]\), \
\(\[PartialD]x\)]\)f(x,y) = ", 
             ToString[
              TraditionalForm[
               $CellContext`fx[$CellContext`x]]], 
             "      ,     \!\(\*FractionBox[\(\[PartialD]\), \
\(\[PartialD]y\)]\)f(x,y) = ", 
             ToString[
              TraditionalForm[
               $CellContext`fy[$CellContext`y]]]], 16, FontFamily -> 
            Times]}, {Bottom}]}, Top], 
      "Specifications" :> {{{$CellContext`x1$$, Null, 
          Style[
          "x-Koordinate des \nvariablen Punkts der \nSekante in x-Richtung\n\
", {FontFamily -> "Liberation Sans", 12, Bold, 
            RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0]}]},
          14^Rational[1, 2], 
         Rational[1, 2]}, {{$CellContext`y2$$, Null, 
          Style[
          "y-Koordinate des \nvariablen Punkts der \nSekante in y-Richtung\n\
", {FontFamily -> "Liberation Sans", 12, Bold, 
            RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0]}]},
          Rational[1, 2] Rational[57, 2]^Rational[1, 2], 
         Rational[1, 2]}}, "Options" :> {ControlPlacement -> Left}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{1224., {359., 364.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`titleStyle = {
        FontFamily -> "Liberation Sans", 14, Bold, 
         RGBColor[0.35, 0.35, 0.35], Background -> 
         RGBColor[1, 1, 1, 0]}, $CellContext`textStyle = {
        FontFamily -> "Liberation Sans", 12, Bold, 
         RGBColor[0.35, 0.35, 0.35], Background -> 
         RGBColor[1, 1, 1, 0]}, $CellContext`tab1HelpWindowContent = Column[{
          Style[
          "Ziel der Visualisierung: ", {{
            FontFamily -> "Liberation Sans", 12, Bold, 
             RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0]}, 
            Bold}], 
          Style[
          "Demonstration der partiellen Ableitung einer Funktion in einem \
Punkt \n als Tangentensteigung und damit als Grenzwert einer Folge \n von \
Sekantensteigungen.", {{FontFamily -> "Liberation Sans", 12, Bold, 
             RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0]}, 
            Plain}], 
          Style[
          "\nManipulation: ", {{FontFamily -> "Liberation Sans", 12, Bold, 
             RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0]}, 
            Bold}], 
          Style[
          "Lassen Sie die jeweilige x- oder y-Koordinate des zweiten Punktes \
der \n Sekante mit dem Regler gegen die x- bzw. y-Koordinate des  \n \
Tangenten-Punktes wandern. Die 'Grenzsekante' (gr\[UDoubleDot]n) entspricht \n\
 der Tangente und deren Steigung ist die partielle Ableitung von f bzgl. \n \
dieser Koordinate im betreffenden Punkt.\n", {{
            FontFamily -> "Liberation Sans", 12, Bold, 
             RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0]}, 
            Plain}]}, {Left, Top}], $CellContext`f[
         Pattern[$CellContext`x, 
          Blank[]], 
         Pattern[$CellContext`y, 
          
          Blank[]]] := (-($CellContext`a1/$CellContext`a2)) $CellContext`x^2 - \
$CellContext`b $CellContext`y^2 + $CellContext`c1/$CellContext`c2, \
$CellContext`a1 = 1, $CellContext`a2 = 1, $CellContext`b = 2, $CellContext`c1 = 
       29, $CellContext`c2 = 2, $CellContext`xRightBound = 
       4.18867520822515, $CellContext`yRightBound = 
       2.9618406439239773`, $CellContext`p0 = {
        1/2, 1/2, 55/4}, $CellContext`p1[
         Pattern[$CellContext`x, 
          Blank[]]] := {$CellContext`x, $CellContext`y0, 
         $CellContext`f[$CellContext`x, $CellContext`y0]}, $CellContext`y0 = 
       1/2, $CellContext`p2[
         Pattern[$CellContext`y, 
          Blank[]]] := {$CellContext`x0, $CellContext`y, 
         $CellContext`f[$CellContext`x0, $CellContext`y]}, $CellContext`x0 = 
       1/2, $CellContext`geodesicXDirection[
         Pattern[$CellContext`x, 
          Blank[]]] := {$CellContext`x, $CellContext`y0, 
         $CellContext`f[$CellContext`x, $CellContext`y0]}, \
$CellContext`geodesicXZeroX = Sqrt[14], $CellContext`geodesicYDirection[
         Pattern[$CellContext`y, 
          Blank[]]] := {$CellContext`x0, $CellContext`y, 
         $CellContext`f[$CellContext`x0, $CellContext`y]}, \
$CellContext`geodesicYZeroY = Sqrt[57/2]/2, $CellContext`fx[
         Pattern[$CellContext`x, 
          Blank[]]] := D[
         $CellContext`f[$CellContext`x, $CellContext`y], $CellContext`x], \
$CellContext`tangentColor = RGBColor[0, 1, 0], $CellContext`secantColor = 
       RGBColor[1, 0, 0], $CellContext`fy[
         Pattern[$CellContext`y, 
          Blank[]]] := D[
         $CellContext`f[$CellContext`x, $CellContext`y], $CellContext`y]}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.442743017309896*^9, 3.443781414007307*^9, {3.443781450158834*^9, 
   3.443781477102597*^9}, 3.443781573515079*^9, 3.443781613915332*^9, {
   3.4437816722685957`*^9, 3.443781682169168*^9}, 3.443781826559692*^9, {
   3.443781890640253*^9, 3.44378190563303*^9}, 3.443781935881237*^9, {
   3.4437819785754423`*^9, 3.443781993269372*^9}, 3.443782073385148*^9, {
   3.4437822568753366`*^9, 3.443782292578951*^9}, 3.443782489352984*^9, 
   3.443782553396503*^9, {3.4437825981706753`*^9, 3.443782625246435*^9}, 
   3.4437827155837297`*^9}]
}, Open  ]],

Cell["\<\
\[Copyright] 2008 Projekt LEMUREN, ETH Z\[UDoubleDot]rich\
\>", "Text",
 CellChangeTimes->{
  3.4419686369039927`*^9, {3.441968689461544*^9, 3.441968691101841*^9}, 
   3.4419688479788322`*^9, {3.44196896443289*^9, 3.441969064432227*^9}, 
   3.441969099835392*^9, 3.441971128155505*^9},
 FontFamily->"Liberation Sans",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
},
AutoGeneratedPackage->None,
WindowSize->{1437, 815},
WindowMargins->{{0, Automatic}, {Automatic, 25}},
DockedCells->FEPrivate`If[
  FEPrivate`SameQ[FEPrivate`$ProductIDName, "MathematicaPlayer"], 
  FEPrivate`Join[{
    Cell[
     BoxData[
      GraphicsBox[
       RasterBox[CompressedData["
1:eJztXXdYFNfaz3O/f+79vudek3vTLKBIEaQpTRC7BgtqLCTWGxNjYsFookE0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        "], {{0, 0}, {557, 41}}, {0, 255}, ColorFunction -> RGBColor], 
       ImageSize -> {557, 41}, PlotRange -> {{0, 557}, {0, 41}}]], 
     "DockedCell", Background -> GrayLevel[0.866682], 
     CellFrame -> {{0, 0}, {0, 4}}, CellFrameColor -> 
     RGBColor[0.690074, 0.12871, 0.194598], CellMargins -> {{0, 0}, {-3, 0}}, 
     CellFrameMargins -> 0, ContextMenu -> None, 
     ComponentwiseContextMenu -> {}], 
    Cell[
     BoxData[
      GridBox[{{
         GraphicsBox[
          RasterBox[CompressedData["
1:eJztWl1Ik1EYFrqNEoLMbHPmNkRrEhJERj93ra4cJvbDRIsyMk1pc03tTL1w
aD+LfkQIJBkR/dBFdtHFDLywCykqoqgLIYRu6jbb8me933e+HT/P2fZN+sZ0
vg9n43zfec973nPe57zvOWNFDS2OhnU5OTlG+LyBj1S/ikAgEAgEAoFAIBAI
xEpFMBh8jUgPYG0z7d7MAOYedm/Bko4Ca5tp92YGSCokle5AUiGpdAeSCkml
O0RS/R1tjEajUIHvyIhdehPyLNZjrVSAgT5CK1Tmf32e+/qcdYEy+/4+vKTd
oQJN89PjojbaHcrCzE8qn0RGfIxrEjcF0SomD49hYqDDUUSGKtUKWRMYz42L
pFJDg1RPamGdlRWGuuDi2Yl+WHkoiy72W6jjgFeSm/wWKEAScCvtCxWpSzxt
1FPU9dJ76Lt8UnEmcVMQrWImUQE6nKJB7sgUKpb4LcpEtHiFpEpEKim2TI8n
IhXv4pAHXCAJEAPIq7d5JFAOYYEGKHEstTbQAJKSx+XH5ZKKE+CmIFq1ZC/E
SBVXoboJyMliKZKKgyapwLlK1ohHKgpYYfGRbnNpg4c8dP3prtckFQ0gUm5K
miKpVZxnRZP4KcSziiU1bjhOobpJ2TtIqnhITipYZ7byydJfoDzMpT9ZWMo1
EHbgBBLyhOWzlmakUtKQnB/VuUYkFbWNjZXIJHEKnFVL0t+IXSQVU4iRKkUk
JxVzhJI7hirpDpXOGzJ5eFLFvMNORxAlaJZhmtmZStQGAvSQA/FECSksH/kt
VLMyokw5qHDOFU3ipiBaxZmtTSo8U2lBI1LF/BWNXZ0Y1LckLo9IqQdYIWdA
9T0uvPT2J2qjrUr2lGMRSzrq4eiIVIxFGC5bMZO4KYhWcWYnSn8gv3j7k+vJ
GbVaSNXt9fo6O/XVib9Tpa+sClLdvtB0q+WSvjqRVGucVA/q6p9V1+irE0m1
xkk1cuLk2O49+upEUq1xUg1X14yZraSrS0ed+H+q9GFV/J+qx25/u9U40Nqa
aUMQ2YMrFRWf8g0vDh9JvUvgYjPR+8KIyA5AyiNeb1Pe5ql840xxSV97eyq9
Hp1y3nE602waYoXC19GRqInIGHC57lY53Lm53/O2RQ3Fr6qqNXUG609/LLX1
ulOiHyL74D/XeLPxvPiexHDtsuulyexbv2GqwLRgNP8xl/W7XAQE1IUQ1nHw
zNl5o2XYoc09RLbC5/E8te26V9+gfskY5SPkuss1abLc2Ljpm9E8Z7FFt++c
POroJoQWn1wotQAPj9XMFZp/m6y9bndGpoNYCZBikbNuoqBwsPY4IxIrQJu+
trYf5pLRfOOXotJw6d7Zsv0LtkOPzzb1ENKjolagueVD5YGodUfEZH2372Cm
p4X4X/wDFcRtOg==
           "], {{0, 0}, {199, 30}}, {0, 255}, ColorFunction -> RGBColor], 
          ImageSize -> {199, 30}, PlotRange -> {{0, 199}, {0, 30}}], 
         ButtonBox[
          GraphicsBox[
           RasterBox[CompressedData["
1:eJztlDFuhFAMRJHS5w45Re6RI+wFcoOUtNtR0lJSUlNSUtNS0m9JXjTKaPQh
UfpgCeT1n2+Px15ebu9vt6eqqp55Xnm+/I/L/p+1bbtt277vvJumIcKbnwWs
73vBsHVdE1bXNQ55Ho8HMOEd3L9tWRZ+6tRBrrjEMAwigHO/37M6SII40zRB
Q7QLkpQWjKOu63RqGHHVIoOYYAR16oucinYGxUo2jqMIzPNMnpQRPF2nMkeS
cCBDXsm7ZNZp6oZRS3wsIBFNIYM2iY8gYmJA8imqawHcOAKqio4KSp4O7Qjp
K1nOUygasaG2hoKSaud3krkArggZzyhhTohP3Uz7E0mNu9g98oj26exOSTon
fRUtn8IUJL+W80gyuz6OW3mgrSXXEv5dSaRTaRz9KQpY/knxtVomKdFQxvFT
JZFR6pFBJWT5tbEvR9+H3F6S+GOSMC+DTHtrHYyh32Qu855cdhn2CUundjY=

            "], {{0, 0}, {55, 14}}, {0, 255}, ColorFunction -> RGBColor], 
           ImageSize -> {55, 14}, PlotRange -> {{0, 55}, {0, 14}}], 
          ButtonData -> {
            URL["http://store.wolfram.com/view/app/playerpro/"], None}, 
          ButtonNote -> "http://store.wolfram.com/view/app/playerpro/"], 
         GraphicsBox[
          
          RasterBox[{{{132, 132, 132}, {156, 155, 155}}, {{138, 137, 137}, {
           171, 169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 137, 
           137}, {171, 169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 
           137, 137}, {171, 169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{
           138, 137, 137}, {171, 169, 169}}, {{138, 137, 137}, {171, 169, 
           169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 137, 137}, {171, 
           169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 137, 137}, {
           171, 169, 169}}, {{135, 135, 135}, {167, 166, 166}}}, {{0, 0}, {2, 
           14}}, {0, 255}, ColorFunction -> RGBColor], ImageSize -> {2, 14}, 
          PlotRange -> {{0, 2}, {0, 14}}], 
         ButtonBox[
          GraphicsBox[
           RasterBox[CompressedData["
1:eJztlSGSg2AMhTuzfu+wB1qzR+gF9gbIWhwSW4lEV1ZWYyvxSPZb3vAmDdDq
zpCZdvKH5CUvfwhfx9+f48fhcPjk983vXy922eU9paqqcRx9HGcZhiE+PZ1O
KHVd24KOgt0WFKLQ27ZdJrper0JGcS5CVqs6n89yRpGl73tZBK6kkvv97kCe
ChOlLEvbVW2kiYPoxKcYRdwWld00jS2EcFSFMYXCqbOcBJzL5aJcxK7SFEFB
GQFn8AWupPUkMRfIJEK53W5d1z2hGVP7yohVbfanWoxAJQTfeywbT1+xK9mi
GQGTj8FT0uRAN3Tdjl3SlNANP5WoabIIRP+x52ojLEgXs8fxs7+R1cCXNFH6
SVJhKZwx0+BxBZ7nraGNpBSrEFlA1khgRDcCRg1navIWTeVKPVmliaeaL+c4
tCmcknRHfjtWaS6HNtYmC1wYjGJ+6eKjJcficWgVssz1nGbabFtD682gZaIO
MHXqkq/vyW3GFaQXliNuOhbz9lOHU3a6SrhWkCmnXC9pUoPBt1aQpquYrtJt
0f6Pazkd497W1MkSlxierkrrN254iz8oHqS0ByzxGzfOHx2yq9plYSl8l13e
Xf4ArlmHrg==
            "], {{0, 0}, {77, 14}}, {0, 255}, ColorFunction -> RGBColor], 
           ImageSize -> {77, 14}, PlotRange -> {{0, 77}, {0, 14}}], 
          ButtonData -> {
            URL[
            "http://www.wolfram.com/solutions/interactivedeployment/\
licensingterms.html"], None}, ButtonNote -> 
          "http://www.wolfram.com/solutions/interactivedeployment/\
licensingterms.html"]}}, ColumnsEqual -> False, 
       GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}]], 
     "DockedCell", Background -> GrayLevel[0.494118], 
     CellFrame -> {{0, 0}, {4, 0}}, CellFrameColor -> 
     RGBColor[0.690074, 0.12871, 0.194598], CellMargins -> 0, 
     CellFrameMargins -> {{0, 0}, {0, -1}}, ContextMenu -> None, 
     ComponentwiseContextMenu -> {}, 
     ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
          NotebookLocate[#2]}]& ), Appearance -> None, ButtonFrame -> None, 
       Evaluator -> None, Method -> "Queued"}]}, 
   FEPrivate`If[
    FEPrivate`SameQ[
     FrontEnd`CurrentValue[
      FrontEnd`EvaluationNotebook[], ScreenStyleEnvironment], "SlideShow"], {
    Inherited}, {}]], Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 22225, 466, 19, "Input",
 CellOpen->False,
 InitializationCell->True],
Cell[CellGroupData[{
Cell[22795, 490, 26601, 477, 19, "Input",
 CellOpen->False],
Cell[49399, 969, 11527, 224, 740, "Output"]
}, Open  ]],
Cell[60941, 1196, 370, 9, 29, "Text"]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature Cu0LfWtUSs2zyBKM2xhAPPoH *)
