(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    102107,       1818]
NotebookOptionsPosition[     85391,       1514]
NotebookOutlinePosition[    101970,       1812]
CellTagsIndexPosition[    101927,       1809]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", "Initialisation", " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"titleStyle", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", "->", "\"\<Liberation Sans\>\""}], ",", "14", 
       ",", "Bold", ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
       RowBox[{"Background", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"textStyle", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", "->", "\"\<Liberation Sans\>\""}], ",", "12", 
       ",", "Bold", ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
       RowBox[{"Background", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"plotLabelStyle", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", "->", "\"\<Times\>\""}], ",", "14", ",", "Plain",
        ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
       RowBox[{"Background", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"**", "**", "**", "**", "**", "**", "**", "**", "**"}], "*",
           " ", "Tab1", " ", "Content"}], " ", "**"}], "**", "**"}], "**", "**",
        "**"}], "**", "**", "**"}], "**", "**"}], "********)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Content", " ", "of", " ", "the", " ", "Help", " ", "Window"}], 
    " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"tab1HelpWindowContent", " ", "=", " ", 
      RowBox[{"Column", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<Linker oberer Teil der Visualisierung: \>\"", ",", 
              RowBox[{"{", 
               RowBox[{"textStyle", ",", "Bold"}], "}"}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Style", "[", 
             RowBox[{
             "\"\<Auswahl der Funktion und Anzeige des Graphen.\\n\>\"", ",", 
              
              RowBox[{"{", 
               RowBox[{"textStyle", ",", "Plain"}], "}"}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<Rechter Teil:\>\"", ",", 
              RowBox[{"{", 
               RowBox[{"textStyle", ",", "Bold"}], "}"}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Style", "[", 
             RowBox[{
             "\"\<Darstellung der Plots der partiellen Ableitungen: Erste \
Zeile \!\(\*SubscriptBox[\(f\), \(x\)]\), \!\(\*SubscriptBox[\(f\), \(y\)]\) \
und zweite Zeile \!\(\*SubscriptBox[\(f\), \(x\)]\), \
\!\(\*SubscriptBox[\(f\), \(y\)]\).\\n\>\"", ",", 
              RowBox[{"{", 
               RowBox[{"textStyle", ",", "Plain"}], "}"}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<Links unten:\>\"", ",", 
              RowBox[{"{", 
               RowBox[{"textStyle", ",", "Bold"}], "}"}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Style", "[", 
             RowBox[{
             "\"\<Darstellungsausschnitt der Plots simultan \
ver\[ADoubleDot]ndern: Einstellen der Intervallsgrenzen des \
Definitionsbereichs \!\(\*SubscriptBox[\(D\), \(f\)]\).\\n\>\"", ",", 
              RowBox[{"{", 
               RowBox[{"textStyle", ",", "Plain"}], "}"}]}], "]"}]}], 
           "\[IndentingNewLine]", "}"}], "]"}], "\[IndentingNewLine]", "}"}], 
        ",", 
        RowBox[{"{", 
         RowBox[{"Left", ",", "Top"}], "}"}]}], "]"}]}], ";"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tab1HelpWindowContent", " ", "=", " ", 
     RowBox[{"Column", "[", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Linker oberer Teil der Visualisierung: \>\"", ",", 
           RowBox[{"{", 
            RowBox[{"textStyle", ",", "Bold"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Style", "[", 
          RowBox[{
          "\"\<Auswahl der Funktion und Anzeige des Graphen.\\n\>\"", ",", 
           RowBox[{"{", 
            RowBox[{"textStyle", ",", "Plain"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Rechter Teil: \>\"", ",", 
           RowBox[{"{", 
            RowBox[{"textStyle", ",", "Bold"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Style", "[", 
          RowBox[{
          "\"\<Darstellung der Plots der partiellen Ableitungen: Erste Zeile \
\!\(\*SubscriptBox[\(f\), \(x\)]\), \!\(\*SubscriptBox[\(f\), \(y\)]\) und \
zweite Zeile \!\(\*SubscriptBox[\(f\), \(xy\)]\), \!\(\*SubscriptBox[\(f\), \
\(yx\)]\).\\n\>\"", ",", 
           RowBox[{"{", 
            RowBox[{"textStyle", ",", "Plain"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Links unten: \>\"", ",", 
           RowBox[{"{", 
            RowBox[{"textStyle", ",", "Bold"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Style", "[", 
          RowBox[{
          "\"\<Mit den Reglern den Darstellungsausschnitt der Plots simultan \
ver\[ADoubleDot]ndern: Einstellen der Intervallsgrenzen des \
Definitionsbereichs \!\(\*SubscriptBox[\(D\), \(f\)]\).\\n\>\"", ",", 
           RowBox[{"{", 
            RowBox[{"textStyle", ",", "Plain"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<Plots untersuchen: \>\"", ",", 
           RowBox[{"{", 
            RowBox[{"textStyle", ",", "Bold"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Style", "[", 
          RowBox[{
          "\"\<Neben dem Ver\[ADoubleDot]ndern der Intervallsgrenzen, k\
\[ODoubleDot]nnen Sie jeden der Plots genauer untersuchen, indem Sie ihn mit \
<Linke Maustaste>+<Mauszeiger> drehen.\\n\>\"", ",", 
           RowBox[{"{", 
            RowBox[{"textStyle", ",", "Plain"}], "}"}]}], "]"}]}], 
        "\[IndentingNewLine]", "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Left", ",", "Top"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Init", " ", "of", " ", "all", " ", "objects"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"functionList", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Sin", "[", "x", "]"}], "*", 
        RowBox[{"Sin", "[", "y", "]"}]}], ",", 
       RowBox[{"-", 
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"x", "^", "2"}], "*", "y"}], "]"}]}], ",", 
       RowBox[{"Sin", "[", 
        RowBox[{"x", "+", "y"}], "]"}], ",", 
       RowBox[{"ArcSin", "[", 
        RowBox[{"x", "^", "3"}], "]"}], ",", 
       RowBox[{"Sin", "[", 
        RowBox[{"x", " ", "y"}], "]"}], ",", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"x", "^", "2"}], "+", 
           RowBox[{"2", 
            RowBox[{"y", "^", "2"}]}]}], ")"}], "/", "4"}], "]"}], ",", 
       RowBox[{"(", 
        RowBox[{"2", "-", 
         RowBox[{"y", "^", "2"}], "+", 
         RowBox[{"x", "^", "2"}]}], ")"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"chosenFunction", "=", 
     RowBox[{"functionList", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"functionChooser", "=", 
     RowBox[{"Labeled", "[", 
      RowBox[{
       RowBox[{"PopupMenu", "[", 
        RowBox[{
         RowBox[{"Dynamic", "[", "chosenFunction", "]"}], ",", "functionList",
          ",", " ", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"12", ",", 
            RowBox[{"FontFamily", "\[Rule]", "\"\<Courier\>\""}], ",", 
            "Plain"}], "}"}]}]}], "]"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Funktion: \>\"", ",", "textStyle"}], "]"}], ",", "Top"}],
       "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xa", "=", 
     RowBox[{"-", "3"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"xb", "=", "3"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"ya", "=", 
     RowBox[{"-", "3"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"yb", "=", "3"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"imageWidth", "=", "280"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"imageHeight", "=", "280"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"funcPlot", "=", 
     RowBox[{"Labeled", "[", 
      RowBox[{
       RowBox[{"Dynamic", "[", 
        RowBox[{"Plot3D", "[", 
         RowBox[{"chosenFunction", ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "xa", ",", "xb"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "ya", ",", "yb"}], "}"}], ",", 
          RowBox[{"AxesLabel", "\[Rule]", "Automatic"}], ",", 
          RowBox[{"ImageSize", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"imageWidth", ",", "imageHeight"}], "}"}]}], ",", 
          RowBox[{"ExclusionsStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"None", ",", "Red"}], "}"}]}], ",", 
          RowBox[{"ClippingStyle", "\[Rule]", "None"}]}], "]"}], "]"}], ",", 
       RowBox[{"Dynamic", "[", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"\"\<f(x,y) = \>\"", "<>", 
           RowBox[{"ToString", "[", 
            RowBox[{"TraditionalForm", "[", "chosenFunction", "]"}], "]"}], 
           "<>", "\"\<\\n\>\""}], ",", "plotLabelStyle"}], "]"}], "]"}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"derivGrid", " ", "=", 
     RowBox[{"Grid", "[", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Labeled", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", 
              RowBox[{"Plot3D", "[", 
               RowBox[{
                RowBox[{"Evaluate", "[", 
                 RowBox[{"D", "[", 
                  RowBox[{"chosenFunction", ",", "x"}], "]"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"x", ",", "xa", ",", "xb"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"y", ",", "ya", ",", "yb"}], "}"}], ",", 
                RowBox[{"AxesLabel", "\[Rule]", "Automatic"}], ",", 
                RowBox[{"ImageSize", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"imageWidth", ",", "imageHeight"}], "}"}]}], ",", 
                " ", 
                RowBox[{"ExclusionsStyle", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"None", ",", "Red"}], "}"}]}], ",", 
                RowBox[{"ClippingStyle", "\[Rule]", "None"}]}], "]"}], "]"}], 
             ",", 
             RowBox[{"Dynamic", "[", 
              RowBox[{"Style", "[", 
               RowBox[{
                RowBox[{
                "\"\<\!\(\*SubscriptBox[\(f\), \(x\)]\)(x,y) = \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"TraditionalForm", "[", 
                   RowBox[{"D", "[", 
                    RowBox[{"chosenFunction", ",", "x"}], "]"}], "]"}], 
                  "]"}]}], ",", "plotLabelStyle"}], "]"}], "]"}]}], "]"}], 
           " ", ",", "  ", 
           RowBox[{"Labeled", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", 
              RowBox[{"Plot3D", "[", 
               RowBox[{
                RowBox[{"Evaluate", "[", 
                 RowBox[{"D", "[", 
                  RowBox[{"chosenFunction", ",", "y"}], "]"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"x", ",", "xa", ",", "xb"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"y", ",", "ya", ",", "yb"}], "}"}], ",", 
                RowBox[{"AxesLabel", "\[Rule]", "Automatic"}], ",", 
                RowBox[{"ImageSize", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"imageWidth", ",", "imageHeight"}], "}"}]}], ",", 
                " ", 
                RowBox[{"ExclusionsStyle", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"None", ",", "Red"}], "}"}]}], ",", 
                RowBox[{"ClippingStyle", "\[Rule]", "None"}]}], "]"}], "]"}], 
             ",", 
             RowBox[{"Dynamic", "[", 
              RowBox[{"Style", "[", 
               RowBox[{
                RowBox[{
                "\"\<\!\(\*SubscriptBox[\(f\), \(y\)]\)(x,y) = \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"TraditionalForm", "[", 
                   RowBox[{"D", "[", 
                    RowBox[{"chosenFunction", ",", "y"}], "]"}], "]"}], 
                  "]"}]}], ",", "plotLabelStyle"}], "]"}], "]"}]}], "]"}]}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Labeled", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", 
              RowBox[{"Plot3D", "[", 
               RowBox[{
                RowBox[{"Evaluate", "[", 
                 RowBox[{"D", "[", 
                  RowBox[{"chosenFunction", ",", "x", ",", "y"}], "]"}], 
                 "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"x", ",", "xa", ",", "xb"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"y", ",", "ya", ",", "yb"}], "}"}], ",", 
                RowBox[{"AxesLabel", "\[Rule]", "Automatic"}], ",", 
                RowBox[{"ImageSize", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"imageWidth", ",", "imageHeight"}], "}"}]}], ",", 
                " ", 
                RowBox[{"ExclusionsStyle", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"None", ",", "Red"}], "}"}]}], ",", 
                RowBox[{"ClippingStyle", "\[Rule]", "None"}]}], "]"}], "]"}], 
             ",", 
             RowBox[{"Dynamic", "[", 
              RowBox[{"Style", "[", 
               RowBox[{
                RowBox[{
                "\"\<\!\(\*SubscriptBox[\(f\), \(xy\)]\)(x,y) = \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"TraditionalForm", "[", 
                   RowBox[{"D", "[", 
                    RowBox[{"chosenFunction", ",", "x", ",", "y"}], "]"}], 
                   "]"}], "]"}], "<>", "\"\<\\n\>\""}], ",", 
                "plotLabelStyle"}], "]"}], "]"}]}], "]"}], ",", 
           RowBox[{"Labeled", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", 
              RowBox[{"Plot3D", "[", 
               RowBox[{
                RowBox[{"Evaluate", "[", 
                 RowBox[{"D", "[", 
                  RowBox[{"chosenFunction", ",", "y", ",", "x"}], "]"}], 
                 "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"x", ",", "xa", ",", "xb"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"y", ",", "ya", ",", "yb"}], "}"}], ",", 
                RowBox[{"AxesLabel", "\[Rule]", "Automatic"}], ",", 
                RowBox[{"ImageSize", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"imageWidth", ",", "imageHeight"}], "}"}]}], ",", 
                " ", 
                RowBox[{"ExclusionsStyle", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"None", ",", "Red"}], "}"}]}], ",", 
                RowBox[{"ClippingStyle", "\[Rule]", "None"}]}], "]"}], "]"}], 
             ",", 
             RowBox[{"Dynamic", "[", 
              RowBox[{"Style", "[", 
               RowBox[{
                RowBox[{
                "\"\<\!\(\*SubscriptBox[\(f\), \(yx\)]\)(x,y) = \>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  RowBox[{"TraditionalForm", "[", 
                   RowBox[{"D", "[", 
                    RowBox[{"chosenFunction", ",", "y", ",", "x"}], "]"}], 
                   "]"}], "]"}], "<>", "\"\<\\n\>\""}], ",", 
                "plotLabelStyle"}], "]"}], "]"}]}], "]"}]}], "}"}]}], 
        "\[IndentingNewLine]", "}"}], ",", " ", 
       RowBox[{"Background", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"1", ",", "1", ",", "1"}], "]"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"make", " ", "Tab"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tab1", " ", "=", 
     RowBox[{"Column", "[", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\< Visualisierung des Satzes von Schwarz \>\"", ",", 
               "titleStyle"}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Text", "[", 
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<     . . . . . . . . . . . . . . . . . . . . . . . . . . . \
. . . . \>\"", ",", "textStyle", ",", " ", "Plain", ",", "8"}], "]"}], "]"}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{"PopupWindow", "[", 
             RowBox[{
              RowBox[{"Button", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<Hilfe\>\"", ",", "9"}], "]"}], ",", 
                RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", " ", 
                RowBox[{"Background", "\[Rule]", 
                 RowBox[{"RGBColor", "[", 
                  RowBox[{"0.9", ",", "0.9", ",", "0.9"}], "]"}]}]}], "]"}], 
              ",", "tab1HelpWindowContent", ",", 
              RowBox[{"WindowTitle", "\[Rule]", "\"\<Hilfe\>\""}], ",", " ", 
              RowBox[{"WindowSize", "\[Rule]", "All"}]}], "]"}]}], "}"}], 
          "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{"Row", "[", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Column", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Manipulate", "[", 
                 RowBox[{"funcPlot", ",", 
                  RowBox[{"AppearanceElements", "\[Rule]", "None"}], ",", 
                  RowBox[{"Paneled", "\[Rule]", "False"}]}], "]"}], ",", 
                "\[IndentingNewLine]", "functionChooser", ",", 
                "\[IndentingNewLine]", "\"\<\\n\>\"", ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Labeled", "[", 
                    RowBox[{
                    RowBox[{"Slider", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "[", "xa", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "3"}], ",", "0", ",", "0.2"}], "}"}]}], 
                    "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Linke x-Intervallgrenze:\>\"", ",", "textStyle"}], 
                    "]"}], ",", "Top"}], "]"}], ",", 
                   RowBox[{"Dynamic", "[", "xa", "]"}]}], "}"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Labeled", "[", 
                    RowBox[{
                    RowBox[{"Slider", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "[", "xb", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "3", ",", "0.2"}], "}"}]}], "]"}], ",", 
                    
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Rechte x-Intervallgrenze:\>\"", ",", "textStyle"}], 
                    "]"}], ",", " ", "Top"}], "]"}], ",", 
                   RowBox[{"Dynamic", "[", "xb", "]"}]}], "}"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Labeled", "[", 
                    RowBox[{
                    RowBox[{"Slider", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "[", "ya", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "3"}], ",", "0", ",", "0.2"}], "}"}]}], 
                    "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Linke y-Intervallgrenze:\>\"", ",", "textStyle"}], 
                    "]"}], ",", " ", "Top"}], "]"}], ",", 
                   RowBox[{"Dynamic", "[", "ya", "]"}]}], "}"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Labeled", "[", 
                    RowBox[{
                    RowBox[{"Slider", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "[", "yb", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "3", ",", "0.2"}], "}"}]}], "]"}], ",", 
                    
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Rechte y-Intervallgrenze:\>\"", ",", "textStyle"}], 
                    "]"}], ",", " ", "Top"}], "]"}], ",", 
                   RowBox[{"Dynamic", "[", "yb", "]"}]}], "}"}], "]"}], ",", 
                "\[IndentingNewLine]", "\"\<\>\""}], "\[IndentingNewLine]", 
               "}"}], ",", "\[IndentingNewLine]", "Top"}], 
             "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
            "derivGrid"}], "\[IndentingNewLine]", "}"}], "]"}]}], 
        "\[IndentingNewLine]", "}"}], ",", "Top"}], "]"}]}], 
    ";"}]}]}]], "Input",
 CellOpen->False,
 InitializationCell->True,
 CellChangeTimes->{{3.4402266500682907`*^9, 3.440226657310851*^9}, {
   3.440229372480255*^9, 3.4402295219241962`*^9}, {3.440229553150672*^9, 
   3.440229626389113*^9}, {3.440229682611319*^9, 3.440229712005479*^9}, {
   3.440233602135282*^9, 3.440233656838998*^9}, {3.4402337498418922`*^9, 
   3.440233805228195*^9}, {3.4402339405558863`*^9, 3.440234001268855*^9}, {
   3.440234098044918*^9, 3.440234110436058*^9}, {3.440234210474103*^9, 
   3.4402342291007137`*^9}, 3.4402342630297117`*^9, {3.440234437467165*^9, 
   3.440234451125475*^9}, {3.440234563433189*^9, 3.440234617239111*^9}, {
   3.4402346536930647`*^9, 3.44023467645191*^9}, {3.44023478859201*^9, 
   3.440234822949827*^9}, {3.440234873752152*^9, 3.440234919208734*^9}, {
   3.4402349700429688`*^9, 3.440235045832902*^9}, {3.440235105077712*^9, 
   3.440235155795676*^9}, {3.440235205178639*^9, 3.440235234254652*^9}, {
   3.440235305187785*^9, 3.440235337370755*^9}, {3.4402354361094027`*^9, 
   3.440235437448348*^9}, {3.440235843667468*^9, 3.44023590403755*^9}, {
   3.440235942822978*^9, 3.440235953326474*^9}, {3.440236022610877*^9, 
   3.44023611431234*^9}, {3.440236150639052*^9, 3.4402361548058243`*^9}, {
   3.44023622143126*^9, 3.440236267149797*^9}, {3.4402362972506027`*^9, 
   3.440236437495715*^9}, {3.4402367290697403`*^9, 3.4402367314374743`*^9}, {
   3.4402368525338078`*^9, 3.440236913640005*^9}, {3.440236987669381*^9, 
   3.440236999963293*^9}, {3.440237043172635*^9, 3.440237046670376*^9}, {
   3.440237100570211*^9, 3.440237179863748*^9}, {3.440237233341714*^9, 
   3.44023723954274*^9}, {3.44023735310675*^9, 3.440237372911009*^9}, {
   3.440237423247093*^9, 3.4402375023803473`*^9}, {3.440237543980921*^9, 
   3.440237565454815*^9}, {3.440237599314369*^9, 3.440237688024241*^9}, {
   3.4402377300361032`*^9, 3.4402380033146267`*^9}, {3.440238046205305*^9, 
   3.440238051692553*^9}, {3.44023813508178*^9, 3.44023814702533*^9}, {
   3.44023859911525*^9, 3.440238612373241*^9}, {3.4402386742065697`*^9, 
   3.440238703289062*^9}, {3.4402387346203413`*^9, 3.440238734779481*^9}, 
   3.440238785382515*^9, 3.440238826349595*^9, {3.440238908046653*^9, 
   3.4402389429023113`*^9}, {3.4402390093576193`*^9, 
   3.4402390467369757`*^9}, {3.44023909394042*^9, 3.440239099127185*^9}, {
   3.440239146773863*^9, 3.440239147820588*^9}, {3.440239327374866*^9, 
   3.440239344734638*^9}, {3.440240179452161*^9, 3.44024026718497*^9}, {
   3.440240471985671*^9, 3.440240487445882*^9}, {3.440240535204844*^9, 
   3.44024059522403*^9}, {3.440240636888281*^9, 3.4402406387249203`*^9}, {
   3.440240680875732*^9, 3.440240684292284*^9}, {3.440240715605736*^9, 
   3.440240735789282*^9}, {3.440240779750862*^9, 3.440240795599195*^9}, {
   3.440240851626568*^9, 3.4402409048069468`*^9}, {3.440240939057151*^9, 
   3.440241113802302*^9}, {3.4402411528177*^9, 3.440241153219371*^9}, {
   3.440241614183811*^9, 3.440241635371657*^9}, {3.4402417441404543`*^9, 
   3.440241750266306*^9}, {3.4402418720895357`*^9, 3.440241923940117*^9}, {
   3.4402419932014933`*^9, 3.440242215052711*^9}, {3.440242262089275*^9, 
   3.440242291115213*^9}, {3.4402423333381968`*^9, 3.440242333576064*^9}, {
   3.440242616395213*^9, 3.440242741076935*^9}, {3.440242815792049*^9, 
   3.4402428213616962`*^9}, {3.440242978029763*^9, 3.4402429782250547`*^9}, {
   3.440243031629833*^9, 3.4402430538006363`*^9}, {3.44024308490994*^9, 
   3.440243087890223*^9}, {3.440243156067417*^9, 3.4402431571176777`*^9}, {
   3.440243263003676*^9, 3.440243267548875*^9}, {3.440244617102162*^9, 
   3.440244667248746*^9}, {3.4402447018810043`*^9, 3.440244719919402*^9}, {
   3.440244759312456*^9, 3.4402447877696123`*^9}, 3.440244837741701*^9, {
   3.44024489399413*^9, 3.440244961019761*^9}, {3.440245002278919*^9, 
   3.440245023389427*^9}, 3.440245240394145*^9, 3.4402452712164383`*^9, {
   3.440316435530222*^9, 3.4403164845718927`*^9}, {3.440316576595265*^9, 
   3.440316608512796*^9}, {3.440317565974659*^9, 3.4403176640527143`*^9}, {
   3.440319444122065*^9, 3.440319473006791*^9}, {3.440319516846664*^9, 
   3.440319577013933*^9}, {3.4403196769930363`*^9, 3.44031968162227*^9}, {
   3.44032004089601*^9, 3.44032008841605*^9}, {3.4403212260545*^9, 
   3.44032128244569*^9}, {3.44032132786884*^9, 3.440321328046205*^9}, {
   3.440321365124632*^9, 3.440321365516349*^9}, {3.440321402092857*^9, 
   3.440321423957386*^9}, {3.440394129396125*^9, 3.440394218743907*^9}, {
   3.440394251642007*^9, 3.4403943436728363`*^9}, {3.440394378739468*^9, 
   3.440394379399518*^9}, {3.4403947095839148`*^9, 3.4403949451948977`*^9}, 
   3.440395007954562*^9, {3.44039515829731*^9, 3.4403951639831247`*^9}, {
   3.440395214740926*^9, 3.4403952380689087`*^9}, {3.440395352060216*^9, 
   3.4403953596053877`*^9}, {3.440395417862467*^9, 3.4403954447764063`*^9}, {
   3.440395502641223*^9, 3.440395503094698*^9}, {3.4403955695532618`*^9, 
   3.440395592975307*^9}, {3.440395631351593*^9, 3.4403956497406883`*^9}, {
   3.440395730764118*^9, 3.440395734530662*^9}, {3.4403957824567842`*^9, 
   3.440395785782246*^9}, {3.440395888431823*^9, 3.440395917957114*^9}, {
   3.4403960985907087`*^9, 3.440396129779657*^9}, {3.440396177658986*^9, 
   3.4403961980690613`*^9}, {3.440396267705492*^9, 3.4403963263004303`*^9}, {
   3.4403963572598467`*^9, 3.440396365127623*^9}, {3.440396452668068*^9, 
   3.44039645758562*^9}, 3.4403965593462257`*^9, {3.440396590923316*^9, 
   3.4403966477028227`*^9}, {3.4403966818276033`*^9, 3.440396685454857*^9}, {
   3.440396741556588*^9, 3.4403967447501802`*^9}, {3.4403968188111067`*^9, 
   3.440396870235721*^9}, {3.440397102723576*^9, 3.440397165948462*^9}, {
   3.440397210373*^9, 3.440397238502679*^9}, {3.440397294915492*^9, 
   3.440397319297393*^9}, {3.440397456353696*^9, 3.440397572012238*^9}, 
   3.4403977328379107`*^9, {3.4403979478477793`*^9, 3.4403979779598303`*^9}, {
   3.440398029397678*^9, 3.440398044635913*^9}, {3.440398083521675*^9, 
   3.440398086644105*^9}, {3.440398288973248*^9, 3.4403983076973333`*^9}, {
   3.440398363392909*^9, 3.440398372442018*^9}, {3.4403984040261517`*^9, 
   3.440398437909931*^9}, {3.440398474976656*^9, 3.440398500772435*^9}, {
   3.4404009208634977`*^9, 3.4404009706949883`*^9}, {3.440401001666891*^9, 
   3.440401075823928*^9}, {3.440401202569253*^9, 3.4404012065149813`*^9}, {
   3.440401385823493*^9, 3.440401395011269*^9}, {3.440401448618931*^9, 
   3.440401536463423*^9}, {3.440401597958989*^9, 3.440401660836691*^9}, {
   3.440401716224868*^9, 3.4404017692747717`*^9}, {3.440401806755868*^9, 
   3.4404018289613857`*^9}, {3.440401861514642*^9, 3.440401864076425*^9}, {
   3.440402092502599*^9, 3.44040211841621*^9}, {3.440402194900025*^9, 
   3.440402205077519*^9}, {3.440402351875572*^9, 3.440402365051982*^9}, {
   3.4404025807844*^9, 3.440402607230749*^9}, {3.4404026495655317`*^9, 
   3.440402693482201*^9}, {3.440402752649886*^9, 3.4404027844268713`*^9}, {
   3.440402825904736*^9, 3.4404028378120832`*^9}, {3.440402870212146*^9, 
   3.440402887165028*^9}, 3.440403571027491*^9, {3.440403639465024*^9, 
   3.440403701526535*^9}, {3.440403791348987*^9, 3.440403831190894*^9}, {
   3.440403923038384*^9, 3.4404039301137877`*^9}, {3.440404080028619*^9, 
   3.440404103442848*^9}, {3.440404137852888*^9, 3.440404139376721*^9}, {
   3.4404041817093277`*^9, 3.4404042135469007`*^9}, {3.440404643377198*^9, 
   3.440404692303507*^9}, {3.440404730036131*^9, 3.4404047625506907`*^9}, {
   3.4404047992060003`*^9, 3.440404801452278*^9}, {3.440404846404052*^9, 
   3.440404857334326*^9}, {3.440404909718657*^9, 3.440404920235312*^9}, {
   3.440404950518799*^9, 3.440405097645203*^9}, {3.44040517191741*^9, 
   3.440405205115706*^9}, {3.440405266097456*^9, 3.440405270135043*^9}, {
   3.440405513967029*^9, 3.440405567703383*^9}, 3.440405602415208*^9, {
   3.440405751565588*^9, 3.440405764233737*^9}, {3.440405856045718*^9, 
   3.440405984844208*^9}, {3.440406037576565*^9, 3.440406088923438*^9}, {
   3.440406166707014*^9, 3.440406191492899*^9}, {3.440406255735955*^9, 
   3.440406267014988*^9}, {3.4404067617576303`*^9, 3.440406810614091*^9}, 
   3.440406892185938*^9, {3.440406959849419*^9, 3.440406986550914*^9}, {
   3.440407076651754*^9, 3.440407090448172*^9}, 3.440407121861257*^9, {
   3.440407155395877*^9, 3.4404071622794943`*^9}, {3.4404072947697*^9, 
   3.4404073209788723`*^9}, {3.440407356789617*^9, 3.44040740604626*^9}, {
   3.4404076795626593`*^9, 3.4404077265871143`*^9}, {3.440407771058198*^9, 
   3.4404077741046667`*^9}, {3.440407813541847*^9, 3.440407816952547*^9}, {
   3.440407874687049*^9, 3.440407927195427*^9}, {3.4404079764398327`*^9, 
   3.44040800113417*^9}, {3.440408162639419*^9, 3.440408234616316*^9}, {
   3.440408284546443*^9, 3.440408293664959*^9}, {3.4404083401304398`*^9, 
   3.440408344986178*^9}, {3.440408377113312*^9, 3.440408400493421*^9}, {
   3.440408436690433*^9, 3.440408465916958*^9}, {3.440408500141767*^9, 
   3.440408510913554*^9}, {3.440408622634508*^9, 3.4404088260380993`*^9}, {
   3.440408868451024*^9, 3.440408897866516*^9}, {3.4404089319465933`*^9, 
   3.440408936225062*^9}, {3.440409055584593*^9, 3.440409059739689*^9}, {
   3.4404095228142138`*^9, 3.4404095541053267`*^9}, {3.440410236210601*^9, 
   3.440410238745647*^9}, {3.440410340494191*^9, 3.440410603702965*^9}, {
   3.440410691736294*^9, 3.440410721167342*^9}, {3.440410751491021*^9, 
   3.4404107599716663`*^9}, {3.440410810380889*^9, 3.4404108249062843`*^9}, {
   3.440425722905703*^9, 3.440425741362461*^9}, {3.4404260833970213`*^9, 
   3.4404261087863398`*^9}, {3.440426160842781*^9, 3.4404262169370337`*^9}, {
   3.440426250287344*^9, 3.4404262535572023`*^9}, {3.4404268742303257`*^9, 
   3.440426878762043*^9}, 3.440426999412326*^9, {3.4404271434653463`*^9, 
   3.440427166135645*^9}, {3.440427336183496*^9, 3.440427336967162*^9}, {
   3.440427453483571*^9, 3.440427460019926*^9}, {3.440427561997319*^9, 
   3.44042757751237*^9}, {3.440427648164077*^9, 3.440427683127006*^9}, {
   3.440427769375957*^9, 3.4404277715527554`*^9}, {3.440427865330125*^9, 
   3.440427887574696*^9}, {3.440427945388576*^9, 3.440427949779787*^9}, {
   3.4404280356267767`*^9, 3.440428039241943*^9}, {3.4404281285198402`*^9, 
   3.440428130865345*^9}, {3.4404282431760693`*^9, 3.440428264434614*^9}, {
   3.440428642097974*^9, 3.4404287363121557`*^9}, {3.440428781579177*^9, 
   3.440428832094803*^9}, {3.440428874926882*^9, 3.440428891355217*^9}, {
   3.440428951512442*^9, 3.440428966791594*^9}, {3.4404290316813583`*^9, 
   3.440429040986574*^9}, {3.440429110593711*^9, 3.4404291177094717`*^9}, 
   3.440429168586809*^9, {3.440429214846012*^9, 3.440429226759376*^9}, {
   3.440429273742064*^9, 3.4404292777392073`*^9}, {3.440429318916917*^9, 
   3.440429357032872*^9}, {3.440429398559243*^9, 3.4404294032165747`*^9}, {
   3.440429481170385*^9, 3.440429518258788*^9}, {3.4404296063708267`*^9, 
   3.440429613639783*^9}, {3.440429665513494*^9, 3.4404296665850363`*^9}, {
   3.440429717393405*^9, 3.440429725416779*^9}, {3.440429763700725*^9, 
   3.440429840749522*^9}, {3.44042995739489*^9, 3.440429974615836*^9}, {
   3.440430029385788*^9, 3.440430036671352*^9}, {3.440430089376108*^9, 
   3.440430090432125*^9}, {3.440473113443096*^9, 3.440473134954211*^9}, {
   3.440473699736082*^9, 3.44047373083638*^9}, 3.44047379635816*^9, {
   3.440473831460902*^9, 3.440473883736006*^9}, {3.44047396208188*^9, 
   3.4404739636266603`*^9}, 3.4404740152338343`*^9, {3.4404740493247423`*^9, 
   3.4404740785628767`*^9}, 3.440474149506102*^9, {3.440474191964993*^9, 
   3.440474223065789*^9}, {3.440474360116273*^9, 3.440474405118697*^9}, {
   3.440474463814657*^9, 3.440474831468945*^9}, 3.440475131896325*^9, {
   3.440475391893847*^9, 3.440475418210123*^9}, {3.44047546247992*^9, 
   3.440475500111643*^9}, {3.4404755336318913`*^9, 3.440475590995009*^9}, 
   3.440475626393062*^9, 3.4404756878540993`*^9, {3.440475727653883*^9, 
   3.440475773236467*^9}, {3.440475827598472*^9, 3.440475827877489*^9}, {
   3.440475912938011*^9, 3.440475913437078*^9}, {3.440475979965798*^9, 
   3.440475983436791*^9}, {3.440476062747149*^9, 3.440476093540986*^9}, {
   3.440476132014634*^9, 3.440476167202258*^9}, {3.440476236198213*^9, 
   3.440476252863126*^9}, {3.4404768936152687`*^9, 3.440476900083415*^9}, {
   3.44047695761624*^9, 3.440476975569564*^9}, {3.440477662139723*^9, 
   3.4404777017941303`*^9}, {3.44047816286121*^9, 3.4404781634743567`*^9}, {
   3.440478324400708*^9, 3.440478324951571*^9}, {3.44048180426547*^9, 
   3.440481805038951*^9}, {3.440481995064588*^9, 3.440481996075234*^9}, {
   3.440482031243538*^9, 3.440482031819243*^9}, {3.4404821731294117`*^9, 
   3.440482174084988*^9}, {3.440482211598633*^9, 3.440482212400429*^9}, {
   3.440482419636849*^9, 3.4404824747693987`*^9}, {3.440483023313739*^9, 
   3.4404830507762327`*^9}, {3.4404831244129057`*^9, 3.44048318056845*^9}, {
   3.440483395154992*^9, 3.4404834048634663`*^9}, {3.440483505829019*^9, 
   3.440483506611187*^9}, {3.440483542403551*^9, 3.440483634178082*^9}, {
   3.44048367317848*^9, 3.440483701383073*^9}, {3.4404837336776323`*^9, 
   3.440483738643414*^9}, {3.440483847715913*^9, 3.440483849415758*^9}, {
   3.44048397685571*^9, 3.4404839931878443`*^9}, {3.440484070003969*^9, 
   3.4404840703948174`*^9}, {3.440484135768886*^9, 3.440484138275689*^9}, {
   3.440484200159772*^9, 3.440484200772461*^9}, {3.4404843154315367`*^9, 
   3.440484315723433*^9}, {3.440484368013236*^9, 3.440484386918997*^9}, {
   3.440484455793665*^9, 3.440484480047278*^9}, {3.440484603325876*^9, 
   3.440484701592857*^9}, {3.440484747531601*^9, 3.4404847524406433`*^9}, {
   3.440484790266852*^9, 3.440484822561673*^9}, {3.440485074214609*^9, 
   3.440485074928389*^9}, {3.440485197854501*^9, 3.44048522313731*^9}, {
   3.440485557533475*^9, 3.440485570054627*^9}, {3.4404856973867693`*^9, 
   3.440485698138315*^9}, {3.440489995593731*^9, 3.4404899961486387`*^9}, {
   3.440490064038767*^9, 3.440490076238674*^9}, {3.440490112562655*^9, 
   3.440490118105699*^9}, {3.440491170354705*^9, 3.4404911813055897`*^9}, {
   3.44049131769482*^9, 3.4404913935373383`*^9}, {3.440491436771625*^9, 
   3.4404915132421923`*^9}, {3.4404915877531433`*^9, 3.440491624538575*^9}, {
   3.440491669454486*^9, 3.440491687792444*^9}, {3.4404918730069313`*^9, 
   3.440491889627658*^9}, {3.440491987328555*^9, 3.440492055287136*^9}, {
   3.4404922914860277`*^9, 3.440492297350583*^9}, {3.4404923309656343`*^9, 
   3.440492398342667*^9}, 3.440492436575837*^9, {3.4404924736836567`*^9, 
   3.44049248813376*^9}, {3.44049260520846*^9, 3.440492734536449*^9}, {
   3.4404929682368393`*^9, 3.440492991343252*^9}, {3.440493050044148*^9, 
   3.44049308718362*^9}, {3.440493177976685*^9, 3.440493188117494*^9}, {
   3.4404932667547903`*^9, 3.4404932858532343`*^9}, {3.4404933789127274`*^9, 
   3.440493420420479*^9}, {3.4404937322654*^9, 3.4404937906234627`*^9}, {
   3.440494084515196*^9, 3.440494085451921*^9}, {3.4404942460299587`*^9, 
   3.440494262281258*^9}, {3.440494293354991*^9, 3.440494338596126*^9}, {
   3.440494378253275*^9, 3.4404944059384336`*^9}, {3.44049446435496*^9, 
   3.44049449083602*^9}, {3.440494531397628*^9, 3.440494555041404*^9}, {
   3.440494609360547*^9, 3.4404946226404343`*^9}, {3.440494653025371*^9, 
   3.440494660106428*^9}, {3.440494733391241*^9, 3.440494745426011*^9}, {
   3.440494792214267*^9, 3.440494830468485*^9}, {3.440494999695058*^9, 
   3.440495068859824*^9}, {3.4405004538602*^9, 3.440500469253027*^9}, {
   3.4405005407949953`*^9, 3.440500551574499*^9}, {3.440500612345674*^9, 
   3.440500614797366*^9}, {3.440500707066201*^9, 3.440500753004641*^9}, {
   3.440500804851316*^9, 3.4405008313891487`*^9}, 3.440500864399249*^9, {
   3.440500907010284*^9, 3.440500916604842*^9}, {3.440501019222838*^9, 
   3.44050110150025*^9}, {3.440501141139152*^9, 3.440501141437709*^9}, {
   3.440501172466569*^9, 3.440501176770383*^9}, {3.440501477127108*^9, 
   3.440501482074379*^9}, {3.440501592417571*^9, 3.440501593837565*^9}, {
   3.440501836257079*^9, 3.440501855418971*^9}, 3.4405018873729477`*^9, {
   3.4405019409817047`*^9, 3.440501946587534*^9}, {3.440502004052375*^9, 
   3.440502032287039*^9}, {3.44050209239732*^9, 3.4405021713357964`*^9}, {
   3.440502253143592*^9, 3.440502334699534*^9}, {3.4405023926490383`*^9, 
   3.440502392911721*^9}, {3.440502463371524*^9, 3.440502518593172*^9}, {
   3.440502618930956*^9, 3.4405026196207943`*^9}, {3.440502660708605*^9, 
   3.440502660883061*^9}, {3.440503327079234*^9, 3.4405033387369967`*^9}, {
   3.440503423880686*^9, 3.440503512511112*^9}, {3.4407564825608797`*^9, 
   3.4407565033427343`*^9}, {3.44075662047936*^9, 3.440756753307581*^9}, {
   3.440757197863316*^9, 3.440757204381469*^9}, 3.440758074732411*^9, 
   3.440758105249365*^9, {3.440758324359573*^9, 3.440758356397401*^9}, {
   3.440758388531192*^9, 3.440758393118183*^9}, {3.440758471087928*^9, 
   3.440758476146326*^9}, {3.440758630469714*^9, 3.4407586363951674`*^9}, {
   3.4407586972056837`*^9, 3.440758718331715*^9}, 3.440758941919829*^9, {
   3.440759002215001*^9, 3.440759031554819*^9}, {3.4407591082707148`*^9, 
   3.440759169817327*^9}, {3.440759334820444*^9, 3.440759353750677*^9}, {
   3.4407594481870403`*^9, 3.4407594518933*^9}, {3.440759622586514*^9, 
   3.4407596315654383`*^9}, {3.440760012452631*^9, 3.440760013197344*^9}, 
   3.440760088863011*^9, {3.4407601972143173`*^9, 3.440760204220304*^9}, {
   3.44076028936687*^9, 3.440760297266541*^9}, {3.440761648978024*^9, 
   3.4407617254654093`*^9}, {3.4407618217803698`*^9, 
   3.4407618763415127`*^9}, {3.440761966297311*^9, 3.4407619789207907`*^9}, {
   3.440762032515635*^9, 3.440762032809185*^9}, {3.440762097958178*^9, 
   3.4407621009895697`*^9}, {3.440762215648991*^9, 3.44076221713853*^9}, {
   3.440762247525395*^9, 3.440762281891931*^9}, {3.440762509020303*^9, 
   3.440762577797916*^9}, {3.440762639837027*^9, 3.440762680499773*^9}, {
   3.440762714302663*^9, 3.4407627326967697`*^9}, 3.440762840901731*^9, {
   3.440763128672557*^9, 3.440763177002943*^9}, {3.440763283631916*^9, 
   3.4407632866656218`*^9}, {3.4407634294344273`*^9, 3.440763429658019*^9}, 
   3.440763461449045*^9, {3.440763500749793*^9, 3.440763560415236*^9}, {
   3.440763659086372*^9, 3.4407636681907043`*^9}, {3.440764554666374*^9, 
   3.4407645566626368`*^9}, {3.44076464074754*^9, 3.440764712620496*^9}, {
   3.440764783517548*^9, 3.440764816479167*^9}, {3.440764847015842*^9, 
   3.440764901014804*^9}, {3.440764950682849*^9, 3.440764950996078*^9}, {
   3.4407651570079603`*^9, 3.4407651577582397`*^9}, {3.440765301728572*^9, 
   3.440765320747773*^9}, {3.440765364979556*^9, 3.440765374317889*^9}, {
   3.440765447948806*^9, 3.440765476402014*^9}, {3.4407655083005133`*^9, 
   3.4407655340713367`*^9}, {3.4407665187361393`*^9, 3.440766568436458*^9}, {
   3.4407666128325453`*^9, 3.44076662192378*^9}, {3.440766653321313*^9, 
   3.4407666871149197`*^9}, {3.4407668686597548`*^9, 
   3.4407668768413067`*^9}, {3.4407669470129137`*^9, 
   3.4407669494604053`*^9}, {3.440767097825554*^9, 3.440767103225729*^9}, {
   3.440767150439196*^9, 3.440767166146299*^9}, {3.4407672712765083`*^9, 
   3.440767277489497*^9}, {3.4407673088872347`*^9, 3.440767314473666*^9}, {
   3.4407673911792297`*^9, 3.440767467714637*^9}, {3.440769278536435*^9, 
   3.4407693589353456`*^9}, {3.440770169607111*^9, 3.440770236318326*^9}, {
   3.440770359432557*^9, 3.440770403509202*^9}, {3.440770634541857*^9, 
   3.440770644725821*^9}, 3.440770681678141*^9, {3.440770836569338*^9, 
   3.440770849026613*^9}, {3.440770891301099*^9, 3.4407709608133087`*^9}, {
   3.4407710641847363`*^9, 3.440771074231299*^9}, {3.440771186669671*^9, 
   3.44077119507305*^9}, {3.44077141844268*^9, 3.440771430175544*^9}, 
   3.4407715361289663`*^9, {3.4407716082719917`*^9, 3.440771608764989*^9}, {
   3.440772833327874*^9, 3.440772834019796*^9}, {3.440773272386849*^9, 
   3.4407734172111998`*^9}, {3.440825754538185*^9, 3.440825761082687*^9}, {
   3.4408258939929867`*^9, 3.4408259676553173`*^9}, {3.440826061373371*^9, 
   3.4408261128742*^9}, {3.440826196195238*^9, 3.440826202367057*^9}, {
   3.44082624002631*^9, 3.440826382012164*^9}, 3.4408266228566*^9, {
   3.4408268407328568`*^9, 3.4408268844844637`*^9}, {3.440826944494114*^9, 
   3.4408270475544252`*^9}, {3.440827116470029*^9, 3.440827150412223*^9}, {
   3.4408272365607767`*^9, 3.440827242814817*^9}, {3.440827370823409*^9, 
   3.440827376790938*^9}, {3.4408274223288918`*^9, 3.440827463731805*^9}, {
   3.44082759636102*^9, 3.440827597139656*^9}, {3.440827841160627*^9, 
   3.440827867168716*^9}, {3.440827964382884*^9, 3.440827972632557*^9}, {
   3.440828070737454*^9, 3.440828076511827*^9}, {3.440828249360347*^9, 
   3.44082825547304*^9}, {3.440828438157291*^9, 3.4408284430932417`*^9}, {
   3.440828480975893*^9, 3.440828494960269*^9}, 3.440828529483212*^9, {
   3.440828562016303*^9, 3.4408285636511497`*^9}, {3.440828838238134*^9, 
   3.440828858296666*^9}, {3.4408288903903103`*^9, 3.440828920246475*^9}, {
   3.440828951249113*^9, 3.440829000952491*^9}, {3.44082921141173*^9, 
   3.4408292758164787`*^9}, {3.440829415015686*^9, 3.440829415704156*^9}, {
   3.440830082318554*^9, 3.4408301138847647`*^9}, {3.44083020099555*^9, 
   3.4408302013798*^9}, {3.440830430472554*^9, 3.440830432705459*^9}, {
   3.440830532057004*^9, 3.4408305389624033`*^9}, {3.4408305944524612`*^9, 
   3.440830646438805*^9}, {3.440830695763082*^9, 3.440830704346909*^9}, {
   3.440831120039172*^9, 3.440831162578511*^9}, {3.440831211951481*^9, 
   3.4408312450464973`*^9}, {3.440831309213996*^9, 3.440831310747888*^9}, {
   3.4408315913839827`*^9, 3.440831628896134*^9}, {3.440832426127974*^9, 
   3.440832428101687*^9}, {3.4408324595409117`*^9, 3.4408325103075314`*^9}, {
   3.440832541805993*^9, 3.440832546071805*^9}, 3.440832794799856*^9, {
   3.4408328722165203`*^9, 3.440832878424075*^9}, {3.440833141705935*^9, 
   3.440833141993284*^9}, {3.440833550290863*^9, 3.440833604603304*^9}, {
   3.440833661344545*^9, 3.440833667270351*^9}, {3.4408341849074593`*^9, 
   3.440834189773327*^9}, {3.44083505709875*^9, 3.44083505850056*^9}, {
   3.4408374438244143`*^9, 3.4408375170278378`*^9}, {3.44083771311007*^9, 
   3.440837715864574*^9}, {3.440837860833106*^9, 3.440837861083856*^9}, {
   3.440838127156514*^9, 3.440838159678006*^9}, 3.440838281639101*^9, 
   3.4408384496246557`*^9, {3.440838539554978*^9, 3.440838548574046*^9}, {
   3.440838580056972*^9, 3.4408385878631983`*^9}, {3.4408387349854937`*^9, 
   3.440838751561075*^9}, {3.4408390899751*^9, 3.440839091082438*^9}, {
   3.440839130357432*^9, 3.440839271203662*^9}, {3.440839424737219*^9, 
   3.440839431935495*^9}, {3.4408397912856913`*^9, 3.440839836815284*^9}, {
   3.440839888823954*^9, 3.440839889437749*^9}, {3.440839924452504*^9, 
   3.440840003795603*^9}, {3.4408403088887444`*^9, 3.4408404052455387`*^9}, {
   3.4408405879056883`*^9, 3.4408406084305773`*^9}, {3.4408408253048563`*^9, 
   3.440840867514127*^9}, {3.440840904731585*^9, 3.440840912475636*^9}, 
   3.440841088577992*^9, {3.440841132136424*^9, 3.440841136956669*^9}, {
   3.440841229062203*^9, 3.440841265641337*^9}, {3.44084137308891*^9, 
   3.440841373431245*^9}, {3.4408414114145813`*^9, 3.440841419524819*^9}, {
   3.440841451120219*^9, 3.4408414742321787`*^9}, {3.440841646679914*^9, 
   3.440841650201614*^9}, {3.4408421922270203`*^9, 3.440842212309289*^9}, {
   3.440842334411819*^9, 3.440842351476115*^9}, {3.4408458184946327`*^9, 
   3.44084582327201*^9}, {3.4408460694714327`*^9, 3.44084611062636*^9}, {
   3.4408461472427597`*^9, 3.440846187747696*^9}, {3.440846362756778*^9, 
   3.440846367176306*^9}, {3.440846482169223*^9, 3.440846489364378*^9}, {
   3.4408465711657257`*^9, 3.440846603490183*^9}, {3.4408466714657297`*^9, 
   3.440846674296377*^9}, {3.4408467071232986`*^9, 3.440846714155478*^9}, {
   3.4408469251641083`*^9, 3.440846948554637*^9}, {3.440847186469779*^9, 
   3.4408472195948544`*^9}, {3.440847330505584*^9, 3.440847372610743*^9}, {
   3.4408474121180677`*^9, 3.440847416260468*^9}, {3.440847465281892*^9, 
   3.440847470491695*^9}, {3.440847607464526*^9, 3.440847650386602*^9}, {
   3.440847772826923*^9, 3.4408477780493317`*^9}, {3.4408480516614523`*^9, 
   3.4408480852916727`*^9}, {3.440848163444365*^9, 3.440848164739871*^9}, {
   3.440848197426709*^9, 3.4408482032452908`*^9}, {3.440848236396203*^9, 
   3.440848304264913*^9}, {3.4408483505782213`*^9, 3.440848379788186*^9}, {
   3.4408497661038303`*^9, 3.44084982940994*^9}, {3.440849949681506*^9, 
   3.440850038378484*^9}, {3.440850094911478*^9, 3.440850099089917*^9}, {
   3.440850897159699*^9, 3.440850897608448*^9}, {3.4408510655956297`*^9, 
   3.440851116632382*^9}, {3.440851616749798*^9, 3.440851683527437*^9}, {
   3.440851869295947*^9, 3.440851974659431*^9}, {3.440852008822343*^9, 
   3.440852023154757*^9}, {3.440852067411378*^9, 3.4408521620200787`*^9}, {
   3.4408522182452183`*^9, 3.44085224819731*^9}, {3.440852354065033*^9, 
   3.440852386742614*^9}, {3.440852558913909*^9, 3.440852567794992*^9}, {
   3.440852647010845*^9, 3.44085270225672*^9}, {3.440852801675802*^9, 
   3.440852874706215*^9}, {3.440852959483666*^9, 3.4408529632198877`*^9}, {
   3.440853105971273*^9, 3.440853128702133*^9}, {3.4408531599677153`*^9, 
   3.4408532385958643`*^9}, {3.440853277113084*^9, 3.440853302712118*^9}, {
   3.4408533341808863`*^9, 3.440853372343606*^9}, {3.4408534864684668`*^9, 
   3.440853491467326*^9}, {3.440853549605063*^9, 3.440853565027313*^9}, {
   3.440911459373684*^9, 3.440911514863575*^9}, {3.440912033735487*^9, 
   3.440912038251198*^9}, {3.440912163540147*^9, 3.440912192734535*^9}, {
   3.440912263508515*^9, 3.440912334079646*^9}, {3.4409125579392347`*^9, 
   3.44091255822429*^9}, {3.440912715210121*^9, 3.440912720360486*^9}, {
   3.4409128901496267`*^9, 3.440912914606646*^9}, {3.4409130616037903`*^9, 
   3.440913078640273*^9}, {3.440913212374003*^9, 3.44091321380249*^9}, {
   3.440913368664723*^9, 3.4409133812096977`*^9}, {3.440913484193664*^9, 
   3.440913522875187*^9}, {3.4409136816477013`*^9, 3.440913710432488*^9}, {
   3.440913841228155*^9, 3.440913845256755*^9}, {3.440913975342448*^9, 
   3.4409139755849752`*^9}, {3.440914008010961*^9, 3.440914010999563*^9}, {
   3.4409141193190727`*^9, 3.440914152467766*^9}, {3.440914332322494*^9, 
   3.440914355031905*^9}, {3.440914424056513*^9, 3.440914424633163*^9}, {
   3.440914606329239*^9, 3.4409146076721687`*^9}, {3.440915075835443*^9, 
   3.4409151015536633`*^9}, {3.440915290117112*^9, 3.440915297789908*^9}, {
   3.440915763820568*^9, 3.440915776829502*^9}, {3.440915897984475*^9, 
   3.440915903860018*^9}, {3.4409159771248903`*^9, 3.440915997581512*^9}, {
   3.440916099731668*^9, 3.440916129745101*^9}, {3.4409162023079653`*^9, 
   3.440916202850881*^9}, {3.440918675938806*^9, 3.440918677311282*^9}, {
   3.440918771760988*^9, 3.440918773601618*^9}, 3.440918879039029*^9, {
   3.440919151969762*^9, 3.440919153770259*^9}, {3.440919429990306*^9, 
   3.440919431649468*^9}, {3.440919588206246*^9, 3.440919821600843*^9}, {
   3.4409199128861237`*^9, 3.4409199500532846`*^9}, {3.4409200830727386`*^9, 
   3.440920091636739*^9}, {3.4409201394546967`*^9, 3.440920506794949*^9}, {
   3.440920622410882*^9, 3.4409206609514227`*^9}, {3.4409206935507812`*^9, 
   3.4409208584106617`*^9}, {3.440921759516025*^9, 3.4409218167174664`*^9}, {
   3.4409219031210814`*^9, 3.4409220996358356`*^9}, {3.440922205778079*^9, 
   3.44092235341858*^9}, {3.440922496714574*^9, 3.4409225726228657`*^9}, {
   3.4409226084618063`*^9, 3.440922638549032*^9}, {3.440922695472055*^9, 
   3.440922821843148*^9}, {3.4409228524728107`*^9, 3.440922854035942*^9}, {
   3.440923353102676*^9, 3.440923374347227*^9}, {3.440923418996346*^9, 
   3.4409234195183687`*^9}, {3.440923479170082*^9, 3.440923554331787*^9}, {
   3.440923672755725*^9, 3.440923677990919*^9}, {3.4409237366766157`*^9, 
   3.440923761215366*^9}, {3.440923796045405*^9, 3.4409238024402437`*^9}, {
   3.440923874639584*^9, 3.440923927639926*^9}, {3.4409239626665077`*^9, 
   3.440924000736081*^9}, {3.440924032360573*^9, 3.44092404051917*^9}, {
   3.440924214418895*^9, 3.440924285077919*^9}, 3.440924417343361*^9, {
   3.440924577561903*^9, 3.440924623076047*^9}, {3.440929097923175*^9, 
   3.440929104169664*^9}, {3.4409294782016773`*^9, 3.440929494034073*^9}, {
   3.4409295318101254`*^9, 3.440929540883374*^9}, {3.440929584800548*^9, 
   3.440929611719644*^9}, 3.440930173323242*^9, {3.4409302630595617`*^9, 
   3.4409302746303263`*^9}, {3.4409305004491377`*^9, 3.440930541347289*^9}, {
   3.440930621983144*^9, 3.440930690713461*^9}, {3.440930862080686*^9, 
   3.440930895151627*^9}, {3.4409309752296143`*^9, 3.440930996021175*^9}, {
   3.440931031776671*^9, 3.440931038219325*^9}, {3.440931072810748*^9, 
   3.440931096190146*^9}, {3.4409313050500107`*^9, 3.440931335550074*^9}, {
   3.440931380939629*^9, 3.4409314395627537`*^9}, {3.4409317066261377`*^9, 
   3.440931770604126*^9}, {3.440931842423356*^9, 3.440931846904763*^9}, {
   3.4409318950040283`*^9, 3.440931905162591*^9}, {3.440931972216255*^9, 
   3.440932057580711*^9}, {3.440932273930111*^9, 3.440932284053566*^9}, {
   3.440932342468432*^9, 3.4409323464405003`*^9}, {3.440932434331213*^9, 
   3.4409324360781937`*^9}, {3.4409325698903437`*^9, 3.440932577460581*^9}, {
   3.440932651045166*^9, 3.440932655385338*^9}, {3.440932734730706*^9, 
   3.440932789871344*^9}, {3.44093284279499*^9, 3.4409328479606543`*^9}, {
   3.440933046939938*^9, 3.440933052981831*^9}, 3.440933267088237*^9, {
   3.4409333326938334`*^9, 3.440933333320046*^9}, {3.4409334349248953`*^9, 
   3.440933439233111*^9}, 3.4409335800691233`*^9, {3.440937714792922*^9, 
   3.440937719723939*^9}, {3.440937998610785*^9, 3.4409380030157843`*^9}, 
   3.4409380976676207`*^9, {3.4409420241616087`*^9, 3.440942048920184*^9}, 
   3.440943786581995*^9, {3.440945206620224*^9, 3.440945283196371*^9}, {
   3.4409577992422237`*^9, 3.440957925055811*^9}, {3.440957971284144*^9, 
   3.440957971692045*^9}, {3.4409580937811613`*^9, 3.440958134345642*^9}, {
   3.4409582252845297`*^9, 3.4409582714966793`*^9}, {3.440958680081325*^9, 
   3.440958688982489*^9}, {3.44095872186549*^9, 3.44095875902989*^9}, {
   3.440959084090041*^9, 3.440959169102078*^9}, {3.440959271962243*^9, 
   3.4409592890906277`*^9}, {3.440959358878327*^9, 3.440959373692431*^9}, {
   3.440959475819456*^9, 3.4409595179333677`*^9}, {3.440959565064046*^9, 
   3.440959576094584*^9}, {3.440959614949478*^9, 3.440959621897667*^9}, {
   3.440959673519889*^9, 3.440959716140737*^9}, {3.440959805379923*^9, 
   3.440959816060481*^9}, {3.440959940140813*^9, 3.4409599635741243`*^9}, {
   3.440959993783103*^9, 3.440960011726549*^9}, {3.440960054995948*^9, 
   3.440960055917932*^9}, {3.440960088288459*^9, 3.4409601121196003`*^9}, {
   3.440960167245509*^9, 3.440960237984766*^9}, {3.4409605192273293`*^9, 
   3.440960537186184*^9}, {3.4409606000906067`*^9, 3.4409608315006323`*^9}, {
   3.440962099832966*^9, 3.440962107668882*^9}, {3.4409621567419443`*^9, 
   3.4409621620782547`*^9}, {3.4409623800603456`*^9, 3.44096240556695*^9}, {
   3.440962513847974*^9, 3.440962516000206*^9}, {3.440962780949709*^9, 
   3.440962798575601*^9}, {3.440962880672248*^9, 3.440962895911434*^9}, {
   3.440962962062888*^9, 3.440962966964872*^9}, {3.440963003997237*^9, 
   3.4409630201002293`*^9}, {3.440963076215054*^9, 3.440963270748595*^9}, {
   3.4409633527644367`*^9, 3.440963360256558*^9}, {3.440963495470004*^9, 
   3.440963502546115*^9}, {3.440965310662883*^9, 3.440965315481042*^9}, {
   3.440965795510786*^9, 3.440965810659533*^9}, {3.440965873264242*^9, 
   3.440965881714583*^9}, {3.4409663142290993`*^9, 3.440966346021204*^9}, {
   3.4409665648245792`*^9, 3.440966660695958*^9}, {3.4409668339629097`*^9, 
   3.440966875639946*^9}, {3.440966919068921*^9, 3.440966979544735*^9}, 
   3.440967073765153*^9, {3.440967284795233*^9, 3.440967317225945*^9}, {
   3.440967374119856*^9, 3.4409673754828176`*^9}, {3.4409674285797443`*^9, 
   3.440967431138873*^9}, {3.440967516453011*^9, 3.440967517785429*^9}, {
   3.440967604164694*^9, 3.440967628851211*^9}, {3.4409677276025257`*^9, 
   3.44096772986758*^9}, {3.4409678622772093`*^9, 3.440967863166259*^9}, {
   3.4409679125372972`*^9, 3.440967914433894*^9}, {3.4409679515296392`*^9, 
   3.440968013561432*^9}, 3.440968106786693*^9, {3.440968296024242*^9, 
   3.440968320944935*^9}, {3.440968483823229*^9, 3.440968486955092*^9}, {
   3.440968528912753*^9, 3.440968572035784*^9}, {3.440968635188614*^9, 
   3.4409686898782263`*^9}, {3.4409689366144533`*^9, 3.44096893691183*^9}, 
   3.440969183384902*^9, {3.440969293787924*^9, 3.440969298474636*^9}, {
   3.440969828711577*^9, 3.440969829783134*^9}, {3.4409699961717377`*^9, 
   3.440970060123006*^9}, {3.440970092960682*^9, 3.440970112032198*^9}, {
   3.4409701499276047`*^9, 3.4409701583553963`*^9}, {3.4409701970045156`*^9, 
   3.4409702404911413`*^9}, {3.440970271587132*^9, 3.440970278927926*^9}, {
   3.440970490087376*^9, 3.440970536334056*^9}, {3.4409706263554564`*^9, 
   3.440970632093005*^9}, {3.440970667372816*^9, 3.440970667525655*^9}, {
   3.440971010802245*^9, 3.440971016697358*^9}, {3.440971074031939*^9, 
   3.440971095458536*^9}, {3.440971143816378*^9, 3.440971149858563*^9}, {
   3.440971197970804*^9, 3.440971244928306*^9}, {3.440971320519113*^9, 
   3.440971326634349*^9}, {3.44097136790867*^9, 3.4409713803581142`*^9}, {
   3.440971449036392*^9, 3.440971453085552*^9}, {3.44097187242983*^9, 
   3.4409718736874733`*^9}, 3.4409719332156487`*^9, {3.440972115743524*^9, 
   3.4409721517701607`*^9}, {3.4409723301785917`*^9, 3.440972359466234*^9}, {
   3.440972497132354*^9, 3.440972517030759*^9}, {3.4409731091064796`*^9, 
   3.4409731350248337`*^9}, {3.440973190331502*^9, 3.440973218736709*^9}, {
   3.4409732618614063`*^9, 3.440973288109708*^9}, {3.440973397824627*^9, 
   3.440973405298411*^9}, {3.4409735466786747`*^9, 3.440973565742567*^9}, {
   3.440973602133853*^9, 3.440973632356213*^9}, {3.440973778736175*^9, 
   3.4409738082836027`*^9}, {3.44101956476442*^9, 3.441019573608259*^9}, {
   3.441020289915867*^9, 3.4410202950465*^9}, {3.441020339271386*^9, 
   3.4410203638929367`*^9}, {3.4410206547615633`*^9, 
   3.4410206860746937`*^9}, {3.441020828723015*^9, 3.441020829557479*^9}, {
   3.441020957355517*^9, 3.4410210654178057`*^9}, {3.441021219371756*^9, 
   3.441021266562458*^9}, {3.441021311347397*^9, 3.4410213235872*^9}, {
   3.4410214113852882`*^9, 3.4410214142272387`*^9}, {3.441021488015123*^9, 
   3.441021515987941*^9}, {3.441021576628991*^9, 3.441021603136178*^9}, {
   3.441021696530048*^9, 3.441021756862445*^9}, {3.44102182135817*^9, 
   3.441021824802112*^9}, {3.441022089461276*^9, 3.4410220966593647`*^9}, {
   3.441022200136918*^9, 3.4410222299953423`*^9}, {3.441022289398409*^9, 
   3.441022352848875*^9}, {3.4410226548875227`*^9, 3.4410226626510572`*^9}, {
   3.441022805600399*^9, 3.441022995884211*^9}, {3.441023097781389*^9, 
   3.441023141283341*^9}, {3.441023467814838*^9, 3.441023569860347*^9}, {
   3.441024042847484*^9, 3.441024079868794*^9}, {3.441024158377887*^9, 
   3.441024159282528*^9}, {3.441351545774317*^9, 3.441351549814636*^9}, {
   3.4413516110151863`*^9, 3.441351615410367*^9}, 3.4413526087358294`*^9, {
   3.441352670593*^9, 3.441352673712213*^9}, {3.441353567341604*^9, 
   3.441353597539529*^9}, {3.441353720742238*^9, 3.441353721355877*^9}, {
   3.441353770578101*^9, 3.4413537896941357`*^9}, {3.441354307936905*^9, 
   3.441354373507882*^9}, {3.441354408119669*^9, 3.441354418153463*^9}, {
   3.44135496088229*^9, 3.441354962045926*^9}, {3.441355002620738*^9, 
   3.44135547220115*^9}, {3.441355930640312*^9, 3.441355951405026*^9}, {
   3.441356289149857*^9, 3.441356449872279*^9}, {3.441356491300069*^9, 
   3.44135654977489*^9}, {3.441356590715418*^9, 3.4413567955751657`*^9}, {
   3.4413571269378633`*^9, 3.441357145606681*^9}, {3.4413571883155317`*^9, 
   3.4413572262230177`*^9}, {3.441357620383233*^9, 3.441357631054875*^9}, {
   3.441357747627214*^9, 3.441357824071538*^9}, {3.441357899375019*^9, 
   3.441357914390409*^9}, {3.441357995157572*^9, 3.441358147418779*^9}, {
   3.44135820168876*^9, 3.441358206733582*^9}, {3.441358250772561*^9, 
   3.441358253208765*^9}, {3.441358291956553*^9, 3.441358334908721*^9}, {
   3.441358450656886*^9, 3.441358527805318*^9}, {3.441358716710258*^9, 
   3.4413587279169292`*^9}, {3.441358926892688*^9, 3.441358955614441*^9}, {
   3.441359010768306*^9, 3.441359047110326*^9}, {3.441359178395174*^9, 
   3.441359209498756*^9}, {3.4413593284815407`*^9, 3.4413593594050093`*^9}, {
   3.4413596461010733`*^9, 3.44135965490241*^9}, {3.441362061923489*^9, 
   3.441362103997201*^9}, {3.441362151566185*^9, 3.4413621588498898`*^9}, {
   3.441362234340139*^9, 3.441362264900794*^9}, {3.4413623037477913`*^9, 
   3.441362322532021*^9}, {3.441362352825796*^9, 3.4413623798929653`*^9}, {
   3.441362424985552*^9, 3.441362446100541*^9}, {3.44136252152109*^9, 
   3.441362528213537*^9}, 3.441362613653386*^9, {3.4413626531115723`*^9, 
   3.44136268997957*^9}, {3.441362784788958*^9, 3.44136281914762*^9}, {
   3.4413628641163263`*^9, 3.441362883098639*^9}, {3.441362958379681*^9, 
   3.441362961956442*^9}, {3.4413630069002323`*^9, 3.4413630481324663`*^9}, {
   3.441363107277281*^9, 3.441363116034683*^9}, {3.44136316311757*^9, 
   3.4413631823725767`*^9}, {3.441363235434306*^9, 3.44136325571659*^9}, {
   3.4413632893433933`*^9, 3.4413633092315598`*^9}, {3.441363385264183*^9, 
   3.4413634758577642`*^9}, {3.441363518687063*^9, 3.4413635482488203`*^9}, {
   3.4413640811611433`*^9, 3.4413640938461447`*^9}, {3.441364138958396*^9, 
   3.4413641965224123`*^9}, {3.441364234415509*^9, 3.4413642377461567`*^9}, {
   3.4413642861906147`*^9, 3.441364360964881*^9}, {3.441364412821747*^9, 
   3.44136442228543*^9}, {3.441364458236812*^9, 3.441364497408869*^9}, {
   3.441364539882975*^9, 3.441364540327091*^9}, {3.4413645880428343`*^9, 
   3.4413645987033367`*^9}, {3.441364635861618*^9, 3.441364759737438*^9}, {
   3.4413648682848988`*^9, 3.44136490820269*^9}, {3.44136539104053*^9, 
   3.4413653972449903`*^9}, {3.441365688838592*^9, 3.4413658953854218`*^9}, {
   3.4413660174571037`*^9, 3.441366033235478*^9}, {3.4413662532756853`*^9, 
   3.44136629676985*^9}, {3.441366345715312*^9, 3.4413663625069523`*^9}, {
   3.441366553608141*^9, 3.441366557890753*^9}, {3.4413666101848717`*^9, 
   3.441366611794031*^9}, {3.441366643754561*^9, 3.44136667825473*^9}, {
   3.441366721470211*^9, 3.4413667233996353`*^9}, {3.441366793589806*^9, 
   3.4413668531661243`*^9}, 3.441366971457262*^9, {3.4413672644844007`*^9, 
   3.441367340553258*^9}, 3.441367374968136*^9, {3.4413698040814734`*^9, 
   3.441369814808394*^9}, {3.4413698450782413`*^9, 3.4413699166686563`*^9}, {
   3.4413700270192347`*^9, 3.4413700319766827`*^9}, {3.441370090861307*^9, 
   3.4413701017272778`*^9}, {3.4413702073976088`*^9, 
   3.4413702077398252`*^9}, {3.4413702438345118`*^9, 3.441370249020432*^9}, {
   3.441370338990727*^9, 3.441370339336915*^9}, {3.441370404432254*^9, 
   3.4413704168993797`*^9}, {3.441370517102529*^9, 3.441370758874606*^9}, {
   3.4413708681837473`*^9, 3.44137091675709*^9}, {3.441371003274427*^9, 
   3.4413710152738657`*^9}, {3.441371077447304*^9, 3.441371081414979*^9}, {
   3.44137117930722*^9, 3.4413711834294977`*^9}, {3.441371225810194*^9, 
   3.4413712446354637`*^9}, {3.441371339198082*^9, 3.4413713814364777`*^9}, {
   3.441371491089179*^9, 3.441371494613454*^9}, {3.441371534962516*^9, 
   3.441371587586739*^9}, 3.441371653555809*^9, {3.441371778409753*^9, 
   3.441371857193363*^9}, {3.44137194809501*^9, 3.441371954305162*^9}, {
   3.44137208681043*^9, 3.441372091415941*^9}, {3.441372343374297*^9, 
   3.441372344311634*^9}, {3.441372408582343*^9, 3.441372413935185*^9}, {
   3.44137253154869*^9, 3.441372755656289*^9}, {3.441373241541553*^9, 
   3.4413732430904217`*^9}, {3.441374052901396*^9, 3.441374091703958*^9}, {
   3.441374386297309*^9, 3.441374392170477*^9}, {3.441426986462825*^9, 
   3.4414269935122643`*^9}, {3.4432619912705097`*^9, 3.443261991762891*^9}, {
   3.443262289995569*^9, 3.443262320620655*^9}, {3.44326252249531*^9, 
   3.443262545302717*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TabView", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{"\"\<Satz von Schwarz\>\"", "\[Rule]", "tab1"}], 
       "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Alignment", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Left", ",", "Top"}], "}"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"900", ",", "700"}], "}"}]}]}], "\[IndentingNewLine]", "]"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"SaveDefinitions", "\[Rule]", "True"}], " ", ",", 
    RowBox[{"AppearanceElements", "\[Rule]", "None"}], ",", 
    RowBox[{"Paneled", "\[Rule]", "False"}]}], "\[IndentingNewLine]", "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellOpen->False,
 CellChangeTimes->{{3.440226735095891*^9, 3.44022674247051*^9}, {
   3.440226940494467*^9, 3.44022695195798*^9}, {3.440227034421418*^9, 
   3.4402270457877207`*^9}, {3.440227091375443*^9, 3.4402270986890497`*^9}, {
   3.440227139505578*^9, 3.440227239361032*^9}, {3.4402273063142433`*^9, 
   3.440227315261595*^9}, {3.44022738124203*^9, 3.4402274569527607`*^9}, {
   3.4402275137047443`*^9, 3.440227539181465*^9}, {3.440227573064088*^9, 
   3.440227574770697*^9}, {3.440227615675462*^9, 3.44022761960966*^9}, 
   3.440227676501021*^9, 3.440227711606222*^9, {3.440227817301388*^9, 
   3.440227864360475*^9}, {3.4402281039498653`*^9, 3.4402281167441587`*^9}, {
   3.440228158018249*^9, 3.440228200960999*^9}, {3.440228301489819*^9, 
   3.440228321630823*^9}, {3.440228400117528*^9, 3.440228539251511*^9}, {
   3.440228589579155*^9, 3.4402286215896673`*^9}, {3.440228661113529*^9, 
   3.4402286655573587`*^9}, {3.440228715775139*^9, 3.440228809096981*^9}, 
   3.440229370353817*^9, {3.440234359790206*^9, 3.4402343852416286`*^9}, {
   3.440236197062503*^9, 3.440236206410039*^9}, {3.440236564892796*^9, 
   3.440236607604447*^9}, {3.440236705133502*^9, 3.440236707309359*^9}, {
   3.440237203862033*^9, 3.4402372055763474`*^9}, {3.440237399401656*^9, 
   3.4402374000064383`*^9}, {3.440242904043988*^9, 3.440242904194845*^9}, {
   3.4402429583284388`*^9, 3.440242961144351*^9}, {3.440318457450235*^9, 
   3.440318466991219*^9}, {3.440318646228405*^9, 3.440318665786972*^9}, {
   3.440318781207694*^9, 3.4403188438174047`*^9}, {3.440319137764716*^9, 
   3.440319205690462*^9}, {3.44031926402464*^9, 3.440319276752944*^9}, {
   3.440319318031852*^9, 3.4403193389982853`*^9}, {3.4403194023854733`*^9, 
   3.440319411474275*^9}, {3.440319763247395*^9, 3.4403197878246517`*^9}, {
   3.440320353340398*^9, 3.440320384438344*^9}, {3.440320566801448*^9, 
   3.440320567683763*^9}, {3.440320647732339*^9, 3.440320652512301*^9}, {
   3.440394095537719*^9, 3.4403941026957493`*^9}, {3.44039583925143*^9, 
   3.4403958406513777`*^9}, 3.440407732397869*^9, 3.440407795065814*^9, {
   3.440427022448208*^9, 3.4404270236585627`*^9}, 3.440473734201104*^9, 
   3.4404738355232363`*^9, {3.44047408852026*^9, 3.440474102666226*^9}, {
   3.4404769088111467`*^9, 3.4404769345211477`*^9}, {3.440476997344619*^9, 
   3.440477010512959*^9}, {3.440477922990389*^9, 3.440477941420946*^9}, {
   3.4404779893427773`*^9, 3.440477993058579*^9}, {3.4404780518007298`*^9, 
   3.4404780524682007`*^9}, {3.440478092430574*^9, 3.4404781300636177`*^9}, {
   3.440478190790662*^9, 3.44047819180294*^9}, {3.440478224089437*^9, 
   3.440478229903562*^9}, {3.4404782798248568`*^9, 3.440478280288808*^9}, {
   3.440478349428306*^9, 3.440478352555982*^9}, {3.4404815869666967`*^9, 
   3.44048164222647*^9}, {3.440481698529111*^9, 3.440481707167953*^9}, {
   3.4404817493793707`*^9, 3.440481767551998*^9}, {3.440481862849557*^9, 
   3.4404818792980328`*^9}, {3.440482022825658*^9, 3.4404820236897173`*^9}, {
   3.440482139257227*^9, 3.440482158856915*^9}, {3.4404822318477488`*^9, 
   3.440482261605896*^9}, {3.4404823300109453`*^9, 3.440482393250873*^9}, {
   3.440483188490807*^9, 3.440483192996619*^9}, {3.440488302792285*^9, 
   3.440488349809661*^9}, {3.4404884145792217`*^9, 3.44048845522571*^9}, {
   3.440488497937462*^9, 3.4404885329809637`*^9}, 3.4404886001806097`*^9, {
   3.440488667918404*^9, 3.440488675536813*^9}, {3.440488928349155*^9, 
   3.4404889550611887`*^9}, {3.440489010184297*^9, 3.440489014913851*^9}, {
   3.4407591988544683`*^9, 3.440759214175909*^9}, {3.4407592585175667`*^9, 
   3.440759264571205*^9}, {3.440759505369178*^9, 3.440759517907411*^9}, {
   3.440763207574009*^9, 3.440763211543239*^9}, {3.440763868333969*^9, 
   3.440763874532793*^9}, {3.440828590471726*^9, 3.440828626256068*^9}, {
   3.440833716745455*^9, 3.440833770988512*^9}, {3.440837593100997*^9, 
   3.440837615187963*^9}, {3.4408377756945477`*^9, 3.440837776710297*^9}, {
   3.440838649499342*^9, 3.4408386512386703`*^9}, {3.440840638699789*^9, 
   3.440840640897834*^9}, {3.4408417901257763`*^9, 3.440841851408443*^9}, {
   3.4408462336511593`*^9, 3.440846233928666*^9}, {3.440848118275426*^9, 
   3.440848118467216*^9}, {3.440957578734029*^9, 3.44095762699308*^9}, {
   3.440967008966976*^9, 3.440967012005979*^9}, 3.440967097162856*^9, {
   3.4409696054898376`*^9, 3.4409696301768637`*^9}, 3.44102238314227*^9, 
   3.4410227047379503`*^9, {3.441023415163904*^9, 3.441023438012833*^9}, {
   3.441023678477985*^9, 3.441023964712861*^9}, {3.441024000540968*^9, 
   3.441024008836113*^9}, {3.441351622431816*^9, 3.441351667714469*^9}, 
   3.441351965106059*^9, {3.4413526249492903`*^9, 3.441352633242825*^9}, {
   3.441352817076953*^9, 3.4413528176773767`*^9}, {3.441352893494314*^9, 
   3.441352913245448*^9}, {3.4413529477668667`*^9, 3.441352956767006*^9}, 
   3.4413530515159187`*^9, {3.441353460114746*^9, 3.441353471201215*^9}, {
   3.441353543052404*^9, 3.441353544065506*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {}, 
    Typeset`size$$ = {900., {347.5, 352.5}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {}, "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      TabView[{"Satz von Schwarz" -> $CellContext`tab1}, 
        Alignment -> {Left, Top}, ImageSize -> {900, 700}], 
      "Specifications" :> {}, 
      "Options" :> {AppearanceElements -> None, Paneled -> False}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{920., {358., 363.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`tab1 = Column[{
          Row[{
            Text[
             Style[
             " Visualisierung des Satzes von Schwarz ", {
              FontFamily -> "Liberation Sans", 14, Bold, 
               RGBColor[0.35, 0.35, 0.35], Background -> 
               RGBColor[1, 1, 1, 0]}]], 
            Text[
             Style[
             "     . . . . . . . . . . . . . . . . . . . . . . . . . . . . . \
. . ", {FontFamily -> "Liberation Sans", 12, Bold, 
               RGBColor[0.35, 0.35, 0.35], Background -> 
               RGBColor[1, 1, 1, 0]}, Plain, 8]], 
            Button[
             Button[
              Style["Hilfe", 9], ImageSize -> Medium, Background -> 
              RGBColor[0.9, 0.9, 0.9]], 
             CreateDocument[
              Internal`PopupWindowNotebook[
               Column[{
                 Style[
                 "Linker oberer Teil der Visualisierung: ", {{
                   FontFamily -> "Liberation Sans", 12, Bold, 
                    RGBColor[0.35, 0.35, 0.35], Background -> 
                    RGBColor[1, 1, 1, 0]}, Bold}], 
                 Style[
                 "Auswahl der Funktion und Anzeige des Graphen.\n", {{
                   FontFamily -> "Liberation Sans", 12, Bold, 
                    RGBColor[0.35, 0.35, 0.35], Background -> 
                    RGBColor[1, 1, 1, 0]}, Plain}], 
                 Style[
                 "Rechter Teil: ", {{
                   FontFamily -> "Liberation Sans", 12, Bold, 
                    RGBColor[0.35, 0.35, 0.35], Background -> 
                    RGBColor[1, 1, 1, 0]}, Bold}], 
                 Style[
                 "Darstellung der Plots der partiellen Ableitungen: Erste \
Zeile \!\(\*SubscriptBox[\(f\), \(x\)]\), \!\(\*SubscriptBox[\(f\), \(y\)]\) \
und zweite Zeile \!\(\*SubscriptBox[\(f\), \(xy\)]\), \
\!\(\*SubscriptBox[\(f\), \(yx\)]\).\n", {{
                   FontFamily -> "Liberation Sans", 12, Bold, 
                    RGBColor[0.35, 0.35, 0.35], Background -> 
                    RGBColor[1, 1, 1, 0]}, Plain}], 
                 Style[
                 "Links unten: ", {{FontFamily -> "Liberation Sans", 12, Bold, 
                    RGBColor[0.35, 0.35, 0.35], Background -> 
                    RGBColor[1, 1, 1, 0]}, Bold}], 
                 Style[
                 "Mit den Reglern den Darstellungsausschnitt der Plots \
simultan ver\[ADoubleDot]ndern: Einstellen der Intervallsgrenzen des \
Definitionsbereichs \!\(\*SubscriptBox[\(D\), \(f\)]\).\n", {{
                   FontFamily -> "Liberation Sans", 12, Bold, 
                    RGBColor[0.35, 0.35, 0.35], Background -> 
                    RGBColor[1, 1, 1, 0]}, Plain}], 
                 Style[
                 "Plots untersuchen: ", {{
                   FontFamily -> "Liberation Sans", 12, Bold, 
                    RGBColor[0.35, 0.35, 0.35], Background -> 
                    RGBColor[1, 1, 1, 0]}, Bold}], 
                 Style[
                 "Neben dem Ver\[ADoubleDot]ndern der Intervallsgrenzen, k\
\[ODoubleDot]nnen Sie jeden der Plots genauer untersuchen, indem Sie ihn mit \
<Linke Maustaste>+<Mauszeiger> drehen.\n", {{
                   FontFamily -> "Liberation Sans", 12, Bold, 
                    RGBColor[0.35, 0.35, 0.35], Background -> 
                    RGBColor[1, 1, 1, 0]}, Plain}]}, {Left, Top}], 
               WindowTitle -> "Hilfe", WindowSize -> All]], Appearance -> 
             None, BaseStyle -> {}, DefaultBaseStyle -> {}]}], 
          Row[{
            Column[{
              
              Manipulate[$CellContext`funcPlot, AppearanceElements -> None, 
               Paneled -> False], 
              Labeled[
               PopupMenu[
                Dynamic[$CellContext`chosenFunction], {
                Sin[$CellContext`x] Sin[$CellContext`y], -
                 E^($CellContext`x^2 $CellContext`y), 
                 Sin[$CellContext`x + $CellContext`y], 
                 ArcSin[$CellContext`x^3], 
                 Sin[$CellContext`x $CellContext`y], 
                 Cos[($CellContext`x^2 + 2 $CellContext`y^2)/4], 
                 2 + $CellContext`x^2 - $CellContext`y^2}, 
                BaseStyle -> {12, FontFamily -> "Courier", Plain}], 
               Style["Funktion: ", {FontFamily -> "Liberation Sans", 12, Bold, 
                 RGBColor[0.35, 0.35, 0.35], Background -> 
                 RGBColor[1, 1, 1, 0]}], Top], "\n", 
              Row[{
                Labeled[
                 Slider[
                  Dynamic[$CellContext`xa], {-3, 0, 0.2}], 
                 Style[
                 "Linke x-Intervallgrenze:", {
                  FontFamily -> "Liberation Sans", 12, Bold, 
                   RGBColor[0.35, 0.35, 0.35], Background -> 
                   RGBColor[1, 1, 1, 0]}], Top], 
                Dynamic[$CellContext`xa]}], 
              Row[{
                Labeled[
                 Slider[
                  Dynamic[$CellContext`xb], {0, 3, 0.2}], 
                 Style[
                 "Rechte x-Intervallgrenze:", {
                  FontFamily -> "Liberation Sans", 12, Bold, 
                   RGBColor[0.35, 0.35, 0.35], Background -> 
                   RGBColor[1, 1, 1, 0]}], Top], 
                Dynamic[$CellContext`xb]}], 
              Row[{
                Labeled[
                 Slider[
                  Dynamic[$CellContext`ya], {-3, 0, 0.2}], 
                 Style[
                 "Linke y-Intervallgrenze:", {
                  FontFamily -> "Liberation Sans", 12, Bold, 
                   RGBColor[0.35, 0.35, 0.35], Background -> 
                   RGBColor[1, 1, 1, 0]}], Top], 
                Dynamic[$CellContext`ya]}], 
              Row[{
                Labeled[
                 Slider[
                  Dynamic[$CellContext`yb], {0, 3, 0.2}], 
                 Style[
                 "Rechte y-Intervallgrenze:", {
                  FontFamily -> "Liberation Sans", 12, Bold, 
                   RGBColor[0.35, 0.35, 0.35], Background -> 
                   RGBColor[1, 1, 1, 0]}], Top], 
                Dynamic[$CellContext`yb]}], ""}, Top], 
            Grid[{{
               Labeled[
                Dynamic[
                 Plot3D[
                  Evaluate[
                   
                   D[$CellContext`chosenFunction, $CellContext`x]], \
{$CellContext`x, $CellContext`xa, $CellContext`xb}, {$CellContext`y, \
$CellContext`ya, $CellContext`yb}, AxesLabel -> Automatic, 
                  ImageSize -> {$CellContext`imageWidth, \
$CellContext`imageHeight}, ExclusionsStyle -> {None, Red}, ClippingStyle -> 
                  None]], 
                Dynamic[
                 Style[
                  StringJoin["\!\(\*SubscriptBox[\(f\), \(x\)]\)(x,y) = ", 
                   ToString[
                    TraditionalForm[
                    
                    D[$CellContext`chosenFunction, $CellContext`x]]]], \
$CellContext`plotLabelStyle]]], 
               Labeled[
                Dynamic[
                 Plot3D[
                  Evaluate[
                   
                   D[$CellContext`chosenFunction, $CellContext`y]], \
{$CellContext`x, $CellContext`xa, $CellContext`xb}, {$CellContext`y, \
$CellContext`ya, $CellContext`yb}, AxesLabel -> Automatic, 
                  ImageSize -> {$CellContext`imageWidth, \
$CellContext`imageHeight}, ExclusionsStyle -> {None, Red}, ClippingStyle -> 
                  None]], 
                Dynamic[
                 Style[
                  StringJoin["\!\(\*SubscriptBox[\(f\), \(y\)]\)(x,y) = ", 
                   ToString[
                    TraditionalForm[
                    
                    D[$CellContext`chosenFunction, $CellContext`y]]]], \
$CellContext`plotLabelStyle]]]}, {
               Labeled[
                Dynamic[
                 Plot3D[
                  Evaluate[
                   
                   D[$CellContext`chosenFunction, $CellContext`x, \
$CellContext`y]], {$CellContext`x, $CellContext`xa, $CellContext`xb}, \
{$CellContext`y, $CellContext`ya, $CellContext`yb}, AxesLabel -> Automatic, 
                  ImageSize -> {$CellContext`imageWidth, \
$CellContext`imageHeight}, ExclusionsStyle -> {None, Red}, ClippingStyle -> 
                  None]], 
                Dynamic[
                 Style[
                  StringJoin["\!\(\*SubscriptBox[\(f\), \(xy\)]\)(x,y) = ", 
                   ToString[
                    TraditionalForm[
                    
                    D[$CellContext`chosenFunction, $CellContext`x, \
$CellContext`y]]], "\n"], $CellContext`plotLabelStyle]]], 
               Labeled[
                Dynamic[
                 Plot3D[
                  Evaluate[
                   
                   D[$CellContext`chosenFunction, $CellContext`y, \
$CellContext`x]], {$CellContext`x, $CellContext`xa, $CellContext`xb}, \
{$CellContext`y, $CellContext`ya, $CellContext`yb}, AxesLabel -> Automatic, 
                  ImageSize -> {$CellContext`imageWidth, \
$CellContext`imageHeight}, ExclusionsStyle -> {None, Red}, ClippingStyle -> 
                  None]], 
                Dynamic[
                 Style[
                  StringJoin["\!\(\*SubscriptBox[\(f\), \(yx\)]\)(x,y) = ", 
                   ToString[
                    TraditionalForm[
                    
                    D[$CellContext`chosenFunction, $CellContext`y, \
$CellContext`x]]], "\n"], $CellContext`plotLabelStyle]]]}}, Background -> 
             RGBColor[1, 1, 1]]}]}, Top], $CellContext`funcPlot = Labeled[
         Dynamic[
          
          Plot3D[$CellContext`chosenFunction, {$CellContext`x, \
$CellContext`xa, $CellContext`xb}, {$CellContext`y, $CellContext`ya, \
$CellContext`yb}, AxesLabel -> Automatic, 
           ImageSize -> {$CellContext`imageWidth, $CellContext`imageHeight}, 
           ExclusionsStyle -> {None, Red}, ClippingStyle -> None]], 
         Dynamic[
          Style[
           StringJoin["f(x,y) = ", 
            ToString[
             TraditionalForm[$CellContext`chosenFunction]], 
            "\n"], $CellContext`plotLabelStyle]]], \
$CellContext`chosenFunction = 
       Sin[$CellContext`x] 
        Sin[$CellContext`y], $CellContext`xa = -3, $CellContext`xb = 
       3, $CellContext`ya = -3, $CellContext`yb = 3, $CellContext`imageWidth = 
       280, $CellContext`imageHeight = 
       280, $CellContext`plotLabelStyle = {FontFamily -> "Times", 14, Plain, 
         RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0]}}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.440972086925099*^9, 3.4409720928488083`*^9}, {
   3.440972155821704*^9, 3.440972180247932*^9}, {3.440972366281646*^9, 
   3.4409723727739363`*^9}, {3.44097252479196*^9, 3.440972534574957*^9}, {
   3.44097329506845*^9, 3.440973363687933*^9}, {3.4409734137214527`*^9, 
   3.4409734572019567`*^9}, 3.440973489575231*^9, 3.440973521425499*^9, {
   3.440973682184682*^9, 3.4409737255628777`*^9}, {3.4409737589437037`*^9, 
   3.440973761421921*^9}, {3.440973814586957*^9, 3.440973867195376*^9}, {
   3.440973905537599*^9, 3.4409739077701607`*^9}, 3.441016571560212*^9, 
   3.4410166559196863`*^9, {3.441016720615415*^9, 3.441016773979713*^9}, {
   3.4410168872092047`*^9, 3.44101689373919*^9}, {3.4410169255616283`*^9, 
   3.441017014097035*^9}, {3.441018936221189*^9, 3.441018981938388*^9}, {
   3.441019584197639*^9, 3.4410195911814537`*^9}, {3.441019662045939*^9, 
   3.441019674237862*^9}, {3.4410206964074907`*^9, 3.44102070171063*^9}, {
   3.4410208638289833`*^9, 3.4410208695376596`*^9}, {3.441020908134487*^9, 
   3.4410209153025017`*^9}, {3.441021121134407*^9, 3.441021126893139*^9}, 
   3.441021526480142*^9, {3.441022129023819*^9, 3.441022135059391*^9}, {
   3.441022240930766*^9, 3.441022247255698*^9}, {3.4410223591496983`*^9, 
   3.441022403677547*^9}, {3.441022692978364*^9, 3.441022711318739*^9}, {
   3.4410231461403503`*^9, 3.441023151443261*^9}, {3.4410232769944696`*^9, 
   3.441023282961165*^9}, 3.441023449534853*^9, {3.441024023162396*^9, 
   3.441024081706196*^9}, 3.4410241635667*^9, {3.441351946350996*^9, 
   3.4413519660946198`*^9}, {3.441352617070182*^9, 3.441352635942788*^9}, 
   3.441352680385558*^9, 3.4413528190517397`*^9, {3.4413529044260178`*^9, 
   3.441352914373468*^9}, 3.4413529573804493`*^9, 3.44135305299331*^9, 
   3.441353475033148*^9, 3.441353600396153*^9, 3.441354424161128*^9, 
   3.4413549839721193`*^9, 3.441355479619361*^9, 3.4413559553410482`*^9, 
   3.441357047081376*^9, 3.44135723456408*^9, 3.441357637260993*^9, 
   3.441357834915552*^9, 3.441357924306252*^9, {3.4413581299916687`*^9, 
   3.441358153382165*^9}, 3.441358211087571*^9, 3.44135853013645*^9, 
   3.4413587333374*^9, 3.44136217514921*^9, 3.4413622759016438`*^9, 
   3.441362384911944*^9, 3.4413625311843023`*^9, 3.441362621068084*^9, 
   3.4413626929425163`*^9, 3.441363187192192*^9, 3.441363259430752*^9, 
   3.4413633171660347`*^9, 3.44136356304148*^9, 3.44136409616671*^9, 
   3.441364200208652*^9, 3.4413642412326097`*^9, 3.441364425251487*^9, 
   3.441364500270343*^9, 3.4413646047965193`*^9, 3.4413647637862797`*^9, 
   3.4413659082463093`*^9, 3.441366036773901*^9, 3.441366398536871*^9, {
   3.441366562369376*^9, 3.441366569063839*^9}, 3.441366615577922*^9, 
   3.441366681416151*^9, 3.441366733856304*^9, 3.44136685579701*^9, 
   3.44136992160599*^9, 3.441370042550826*^9, 3.4413701037873487`*^9, 
   3.441370211983583*^9, 3.4413702540945177`*^9, 3.441370347907579*^9, 
   3.441370423496064*^9, 3.44137076347558*^9, 3.4413709216164007`*^9, 
   3.441371083728664*^9, 3.4413711886592913`*^9, {3.441371250901355*^9, 
   3.441371264561771*^9}, 3.441371387010317*^9, {3.441371421127728*^9, 
   3.441371440404138*^9}, 3.441371542911851*^9, 3.4413715894917707`*^9, {
   3.441371657926983*^9, 3.441371672342948*^9}, 3.441371866612358*^9, 
   3.441371987628167*^9, {3.441372095275387*^9, 3.4413721163662024`*^9}, 
   3.4413723465604143`*^9, 3.441372416791243*^9, 3.441372762396268*^9, 
   3.441372865487246*^9, 3.441373248209186*^9, 3.441374097191948*^9, 
   3.44137415780135*^9, 3.441374260742898*^9, 3.4413743999720697`*^9, 
   3.441427020283379*^9, 3.44326195034986*^9, {3.4432622973342133`*^9, 
   3.443262324904937*^9}, 3.4432625476543627`*^9}]
}, Open  ]],

Cell["\<\
 \[Copyright] 2008 Projekt LEMUREN, ETH Z\[UDoubleDot]rich\
\>", "Text",
 CellChangeTimes->{{3.440321615228863*^9, 3.44032161910703*^9}, 
   3.440321677648122*^9, {3.440321743760193*^9, 3.44032174593292*^9}, 
   3.4404108645993357`*^9, 3.440428445791339*^9, 3.440428484443315*^9, {
   3.440828601541772*^9, 3.440828614827485*^9}, {3.442152184914164*^9, 
   3.442152187746812*^9}, {3.442152224957288*^9, 3.442152249749398*^9}},
 FontFamily->"Liberation Sans",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
},
AutoGeneratedPackage->None,
WindowSize->{1412, 815},
WindowMargins->{{0, Automatic}, {Automatic, 25}},
DockedCells->FEPrivate`If[
  FEPrivate`SameQ[FEPrivate`$ProductIDName, "MathematicaPlayer"], 
  FEPrivate`Join[{
    Cell[
     BoxData[
      GraphicsBox[
       RasterBox[CompressedData["
1:eJztXXdYFNfaz3O/f+79vudek3vTLKBIEaQpTRC7BgtqLCTWGxNjYsFookE0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        "], {{0, 0}, {557, 41}}, {0, 255}, 
        ColorFunction -> RGBColor], ImageSize -> {557, 41}, 
       PlotRange -> {{0, 557}, {0, 41}}]], "DockedCell", Background -> 
     GrayLevel[0.866682], CellFrame -> {{0, 0}, {0, 4}}, CellFrameColor -> 
     RGBColor[0.690074, 0.12871, 0.194598], CellMargins -> {{0, 0}, {-3, 0}}, 
     CellFrameMargins -> 0, ContextMenu -> None, 
     ComponentwiseContextMenu -> {}], 
    Cell[
     BoxData[
      GridBox[{{
         GraphicsBox[
          RasterBox[CompressedData["
1:eJztWl1Ik1EYFrqNEoLMbHPmNkRrEhJERj93ra4cJvbDRIsyMk1pc03tTL1w
aD+LfkQIJBkR/dBFdtHFDLywCykqoqgLIYRu6jbb8me933e+HT/P2fZN+sZ0
vg9n43zfec973nPe57zvOWNFDS2OhnU5OTlG+LyBj1S/ikAgEAgEAoFAIBAI
xEpFMBh8jUgPYG0z7d7MAOYedm/Bko4Ca5tp92YGSCokle5AUiGpdAeSCkml
O0RS/R1tjEajUIHvyIhdehPyLNZjrVSAgT5CK1Tmf32e+/qcdYEy+/4+vKTd
oQJN89PjojbaHcrCzE8qn0RGfIxrEjcF0SomD49hYqDDUUSGKtUKWRMYz42L
pFJDg1RPamGdlRWGuuDi2Yl+WHkoiy72W6jjgFeSm/wWKEAScCvtCxWpSzxt
1FPU9dJ76Lt8UnEmcVMQrWImUQE6nKJB7sgUKpb4LcpEtHiFpEpEKim2TI8n
IhXv4pAHXCAJEAPIq7d5JFAOYYEGKHEstTbQAJKSx+XH5ZKKE+CmIFq1ZC/E
SBVXoboJyMliKZKKgyapwLlK1ohHKgpYYfGRbnNpg4c8dP3prtckFQ0gUm5K
miKpVZxnRZP4KcSziiU1bjhOobpJ2TtIqnhITipYZ7byydJfoDzMpT9ZWMo1
EHbgBBLyhOWzlmakUtKQnB/VuUYkFbWNjZXIJHEKnFVL0t+IXSQVU4iRKkUk
JxVzhJI7hirpDpXOGzJ5eFLFvMNORxAlaJZhmtmZStQGAvSQA/FECSksH/kt
VLMyokw5qHDOFU3ipiBaxZmtTSo8U2lBI1LF/BWNXZ0Y1LckLo9IqQdYIWdA
9T0uvPT2J2qjrUr2lGMRSzrq4eiIVIxFGC5bMZO4KYhWcWYnSn8gv3j7k+vJ
GbVaSNXt9fo6O/XVib9Tpa+sClLdvtB0q+WSvjqRVGucVA/q6p9V1+irE0m1
xkk1cuLk2O49+upEUq1xUg1X14yZraSrS0ed+H+q9GFV/J+qx25/u9U40Nqa
aUMQ2YMrFRWf8g0vDh9JvUvgYjPR+8KIyA5AyiNeb1Pe5ql840xxSV97eyq9
Hp1y3nE602waYoXC19GRqInIGHC57lY53Lm53/O2RQ3Fr6qqNXUG609/LLX1
ulOiHyL74D/XeLPxvPiexHDtsuulyexbv2GqwLRgNP8xl/W7XAQE1IUQ1nHw
zNl5o2XYoc09RLbC5/E8te26V9+gfskY5SPkuss1abLc2Ljpm9E8Z7FFt++c
POroJoQWn1wotQAPj9XMFZp/m6y9bndGpoNYCZBikbNuoqBwsPY4IxIrQJu+
trYf5pLRfOOXotJw6d7Zsv0LtkOPzzb1ENKjolagueVD5YGodUfEZH2372Cm
p4X4X/wDFcRtOg==
           "], {{0, 0}, {199, 30}}, {0, 255}, ColorFunction -> 
           RGBColor], ImageSize -> {199, 30}, 
          PlotRange -> {{0, 199}, {0, 30}}], 
         ButtonBox[
          GraphicsBox[
           RasterBox[CompressedData["
1:eJztlDFuhFAMRJHS5w45Re6RI+wFcoOUtNtR0lJSUlNSUtNS0m9JXjTKaPQh
UfpgCeT1n2+Px15ebu9vt6eqqp55Xnm+/I/L/p+1bbtt277vvJumIcKbnwWs
73vBsHVdE1bXNQ55Ho8HMOEd3L9tWRZ+6tRBrrjEMAwigHO/37M6SII40zRB
Q7QLkpQWjKOu63RqGHHVIoOYYAR16oucinYGxUo2jqMIzPNMnpQRPF2nMkeS
cCBDXsm7ZNZp6oZRS3wsIBFNIYM2iY8gYmJA8imqawHcOAKqio4KSp4O7Qjp
K1nOUygasaG2hoKSaud3krkArggZzyhhTohP3Uz7E0mNu9g98oj26exOSTon
fRUtn8IUJL+W80gyuz6OW3mgrSXXEv5dSaRTaRz9KQpY/knxtVomKdFQxvFT
JZFR6pFBJWT5tbEvR9+H3F6S+GOSMC+DTHtrHYyh32Qu855cdhn2CUundjY=

            "], {{0, 0}, {55, 14}}, {0, 255}, ColorFunction -> RGBColor], 
           ImageSize -> {55, 14}, PlotRange -> {{0, 55}, {0, 14}}], 
          ButtonData -> {
            URL["http://store.wolfram.com/view/app/playerpro/"], None}, 
          ButtonNote -> "http://store.wolfram.com/view/app/playerpro/"], 
         GraphicsBox[
          
          RasterBox[{{{132, 132, 132}, {156, 155, 155}}, {{138, 137, 137}, {
           171, 169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 137, 
           137}, {171, 169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 
           137, 137}, {171, 169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{
           138, 137, 137}, {171, 169, 169}}, {{138, 137, 137}, {171, 169, 
           169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 137, 137}, {171, 
           169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 137, 137}, {
           171, 169, 169}}, {{135, 135, 135}, {167, 166, 166}}}, {{0, 0}, {2, 
           14}}, {0, 255}, ColorFunction -> RGBColor], ImageSize -> {2, 14}, 
          PlotRange -> {{0, 2}, {0, 14}}], 
         ButtonBox[
          GraphicsBox[
           RasterBox[CompressedData["
1:eJztlSGSg2AMhTuzfu+wB1qzR+gF9gbIWhwSW4lEV1ZWYyvxSPZb3vAmDdDq
zpCZdvKH5CUvfwhfx9+f48fhcPjk983vXy922eU9paqqcRx9HGcZhiE+PZ1O
KHVd24KOgt0WFKLQ27ZdJrper0JGcS5CVqs6n89yRpGl73tZBK6kkvv97kCe
ChOlLEvbVW2kiYPoxKcYRdwWld00jS2EcFSFMYXCqbOcBJzL5aJcxK7SFEFB
GQFn8AWupPUkMRfIJEK53W5d1z2hGVP7yohVbfanWoxAJQTfeywbT1+xK9mi
GQGTj8FT0uRAN3Tdjl3SlNANP5WoabIIRP+x52ojLEgXs8fxs7+R1cCXNFH6
SVJhKZwx0+BxBZ7nraGNpBSrEFlA1khgRDcCRg1navIWTeVKPVmliaeaL+c4
tCmcknRHfjtWaS6HNtYmC1wYjGJ+6eKjJcficWgVssz1nGbabFtD682gZaIO
MHXqkq/vyW3GFaQXliNuOhbz9lOHU3a6SrhWkCmnXC9pUoPBt1aQpquYrtJt
0f6Pazkd497W1MkSlxierkrrN254iz8oHqS0ByzxGzfOHx2yq9plYSl8l13e
Xf4ArlmHrg==
            "], {{0, 0}, {77, 14}}, {0, 255}, ColorFunction -> 
            RGBColor], ImageSize -> {77, 14}, 
           PlotRange -> {{0, 77}, {0, 14}}], ButtonData -> {
            URL[
            "http://www.wolfram.com/solutions/interactivedeployment/\
licensingterms.html"], None}, ButtonNote -> 
          "http://www.wolfram.com/solutions/interactivedeployment/\
licensingterms.html"]}}, ColumnsEqual -> False, 
       GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}]], 
     "DockedCell", Background -> GrayLevel[0.494118], 
     CellFrame -> {{0, 0}, {4, 0}}, CellFrameColor -> 
     RGBColor[0.690074, 0.12871, 0.194598], CellMargins -> 0, 
     CellFrameMargins -> {{0, 0}, {0, -1}}, ContextMenu -> None, 
     ComponentwiseContextMenu -> {}, 
     ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
          NotebookLocate[#2]}]& ), Appearance -> None, ButtonFrame -> None, 
       Evaluator -> None, Method -> "Queued"}]}, 
   FEPrivate`If[
    FEPrivate`SameQ[
     FrontEnd`CurrentValue[
      FrontEnd`EvaluationNotebook[], ScreenStyleEnvironment], "SlideShow"], {
    Inherited}, {}]], Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 62850, 1079, 19, "Input",
 CellOpen->False,
 InitializationCell->True],
Cell[CellGroupData[{
Cell[63420, 1103, 5831, 87, 19, "Input",
 CellOpen->False],
Cell[69254, 1192, 15607, 307, 738, "Output"]
}, Open  ]],
Cell[84876, 1502, 511, 10, 29, "Text"]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 0vDEzoPZFeTnOCgjrDmHSzzD *)
