(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4715,        172]
NotebookOptionsPosition[      3861,        142]
NotebookOutlinePosition[      4359,        161]
CellTagsIndexPosition[      4316,        158]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Graphische Darstellung einer Funktion und ihrer Ableitungen", "Title",
 CellChangeTimes->{{3.453289667296875*^9, 3.4532896683125*^9}}],

Cell["\<\
Analysis I,  D-MATV/D-MATL 
2005/2006  
Giovanni Felder, ETH\
\>", "Subsubtitle",
 Editable->False],

Cell["\<\
In diesem Notebook werden die erste und die zweite Ableitung einer Funktion \
berechnet und grafisch dargestellt.\
\>", "Abstract",
 Editable->False],

Cell["\<\
[Shift-Enter in Inputzellen drucken]
Eingabe der Funktion:\
\>", "Text",
 Editable->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"f", "[", "x_", "]"}], "=", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"5", "x"}]}], ")"}], 
     RowBox[{
      RowBox[{"Sin", "[", 
       RowBox[{"x", "^", "2"}], "]"}], "/", "x"}]}]}], "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{"a", "=", 
     RowBox[{"-", "2"}]}], ";", " ", 
    RowBox[{"b", "=", "2"}], ";"}]}], " ", 
  RowBox[{"(*", 
   RowBox[{"Grenzen", " ", "des", " ", "Definitionsbereichs"}], 
   "*)"}]}]], "Input"],

Cell["Die Funktion und ihre erste und zweite Ableitungen", "Text",
 Editable->False],

Cell[BoxData[{
 RowBox[{"f", "[", "x", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f", "'"}], "[", "x", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f", "''"}], "[", "x", "]"}]}], "Input"],

Cell[BoxData[{
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"f", "'"}], "[", "x", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"f", "''"}], "[", "x", "]"}], "]"}]}], "Input"],

Cell["Grafische Darstellung:", "Text",
 Editable->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"f", "[", "x", "]"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"x", ",", "a", ",", "b"}], "}"}]}], "]"}], "          ", 
  RowBox[{"(*", " ", 
   RowBox[{"Plot", " ", "f", " ", "on", " ", "the", " ", 
    RowBox[{"interval", " ", "[", 
     RowBox[{"a", ",", "b"}], "]"}]}], " ", "*)"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"f", "[", "x", "]"}], ",", 
      RowBox[{
       RowBox[{"f", "'"}], "[", "x", "]"}], ",", 
      RowBox[{
       RowBox[{"f", "''"}], "[", "x", "]"}]}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Black", ",", "Green", ",", "Red"}], "}"}]}]}], "]"}], 
  " "}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"f", "[", "x", "]"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", 
    RowBox[{"PlotLabel", "->", "\"\<y=f(x)\>\""}]}], "]"}], "     ", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "'"}], "[", "x", "]"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", 
    RowBox[{"PlotLabel", "->", "\"\<y=f'(x)\>\""}]}], "]"}], "    ", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "''"}], "[", "x", "]"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", 
    RowBox[{"PlotLabel", "->", "\"\<y=f''(x)\>\""}]}], "]"}], 
  "          "}]], "Input"]
}, Open  ]]
},
ScreenStyleEnvironment->"Working",
WindowToolbars->"EditBar",
WindowSize->{970, 651},
WindowMargins->{{Automatic, 0}, {Automatic, 0}},
ShowSelection->True,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "NaturalColor.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 140, 1, 127, "Title"],
Cell[733, 26, 109, 5, 69, "Subsubtitle"],
Cell[845, 33, 159, 4, 23, "Abstract"],
Cell[1007, 39, 100, 4, 47, "Text"],
Cell[1110, 45, 532, 19, 62, "Input"],
Cell[1645, 66, 84, 1, 29, "Text"],
Cell[1732, 69, 203, 5, 82, "Input"],
Cell[1938, 76, 220, 6, 62, "Input"],
Cell[2161, 84, 56, 1, 29, "Text"],
Cell[2220, 87, 372, 10, 41, "Input"],
Cell[2595, 99, 494, 16, 41, "Input"],
Cell[3092, 117, 753, 22, 62, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

