(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    165670,       3231]
NotebookOptionsPosition[    149066,       2931]
NotebookOutlinePosition[    165618,       3228]
CellTagsIndexPosition[    165575,       3225]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Styles", " ", "definitions"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"titleStyle", " ", "=", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"FontFamily", " ", "\[Rule]", "\"\<Liberation Sans\>\""}], 
        ",", "14", ",", "Bold", ",", " ", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
        RowBox[{"Background", "\[Rule]", 
         RowBox[{"RGBColor", "[", 
          RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}]}], "}"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"tagAtRight", " ", "=", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"FontFamily", " ", "\[Rule]", "\"\<Liberation Sans\>\""}], 
        ",", "12", ",", "Bold", ",", " ", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"0", ",", 
          RowBox[{"33", "/", "255"}], ",", 
          RowBox[{"66", "/", "255"}]}], "]"}], ",", 
        RowBox[{"Background", "\[Rule]", 
         RowBox[{"RGBColor", "[", 
          RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}], ",", 
        RowBox[{"TextAlignment", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Right", ",", "Top"}], "}"}]}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"textStyle", " ", "=", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"FontFamily", " ", "\[Rule]", "\"\<Liberation Sans\>\""}], 
        ",", "10", ",", "Bold", ",", " ", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
        RowBox[{"Background", "\[Rule]", 
         RowBox[{"RGBColor", "[", 
          RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}], ",", 
        RowBox[{"AutoIndent", "\[Rule]", "False"}], ",", 
        RowBox[{"ParagraphIndent", "\[Rule]", "0"}], ",", 
        RowBox[{"TextJustification", "\[Rule]", "1"}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"explanationStyle", " ", "=", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"FontFamily", " ", "\[Rule]", "\"\<Times\>\""}], ",", "14", 
        ",", "Plain", ",", " ", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
        RowBox[{"Background", "\[Rule]", 
         RowBox[{"RGBColor", "[", 
          RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}], ",", 
        RowBox[{"AutoIndent", "\[Rule]", "False"}], ",", 
        RowBox[{"ParagraphIndent", "\[Rule]", "0"}], ",", 
        RowBox[{"TextJustification", "\[Rule]", "1"}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"mathStyle", " ", "=", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"FontFamily", " ", "\[Rule]", "\"\<Liberation Serif\>\""}], 
        ",", "14", ",", "Bold", ",", " ", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
        RowBox[{"Background", "\[Rule]", 
         RowBox[{"RGBColor", "[", 
          RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}], ",", 
        RowBox[{"AutoIndent", "\[Rule]", "False"}], ",", 
        RowBox[{"ParagraphIndent", "\[Rule]", "0"}], ",", 
        RowBox[{"TextJustification", "\[Rule]", "1"}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"plotLabelStyle", " ", "=", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"FontFamily", " ", "\[Rule]", "\"\<Times\>\""}], ",", "14", 
        ",", "Plain", ",", " ", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
        RowBox[{"Background", "\[Rule]", 
         RowBox[{"RGBColor", "[", 
          RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}]}], "}"}]}], 
     ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"TabView", "[", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"**", " ", "Tab1"}], " ", "**)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<Koordinatentransformation und Gebietsintegral\>\"", ",", 
            "titleStyle"}], "]"}], " ", "\[Rule]", "\[IndentingNewLine]", 
          RowBox[{"Column", "[", 
           RowBox[{
            RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{"Explanation", " ", "Button", " ", "Row"}], " ", "*)"}],
              "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Button", "[", 
                  RowBox[{
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<Erkl\[ADoubleDot]rung\>\"", ",", "9"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"CreateDocument", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"TextCell", "[", "\[IndentingNewLine]", 
                    RowBox[{"Pane", "[", "\[IndentingNewLine]", 
                    RowBox[{"Column", "[", 
                    RowBox[{
                    RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"TextCell", "[", 
                    RowBox[{"\"\<\\nZiel:\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"explanationStyle", ",", "Bold", ",", "16"}], 
                    "}"}]}], "]"}], "\[IndentingNewLine]", ",", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{
                    "\"\<Das erste Tab dieser Visualisierung stellt dar, wie \
eine Koordinatentransformation die Berechnung des Integrals \[UDoubleDot]ber \
einem - \\\"durch kompliziertere Kurven\\\" begrenzten - Gebiet vereinfachen \
kann. Im dargestellten Spezialfall, dass der Integrand die konstante Funktion \
f(x,y) := 1 ist, handelt es sich dann insbesondere um eine Methode, den Fl\
\[ADoubleDot]cheninhalt eines durch solche Kurven berandeten Gebiets zu \
berechnen.\\n\>\"", ",", "explanationStyle"}], "]"}], "\[IndentingNewLine]", 
                    ",", " ", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{"\"\<Aktivit\[ADoubleDot]t:\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"explanationStyle", ",", "Bold", ",", "16"}], 
                    "}"}]}], "]"}], "\[IndentingNewLine]", ",", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{
                    "\"\<Mit den vier Reglern k\[ODoubleDot]nnen Sie das \
Gebiet R definieren. Beachten Sie simultan, wie sich das transformierte \
Gebiet S ver\[ADoubleDot]ndert. Dieses ist ein Rechteck, also kann das \
transformierte Integral und damit in unserem Fall der \
Fl\[ADoubleDot]cheninhalt mittels eines Zweifach-Integrals berechnet \
werden.\\nVorsicht: Diese Transformation ist jedoch nicht \
fl\[ADoubleDot]chenerhaltend und deshalb l\[ADoubleDot]sst sich der Fl\
\[ADoubleDot]cheninhalt nicht direkt \\\"aus dem Rechteck ablesen\\\". Dies \
sieht man auch daran, dass im Zweifach-Integral der Wert der \
Jacobi-Determinante als \\\"Korrektur-Integrand\\\" auftritt.\\n\>\"", ",", 
                    "explanationStyle"}], "]"}], "\[IndentingNewLine]", ",", 
                    " ", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{"\"\<Tipp:\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"explanationStyle", ",", "Bold", ",", "16"}], 
                    "}"}]}], "]"}], "\[IndentingNewLine]", ",", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{
                    "\"\<In einer weiteren Visualisierung erfahren Sie mehr \
dar\[UDoubleDot]ber, welche Rolle die Jacobi-Determinante in der Formel der \
Koordinatentransformation f\[UDoubleDot]r das Gebietsintegral hat, bzw. wieso \
sie hier auftaucht.\>\"", ",", "explanationStyle"}], "]"}]}], 
                    "\[IndentingNewLine]", "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Left", ",", "Top"}], "}"}]}], "]"}], 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], 
                    "]"}], ",", 
                    RowBox[{"WindowFrame", "\[Rule]", "\"\<Normal\>\""}], ",", 
                    RowBox[{"WindowSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"650", ",", "500"}], "}"}]}], ",", 
                    RowBox[{
                    "WindowTitle", "\[Rule]", 
                    "\"\<Erkl\[ADoubleDot]rung\>\""}]}], "]"}], ",", 
                   RowBox[{"ImageSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"90", ",", "20"}], "}"}]}], ",", 
                   RowBox[{"Background", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.9", ",", "0.9", ",", "0.9"}], "]"}]}]}], "]"}],
                  ",", " ", "\"\<  \>\""}], "\[IndentingNewLine]", "}"}], 
               "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{"Manipulate", " ", "Row"}], " ", "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Column", "[", 
                 RowBox[{
                  RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Show", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"r", " ", 
                    RowBox[{"Cos", "[", "theta", "]"}]}], ",", 
                    RowBox[{"r", " ", 
                    RowBox[{"Sin", "[", "theta", "]"}]}]}], "}"}], 
                    "\[IndentingNewLine]", ",", 
                    RowBox[{"{", 
                    RowBox[{"r", ",", "r1", ",", "r2"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"theta", ",", "theta1", ",", "theta2"}], "}"}], 
                    ",", 
                    RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
                    RowBox[{"AspectRatio", "\[Rule]", 
                    RowBox[{"11", "/", "22"}]}], ",", 
                    RowBox[{"Axes", "\[Rule]", "True"}], ",", 
                    RowBox[{"Frame", "\[Rule]", "False"}], ",", 
                    RowBox[{"AxesLabel", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
                    RowBox[{"AxesOrigin", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "11"}], ",", "0"}], "}"}]}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "11"}], ",", "11"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "11"}], "}"}]}], "}"}]}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"400", ",", "200"}], "}"}]}]}], 
                    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
                    
                    RowBox[{"Graphics", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "0", ",", "1", ",", "1"}], "]"}], ",", 
                    "Dotted", ",", 
                    RowBox[{"Circle", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"r1", "+", 
                    RowBox[{"0.25", 
                    RowBox[{"(", 
                    RowBox[{"r2", "-", "r1"}], ")"}]}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "theta1"}], "}"}]}], "]"}]}], "}"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    "\"\<\!\(\*SubscriptBox[\(\[Theta]\), \(1\)]\)\>\"", ",", 
                    
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"r1", "+", 
                    RowBox[{"0.25", 
                    RowBox[{"(", 
                    RowBox[{"r2", "-", "r1"}], ")"}]}]}], ",", "theta1"}], 
                    "}"}]}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "0.5", ",", "0", ",", "1"}], "]"}], ",",
                     "Dotted", ",", 
                    RowBox[{"Circle", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"r1", "+", 
                    RowBox[{"0.75", 
                    RowBox[{"(", 
                    RowBox[{"r2", "-", "r1"}], ")"}]}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "theta2"}], "}"}]}], "]"}]}], "}"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    "\"\<\!\(\*SubscriptBox[\(\[Theta]\), \(2\)]\)\>\"", ",", 
                    
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"r1", "+", 
                    RowBox[{"0.75", 
                    RowBox[{"(", 
                    RowBox[{"r2", "-", "r1"}], ")"}]}]}], ",", "theta2"}], 
                    "}"}]}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.5", ",", "0.5", ",", "0.5", ",", "1"}], "]"}], 
                    ",", "Dotted", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"r1", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"theta1", " ", "+", " ", 
                    RowBox[{"0.25", " ", 
                    RowBox[{"(", 
                    RowBox[{"theta2", " ", "-", " ", "theta1"}], ")"}]}]}], 
                    "]"}]}], ",", 
                    RowBox[{"r1", " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"theta1", " ", "+", " ", 
                    RowBox[{"0.25", " ", 
                    RowBox[{"(", 
                    RowBox[{"theta2", " ", "-", " ", "theta1"}], ")"}]}]}], 
                    "]"}]}]}], "}"}]}], "}"}], "]"}]}], "}"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{"Text", "[", 
                    RowBox[{"\"\<\!\(\*SubscriptBox[\(r\), \(1\)]\)\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r1", "-", "0.6"}], ")"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"theta1", " ", "+", " ", 
                    RowBox[{"0.25", " ", 
                    RowBox[{"(", 
                    RowBox[{"theta2", " ", "-", " ", "theta1"}], ")"}]}]}], 
                    "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r1", "-", "0.6"}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"theta1", " ", "+", " ", 
                    RowBox[{"0.25", " ", 
                    RowBox[{"(", 
                    RowBox[{"theta2", " ", "-", " ", "theta1"}], ")"}]}]}], 
                    "]"}]}]}], "}"}]}], "]"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.5", ",", "0.5", ",", "0.5", ",", "1"}], "]"}], 
                    ",", "Dotted", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"r2", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"theta1", " ", "+", " ", 
                    RowBox[{"0.75", " ", 
                    RowBox[{"(", 
                    RowBox[{"theta2", " ", "-", " ", "theta1"}], ")"}]}]}], 
                    "]"}]}], ",", 
                    RowBox[{"r2", " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"theta1", " ", "+", " ", 
                    RowBox[{"0.75", " ", 
                    RowBox[{"(", 
                    RowBox[{"theta2", " ", "-", " ", "theta1"}], ")"}]}]}], 
                    "]"}]}]}], "}"}]}], "}"}], "]"}]}], "}"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{"Text", "[", 
                    RowBox[{"\"\<\!\(\*SubscriptBox[\(r\), \(2\)]\)\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r2", "-", "0.6"}], ")"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"theta1", " ", "+", " ", 
                    RowBox[{"0.75", " ", 
                    RowBox[{"(", 
                    RowBox[{"theta2", " ", "-", " ", "theta1"}], ")"}]}]}], 
                    "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r2", "-", "0.6"}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"theta1", " ", "+", " ", 
                    RowBox[{"0.75", " ", 
                    RowBox[{"(", 
                    RowBox[{"theta2", " ", "-", " ", "theta1"}], ")"}]}]}], 
                    "]"}]}]}], "}"}]}], "]"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.2", ",", "0.2", ",", "0.2", ",", "1"}], "]"}], 
                    ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{"\"\<R\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r1", "+", 
                    RowBox[{"0.5", 
                    RowBox[{"(", 
                    RowBox[{"r2", "-", "r1"}], ")"}]}]}], ")"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"theta1", " ", "+", " ", 
                    RowBox[{"0.5", " ", 
                    RowBox[{"(", 
                    RowBox[{"theta2", " ", "-", " ", "theta1"}], ")"}]}]}], 
                    "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r1", "+", 
                    RowBox[{"0.5", 
                    RowBox[{"(", 
                    RowBox[{"r2", "-", "r1"}], ")"}]}]}], ")"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"theta1", " ", "+", " ", 
                    RowBox[{"0.5", " ", 
                    RowBox[{"(", 
                    RowBox[{"theta2", " ", "-", " ", "theta1"}], ")"}]}]}], 
                    "]"}]}]}], "}"}]}], "]"}]}], "}"}], "]"}]}], 
                    "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", ",", " ", 
                    RowBox[{"Column", "[", 
                    RowBox[{
                    RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"TextCell", "[", 
                    RowBox[{
                    "\"\<Der Fl\[ADoubleDot]cheninhalt des Gebiets l\
\[ADoubleDot]sst sich berechnen als Gebietsintegral der konstanten Funktion \
f(x,y) := 1 \[UDoubleDot]ber diesem Gebiet:\>\"", ",", "textStyle", ",", 
                    "Plain", ",", 
                    RowBox[{"CellFrameMargins", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"6", ",", "6"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], ",", 
                    RowBox[{"CellFrame", "\[Rule]", "True"}], ",", 
                    RowBox[{"CellFrameColor", "\[Rule]", "White"}]}], "]"}], 
                    "\[IndentingNewLine]", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<A = \!\(\*UnderscriptBox[\(\[Integral]\[Integral]\), \
\(R\)]\)f(x,y)dxdy = \!\(\*UnderscriptBox[\(\[Integral]\[Integral]\), \
\(R\)]\)1dxdy\>\"", ",", "Plain"}], "]"}], "\[IndentingNewLine]", ",", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{
                    
                    "\"\<In obigen kartesischen Koordinaten ist dies aber \
schwierig. Nicht so nach untenstehender Koordinaten-Transformation in \
Polarkoordinaten (rot markiert ist die Jacobi-Determinante):\>\"", ",", 
                    "textStyle", ",", "Plain", ",", 
                    RowBox[{"CellFrameMargins", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"6", ",", "6"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], ",", 
                    RowBox[{"CellFrame", "\[Rule]", "True"}], ",", 
                    RowBox[{"CellFrameColor", "\[Rule]", "White"}]}], "]"}], 
                    "\[IndentingNewLine]", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{
                    "\"\<A = \!\(\*UnderscriptBox[\(\[Integral]\[Integral]\), \
\(S\)]\)f(\!\(\*SuperscriptBox[\(T\), \(-1\)]\)(x,y))\!\(\*
StyleBox[\"|\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[GridBox[{
{FractionBox[
RowBox[{\"\[PartialD]\", \"x\"}], 
RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[
RowBox[{\"\[PartialD]\", \"x\"}], 
RowBox[{\"\[PartialD]\", \"\[Theta]\"}]]},
{FractionBox[
RowBox[{\"\[PartialD]\", \"y\"}], 
RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[
RowBox[{\"\[PartialD]\", \"y\"}], 
RowBox[{\"\[PartialD]\", \"\[Theta]\"}]]}
}],
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"|\",
FontColor->RGBColor[1, 0, 0]]\)drd\[Theta]  = \!\(\*UnderoverscriptBox[\(\
\[Integral]\), SubscriptBox[\(\[Theta]\), \(1\)], SubscriptBox[\(\[Theta]\), \
\(2\)]]\)\!\(\*UnderoverscriptBox[\(\[Integral]\), SubscriptBox[\(r\), \
\(1\)], SubscriptBox[\(r\), \(2\)]]\)\!\(\*
StyleBox[\"r\",
FontColor->RGBColor[1, 0, 0]]\)drd\[Theta] = \>\"", "<>", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{"Integrate", "[", 
                    RowBox[{"r", ",", 
                    RowBox[{"{", 
                    RowBox[{"r", ",", "r1", ",", "r2"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"theta", ",", "theta1", ",", "theta2"}], "}"}]}], 
                    "]"}], ",", "0.1"}], "]"}], "]"}]}], ",", "Plain"}], 
                    "]"}], "\[IndentingNewLine]", ",", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{
                    "\"\<\\nGeometrisch ist das transformierte Gebiet dieser \
(nicht fl\[ADoubleDot]chenerhaltenden!) Transformation ein Rechteck bzgl. der \
transformierten Koordinaten:\>\"", ",", "textStyle", ",", "Plain", ",", 
                    RowBox[{"CellFrameMargins", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"6", ",", "6"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], ",", 
                    RowBox[{"CellFrame", "\[Rule]", "True"}], ",", 
                    RowBox[{"CellFrameColor", "\[Rule]", "White"}]}], "]"}]}],
                     "\[IndentingNewLine]", "}"}], ",", "Center"}], "]"}], 
                    "\[IndentingNewLine]", ",", " ", "\"\<  \>\"", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
                    RowBox[{"Show", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
                    RowBox[{"(*", 
                    RowBox[{"{", 
                    RowBox[{"r", ",", "theta"}], "}"}], "*)"}], 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", " ", 
                    RowBox[{"Cos", "[", "theta", "]"}]}], ")"}], "^", "2"}], 
                    "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", " ", 
                    RowBox[{"Sin", "[", "theta", "]"}]}], ")"}], "^", "2"}]}],
                     "]"}], ",", 
                    RowBox[{"ArcCos", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", " ", 
                    RowBox[{"Cos", "[", "theta", "]"}]}], ")"}], "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", " ", 
                    RowBox[{"Cos", "[", "theta", "]"}]}], ")"}], "^", "2"}], 
                    "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", " ", 
                    RowBox[{"Sin", "[", "theta", "]"}]}], ")"}], "^", "2"}]}],
                     "]"}]}], "]"}]}], "}"}], "\[IndentingNewLine]", ",", 
                    RowBox[{"{", 
                    RowBox[{"r", ",", "r1", ",", "r2"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"theta", ",", "theta1", ",", "theta2"}], "}"}], 
                    ",", 
                    RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
                    RowBox[{"AspectRatio", "\[Rule]", 
                    RowBox[{"Pi", "/", "11"}]}], ",", 
                    RowBox[{"Axes", "\[Rule]", "True"}], ",", 
                    RowBox[{"Frame", "\[Rule]", "None"}], ",", 
                    RowBox[{"AxesLabel", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"r", ",", "\"\<\[Theta]\>\""}], "}"}]}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{"(*", "Automatic", "*)"}], 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "11"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "Pi"}], "}"}]}], "}"}]}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"400", ",", "200"}], "}"}]}]}], 
                    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
                    
                    RowBox[{"Graphics", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "0", ",", "1", ",", "1"}], "]"}], ",", 
                    "Dotted", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "theta1"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"r1", ",", "theta1"}], "}"}]}], "}"}], "]"}]}], 
                    "}"}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    "\"\<\!\(\*SubscriptBox[\(\[Theta]\), \(1\)]\)\>\"", ",", 
                    
                    RowBox[{"{", 
                    RowBox[{"0.4", ",", 
                    RowBox[{"theta1", "+", "0.25"}]}], "}"}]}], "]"}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "0.5", ",", "0", ",", "1"}], "]"}], ",",
                     "Dotted", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "theta2"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"r1", ",", "theta2"}], "}"}]}], "}"}], "]"}]}], 
                    "}"}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    "\"\<\!\(\*SubscriptBox[\(\[Theta]\), \(2\)]\)\>\"", ",", 
                    
                    RowBox[{"{", 
                    RowBox[{"0.4", ",", 
                    RowBox[{"theta2", "+", "0.25"}]}], "}"}]}], "]"}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.5", ",", "0.5", ",", "0.5", ",", "1"}], "]"}], 
                    ",", "Dotted", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"r1", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"r1", ",", "theta1"}], "}"}]}], "}"}], "]"}]}], 
                    "}"}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{"Text", "[", 
                    RowBox[{"\"\<\!\(\*SubscriptBox[\(r\), \(1\)]\)\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r1", "-", "0.4"}], ")"}], ",", " ", "0.25"}], 
                    "}"}]}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.5", ",", "0.5", ",", "0.5", ",", "1"}], "]"}], 
                    ",", "Dotted", ",", 
                    RowBox[{"Line", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"r2", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"r2", ",", "theta1"}], " ", "}"}]}], "}"}], 
                    "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{"Text", "[", 
                    RowBox[{"\"\<\!\(\*SubscriptBox[\(r\), \(2\)]\)\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r2", "-", "0.4"}], ")"}], " ", ",", "0.25"}], 
                    "}"}]}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.2", ",", "0.2", ",", "0.2", ",", "1"}], "]"}], 
                    ",", 
                    RowBox[{"Text", "[", 
                    RowBox[{"\"\<S\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r1", "+", 
                    RowBox[{"0.5", 
                    RowBox[{"(", 
                    RowBox[{"r2", "-", "r1"}], ")"}]}]}], ")"}], ",", 
                    RowBox[{"theta1", " ", "+", " ", 
                    RowBox[{"0.5", " ", 
                    RowBox[{"(", 
                    RowBox[{"theta2", " ", "-", " ", "theta1"}], ")"}]}]}]}], 
                    "}"}]}], "]"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
                   "}"}], ",", "Center", ",", 
                  RowBox[{"Background", "->", 
                   RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "1", ",", "1"}], "]"}]}]}], "]"}], 
                "\[IndentingNewLine]", ",", "\"\<\>\"", "\[IndentingNewLine]",
                 ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"r1", " ", ",", "1", ",", 
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"\"\<\!\(\*SubscriptBox[\(r\), \(1\)]\) = \>\"", "<>", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"Round", "[", 
                    RowBox[{"r1", ",", "0.1"}], "]"}], "]"}]}], ",", 
                    "textStyle"}], "]"}], "]"}]}], "}"}], ",", "0.001", ",", 
                  "4", ",", "0.1"}], "}"}], "\[IndentingNewLine]", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"r2", ",", "8", ",", 
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"\"\<\!\(\*SubscriptBox[\(r\), \(2\)]\) = \>\"", "<>", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"Round", "[", 
                    RowBox[{"r2", ",", "0.1"}], "]"}], "]"}]}], ",", 
                    "textStyle"}], "]"}], "]"}]}], "}"}], ",", "4.1", ",", 
                  "10", ",", "0.1"}], "}"}], "\[IndentingNewLine]", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"theta1", ",", 
                    RowBox[{"Pi", "/", "8"}], ",", 
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{
                    "\"\<\!\(\*SubscriptBox[\(\[Theta]\), \(1\)]\) = \>\"", "<>", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"Round", "[", 
                    RowBox[{"theta1", ",", "0.1"}], "]"}], "]"}], "]"}]}], 
                    ",", "textStyle"}], "]"}], "]"}]}], "}"}], ",", "0", ",", 
                  "1", ",", "0.1"}], "}"}], "\[IndentingNewLine]", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"theta2", ",", "1.4", ",", 
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{
                    "\"\<\!\(\*SubscriptBox[\(\[Theta]\), \(2\)]\) = \>\"", "<>", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"Round", "[", 
                    RowBox[{"theta2", ",", "0.1"}], "]"}], "]"}], "]"}]}], 
                    ",", "textStyle"}], "]"}], "]"}]}], "}"}], ",", "1.1", 
                  ",", "Pi"}], "}"}], "\[IndentingNewLine]", ",", " ", 
                RowBox[{"TextCell", "[", "\"\<\\n\>\"", "]"}], 
                "\[IndentingNewLine]", ",", "Delimiter", 
                "\[IndentingNewLine]", ",", 
                RowBox[{"TextCell", "[", 
                 RowBox[{"\"\<(Theorie)\\n\>\"", ",", "tagAtRight"}], "]"}], 
                "\[IndentingNewLine]", ",", 
                RowBox[{"TextCell", "[", 
                 RowBox[{"Style", "[", 
                  RowBox[{
                  "\"\<Koordinaten-Transformation T \\nkartesische \
\[LeftRightArrow] polare Koordinaten:\\n\>\"", ",", "textStyle"}], "]"}], 
                 "]"}], "\[IndentingNewLine]", ",", " ", 
                RowBox[{"TextCell", "[", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<    (x,y) = \!\(\*
StyleBox[\"T\",
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[\"r\",
FontSize->14]\)\!\(\*
StyleBox[\",\",
FontSize->14]\)\!\(\*
StyleBox[\"\[Theta]\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\!\(\*
StyleBox[\" \",
FontSize->14]\)\!\(\*
StyleBox[\":=\",
FontSize->14]\)\!\(\*
StyleBox[\" \",
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[\"r\",
FontSize->14]\)\!\(\*
StyleBox[\" \",
FontSize->14]\)\!\(\*
StyleBox[\"cos\",
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[\"\[Theta]\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\!\(\*
StyleBox[\",\",
FontSize->14]\)\!\(\*
StyleBox[\"\[NoBreak] \",
FontSize->14]\)\!\(\*
StyleBox[\"r\",
FontSize->14]\)\!\(\*
StyleBox[\" \",
FontSize->14]\)\!\(\*
StyleBox[\"sin\",
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[\"\[Theta]\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\>\"", ",", "mathStyle"}], "]"}], "]"}], "\[IndentingNewLine]",
                 ",", " ", 
                RowBox[{"TextCell", "[", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<    \!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[\"r\",
FontSize->14]\)\!\(\*
StyleBox[\",\",
FontSize->14]\)\!\(\*
StyleBox[\"\[Theta]\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\!\(\*
StyleBox[\" \",
FontSize->14]\)\!\(\*
StyleBox[\"=\",
FontSize->14]\)\!\(\*
StyleBox[\" \",
FontSize->14]\)\!\(\*SuperscriptBox[
StyleBox[\"T\",
FontSize->14], 
RowBox[{\"-\", \"1\"}]]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[\"x\",
FontSize->14]\)\!\(\*
StyleBox[\",\",
FontSize->14]\)\!\(\*
StyleBox[\"y\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\!\(\*
StyleBox[\" \",
FontSize->14]\)\!\(\*
StyleBox[\":=\",
FontSize->14]\)\!\(\*
StyleBox[\" \",
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[SqrtBox[
RowBox[{SuperscriptBox[\"x\", \"2\"], \"+\", SuperscriptBox[\"y\", \"2\"]}]],
FontSize->10]\)\!\(\*
StyleBox[\",\",
FontSize->14]\)\!\(\*
StyleBox[\"\[NoBreak] \",
FontSize->14]\)\!\(\*
StyleBox[\"arccos\",
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*FractionBox[
StyleBox[
RowBox[{\" \", \"x\"}],
FontSize->14], SqrtBox[
RowBox[{SuperscriptBox[\"x\", \"2\"], \"+\", SuperscriptBox[\"y\", \"2\"]}]]]\
\)\!\(\*
StyleBox[\" \",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\>\"", ",", "mathStyle"}], "]"}], "]"}], "\[IndentingNewLine]",
                 ",", 
                RowBox[{"TextCell", "[", 
                 RowBox[{"Style", "[", 
                  RowBox[{
                  "\"\<\\nJacobi-Determinante dieser \
Koordinaten-Transformation:\>\"", ",", "textStyle"}], "]"}], "]"}], 
                "\[IndentingNewLine]", ",", 
                RowBox[{"TextCell", "[", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<                           |\!\(\*GridBox[{
{FractionBox[
RowBox[{\"\[PartialD]\", \"x\"}], 
RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[
RowBox[{\"\[PartialD]\", \"x\"}], 
RowBox[{\"\[PartialD]\", \"\[Theta]\"}]]},
{FractionBox[
RowBox[{\"\[PartialD]\", \"y\"}], 
RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[
RowBox[{\"\[PartialD]\", \"y\"}], 
RowBox[{\"\[PartialD]\", \"\[Theta]\"}]]}
}]\)|  =  r\>\"", "\[IndentingNewLine]", ",", "mathStyle", ",", "16"}], "]"}],
                   ",", 
                  RowBox[{"TextAlignment", "->", "Center"}]}], 
                 "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", ",", 
                " ", "Delimiter", "\[IndentingNewLine]", ",", 
                RowBox[{"Text", "[", "\"\<\>\"", "]"}], "\[IndentingNewLine]",
                 ",", 
                RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
                RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
                RowBox[{"AppearanceElements", "\[Rule]", "None"}], ",", 
                RowBox[{"Paneled", "\[Rule]", "False"}]}], 
               "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"Right", ",", "Center"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"Top", ",", "Top"}], "}"}]}], "}"}]}], "]"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{"**", " ", "end"}], " ", "Tab1"}], " ", "***)"}], 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{"**", " ", "Tab2"}], " ", "***)"}], "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<Zur Rolle der Jacobi-Determinante\>\"", ",", "titleStyle"}], 
           "]"}], " ", "\[Rule]", "\[IndentingNewLine]", 
          RowBox[{"Column", "[", 
           RowBox[{
            RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{"Explanation", " ", "Button", " ", "Row"}], " ", "*)"}],
              "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Button", "[", 
                  RowBox[{
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<Erkl\[ADoubleDot]rung\>\"", ",", "9"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"CreateDocument", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"TextCell", "[", "\[IndentingNewLine]", 
                    RowBox[{"Pane", "[", "\[IndentingNewLine]", 
                    RowBox[{"Column", "[", 
                    RowBox[{
                    RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"TextCell", "[", 
                    RowBox[{
                    "\"\<\\nDie Jacobi-Determinante in der \
Fl\[ADoubleDot]chenapproximation f\[UDoubleDot]r ein Integrationsgebiet:\\n\>\
\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"explanationStyle", ",", "Bold"}], "}"}]}], "]"}],
                     "\[IndentingNewLine]", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{
                    "\"\<Wie Sie in der Vorlesung gesehen haben, wird die \
Gebietsfl\[ADoubleDot]che \[CapitalDelta]A des Gebietes R approximiert durch \
die Fl\[ADoubleDot]che des Parallelogramms, welches durch die beiden Vektoren\
\>\"", ",", "explanationStyle"}], "]"}]}], "\[IndentingNewLine]", ",", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{
                    RowBox[{
                    "Style", "[", 
                    "\"\<\\n      \[CapitalDelta]v \!\(\*SubscriptBox[\(r\), \
\(u\)]\) und \[CapitalDelta]v \!\(\*SubscriptBox[\(r\), \(v\)]\)\\n\>\"", 
                    "]"}], ",", "mathStyle", ",", "Plain"}], "]"}], 
                    "\[IndentingNewLine]", ",", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{
                    "\"\<aufgespannt wird. Diese Fl\[ADoubleDot]che \
entspricht bekanntlich dem Betrag des Kreuzprodukts dieser beiden Vektoren, \
was wiederum als Determinante geschrieben werden kann. Also:\>\"", ",", 
                    "explanationStyle"}], "]"}], "\[IndentingNewLine]", ",", 
                    " ", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<\\n     \[CapitalDelta]A \[TildeTilde] det[\
\[CapitalDelta]u \!\(\*SubscriptBox[\(r\), \(u\)]\) \[Times] \[CapitalDelta]v \
\!\(\*SubscriptBox[\(r\), \(v\)]\) ] = det[(\!\(\*SubscriptBox[\(r\), \
\(u\)]\) \[Times] \!\(\*SubscriptBox[\(r\), \(v\)]\))\[CapitalDelta]u\
\[CapitalDelta]v] = det[(\!\(\*SubscriptBox[\(r\), \(u\)]\) \[Times] \
\!\(\*SubscriptBox[\(r\), \(v\)]\))]\[CapitalDelta]u\[CapitalDelta]v\\n\>\"", 
                    ",", "mathStyle", ",", "Plain"}], "]"}], "]"}], 
                    "\[IndentingNewLine]", ",", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{
                    "\"\<Da r die (Orts-)Vektorfunktion des Bildes eines \
Punktes (u,v) in den (x,y)-Koordinaten ist, lautet das Kreuzprodukt in der \
Determinante ausgeschrieben:\>\"", ",", "explanationStyle"}], "]"}], 
                    "\[IndentingNewLine]", ",", " ", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<\\n     det[(ru \[Times] rv)] = |\!\(\*GridBox[{
{FractionBox[
RowBox[{\"\[PartialD]\", \"x\"}], 
RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[
RowBox[{\"\[PartialD]\", \"x\"}], 
RowBox[{\"\[PartialD]\", \"\[Theta]\"}]]},
{FractionBox[
RowBox[{\"\[PartialD]\", \"y\"}], 
RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[
RowBox[{\"\[PartialD]\", \"y\"}], 
RowBox[{\"\[PartialD]\", \"\[Theta]\"}]]}
}]\)|  und damit  \[CapitalDelta]A \[TildeTilde] |\!\(\*GridBox[{
{FractionBox[
RowBox[{\"\[PartialD]\", \"x\"}], 
RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[
RowBox[{\"\[PartialD]\", \"x\"}], 
RowBox[{\"\[PartialD]\", \"\[Theta]\"}]]},
{FractionBox[
RowBox[{\"\[PartialD]\", \"y\"}], 
RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[
RowBox[{\"\[PartialD]\", \"y\"}], 
RowBox[{\"\[PartialD]\", \"\[Theta]\"}]]}
}]\)|\[CapitalDelta]u\[CapitalDelta]v\\n\>\"", ",", "mathStyle", ",", 
                    "Plain"}], "]"}], "]"}], "\[IndentingNewLine]", ",", " ", 
                    
                    RowBox[{"TextCell", "[", 
                    RowBox[{
                    "\"\<Diese Determinante ist uns also als die \
Jacobi-Determinante der Vektorfunktion r von fr\[UDoubleDot]her her \
bekannt.\\n\>\"", ",", "explanationStyle"}], "]"}], "\[IndentingNewLine]", 
                    ",", " ", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{
                    "\"\<Wie kommt nun die Jacobi-Determinante in die Formel \
zur allgemeinen Koordinatentransformation in Integralen?\\n\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"explanationStyle", ",", "Bold"}], "}"}]}], "]"}],
                     "\[IndentingNewLine]", ",", " ", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{
                    "\"\<Dies sehen wir, wenn wir uns erinnern, dass das \
Gebietsintegral ja als Riemannsumme approximiert wird und der Grenzwert \
dieses Integral definiert. Genau dort tritt das \\\"Fl\[ADoubleDot]chenst\
\[UDoubleDot]ck\\\" \[CapitalDelta]A und damit die Jacobi-Determinante auf:\>\
\"", ",", "explanationStyle"}], "]"}], "\[IndentingNewLine]", ",", " ", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<\\n     \
\!\(\*UnderscriptBox[\(\[Integral]\[Integral]\), \(R\)]\)f(x,y)dA := \
\!\(\*UnderscriptBox[\(lim\), \(m, n \[RightArrow] \[Infinity]\)]\) \
\!\(\*UnderoverscriptBox[\(\[Sum]\), \(i = 1\), \(m\)]\) \
\!\(\*UnderoverscriptBox[\(\[Sum]\), \(j = 1\), \(n\)]\) \
f(\!\(\*SubscriptBox[\(x\), \(i\)]\),\!\(\*SubscriptBox[\(y\), \
\(j\)]\))\!\(\*
StyleBox[\"\[CapitalDelta]A\",
FontColor->RGBColor[1, 0, 0]]\) \\n\n                      \[TildeTilde] \!\(\
\*UnderscriptBox[\(lim\), \(m, n \[RightArrow] \[Infinity]\)]\) \
\!\(\*UnderoverscriptBox[\(\[Sum]\), \(i = 1\), \(m\)]\) \
\!\(\*UnderoverscriptBox[\(\[Sum]\), \(j = 1\), \(n\)]\) \
f(x(\!\(\*SubscriptBox[\(u\), \(i\)]\),\!\(\*SubscriptBox[\(v\), \(j\)]\)),y(\
\!\(\*SubscriptBox[\(u\), \(i\)]\),\!\(\*SubscriptBox[\(v\), \(j\)]\)))\!\(\*
StyleBox[\"|\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[GridBox[{
{FractionBox[
RowBox[{\"\[PartialD]\", \"x\"}], 
RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[
RowBox[{\"\[PartialD]\", \"x\"}], 
RowBox[{\"\[PartialD]\", \"\[Theta]\"}]]},
{FractionBox[
RowBox[{\"\[PartialD]\", \"y\"}], 
RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[
RowBox[{\"\[PartialD]\", \"y\"}], 
RowBox[{\"\[PartialD]\", \"\[Theta]\"}]]}
}],
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"|\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"\[CapitalDelta]u\[CapitalDelta]v\",
FontColor->RGBColor[1, 0, 0]]\) \\n\n                      =: \
\!\(\*UnderscriptBox[\(\[Integral]\[Integral]\), \(S\)]\)f(x(u,v),y(u,v))\!\(\*
StyleBox[\"|\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[GridBox[{
{FractionBox[
RowBox[{\"\[PartialD]\", \"x\"}], 
RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[
RowBox[{\"\[PartialD]\", \"x\"}], 
RowBox[{\"\[PartialD]\", \"\[Theta]\"}]]},
{FractionBox[
RowBox[{\"\[PartialD]\", \"y\"}], 
RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[
RowBox[{\"\[PartialD]\", \"y\"}], 
RowBox[{\"\[PartialD]\", \"\[Theta]\"}]]}
}],
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"|\",
FontColor->RGBColor[1, 0, 0]]\) dudv\\n\n                        \>\"", ",", 
                    "mathStyle", ",", "Plain"}], "]"}], "]"}], 
                    "\[IndentingNewLine]", ",", " ", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{
                    "\"\<Die Approximation \\\"\[TildeTilde]\\\" wird nun \
gerade exakt, wenn die Bedingungen des Satzes \[UDoubleDot]ber die \
Koordinatentransformation erf\[UDoubleDot]llt sind (siehe Vorlesung und \
Begleitliteratur) und es ergibt sich dessen Aussage (Formel).\>\"", ",", 
                    "explanationStyle"}], "]"}], "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", ",", 
                    RowBox[{"TextCell", "[", "\"\< \>\"", "]"}]}], 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], ",", 
                    
                    RowBox[{"{", 
                    RowBox[{"Left", ",", "Top"}], "}"}]}], "]"}], 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], 
                    "]"}], ",", 
                    RowBox[{"WindowFrame", "\[Rule]", "\"\<Normal\>\""}], ",", 
                    RowBox[{"WindowSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"650", ",", "500"}], "}"}]}], ",", 
                    RowBox[{
                    "WindowTitle", "\[Rule]", 
                    "\"\<Erkl\[ADoubleDot]rung\>\""}]}], "]"}], ",", 
                   RowBox[{"ImageSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"90", ",", "20"}], "}"}]}], ",", 
                   RowBox[{"Background", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.9", ",", "0.9", ",", "0.9"}], "]"}]}]}], "]"}],
                  ",", " ", "\"\<  \>\""}], "\[IndentingNewLine]", "}"}], 
               "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              "\"\< \>\"", ",", "\[IndentingNewLine]", 
              RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}], ";", 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{"(*", "Definitions", "*)"}], 
                 RowBox[{"p1", "=", 
                  RowBox[{"{", 
                   RowBox[{"1", ",", "5"}], "}"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"p2", "=", 
                  RowBox[{"{", 
                   RowBox[{"2", ",", "1"}], "}"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"p3", "=", 
                  RowBox[{"{", 
                   RowBox[{"5", ",", "3"}], "}"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"p4", "=", 
                  RowBox[{"{", 
                   RowBox[{"3", ",", "6"}], "}"}]}], ";", 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{"(*", 
                  RowBox[{
                   RowBox[{
                   "the", " ", "following", " ", "defines", " ", "the", " ", 
                    "curves", " ", 
                    RowBox[{"(", "pieces", ")"}], " ", "c1"}], ",", "...", 
                   ",", 
                   RowBox[{"c4", ":"}]}], "*)"}], 
                 RowBox[{"xParamPieces", "=", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"t", "+", "1"}], ",", 
                    RowBox[{
                    RowBox[{"t", "\[GreaterEqual]", "0"}], "&&", 
                    RowBox[{"t", "<", "1"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"3", " ", "t"}], "-", "1"}], ",", 
                    RowBox[{
                    RowBox[{"t", "\[GreaterEqual]", "1"}], "&&", 
                    RowBox[{"t", "<", "2"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "t"}], "+", "9"}], ",", 
                    RowBox[{
                    RowBox[{"t", "\[GreaterEqual]", "2"}], "&&", 
                    RowBox[{"t", "<", "3"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "t"}], "+", "9"}], ",", 
                    RowBox[{
                    RowBox[{"t", "\[GreaterEqual]", "3"}], "&&", 
                    RowBox[{"t", "\[LessEqual]", "4"}]}]}], "}"}]}], "}"}]}], 
                 ";", "\[IndentingNewLine]", 
                 RowBox[{"yParamPieces", "=", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "b"}], "-", "4"}], ")"}], " ", 
                    RowBox[{"t", "^", "2"}]}], "+", 
                    RowBox[{"b", " ", "t"}], "+", "5"}], ",", 
                    RowBox[{
                    RowBox[{"t", "\[GreaterEqual]", "0"}], "&&", 
                    RowBox[{"t", "<", "1"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "/", "3"}], ")"}], "-", 
                    RowBox[{"(", 
                    RowBox[{"b", "/", "3"}], ")"}]}], ")"}], " ", 
                    RowBox[{"t", "^", "2"}]}], "+", 
                    RowBox[{"b", " ", "t"}], "+", 
                    RowBox[{"(", 
                    RowBox[{"1", "/", "3"}], ")"}], "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"2", "/", "3"}], ")"}], " ", "b"}]}], ",", 
                    RowBox[{
                    RowBox[{"t", "\[GreaterEqual]", "1"}], "&&", 
                    RowBox[{"t", "<", "2"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"3", "/", "5"}], ")"}], "-", 
                    RowBox[{"(", 
                    RowBox[{"b", "/", "5"}], ")"}]}], ")"}], " ", 
                    RowBox[{"t", "^", "2"}]}], "+", 
                    RowBox[{"b", " ", "t"}], "+", 
                    RowBox[{"(", 
                    RowBox[{"3", "/", "5"}], ")"}], "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"6", "/", "5"}], ")"}], " ", "b"}]}], ",", 
                    RowBox[{
                    RowBox[{"t", "\[GreaterEqual]", "2"}], "&&", 
                    RowBox[{"t", "<", "3"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "/", "7"}], ")"}], "-", 
                    RowBox[{"(", 
                    RowBox[{"b", "/", "7"}], ")"}]}], ")"}], " ", 
                    RowBox[{"t", "^", "2"}]}], "+", 
                    RowBox[{"b", " ", "t"}], "+", 
                    RowBox[{"(", 
                    RowBox[{"51", "/", "7"}], ")"}], "-", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"12", "/", "7"}], ")"}], " ", "b"}]}], ",", 
                    RowBox[{
                    RowBox[{"t", "\[GreaterEqual]", "3"}], "&&", 
                    RowBox[{"t", "\[LessEqual]", "4"}]}]}], "}"}]}], "}"}]}], 
                 ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{"(*", 
                  RowBox[{"The", " ", 
                   RowBox[{"(", "normed", ")"}], " ", "tangent", " ", 
                   "vectors", " ", "in", " ", "point", " ", "p1", " ", 
                   "along", " ", "curve", " ", "c4", " ", "and", " ", "along",
                    " ", "curve", " ", 
                   RowBox[{"c1", ":"}]}], "*)"}], 
                 RowBox[{"tangentVectorP1C4", "=", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], " ", 
                    RowBox[{
                    RowBox[{"xParamPieces", "[", 
                    RowBox[{"[", "4", "]"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", "t"}], "]"}], "/.", 
                    RowBox[{"{", 
                    RowBox[{"t", "\[Rule]", "4"}], "}"}]}], ")"}], ",", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], " ", 
                    RowBox[{
                    RowBox[{"yParamPieces", "[", 
                    RowBox[{"[", "4", "]"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", "t"}], "]"}], "/.", 
                    RowBox[{"{", 
                    RowBox[{"t", "\[Rule]", "4"}], "}"}]}], ")"}]}], "}"}]}], 
                 ";", "\[IndentingNewLine]", 
                 RowBox[{"normedTangentVectorP1C4", "=", 
                  RowBox[{"tangentVectorP1C4", "/", 
                   RowBox[{"Norm", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], " ", 
                    RowBox[{
                    RowBox[{"xParamPieces", "[", 
                    RowBox[{"[", "4", "]"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", "t"}], "]"}], "/.", 
                    RowBox[{"{", 
                    RowBox[{"t", "\[Rule]", "4"}], "}"}]}], ")"}], ",", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], " ", 
                    RowBox[{
                    RowBox[{"yParamPieces", "[", 
                    RowBox[{"[", "4", "]"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", "t"}], "]"}], "/.", 
                    RowBox[{"{", 
                    RowBox[{"t", "\[Rule]", "4"}], "}"}]}], ")"}]}], "}"}], 
                    "]"}]}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"tangentVectorP1C1", "=", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"xParamPieces", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "t"}], "]"}], "/.", 
                    RowBox[{"{", 
                    RowBox[{"t", "\[Rule]", "0"}], "}"}]}], ")"}], ",", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"yParamPieces", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "t"}], "]"}], "/.", 
                    RowBox[{"{", 
                    RowBox[{"t", "\[Rule]", "0"}], "}"}]}], ")"}]}], "}"}]}], 
                 ";", "\[IndentingNewLine]", 
                 RowBox[{"normedTangentVectorP1C1", "=", 
                  RowBox[{"tangentVectorP1C1", "/", 
                   RowBox[{"Norm", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", "1", ")"}], " ", 
                    RowBox[{
                    RowBox[{"xParamPieces", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", "t"}], "]"}], "/.", 
                    RowBox[{"{", 
                    RowBox[{"t", "\[Rule]", "0"}], "}"}]}], ")"}], ",", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", "1", ")"}], " ", 
                    RowBox[{
                    RowBox[{"yParamPieces", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", "t"}], "]"}], "/.", 
                    RowBox[{"{", 
                    RowBox[{"t", "\[Rule]", "0"}], "}"}]}], ")"}]}], "}"}], 
                    "]"}]}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"polygonP1", "=", "p1"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"polygonP2", "=", 
                  RowBox[{"p1", "+", 
                   RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{"p2", "-", "p1"}], "]"}], " ", 
                    "normedTangentVectorP1C1"}]}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"polygonP3", "=", 
                  RowBox[{"polygonP2", "+", 
                   RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{"p4", "-", "p1"}], "]"}], " ", 
                    "normedTangentVectorP1C4"}]}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"polygonP4", "=", 
                  RowBox[{"p1", "+", 
                   RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{"p4", "-", "p1"}], "]"}], " ", 
                    "normedTangentVectorP1C4"}]}]}], ";", 
                 "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 RowBox[{"(*", 
                  RowBox[{"Show", "/", "GUI"}], "*)"}], "\[IndentingNewLine]", 
                 RowBox[{"Column", "[", 
                  RowBox[{
                   RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{"\"\< \>\"", ",", "\[IndentingNewLine]", 
                    RowBox[{"Show", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Piecewise", "[", "xParamPieces", "]"}], ",", 
                    RowBox[{"Piecewise", "[", "yParamPieces", "]"}]}], "}"}], 
                    "\[IndentingNewLine]", ",", 
                    RowBox[{"{", 
                    RowBox[{"t", ",", "0", ",", "4"}], "}"}], ",", 
                    RowBox[{"AxesOrigin", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "10"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "10"}], "}"}]}], "}"}]}]}], 
                    "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", ",", 
                    
                    RowBox[{"Graphics", "[", 
                    RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{"polygonP1", ",", "polygonP4"}], "}"}], "]"}], 
                    "]"}], "\[IndentingNewLine]", ",", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{"polygonP1", ",", "polygonP2"}], "}"}], "]"}], 
                    "]"}], "\[IndentingNewLine]", ",", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.5", ",", "0.5", ",", "0.5", ",", "0.5"}], 
                    "]"}], ",", 
                    RowBox[{"Polygon", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "polygonP1", ",", "polygonP2", ",", "polygonP3", ",", 
                    "polygonP4"}], "}"}], "]"}]}], "}"}], "]"}], 
                    "\[IndentingNewLine]", ",", " ", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{"Text", "[", 
                    RowBox[{"\"\<\[CapitalDelta]A\>\"", ",", 
                    RowBox[{"polygonP1", "+", 
                    RowBox[{"0.5", "*", 
                    RowBox[{"(", 
                    RowBox[{
                    "polygonP2", "-", "polygonP1", " ", "+", "polygonP4", "-",
                     "polygonP1"}], ")"}]}]}]}], "]"}], "]"}], 
                    "\[IndentingNewLine]", ",", " ", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<R\>\"", ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"33", "/", "255"}], ",", 
                    RowBox[{"66", "/", "255"}]}], "]"}], ",", "Plain"}], 
                    "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"2.5", ",", "4.4"}], "}"}]}], "]"}], "]"}], 
                    "\[IndentingNewLine]", ",", " ", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<\[CapitalDelta]u \!\(\*SubscriptBox[\(r\), \
\(u\)]\)\>\"", ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"33", "/", "255"}], ",", 
                    RowBox[{"66", "/", "255"}]}], "]"}], ",", "Plain"}], 
                    "]"}], ",", 
                    RowBox[{"1.05", "polygonP4"}]}], "]"}], "]"}], 
                    "\[IndentingNewLine]", ",", " ", 
                    RowBox[{"Graphics", "[", 
                    RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<\[CapitalDelta]v \!\(\*SubscriptBox[\(r\), \
\(v\)]\)\>\"", ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"33", "/", "255"}], ",", 
                    RowBox[{"66", "/", "255"}]}], "]"}], ",", "Plain"}], 
                    "]"}], ",", 
                    RowBox[{"0.92", "polygonP2"}]}], "]"}], "]"}]}], 
                    "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", ",", 
                    
                    RowBox[{"ImageSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"400", ",", "300"}], "}"}]}]}], "]"}], 
                    "\[IndentingNewLine]", ",", "\"\< \>\"", 
                    "\[IndentingNewLine]", ",", 
                    RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"\"\<\[CapitalDelta]A = \>\"", "<>", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{"CrossProduct", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"polygonP4", "-", "polygonP1"}], ")"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"polygonP4", "-", "polygonP1"}], ")"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"polygonP2", "-", "polygonP1"}], ")"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"polygonP2", "-", "polygonP1"}], ")"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "0"}], "}"}]}], 
                    "]"}], "]"}], ",", "0.1"}], "]"}], "]"}]}], 
                    "\[IndentingNewLine]", ",", "plotLabelStyle"}], "]"}], 
                    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
                    
                    RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    "\"\<\[CapitalDelta]v \!\(\*SubscriptBox[\(r\), \(v\)]\) \
= \>\"", "<>", "\[IndentingNewLine]", "\"\<\[InvisiblePrefixScriptBase](\>\"",
                     "<>", 
                    RowBox[{"ToString", "[", "\[IndentingNewLine]", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"polygonP4", "-", "polygonP1"}], ")"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "0.1"}], "]"}], 
                    "]"}], "]"}], "<>", "\"\< , \>\"", "<>", 
                    RowBox[{"ToString", "[", "\[IndentingNewLine]", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"polygonP4", "-", "polygonP1"}], ")"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "0.1"}], "]"}], 
                    "]"}], "]"}], "<>", "\[IndentingNewLine]", 
                    "\"\<\!\(\*SuperscriptBox[\()\), \(T\)]\)\>\"", "<>", 
                    "\[IndentingNewLine]", 
                    "\"\<\\n \[CapitalDelta]u \!\(\*SubscriptBox[\(r\), \
\(u\)]\) = \>\"", "<>", "\[IndentingNewLine]", "\"\<(\>\"", "<>", 
                    RowBox[{"ToString", "[", "\[IndentingNewLine]", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"polygonP2", "-", "polygonP1"}], ")"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "0.1"}], "]"}], 
                    "]"}], "]"}], "<>", "\"\< , \>\"", "<>", 
                    RowBox[{"ToString", "[", "\[IndentingNewLine]", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"polygonP2", "-", "polygonP1"}], ")"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "0.1"}], "]"}], 
                    "]"}], "]"}], "<>", "\[IndentingNewLine]", 
                    "\"\<\!\(\*SuperscriptBox[\()\), \(T\)]\)\>\"", "<>", 
                    "\[IndentingNewLine]", "\"\<\\n\>\""}], 
                    "\[IndentingNewLine]", ",", "plotLabelStyle"}], 
                    "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
                    "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"Background", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "1", ",", "1"}], "]"}]}], ",", 
                   RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], 
                "\[IndentingNewLine]", "\[IndentingNewLine]", 
                RowBox[{"(*", 
                 RowBox[{"Manipulate", " ", 
                  RowBox[{"options", ":"}]}], "*)"}], "\[IndentingNewLine]", 
                ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"b", ",", 
                    RowBox[{"-", "3"}], ",", 
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"\"\<Verzerrungsparameter b = \>\"", "<>", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"Round", "[", 
                    RowBox[{"b", ",", "0.1"}], "]"}], "]"}]}], ",", 
                    "textStyle"}], "]"}], "]"}]}], "}"}], ",", 
                  RowBox[{"-", "20"}], ",", "20"}], "}"}], 
                "\[IndentingNewLine]", ",", " ", 
                RowBox[{"TextCell", "[", 
                 RowBox[{
                 "\"\<Mit dem Verzerrungsparameter k\[ODoubleDot]nnen Sie die \
Form des Gebietes R (blau umrandet) ver\[ADoubleDot]ndern.\>\"", ",", 
                  "textStyle", ",", "Plain"}], "]"}], "\[IndentingNewLine]", 
                ",", 
                RowBox[{"TextCell", "[", " ", 
                 RowBox[{
                 "\"\<(Seine genaue Bedeutung hier ist rein technisch und \
sollte Sie nicht weiter k\[UDoubleDot]mmern.)\\n\>\"", ",", "textStyle", ",", 
                  "Plain"}], "]"}], "\[IndentingNewLine]", ",", " ", 
                "Delimiter", "\[IndentingNewLine]", ",", 
                RowBox[{"TextCell", "[", 
                 RowBox[{"\"\<Es gilt:\>\"", ",", "textStyle"}], "]"}], 
                "\[IndentingNewLine]", ",", " ", 
                RowBox[{"TextCell", "[", 
                 RowBox[{"Style", "[", 
                  RowBox[{
                  "\"\<     \[CapitalDelta]A \[TildeTilde] \
det[\[CapitalDelta]u \!\(\*SubscriptBox[\(r\), \(u\)]\) \[Times] \
\[CapitalDelta]v \!\(\*SubscriptBox[\(r\), \(v\)]\) ] = \
det[(\!\(\*SubscriptBox[\(r\), \(u\)]\) \[Times] \!\(\*SubscriptBox[\(r\), \
\(v\)]\))\[CapitalDelta]u\[CapitalDelta]v] = det[(\!\(\*SubscriptBox[\(r\), \
\(u\)]\) \[Times] \!\(\*SubscriptBox[\(r\), \(v\)]\))]\[CapitalDelta]u\
\[CapitalDelta]v\\n\>\"", ",", "mathStyle", ",", "Plain"}], "]"}], "]"}], 
                "\[IndentingNewLine]", ",", 
                RowBox[{"TextCell", "[", 
                 RowBox[{
                 "\"\<Da r die (Orts-)Vektorfunktion des Bildes eines Punktes \
(u,v) in den (x,y)-Koordinaten ist, lautet das Kreuzprodukt in der \
Determinante ausgeschrieben:\>\"", ",", "textStyle"}], "]"}], 
                "\[IndentingNewLine]", ",", " ", 
                RowBox[{"TextCell", "[", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<     det[(ru \[Times] rv)] = |\!\(\*GridBox[{
{FractionBox[
RowBox[{\"\[PartialD]\", \"x\"}], 
RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[
RowBox[{\"\[PartialD]\", \"x\"}], 
RowBox[{\"\[PartialD]\", \"\[Theta]\"}]]},
{FractionBox[
RowBox[{\"\[PartialD]\", \"y\"}], 
RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[
RowBox[{\"\[PartialD]\", \"y\"}], 
RowBox[{\"\[PartialD]\", \"\[Theta]\"}]]}
}]\)|  und damit  \[CapitalDelta]A \[TildeTilde] |\!\(\*GridBox[{
{FractionBox[
RowBox[{\"\[PartialD]\", \"x\"}], 
RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[
RowBox[{\"\[PartialD]\", \"x\"}], 
RowBox[{\"\[PartialD]\", \"\[Theta]\"}]]},
{FractionBox[
RowBox[{\"\[PartialD]\", \"y\"}], 
RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[
RowBox[{\"\[PartialD]\", \"y\"}], 
RowBox[{\"\[PartialD]\", \"\[Theta]\"}]]}
}]\)|\[CapitalDelta]u\[CapitalDelta]v\>\"", ",", "mathStyle", ",", "Plain"}], 
                  "]"}], "]"}], "\[IndentingNewLine]", ",", " ", 
                RowBox[{"TextCell", "[", 
                 RowBox[{
                 "\"\<Unter den in der Vorlesung genannten Bedingungen f\
\[UDoubleDot]hrt dies zur Formel \[UDoubleDot]ber den Variablenwechsel (\
\[UDoubleDot]ber die Koordinatentransformation) in Gebietsintegralen (Details \
s.a. Erkl\[ADoubleDot]rung): \>\"", ",", "textStyle"}], "]"}], 
                "\[IndentingNewLine]", ",", " ", 
                RowBox[{"TextCell", "[", 
                 RowBox[{"Style", "[", 
                  RowBox[{
                  "\"\<\\n     \
\!\(\*UnderscriptBox[\(\[Integral]\[Integral]\), \(R\)]\)f(x,y)dA  =  \
\!\(\*UnderscriptBox[\(\[Integral]\[Integral]\), \(S\)]\)f(x(u,v),y(u,v))\!\(\*
StyleBox[\"|\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[GridBox[{
{FractionBox[
RowBox[{\"\[PartialD]\", \"x\"}], 
RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[
RowBox[{\"\[PartialD]\", \"x\"}], 
RowBox[{\"\[PartialD]\", \"\[Theta]\"}]]},
{FractionBox[
RowBox[{\"\[PartialD]\", \"y\"}], 
RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[
RowBox[{\"\[PartialD]\", \"y\"}], 
RowBox[{\"\[PartialD]\", \"\[Theta]\"}]]}
}],
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"|\",
FontColor->RGBColor[1, 0, 0]]\) dudv\n                        \>\"", ",", 
                   "mathStyle", ",", "Plain"}], "]"}], "]"}], 
                "\[IndentingNewLine]", "\[IndentingNewLine]", ",", " ", 
                "Delimiter", "\[IndentingNewLine]", ",", " ", 
                RowBox[{"TextCell", "[", 
                 RowBox[{
                 "\"\<\\nBeachten Sie insbeondere auch, dass bei Verzerrungen \
bestimmten Typs - d.h. bei spezieller Gestalt des Gebiets - die Approximation \
durch das Parallelogramm schlecht werden kann!\>\"", ",", "textStyle", ",", 
                  RowBox[{"RGBColor", "[", 
                   RowBox[{
                    RowBox[{"77", "/", "255"}], ",", "0", ",", "0"}], "]"}], 
                  ",", "Plain"}], "]"}], "\[IndentingNewLine]", ",", 
                RowBox[{"TextCell", "[", "\"\< \>\"", "]"}], 
                "\[IndentingNewLine]", ",", 
                RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
                RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
                RowBox[{"AppearanceElements", "\[Rule]", "None"}], ",", 
                RowBox[{"Paneled", "\[Rule]", "False"}]}], "]"}]}], 
             "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"Right", ",", "Right"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"Top", ",", "Top"}], "}"}]}], "}"}]}], "]"}]}]}], 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"**", " ", "end"}], " ", "Tab2"}], " ", "***)"}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        "}"}], ",", 
       RowBox[{"Background", "\[Rule]", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"0.9", ",", "0.9", ",", "0.9"}], "]"}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "Full"}]}], "]"}]}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
    RowBox[{"AppearanceElements", "\[Rule]", "None"}], ",", 
    RowBox[{"Paneled", "\[Rule]", "False"}]}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}]], "Input",
 CellOpen->False,
 CellChangeTimes->{{3.447050634427944*^9, 3.447050705180043*^9}, {
   3.447050761807274*^9, 3.44705079062525*^9}, {3.447050855885725*^9, 
   3.4470508585065517`*^9}, {3.4470509600900993`*^9, 
   3.4470509936878643`*^9}, {3.447051050286365*^9, 3.447051081483859*^9}, {
   3.447051121568737*^9, 3.447051130848379*^9}, {3.447051172948238*^9, 
   3.447051190947487*^9}, {3.447051232226411*^9, 3.447051234407847*^9}, {
   3.447051316003929*^9, 3.447051417246088*^9}, {3.447051533309351*^9, 
   3.447051630371935*^9}, 3.447051717894474*^9, {3.447051768709579*^9, 
   3.4470517733693857`*^9}, {3.447053398773711*^9, 3.447053500390691*^9}, {
   3.447053635869357*^9, 3.447053733686145*^9}, {3.447053796250497*^9, 
   3.447053816176682*^9}, {3.447053886748227*^9, 3.447053909489933*^9}, {
   3.447053967949697*^9, 3.44705407745261*^9}, {3.447054161714868*^9, 
   3.447054263373951*^9}, {3.4470542971864357`*^9, 3.447054303489458*^9}, {
   3.447054478640273*^9, 3.447054666205194*^9}, {3.4470548465834837`*^9, 
   3.4470549096978207`*^9}, {3.447055694866995*^9, 3.447055715437435*^9}, {
   3.447055767036077*^9, 3.447055789235881*^9}, {3.4470558605815763`*^9, 
   3.447055927460629*^9}, {3.447056002363309*^9, 3.447056020376041*^9}, {
   3.447056333865816*^9, 3.447056411816972*^9}, {3.447056516287706*^9, 
   3.4470565207883253`*^9}, {3.447056556405012*^9, 3.4470566357663813`*^9}, {
   3.44705673198138*^9, 3.447056733163158*^9}, {3.4470569993904867`*^9, 
   3.447057006485444*^9}, 3.4470570808904667`*^9, {3.4470574055725393`*^9, 
   3.447057478686124*^9}, {3.447057533524301*^9, 3.447057555827689*^9}, 
   3.4470575973188553`*^9, {3.447057634245871*^9, 3.447057639571113*^9}, {
   3.44705769562772*^9, 3.447057696305251*^9}, {3.447057751394664*^9, 
   3.447057796611347*^9}, {3.447057920015327*^9, 3.447057936190995*^9}, {
   3.447058039371876*^9, 3.447058051932315*^9}, {3.447058103972434*^9, 
   3.447058146335606*^9}, 3.447058179994141*^9, {3.44705861413443*^9, 
   3.447058639846736*^9}, {3.447058696690707*^9, 3.447058736270679*^9}, {
   3.447058873803097*^9, 3.447058924733172*^9}, {3.4470592872104673`*^9, 
   3.447059293389431*^9}, {3.447059420649486*^9, 3.447059420808374*^9}, {
   3.4470596911565313`*^9, 3.447059700953356*^9}, {3.447060085914547*^9, 
   3.447060181695346*^9}, {3.447060316857402*^9, 3.447060392831295*^9}, {
   3.447060428789742*^9, 3.447060502649061*^9}, {3.447060537162332*^9, 
   3.447060568773706*^9}, {3.44706068101672*^9, 3.4470607383094873`*^9}, {
   3.447060770381901*^9, 3.447060770683535*^9}, {3.447060830653829*^9, 
   3.447060852792171*^9}, {3.447060938565625*^9, 3.44706098930057*^9}, {
   3.4470610521112823`*^9, 3.447061075464394*^9}, {3.447061109687892*^9, 
   3.447061143287925*^9}, 3.447061201082664*^9, {3.4470612364408913`*^9, 
   3.447061373782605*^9}, {3.447061421028675*^9, 3.447061449989043*^9}, {
   3.447061484929109*^9, 3.4470615011728697`*^9}, {3.44706165889571*^9, 
   3.4470617049259567`*^9}, {3.447061743933714*^9, 3.4470617988965187`*^9}, {
   3.447061841250235*^9, 3.447061886945807*^9}, {3.4470619304880667`*^9, 
   3.447061933132069*^9}, {3.447062468817287*^9, 3.447062475773841*^9}, {
   3.447062508569055*^9, 3.447062509047683*^9}, {3.4470625998203897`*^9, 
   3.447062611092523*^9}, {3.447062644977064*^9, 3.4470627572403107`*^9}, {
   3.4470629336882477`*^9, 3.447062953745985*^9}, {3.4470629874283*^9, 
   3.447062993968746*^9}, {3.4470630341691*^9, 3.447063047963791*^9}, {
   3.447063093611252*^9, 3.447063097667248*^9}, {3.447063374505826*^9, 
   3.447063508036627*^9}, {3.4470635425348663`*^9, 3.447063639218432*^9}, {
   3.447063738532476*^9, 3.447063820660741*^9}, {3.44706385931318*^9, 
   3.4470639274041977`*^9}, {3.447064010913681*^9, 3.447064011885996*^9}, {
   3.4470640725499563`*^9, 3.4470640917030478`*^9}, {3.447064128898855*^9, 
   3.447064266455724*^9}, {3.4470644880104*^9, 3.447064636217408*^9}, {
   3.447064680539187*^9, 3.4470646854875727`*^9}, {3.447064742370476*^9, 
   3.447064745779834*^9}, {3.447064858690587*^9, 3.447064866022889*^9}, {
   3.44706490625171*^9, 3.447064937507944*^9}, {3.447065001997326*^9, 
   3.447065041593175*^9}, {3.4470651154029417`*^9, 3.4470651193574467`*^9}, 
   3.447065155265071*^9, {3.447065189375473*^9, 3.4470651920139313`*^9}, {
   3.447065223980096*^9, 3.447065261668529*^9}, {3.447065343776395*^9, 
   3.447065359965783*^9}, {3.447065425685013*^9, 3.447065548814434*^9}, {
   3.447065882813146*^9, 3.447065911776662*^9}, {3.4470659466434927`*^9, 
   3.447066191812549*^9}, {3.44706624573109*^9, 3.447066245908798*^9}, {
   3.447066437999783*^9, 3.447066440271585*^9}, {3.4470672852961206`*^9, 
   3.447067355833085*^9}, {3.4470679269681168`*^9, 3.447068027392103*^9}, 
   3.447068148198833*^9, {3.447068200549787*^9, 3.447068294709991*^9}, 
   3.447068350817279*^9, {3.447068404975502*^9, 3.447068459304002*^9}, {
   3.447068814724231*^9, 3.4470689782948093`*^9}, {3.447069047428524*^9, 
   3.447069089903783*^9}, {3.447069131764038*^9, 3.447069223350493*^9}, {
   3.447069266290826*^9, 3.447069364100338*^9}, {3.447069427168857*^9, 
   3.447069672875494*^9}, {3.447069716185583*^9, 3.447069831753676*^9}, {
   3.447069993246591*^9, 3.447069993782393*^9}, {3.447070037673398*^9, 
   3.447070049422665*^9}, {3.447070165759501*^9, 3.447070168639461*^9}, {
   3.44707020564762*^9, 3.447070319882032*^9}, {3.4470704109414253`*^9, 
   3.447070639516102*^9}, {3.4470706805021152`*^9, 3.44707073827756*^9}, {
   3.4470707758321753`*^9, 3.447070849063242*^9}, {3.447070901299752*^9, 
   3.447071061775627*^9}, {3.4470711181176987`*^9, 3.4470711378188457`*^9}, {
   3.447085329976656*^9, 3.447085331063902*^9}, {3.447085440905402*^9, 
   3.4470855230367603`*^9}, {3.447085581271371*^9, 3.447085614601007*^9}, 
   3.447085840361226*^9, 3.4470864886815767`*^9, {3.4470866758796864`*^9, 
   3.447086687656137*^9}, {3.44708674683922*^9, 3.447086747576252*^9}, {
   3.4470870150562696`*^9, 3.4470870203648243`*^9}, {3.44708839342692*^9, 
   3.447088413530208*^9}, {3.447089090627923*^9, 3.447089102638628*^9}, {
   3.4470891740268717`*^9, 3.447089193652178*^9}, {3.447089509524912*^9, 
   3.447089578483122*^9}, {3.447089609985346*^9, 3.4470896389067783`*^9}, {
   3.4470896930510893`*^9, 3.447089699179496*^9}, {3.447089872148472*^9, 
   3.4470899405655203`*^9}, {3.447089986739889*^9, 3.447090023036922*^9}, {
   3.447090067880913*^9, 3.447090076003746*^9}, {3.4470902087591133`*^9, 
   3.447090275409844*^9}, 3.447090315381524*^9, {3.447090422399542*^9, 
   3.447090535405993*^9}, {3.447090588977551*^9, 3.447090607040844*^9}, {
   3.4470906669494867`*^9, 3.447090673584487*^9}, {3.447093557437595*^9, 
   3.447093570362648*^9}, {3.447094163829797*^9, 3.44709417093423*^9}, {
   3.4470942434315987`*^9, 3.447094249051928*^9}, {3.447095864961226*^9, 
   3.447096011711698*^9}, {3.447096046474622*^9, 3.447096107974621*^9}, {
   3.447096198152779*^9, 3.44709620120339*^9}, {3.447144842446561*^9, 
   3.447144857043915*^9}, {3.4471450118161697`*^9, 3.447145071875708*^9}, {
   3.447145103294984*^9, 3.447145113133993*^9}, {3.447145168624935*^9, 
   3.447145204236258*^9}, {3.447145235868004*^9, 3.447145260585826*^9}, {
   3.447145301622037*^9, 3.4471453462783813`*^9}, {3.447145388028572*^9, 
   3.447145410922027*^9}, {3.4471454848733377`*^9, 3.447145512879702*^9}, {
   3.44714555866111*^9, 3.447145562680852*^9}, {3.447145619255684*^9, 
   3.447145621686123*^9}, {3.447145653880147*^9, 3.447145779239731*^9}, {
   3.447145815272201*^9, 3.447145943249641*^9}, {3.447145999648691*^9, 
   3.447146032843417*^9}, {3.447146076668589*^9, 3.447146130039453*^9}, {
   3.447146257529559*^9, 3.44714631622959*^9}, {3.4471532912279882`*^9, 
   3.447153304291191*^9}, {3.447153342774432*^9, 3.447153410887085*^9}, {
   3.447153797919285*^9, 3.44715402025401*^9}, {3.4471540881956673`*^9, 
   3.447154110756402*^9}, 3.447154205663507*^9, {3.447154272811883*^9, 
   3.447154276995304*^9}, {3.447154349341341*^9, 3.4471544346421137`*^9}, {
   3.447154509475086*^9, 3.447154528110509*^9}, {3.447154573445325*^9, 
   3.4471546451541023`*^9}, {3.447154730619935*^9, 3.447154759114325*^9}, {
   3.447154801519239*^9, 3.4471548059034233`*^9}, {3.4471548670631237`*^9, 
   3.447154908277978*^9}, {3.4471550408487864`*^9, 3.447155049204236*^9}, {
   3.447155106286727*^9, 3.447155113044754*^9}, {3.447155207566559*^9, 
   3.4471552092854548`*^9}, {3.447155253135491*^9, 3.447155276694243*^9}, {
   3.4471553230310383`*^9, 3.447155329164999*^9}, {3.447155367601437*^9, 
   3.447155383807754*^9}, {3.447155430867181*^9, 3.447155458975564*^9}, {
   3.447155516729739*^9, 3.447155544913005*^9}, {3.447155609223618*^9, 
   3.447155651178122*^9}, {3.4471557192815523`*^9, 3.447155724758646*^9}, {
   3.447155761979838*^9, 3.4471557675772057`*^9}, {3.447155860255131*^9, 
   3.447155923936595*^9}, {3.447155961259107*^9, 3.4471559706594887`*^9}, {
   3.4471560231135073`*^9, 3.4471560398175297`*^9}, {3.44715615907716*^9, 
   3.447156205053376*^9}, {3.447156282445582*^9, 3.447156458480974*^9}, 
   3.447156488821416*^9, {3.447156600507327*^9, 3.447156604934347*^9}, {
   3.447156660949135*^9, 3.447156689255777*^9}, {3.447156722492702*^9, 
   3.4471567255921803`*^9}, {3.447156766091432*^9, 3.4471568610734*^9}, {
   3.4471569149454308`*^9, 3.447156950887895*^9}, {3.447156996192464*^9, 
   3.447157006848359*^9}, {3.447157059789783*^9, 3.447157083449285*^9}, {
   3.447157270379829*^9, 3.447157295164832*^9}, {3.447157365357996*^9, 
   3.4471573955163193`*^9}, {3.447157508637745*^9, 3.447157530580606*^9}, {
   3.447157622439966*^9, 3.447157640920547*^9}, {3.447157738238101*^9, 
   3.4471578284460573`*^9}, {3.447157910148921*^9, 3.447157912541787*^9}, {
   3.4471579443164587`*^9, 3.447157993797048*^9}, {3.447158027036985*^9, 
   3.447158028314971*^9}, {3.44715809412306*^9, 3.447158105618718*^9}, {
   3.447158175336532*^9, 3.447158225242655*^9}, {3.44715829803309*^9, 
   3.447158361201833*^9}, {3.447158481922254*^9, 3.4471585062259502`*^9}, {
   3.4471586306663933`*^9, 3.447158635757655*^9}, {3.447158724105777*^9, 
   3.447158744638879*^9}, {3.447158848165427*^9, 3.447158848798235*^9}, {
   3.447158892478405*^9, 3.447158943328003*^9}, {3.447158981031126*^9, 
   3.447158992954097*^9}, {3.4471593429263*^9, 3.4471593759712553`*^9}, {
   3.4471594997625923`*^9, 3.447159554964107*^9}, {3.447159654123584*^9, 
   3.447159654859631*^9}, {3.447159713303442*^9, 3.447159743211111*^9}, {
   3.4471597795621977`*^9, 3.447159782464961*^9}, {3.447159840531748*^9, 
   3.4471598565512753`*^9}, {3.4471600336881104`*^9, 3.44716005148685*^9}, {
   3.4471600838910933`*^9, 3.447160094507998*^9}, {3.4471601650612593`*^9, 
   3.447160221293071*^9}, {3.447160267447489*^9, 3.44716029718358*^9}, {
   3.447160369855317*^9, 3.4471604095357428`*^9}, {3.4471609782393627`*^9, 
   3.4471609918139267`*^9}, {3.447161031451964*^9, 3.447161038716386*^9}, {
   3.447161163390765*^9, 3.447161168935405*^9}, {3.44716122713321*^9, 
   3.447161281998847*^9}, {3.447161313617276*^9, 3.447161320759615*^9}, {
   3.4471613846784678`*^9, 3.447161416144696*^9}, {3.447161446517668*^9, 
   3.4471614466920013`*^9}, {3.447162140046356*^9, 3.447162217681288*^9}, {
   3.4471622637764187`*^9, 3.447162352603356*^9}, {3.447162382690179*^9, 
   3.447162421510562*^9}, {3.447162463882079*^9, 3.4471624724427147`*^9}, {
   3.447162532688393*^9, 3.447162533603622*^9}, {3.447162581727042*^9, 
   3.447162582967421*^9}, {3.447162619636874*^9, 3.447162688368689*^9}, {
   3.4471628066501217`*^9, 3.447162862230054*^9}, {3.447162912378417*^9, 
   3.4471629730643063`*^9}, {3.44716327696126*^9, 3.447163343440812*^9}, {
   3.4471633768062897`*^9, 3.447163378977213*^9}, {3.447163409855689*^9, 
   3.44716341529558*^9}, {3.447163462455844*^9, 3.447163519375061*^9}, {
   3.447163567863278*^9, 3.447163652649805*^9}, {3.447163691959971*^9, 
   3.4471637098475657`*^9}, {3.447163790359951*^9, 3.4471637997372932`*^9}, {
   3.447163922558049*^9, 3.447164050923311*^9}, {3.447164188311594*^9, 
   3.447164211367136*^9}, {3.447164328428967*^9, 3.447164387641766*^9}, {
   3.447180314586328*^9, 3.4471803270390587`*^9}, {3.447180387673174*^9, 
   3.447180410849485*^9}, {3.447180453265411*^9, 3.4471804701250343`*^9}, {
   3.4471805497969913`*^9, 3.4471805925404167`*^9}, {3.447180795539369*^9, 
   3.447180836395257*^9}, {3.447180873800302*^9, 3.447180875717621*^9}, {
   3.4471809775827923`*^9, 3.447180984255672*^9}, {3.447181025154952*^9, 
   3.447181033125936*^9}, {3.4471810795334044`*^9, 3.447181101398672*^9}, {
   3.447181188288189*^9, 3.44718122448956*^9}, {3.447181353384054*^9, 
   3.4471814103796988`*^9}, {3.447181552042008*^9, 3.4471815792808657`*^9}, {
   3.447181618426049*^9, 3.447181665196109*^9}, {3.447181711237102*^9, 
   3.447181790760816*^9}, 3.4471818844678497`*^9, {3.447181939813921*^9, 
   3.447181960515544*^9}, {3.447182411157741*^9, 3.447182436990397*^9}, {
   3.447182486380495*^9, 3.447182523204245*^9}, {3.447182602446382*^9, 
   3.4471826711397257`*^9}, {3.447182759369048*^9, 3.4471827603253307`*^9}, {
   3.4471827959789248`*^9, 3.4471828421824408`*^9}, {3.4471829052619658`*^9, 
   3.447182923814513*^9}, {3.447182954517853*^9, 3.44718295765878*^9}, {
   3.4471830507985277`*^9, 3.447183101051551*^9}, {3.4471831411307583`*^9, 
   3.447183196627266*^9}, {3.44718327033823*^9, 3.447183300687643*^9}, {
   3.447183367440105*^9, 3.44718341693587*^9}, {3.447183456669299*^9, 
   3.4471834798390207`*^9}, {3.447183514065175*^9, 3.4471836370153713`*^9}, {
   3.447183681157855*^9, 3.44718401256299*^9}, {3.447184056188416*^9, 
   3.447184068596792*^9}, {3.4471841050612297`*^9, 3.447184125443695*^9}, {
   3.447184181885762*^9, 3.447184184824999*^9}, {3.447184721722478*^9, 
   3.447184726378529*^9}, {3.447184760232622*^9, 3.447185034421872*^9}, {
   3.4471850658935757`*^9, 3.4471851901078653`*^9}, {3.447185253850843*^9, 
   3.447185284228142*^9}, {3.447185349208561*^9, 3.4471853890474243`*^9}, {
   3.4471854202886953`*^9, 3.447185585527787*^9}, {3.447185618778008*^9, 
   3.447185633923908*^9}, {3.447185722726668*^9, 3.447185723262905*^9}, {
   3.447186373268725*^9, 3.447186394964867*^9}, {3.4471864291895847`*^9, 
   3.447186464838479*^9}, 3.4471865029953823`*^9, {3.447186820289752*^9, 
   3.447186889210113*^9}, {3.447186921724022*^9, 3.4471869403156967`*^9}, {
   3.447243968351542*^9, 3.4472439978359823`*^9}, {3.447244170510069*^9, 
   3.447244171314913*^9}, 3.447244202789616*^9, {3.447396486670513*^9, 
   3.4473966136378517`*^9}, {3.4473966619111*^9, 3.44739666257731*^9}, {
   3.447396721698201*^9, 3.447396734983492*^9}, 3.4473968103850117`*^9, {
   3.4473968923165283`*^9, 3.447396913300054*^9}, {3.447397200105094*^9, 
   3.447397338261526*^9}, {3.447397390974608*^9, 3.447397401194902*^9}, {
   3.4473974802445593`*^9, 3.447397483480239*^9}, {3.447397673398081*^9, 
   3.447397675464912*^9}, {3.447397721364852*^9, 3.4473977236909647`*^9}, {
   3.447397774594295*^9, 3.4473978014809437`*^9}, {3.4473979290690107`*^9, 
   3.447397979027851*^9}, 3.447398058367989*^9, {3.447398115044223*^9, 
   3.447398115623501*^9}, {3.447398164369729*^9, 3.44739818360562*^9}, {
   3.447398233867341*^9, 3.447398430079383*^9}, {3.447398666442596*^9, 
   3.447398668925308*^9}, {3.447398725968203*^9, 3.447398726115848*^9}, {
   3.447398762050755*^9, 3.447398791021635*^9}, {3.447398836931994*^9, 
   3.447398880230816*^9}, {3.447398915186234*^9, 3.447398940992084*^9}, {
   3.447398973518976*^9, 3.4473989872400837`*^9}, {3.44739903441849*^9, 
   3.447399034586492*^9}, {3.447399102503234*^9, 3.4473992507291803`*^9}, {
   3.447399420937549*^9, 3.447399428499436*^9}, {3.4473994997353888`*^9, 
   3.4473995186650887`*^9}, {3.447399567138649*^9, 3.447399669008059*^9}, {
   3.447404211753502*^9, 3.4474042260183783`*^9}, {3.447404281858605*^9, 
   3.4474042879164057`*^9}, {3.447404336434677*^9, 3.447404360032857*^9}, {
   3.447404398208576*^9, 3.4474044001305323`*^9}, {3.4474044530718117`*^9, 
   3.447404463030401*^9}, {3.447404510989689*^9, 3.447404523895039*^9}, {
   3.447404691719326*^9, 3.447404718620904*^9}, {3.447404773578671*^9, 
   3.447404805189579*^9}, {3.447404894272235*^9, 3.447404894945434*^9}, {
   3.4474050371357193`*^9, 3.447405099051647*^9}, {3.447405140333294*^9, 
   3.44740514708936*^9}, {3.447405200487768*^9, 3.447405246375236*^9}, {
   3.447405323535129*^9, 3.447405416230863*^9}, {3.4474054737411537`*^9, 
   3.447405490390765*^9}, {3.447405557575539*^9, 3.447405593250485*^9}, {
   3.447405685266739*^9, 3.447405692230413*^9}, {3.4474058237154016`*^9, 
   3.4474058258793573`*^9}, {3.447405860758767*^9, 3.447405861554846*^9}, {
   3.447405891604395*^9, 3.447405948097713*^9}, {3.447406115993916*^9, 
   3.4474061512730427`*^9}, {3.44740619331544*^9, 3.4474062166673107`*^9}, {
   3.447406317882839*^9, 3.447406356076647*^9}, {3.447406493119575*^9, 
   3.447406498255308*^9}, {3.447406550904961*^9, 3.4474065567772493`*^9}, {
   3.447406589967478*^9, 3.447406597619234*^9}, {3.447406636112339*^9, 
   3.4474066615724573`*^9}, {3.447406873033949*^9, 3.4474068731943493`*^9}, {
   3.4474069569935207`*^9, 3.44740711659018*^9}, {3.4474071718359747`*^9, 
   3.447407172000391*^9}, {3.4474072551389093`*^9, 3.4474072765758247`*^9}, {
   3.447407312215836*^9, 3.44740740441954*^9}, {3.447407440197102*^9, 
   3.4474074487223473`*^9}, {3.447407485860322*^9, 3.4474075172755737`*^9}, {
   3.447407578829623*^9, 3.44740765704815*^9}, {3.447407705190089*^9, 
   3.4474077505916233`*^9}, {3.447407812433869*^9, 3.447407812848811*^9}, {
   3.447408037238365*^9, 3.447408059839533*^9}, {3.447408176615953*^9, 
   3.447408193866749*^9}, {3.447408547964747*^9, 3.4474085545002737`*^9}, {
   3.44740860318148*^9, 3.447408631056367*^9}, {3.447408666615614*^9, 
   3.447408670203204*^9}, {3.447408748816577*^9, 3.447408782594016*^9}, {
   3.4474088485802097`*^9, 3.447408862774659*^9}, {3.447408898910493*^9, 
   3.447408924154409*^9}, {3.4474089748804417`*^9, 3.447408996212146*^9}, {
   3.4474090628595743`*^9, 3.447409063256315*^9}, {3.447409100393353*^9, 
   3.447409101967251*^9}, {3.4474091882569227`*^9, 3.447409188427361*^9}, {
   3.44740928343573*^9, 3.447409438990608*^9}, {3.4474095514864883`*^9, 
   3.447409605764579*^9}, {3.447409737909904*^9, 3.4474098381271057`*^9}, {
   3.4474098819334*^9, 3.4474100982926283`*^9}, {3.447410133675006*^9, 
   3.447410139257318*^9}, {3.447410263277401*^9, 3.4474102680508833`*^9}, 
   3.447410470555003*^9, {3.447410688676598*^9, 3.4474106927653913`*^9}, {
   3.44741072645372*^9, 3.4474107401901493`*^9}, {3.4474108442406607`*^9, 
   3.447410908841824*^9}, {3.447410961594117*^9, 3.4474109908660383`*^9}, {
   3.4474110341668587`*^9, 3.447411034827972*^9}, {3.447411079544092*^9, 
   3.447411082126028*^9}, {3.447411751492415*^9, 3.447411772111576*^9}, {
   3.447411814387541*^9, 3.447411877114794*^9}, {3.447412065406968*^9, 
   3.4474120711869593`*^9}, {3.4474121328845463`*^9, 3.447412138172687*^9}, {
   3.447412204918251*^9, 3.447412243974477*^9}, {3.4474123053245363`*^9, 
   3.447412394671529*^9}, {3.44741246169604*^9, 3.4474126362207108`*^9}, {
   3.447412716999983*^9, 3.4474128003821507`*^9}, {3.44741283060702*^9, 
   3.447412956103324*^9}, {3.447412991526156*^9, 3.447413031024836*^9}, {
   3.447413124316409*^9, 3.447413125116597*^9}, {3.4474131677784233`*^9, 
   3.447413178377266*^9}, {3.4474132303384933`*^9, 3.447413253024638*^9}, {
   3.447413314752172*^9, 3.447413450614006*^9}, {3.447413503224255*^9, 
   3.447413505767103*^9}, {3.447413553813488*^9, 3.447413661449638*^9}, {
   3.447413703281849*^9, 3.447413778440257*^9}, {3.447413865736595*^9, 
   3.44741387844643*^9}, {3.4474142075590467`*^9, 3.4474142096368647`*^9}, 
   3.4474142427002296`*^9, {3.447414277821814*^9, 3.447414279425748*^9}, {
   3.447414315310858*^9, 3.4474143340539713`*^9}, {3.447414423320169*^9, 
   3.4474144525075607`*^9}, {3.447414500262269*^9, 3.447414595751605*^9}, 
   3.4474146308119164`*^9, {3.447414773612278*^9, 3.44741483253631*^9}, {
   3.447414920136477*^9, 3.447414920629567*^9}, {3.447414957484623*^9, 
   3.4474150174443827`*^9}, {3.447415181715209*^9, 3.447415463909648*^9}, {
   3.447415506685618*^9, 3.447415758368528*^9}, 3.447415876060685*^9, {
   3.447415911126915*^9, 3.4474159403416862`*^9}, {3.447416061852716*^9, 
   3.447416062638742*^9}, {3.447416112106757*^9, 3.447416131320136*^9}, {
   3.44741629950712*^9, 3.4474163328954687`*^9}, {3.447416434891947*^9, 
   3.447416591435494*^9}, {3.447416738833325*^9, 3.447416797837965*^9}, {
   3.447416879900139*^9, 3.447416975915139*^9}, {3.447417137118629*^9, 
   3.447417199544559*^9}, {3.447417247695732*^9, 3.447417306039052*^9}, {
   3.447417416597876*^9, 3.4474174888264637`*^9}, 3.4474175205391073`*^9, {
   3.4474175873862247`*^9, 3.44741779482388*^9}, {3.4474178798843412`*^9, 
   3.447417894941843*^9}, {3.4474179667133017`*^9, 3.447418116574277*^9}, {
   3.447418175032517*^9, 3.447418182038745*^9}, {3.4474182213528214`*^9, 
   3.447418230097727*^9}, {3.447418312272295*^9, 3.4474183160869627`*^9}, {
   3.4474183584561234`*^9, 3.447418359518955*^9}, {3.44741846294354*^9, 
   3.4474184727539682`*^9}, {3.4474304121026497`*^9, 
   3.4474304198473253`*^9}, {3.4474304513089943`*^9, 3.447430473562746*^9}, {
   3.4474305379771557`*^9, 3.447430550308177*^9}, 3.447430612691659*^9, 
   3.447430744240747*^9, {3.4474308618357973`*^9, 3.447430866675653*^9}, {
   3.447430898526125*^9, 3.447430968715124*^9}, {3.4474310110365353`*^9, 
   3.447431022589651*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {}, 
    Typeset`size$$ = {1105., {368., 373.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {}, "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`titleStyle = {
         FontFamily -> "Liberation Sans", 14, Bold, 
          RGBColor[0.35, 0.35, 0.35], Background -> 
          RGBColor[1, 1, 1, 0]}; $CellContext`tagAtRight = {
         FontFamily -> "Liberation Sans", 12, Bold, 
          RGBColor[0, 33/255, 66/255], Background -> RGBColor[1, 1, 1, 0], 
          TextAlignment -> {Right, Top}}; $CellContext`textStyle = {
         FontFamily -> "Liberation Sans", 10, Bold, 
          RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0], 
          AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
          1}; $CellContext`explanationStyle = {
         FontFamily -> "Times", 14, Plain, 
          RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0], 
          AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
          1}; $CellContext`mathStyle = {
         FontFamily -> "Liberation Serif", 14, Bold, 
          RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0], 
          AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
          1}; $CellContext`plotLabelStyle = {FontFamily -> "Times", 14, Plain, 
          RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0]}; 
       TabView[{
         Style["Koordinatentransformation und Gebietsintegral", \
$CellContext`titleStyle] -> Column[{
             Row[{
               Button[
                Style["Erkl\[ADoubleDot]rung", 9], 
                CreateDocument[
                 TextCell[
                  Pane[
                   Column[{
                    TextCell[
                    "\nZiel:", {$CellContext`explanationStyle, Bold, 16}], 
                    TextCell[
                    "Das erste Tab dieser Visualisierung stellt dar, wie eine \
Koordinatentransformation die Berechnung des Integrals \[UDoubleDot]ber einem \
- \"durch kompliziertere Kurven\" begrenzten - Gebiet vereinfachen kann. Im \
dargestellten Spezialfall, dass der Integrand die konstante Funktion f(x,y) \
:= 1 ist, handelt es sich dann insbesondere um eine Methode, den Fl\
\[ADoubleDot]cheninhalt eines durch solche Kurven berandeten Gebiets zu \
berechnen.\n", $CellContext`explanationStyle], 
                    TextCell[
                    "Aktivit\[ADoubleDot]t:", {$CellContext`explanationStyle, 
                    Bold, 16}], 
                    TextCell[
                    "Mit den vier Reglern k\[ODoubleDot]nnen Sie das Gebiet R \
definieren. Beachten Sie simultan, wie sich das transformierte Gebiet S ver\
\[ADoubleDot]ndert. Dieses ist ein Rechteck, also kann das transformierte \
Integral und damit in unserem Fall der Fl\[ADoubleDot]cheninhalt mittels \
eines Zweifach-Integrals berechnet werden.\nVorsicht: Diese Transformation \
ist jedoch nicht fl\[ADoubleDot]chenerhaltend und deshalb l\[ADoubleDot]sst \
sich der Fl\[ADoubleDot]cheninhalt nicht direkt \"aus dem Rechteck ablesen\". \
Dies sieht man auch daran, dass im Zweifach-Integral der Wert der \
Jacobi-Determinante als \"Korrektur-Integrand\" auftritt.\n", \
$CellContext`explanationStyle], 
                    TextCell[
                    "Tipp:", {$CellContext`explanationStyle, Bold, 16}], 
                    TextCell[
                    "In einer weiteren Visualisierung erfahren Sie mehr dar\
\[UDoubleDot]ber, welche Rolle die Jacobi-Determinante in der Formel der \
Koordinatentransformation f\[UDoubleDot]r das Gebietsintegral hat, bzw. wieso \
sie hier auftaucht.", $CellContext`explanationStyle]}, {Left, Top}]]], 
                 WindowFrame -> "Normal", WindowSize -> {650, 500}, 
                 WindowTitle -> "Erkl\[ADoubleDot]rung"], 
                ImageSize -> {90, 20}, Background -> RGBColor[0.9, 0.9, 0.9]],
                "  "}], 
             Manipulate[
              Column[{
                Show[
                 
                 ParametricPlot[{$CellContext`r 
                   Cos[$CellContext`theta], $CellContext`r 
                   Sin[$CellContext`theta]}, {$CellContext`r, \
$CellContext`r1, $CellContext`r2}, {$CellContext`theta, $CellContext`theta1, \
$CellContext`theta2}, Mesh -> None, AspectRatio -> 11/22, Axes -> True, Frame -> 
                  False, AxesLabel -> {"x", "y"}, AxesOrigin -> {-11, 0}, 
                  PlotRange -> {{-11, 11}, {0, 11}}, ImageSize -> {400, 200}], 
                 Graphics[{
                   RGBColor[0, 0, 1, 1], Dotted, 
                   
                   Circle[{0, 0}, $CellContext`r1 + 
                    0.25 ($CellContext`r2 - $CellContext`r1), {
                    0, $CellContext`theta1}]}], 
                 Graphics[
                  Text[
                  "\!\(\*SubscriptBox[\(\[Theta]\), \(1\)]\)", \
{$CellContext`r1 + 
                    0.25 ($CellContext`r2 - $CellContext`r1), \
$CellContext`theta1}]], 
                 Graphics[{
                   RGBColor[1, 0.5, 0, 1], Dotted, 
                   
                   Circle[{0, 0}, $CellContext`r1 + 
                    0.75 ($CellContext`r2 - $CellContext`r1), {
                    0, $CellContext`theta2}]}], 
                 Graphics[
                  Text[
                  "\!\(\*SubscriptBox[\(\[Theta]\), \(2\)]\)", \
{$CellContext`r1 + 
                    0.75 ($CellContext`r2 - $CellContext`r1), \
$CellContext`theta2}]], 
                 Graphics[{
                   RGBColor[0.5, 0.5, 0.5, 1], Dotted, 
                   
                   Line[{{0, 
                    0}, {$CellContext`r1 
                    Cos[$CellContext`theta1 + 
                    0.25 ($CellContext`theta2 - $CellContext`theta1)], \
$CellContext`r1 Sin[$CellContext`theta1 + 
                    0.25 ($CellContext`theta2 - $CellContext`theta1)]}}]}], 
                 Graphics[
                  Text[
                  "\!\(\*SubscriptBox[\(r\), \(1\)]\)", {($CellContext`r1 - 
                    0.6) Cos[$CellContext`theta1 + 
                    0.25 ($CellContext`theta2 - $CellContext`theta1)], \
($CellContext`r1 - 0.6) 
                    Sin[$CellContext`theta1 + 
                    0.25 ($CellContext`theta2 - $CellContext`theta1)]}]], 
                 Graphics[{
                   RGBColor[0.5, 0.5, 0.5, 1], Dotted, 
                   
                   Line[{{0, 
                    0}, {$CellContext`r2 
                    Cos[$CellContext`theta1 + 
                    0.75 ($CellContext`theta2 - $CellContext`theta1)], \
$CellContext`r2 Sin[$CellContext`theta1 + 
                    0.75 ($CellContext`theta2 - $CellContext`theta1)]}}]}], 
                 Graphics[
                  Text[
                  "\!\(\*SubscriptBox[\(r\), \(2\)]\)", {($CellContext`r2 - 
                    0.6) Cos[$CellContext`theta1 + 
                    0.75 ($CellContext`theta2 - $CellContext`theta1)], \
($CellContext`r2 - 0.6) 
                    Sin[$CellContext`theta1 + 
                    0.75 ($CellContext`theta2 - $CellContext`theta1)]}]], 
                 Graphics[{
                   RGBColor[0.2, 0.2, 0.2, 1], 
                   Text[
                   "R", {($CellContext`r1 + 
                    0.5 ($CellContext`r2 - $CellContext`r1)) 
                    Cos[$CellContext`theta1 + 
                    0.5 ($CellContext`theta2 - $CellContext`theta1)], \
($CellContext`r1 + 0.5 ($CellContext`r2 - $CellContext`r1)) 
                    Sin[$CellContext`theta1 + 
                    0.5 ($CellContext`theta2 - $CellContext`theta1)]}]}]], 
                Column[{
                  TextCell[
                  "Der Fl\[ADoubleDot]cheninhalt des Gebiets \
l\[ADoubleDot]sst sich berechnen als Gebietsintegral der konstanten Funktion \
f(x,y) := 1 \[UDoubleDot]ber diesem Gebiet:", $CellContext`textStyle, Plain, 
                   CellFrameMargins -> {{6, 6}, {0, 0}}, CellFrame -> True, 
                   CellFrameColor -> White], 
                  Style[
                  "A = \!\(\*UnderscriptBox[\(\[Integral]\[Integral]\), \
\(R\)]\)f(x,y)dxdy = \!\(\*UnderscriptBox[\(\[Integral]\[Integral]\), \
\(R\)]\)1dxdy", Plain], 
                  TextCell[
                  "In obigen kartesischen Koordinaten ist dies aber \
schwierig. Nicht so nach untenstehender Koordinaten-Transformation in \
Polarkoordinaten (rot markiert ist die Jacobi-Determinante):", \
$CellContext`textStyle, Plain, CellFrameMargins -> {{6, 6}, {0, 0}}, 
                   CellFrame -> True, CellFrameColor -> White], 
                  Style[
                   StringJoin[
                   "A = \!\(\*UnderscriptBox[\(\[Integral]\[Integral]\), \
\(S\)]\)f(\!\(\*SuperscriptBox[\(T\), \(-1\)]\)(x,y))\!\(\*\nStyleBox[\"|\",\n\
FontColor->RGBColor[1, 0, 0]]\)\!\(\*\nStyleBox[GridBox[{\n   {FractionBox[\n \
    RowBox[{\"\[PartialD]\", \"x\"}], \n     RowBox[{\"\[PartialD]\", \
\"r\"}]], FractionBox[\n     RowBox[{\"\[PartialD]\", \"x\"}], \n     \
RowBox[{\"\[PartialD]\", \"\[Theta]\"}]]},\n   {FractionBox[\n     RowBox[{\"\
\[PartialD]\", \"y\"}], \n     RowBox[{\"\[PartialD]\", \"r\"}]], \
FractionBox[\n     RowBox[{\"\[PartialD]\", \"y\"}], \n     RowBox[{\"\
\[PartialD]\", \"\[Theta]\"}]]}\n  }],\nFontColor->RGBColor[1, 0, 0]]\)\!\(\*\
\nStyleBox[\"|\",\nFontColor->RGBColor[1, 0, 0]]\)drd\[Theta]  = \
\!\(\*UnderoverscriptBox[\(\[Integral]\), SubscriptBox[\(\[Theta]\), \(1\)], \
SubscriptBox[\(\[Theta]\), \(2\)]]\)\!\(\*UnderoverscriptBox[\(\[Integral]\), \
SubscriptBox[\(r\), \(1\)], SubscriptBox[\(r\), \(2\)]]\)\!\(\*\nStyleBox[\"r\
\",\nFontColor->RGBColor[1, 0, 0]]\)drd\[Theta] = ", 
                    ToString[
                    Round[
                    
                    Integrate[$CellContext`r, {$CellContext`r, \
$CellContext`r1, $CellContext`r2}, {$CellContext`theta, $CellContext`theta1, \
$CellContext`theta2}], 0.1]]], Plain], 
                  TextCell[
                  "\nGeometrisch ist das transformierte Gebiet dieser (nicht \
fl\[ADoubleDot]chenerhaltenden!) Transformation ein Rechteck bzgl. der \
transformierten Koordinaten:", $CellContext`textStyle, Plain, 
                   CellFrameMargins -> {{6, 6}, {0, 0}}, CellFrame -> True, 
                   CellFrameColor -> White]}, Center], "  ", 
                Show[
                 ParametricPlot[{
                   
                   Sqrt[($CellContext`r 
                    Cos[$CellContext`theta])^2 + ($CellContext`r 
                    Sin[$CellContext`theta])^2], 
                   
                   ArcCos[($CellContext`r Cos[$CellContext`theta])/
                    Sqrt[($CellContext`r 
                    Cos[$CellContext`theta])^2 + ($CellContext`r 
                    Sin[$CellContext`theta])^2]]}, {$CellContext`r, \
$CellContext`r1, $CellContext`r2}, {$CellContext`theta, $CellContext`theta1, \
$CellContext`theta2}, Mesh -> None, AspectRatio -> Pi/11, Axes -> True, Frame -> 
                  None, AxesLabel -> {$CellContext`r, "\[Theta]"}, 
                  PlotRange -> {{0, 11}, {0, Pi}}, ImageSize -> {400, 200}], 
                 Graphics[{
                   RGBColor[0, 0, 1, 1], Dotted, 
                   
                   Line[{{0, $CellContext`theta1}, {$CellContext`r1, \
$CellContext`theta1}}]}], 
                 Graphics[
                  Text[
                  "\!\(\*SubscriptBox[\(\[Theta]\), \(1\)]\)", {
                   0.4, $CellContext`theta1 + 0.25}]], 
                 Graphics[{
                   RGBColor[1, 0.5, 0, 1], Dotted, 
                   
                   Line[{{0, $CellContext`theta2}, {$CellContext`r1, \
$CellContext`theta2}}]}], 
                 Graphics[
                  Text[
                  "\!\(\*SubscriptBox[\(\[Theta]\), \(2\)]\)", {
                   0.4, $CellContext`theta2 + 0.25}]], 
                 Graphics[{
                   RGBColor[0.5, 0.5, 0.5, 1], Dotted, 
                   
                   Line[{{$CellContext`r1, 
                    0}, {$CellContext`r1, $CellContext`theta1}}]}], 
                 Graphics[
                  Text[
                  "\!\(\*SubscriptBox[\(r\), \(1\)]\)", {$CellContext`r1 - 
                    0.4, 0.25}]], 
                 Graphics[{
                   RGBColor[0.5, 0.5, 0.5, 1], Dotted, 
                   
                   Line[{{$CellContext`r2, 
                    0}, {$CellContext`r2, $CellContext`theta1}}]}], 
                 Graphics[
                  Text[
                  "\!\(\*SubscriptBox[\(r\), \(2\)]\)", {$CellContext`r2 - 
                    0.4, 0.25}]], 
                 Graphics[{
                   RGBColor[0.2, 0.2, 0.2, 1], 
                   Text[
                   "S", {$CellContext`r1 + 
                    0.5 ($CellContext`r2 - $CellContext`r1), \
$CellContext`theta1 + 0.5 ($CellContext`theta2 - $CellContext`theta1)}]}]]}, 
               Center, Background -> RGBColor[1, 1, 1]], 
              "", {{$CellContext`r1, 1, 
                Dynamic[
                 Style[
                  StringJoin["\!\(\*SubscriptBox[\(r\), \(1\)]\) = ", 
                   ToString[
                    Round[$CellContext`r1, 0.1]]], $CellContext`textStyle]]}, 
               0.001, 4, 0.1}, {{$CellContext`r2, 8, 
                Dynamic[
                 Style[
                  StringJoin["\!\(\*SubscriptBox[\(r\), \(2\)]\) = ", 
                   ToString[
                    Round[$CellContext`r2, 0.1]]], $CellContext`textStyle]]}, 
               4.1, 10, 0.1}, {{$CellContext`theta1, Pi/8, 
                Dynamic[
                 Style[
                  StringJoin["\!\(\*SubscriptBox[\(\[Theta]\), \(1\)]\) = ", 
                   ToString[
                    TraditionalForm[
                    
                    Round[$CellContext`theta1, 
                    0.1]]]], $CellContext`textStyle]]}, 0, 1, 
               0.1}, {{$CellContext`theta2, 1.4, 
                Dynamic[
                 Style[
                  StringJoin["\!\(\*SubscriptBox[\(\[Theta]\), \(2\)]\) = ", 
                   ToString[
                    TraditionalForm[
                    
                    Round[$CellContext`theta2, 
                    0.1]]]], $CellContext`textStyle]]}, 1.1, Pi}, 
              TextCell["\n"], Delimiter, 
              TextCell["(Theorie)\n", $CellContext`tagAtRight], 
              TextCell[
               Style[
               "Koordinaten-Transformation T \nkartesische \[LeftRightArrow] \
polare Koordinaten:\n", $CellContext`textStyle]], 
              TextCell[
               Style[
               "    (x,y) = \!\(\*\nStyleBox[\"T\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\"(\",\nFontSize->14]\)\!\(\*\nStyleBox[\"r\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\",\",\nFontSize->14]\)\!\(\*\nStyleBox[\"\
\[Theta]\",\nFontSize->14]\)\!\(\*\nStyleBox[\")\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\":=\",\nFontSize->14]\)\!\(\
\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"(\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\"r\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"cos\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\"(\",\nFontSize->14]\)\!\(\*\nStyleBox[\"\[Theta]\",\nFontSize->14]\
\)\!\(\*\nStyleBox[\")\",\nFontSize->14]\)\!\(\*\nStyleBox[\",\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\"\[NoBreak] \",\nFontSize->14]\)\!\(\*\n\
StyleBox[\"r\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \",\n\
FontSize->14]\)\!\(\*\nStyleBox[\"sin\",\nFontSize->14]\)\!\(\*\nStyleBox[\"(\
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"\[Theta]\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\")\",\nFontSize->14]\)\!\(\*\nStyleBox[\")\",\nFontSize->14]\)", \
$CellContext`mathStyle]], 
              TextCell[
               Style[
               "    \!\(\*\nStyleBox[\"(\",\nFontSize->14]\)\!\(\*\nStyleBox[\
\"r\",\nFontSize->14]\)\!\(\*\nStyleBox[\",\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\"\[Theta]\",\nFontSize->14]\)\!\(\*\nStyleBox[\")\",\nFontSize->14]\
\)\!\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\"=\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*SuperscriptBox[\n\
 StyleBox[\"T\",\nFontSize->14], \n RowBox[{\"-\", \"1\"}]]\)\!\(\*\n\
StyleBox[\"(\",\nFontSize->14]\)\!\(\*\nStyleBox[\"x\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\",\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\"y\",\nFontSize->14]\)\!\(\*\nStyleBox[\")\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\n\
StyleBox[\":=\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\
\*\nStyleBox[\"(\",\nFontSize->14]\)\!\(\*\nStyleBox[SqrtBox[\n  \
RowBox[{SuperscriptBox[\"x\", \"2\"], \"+\", SuperscriptBox[\"y\", \"2\"]}]],\
\nFontSize->10]\)\!\(\*\nStyleBox[\",\",\nFontSize->14]\)\!\(\*\nStyleBox[\"\
\[NoBreak] \",\nFontSize->14]\)\!\(\*\nStyleBox[\"arccos\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\"(\",\nFontSize->14]\)\!\(\*FractionBox[\n \
StyleBox[\n  RowBox[{\" \", \"x\"}],\nFontSize->14], SqrtBox[\n  \
RowBox[{SuperscriptBox[\"x\", \"2\"], \"+\", SuperscriptBox[\"y\", \"2\"]}]]]\
\)\!\(\*\nStyleBox[\" \",\nFontSize->14]\)\!\(\*\nStyleBox[\")\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\")\",\nFontSize->14]\)", \
$CellContext`mathStyle]], 
              TextCell[
               Style[
               "\nJacobi-Determinante dieser Koordinaten-Transformation:", \
$CellContext`textStyle]], 
              TextCell[
               Style[
               "                           |\!\(\*GridBox[{\n  {FractionBox[\n\
    RowBox[{\"\[PartialD]\", \"x\"}], \n    RowBox[{\"\[PartialD]\", \
\"r\"}]], FractionBox[\n    RowBox[{\"\[PartialD]\", \"x\"}], \n    \
RowBox[{\"\[PartialD]\", \"\[Theta]\"}]]},\n  {FractionBox[\n    RowBox[{\"\
\[PartialD]\", \"y\"}], \n    RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[\
\n    RowBox[{\"\[PartialD]\", \"y\"}], \n    RowBox[{\"\[PartialD]\", \"\
\[Theta]\"}]]}\n }]\)|  =  r", $CellContext`mathStyle, 16], TextAlignment -> 
               Center], Delimiter, 
              Text[""], ControlPlacement -> Left, SaveDefinitions -> True, 
              AppearanceElements -> None, Paneled -> False]}, {{
             Right, Center}, {Top, Top}}], 
          Style["Zur Rolle der Jacobi-Determinante", $CellContext`titleStyle] -> 
          Column[{
             Row[{
               Button[
                Style["Erkl\[ADoubleDot]rung", 9], 
                CreateDocument[
                 TextCell[
                  Pane[
                   
                   Column[{
                    TextCell[
                    "\nDie Jacobi-Determinante in der \
Fl\[ADoubleDot]chenapproximation f\[UDoubleDot]r ein Integrationsgebiet:\n", \
{$CellContext`explanationStyle, Bold}] 
                    TextCell[
                    "Wie Sie in der Vorlesung gesehen haben, wird die \
Gebietsfl\[ADoubleDot]che \[CapitalDelta]A des Gebietes R approximiert durch \
die Fl\[ADoubleDot]che des Parallelogramms, welches durch die beiden \
Vektoren", $CellContext`explanationStyle], 
                    TextCell[
                    Style[
                    "\n      \[CapitalDelta]v \!\(\*SubscriptBox[\(r\), \
\(u\)]\) und \[CapitalDelta]v \!\(\*SubscriptBox[\(r\), \(v\)]\)\n"], \
$CellContext`mathStyle, Plain], 
                    TextCell[
                    "aufgespannt wird. Diese Fl\[ADoubleDot]che entspricht \
bekanntlich dem Betrag des Kreuzprodukts dieser beiden Vektoren, was wiederum \
als Determinante geschrieben werden kann. Also:", \
$CellContext`explanationStyle], 
                    TextCell[
                    Style[
                    "\n     \[CapitalDelta]A \[TildeTilde] \
det[\[CapitalDelta]u \!\(\*SubscriptBox[\(r\), \(u\)]\) \[Times] \
\[CapitalDelta]v \!\(\*SubscriptBox[\(r\), \(v\)]\) ] = \
det[(\!\(\*SubscriptBox[\(r\), \(u\)]\) \[Times] \!\(\*SubscriptBox[\(r\), \
\(v\)]\))\[CapitalDelta]u\[CapitalDelta]v] = det[(\!\(\*SubscriptBox[\(r\), \
\(u\)]\) \[Times] \!\(\*SubscriptBox[\(r\), \(v\)]\))]\[CapitalDelta]u\
\[CapitalDelta]v\n", $CellContext`mathStyle, Plain]], 
                    TextCell[
                    "Da r die (Orts-)Vektorfunktion des Bildes eines Punktes \
(u,v) in den (x,y)-Koordinaten ist, lautet das Kreuzprodukt in der \
Determinante ausgeschrieben:", $CellContext`explanationStyle], 
                    TextCell[
                    Style[
                    "\n     det[(ru \[Times] rv)] = |\!\(\*GridBox[{\n  \
{FractionBox[\n    RowBox[{\"\[PartialD]\", \"x\"}], \n    RowBox[{\"\
\[PartialD]\", \"r\"}]], FractionBox[\n    RowBox[{\"\[PartialD]\", \"x\"}], \
\n    RowBox[{\"\[PartialD]\", \"\[Theta]\"}]]},\n  {FractionBox[\n    \
RowBox[{\"\[PartialD]\", \"y\"}], \n    RowBox[{\"\[PartialD]\", \"r\"}]], \
FractionBox[\n    RowBox[{\"\[PartialD]\", \"y\"}], \n    RowBox[{\"\
\[PartialD]\", \"\[Theta]\"}]]}\n }]\)|  und damit  \[CapitalDelta]A \
\[TildeTilde] |\!\(\*GridBox[{\n  {FractionBox[\n    RowBox[{\"\[PartialD]\", \
\"x\"}], \n    RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[\n    \
RowBox[{\"\[PartialD]\", \"x\"}], \n    RowBox[{\"\[PartialD]\", \
\"\[Theta]\"}]]},\n  {FractionBox[\n    RowBox[{\"\[PartialD]\", \"y\"}], \n  \
  RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[\n    \
RowBox[{\"\[PartialD]\", \"y\"}], \n    RowBox[{\"\[PartialD]\", \
\"\[Theta]\"}]]}\n }]\)|\[CapitalDelta]u\[CapitalDelta]v\n", \
$CellContext`mathStyle, Plain]], 
                    TextCell[
                    "Diese Determinante ist uns also als die \
Jacobi-Determinante der Vektorfunktion r von fr\[UDoubleDot]her her bekannt.\n\
", $CellContext`explanationStyle], 
                    TextCell[
                    "Wie kommt nun die Jacobi-Determinante in die Formel zur \
allgemeinen Koordinatentransformation in Integralen?\n", \
{$CellContext`explanationStyle, Bold}], 
                    TextCell[
                    "Dies sehen wir, wenn wir uns erinnern, dass das \
Gebietsintegral ja als Riemannsumme approximiert wird und der Grenzwert \
dieses Integral definiert. Genau dort tritt das \"Fl\[ADoubleDot]chenst\
\[UDoubleDot]ck\" \[CapitalDelta]A und damit die Jacobi-Determinante auf:", \
$CellContext`explanationStyle], 
                    TextCell[
                    Style[
                    "\n     \!\(\*UnderscriptBox[\(\[Integral]\[Integral]\), \
\(R\)]\)f(x,y)dA := \!\(\*UnderscriptBox[\(lim\), \(m, n \[RightArrow] \
\[Infinity]\)]\) \!\(\*UnderoverscriptBox[\(\[Sum]\), \(i = 1\), \(m\)]\) \
\!\(\*UnderoverscriptBox[\(\[Sum]\), \(j = 1\), \(n\)]\) \
f(\!\(\*SubscriptBox[\(x\), \(i\)]\),\!\(\*SubscriptBox[\(y\), \
\(j\)]\))\!\(\*\nStyleBox[\"\[CapitalDelta]A\",\nFontColor->RGBColor[1, 0, \
0]]\) \n\n                      \[TildeTilde] \!\(\*UnderscriptBox[\(lim\), \
\(m, n \[RightArrow] \[Infinity]\)]\) \!\(\*UnderoverscriptBox[\(\[Sum]\), \
\(i = 1\), \(m\)]\) \!\(\*UnderoverscriptBox[\(\[Sum]\), \(j = 1\), \(n\)]\) \
f(x(\!\(\*SubscriptBox[\(u\), \(i\)]\),\!\(\*SubscriptBox[\(v\), \(j\)]\)),y(\
\!\(\*SubscriptBox[\(u\), \(i\)]\),\!\(\*SubscriptBox[\(v\), \(j\)]\)))\!\(\*\
\nStyleBox[\"|\",\nFontColor->RGBColor[1, 0, 0]]\)\!\(\*\nStyleBox[GridBox[{\n\
   {FractionBox[\n     RowBox[{\"\[PartialD]\", \"x\"}], \n     RowBox[{\"\
\[PartialD]\", \"r\"}]], FractionBox[\n     RowBox[{\"\[PartialD]\", \"x\"}], \
\n     RowBox[{\"\[PartialD]\", \"\[Theta]\"}]]},\n   {FractionBox[\n     \
RowBox[{\"\[PartialD]\", \"y\"}], \n     RowBox[{\"\[PartialD]\", \"r\"}]], \
FractionBox[\n     RowBox[{\"\[PartialD]\", \"y\"}], \n     RowBox[{\"\
\[PartialD]\", \"\[Theta]\"}]]}\n  }],\nFontColor->RGBColor[1, 0, 0]]\)\!\(\*\
\nStyleBox[\"|\",\nFontColor->RGBColor[1, 0, 0]]\)\!\(\*\nStyleBox[\"\
\[CapitalDelta]u\[CapitalDelta]v\",\nFontColor->RGBColor[1, 0, 0]]\) \n\n     \
                 =: \!\(\*UnderscriptBox[\(\[Integral]\[Integral]\), \
\(S\)]\)f(x(u,v),y(u,v))\!\(\*\nStyleBox[\"|\",\nFontColor->RGBColor[1, 0, \
0]]\)\!\(\*\nStyleBox[GridBox[{\n   {FractionBox[\n     RowBox[{\"\[PartialD]\
\", \"x\"}], \n     RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[\n     \
RowBox[{\"\[PartialD]\", \"x\"}], \n     RowBox[{\"\[PartialD]\", \
\"\[Theta]\"}]]},\n   {FractionBox[\n     RowBox[{\"\[PartialD]\", \"y\"}], \n\
     RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[\n     RowBox[{\"\
\[PartialD]\", \"y\"}], \n     RowBox[{\"\[PartialD]\", \"\[Theta]\"}]]}\n  \
}],\nFontColor->RGBColor[1, 0, 0]]\)\!\(\*\nStyleBox[\"|\",\n\
FontColor->RGBColor[1, 0, 0]]\) dudv\n\n                        ", \
$CellContext`mathStyle, Plain]], 
                    TextCell[
                    "Die Approximation \"\[TildeTilde]\" wird nun gerade \
exakt, wenn die Bedingungen des Satzes \[UDoubleDot]ber die \
Koordinatentransformation erf\[UDoubleDot]llt sind (siehe Vorlesung und \
Begleitliteratur) und es ergibt sich dessen Aussage (Formel).", \
$CellContext`explanationStyle], 
                    TextCell[" "]}, {Left, Top}]]], WindowFrame -> "Normal", 
                 WindowSize -> {650, 500}, WindowTitle -> 
                 "Erkl\[ADoubleDot]rung"], ImageSize -> {90, 20}, Background -> 
                RGBColor[0.9, 0.9, 0.9]], "  "}], " ", 
             Manipulate[
             Needs["VectorAnalysis`"]; $CellContext`p1 = {1, 
                5}; $CellContext`p2 = {2, 1}; $CellContext`p3 = {5, 
                3}; $CellContext`p4 = {3, 
                6}; $CellContext`xParamPieces = {{$CellContext`t + 1, 
                  And[$CellContext`t >= 0, $CellContext`t < 1]}, {
                 3 $CellContext`t - 1, 
                  
                  And[$CellContext`t >= 1, $CellContext`t < 
                   2]}, {(-2) $CellContext`t + 9, 
                  
                  And[$CellContext`t >= 2, $CellContext`t < 
                   3]}, {(-2) $CellContext`t + 9, 
                  
                  And[$CellContext`t >= 3, $CellContext`t <= 
                   4]}}; $CellContext`yParamPieces = {{(-$CellContext`b - 
                    4) $CellContext`t^2 + $CellContext`b $CellContext`t + 5, 
                  
                  And[$CellContext`t >= 0, $CellContext`t < 
                   1]}, {(2/3 - $CellContext`b/
                    3) $CellContext`t^2 + $CellContext`b $CellContext`t + 
                  1/3 - (2/3) $CellContext`b, 
                  
                  And[$CellContext`t >= 1, $CellContext`t < 
                   2]}, {(3/5 - $CellContext`b/
                    5) $CellContext`t^2 + $CellContext`b $CellContext`t + 
                  3/5 - (6/5) $CellContext`b, 
                  
                  And[$CellContext`t >= 2, $CellContext`t < 
                   3]}, {((-1)/7 - $CellContext`b/
                    7) $CellContext`t^2 + $CellContext`b $CellContext`t + 
                  51/7 - (12/7) $CellContext`b, 
                  
                  And[$CellContext`t >= 3, $CellContext`t <= 
                   4]}}; $CellContext`tangentVectorP1C4 = {
                 ReplaceAll[
                  D[-Part[
                    Part[$CellContext`xParamPieces, 4], 
                    1], $CellContext`t], {$CellContext`t -> 4}], 
                 ReplaceAll[
                  D[-Part[
                    Part[$CellContext`yParamPieces, 4], 
                    1], $CellContext`t], {$CellContext`t -> 
                   4}]}; $CellContext`normedTangentVectorP1C4 = \
$CellContext`tangentVectorP1C4/Norm[{
                  ReplaceAll[
                   D[-Part[
                    Part[$CellContext`xParamPieces, 4], 
                    1], $CellContext`t], {$CellContext`t -> 4}], 
                  ReplaceAll[
                   D[-Part[
                    Part[$CellContext`yParamPieces, 4], 
                    1], $CellContext`t], {$CellContext`t -> 
                    4}]}]; $CellContext`tangentVectorP1C1 = {
                 ReplaceAll[
                  D[
                   Part[
                    Part[$CellContext`xParamPieces, 1], 
                    1], $CellContext`t], {$CellContext`t -> 0}], 
                 ReplaceAll[
                  D[
                   Part[
                    Part[$CellContext`yParamPieces, 1], 
                    1], $CellContext`t], {$CellContext`t -> 
                   0}]}; $CellContext`normedTangentVectorP1C1 = \
$CellContext`tangentVectorP1C1/Norm[{
                  ReplaceAll[
                   D[1 Part[
                    Part[$CellContext`xParamPieces, 1], 
                    1], $CellContext`t], {$CellContext`t -> 0}], 
                  ReplaceAll[
                   D[1 Part[
                    Part[$CellContext`yParamPieces, 1], 
                    1], $CellContext`t], {$CellContext`t -> 
                    0}]}]; $CellContext`polygonP1 = $CellContext`p1; \
$CellContext`polygonP2 = $CellContext`p1 + 
                Norm[$CellContext`p2 - $CellContext`p1] \
$CellContext`normedTangentVectorP1C1; $CellContext`polygonP3 = \
$CellContext`polygonP2 + 
                Norm[$CellContext`p4 - $CellContext`p1] \
$CellContext`normedTangentVectorP1C4; $CellContext`polygonP4 = \
$CellContext`p1 + 
                Norm[$CellContext`p4 - $CellContext`p1] \
$CellContext`normedTangentVectorP1C4; Column[{" ", 
                 Show[{
                   ParametricPlot[{
                    Piecewise[$CellContext`xParamPieces], 
                    Piecewise[$CellContext`yParamPieces]}, {$CellContext`t, 0,
                     4}, AxesOrigin -> {0, 0}, 
                    PlotRange -> {{0, 10}, {0, 10}}], 
                   Graphics[
                    Arrow[{$CellContext`polygonP1, $CellContext`polygonP4}]], 
                   
                   Graphics[
                    Arrow[{$CellContext`polygonP1, $CellContext`polygonP2}]], 
                   
                   Graphics[{
                    RGBColor[0.5, 0.5, 0.5, 0.5], 
                    
                    Polygon[{$CellContext`polygonP1, $CellContext`polygonP2, \
$CellContext`polygonP3, $CellContext`polygonP4}]}], 
                   Graphics[
                    Text[
                    "\[CapitalDelta]A", $CellContext`polygonP1 + 
                    0.5 ($CellContext`polygonP2 - $CellContext`polygonP1 + \
$CellContext`polygonP4 - $CellContext`polygonP1)]], 
                   Graphics[
                    Text[
                    Style["R", 
                    RGBColor[0, 33/255, 66/255], Plain], {2.5, 4.4}]], 
                   Graphics[
                    Text[
                    Style[
                    "\[CapitalDelta]u \!\(\*SubscriptBox[\(r\), \(u\)]\)", 
                    RGBColor[0, 33/255, 66/255], Plain], 
                    1.05 $CellContext`polygonP4]], 
                   Graphics[
                    Text[
                    Style[
                    "\[CapitalDelta]v \!\(\*SubscriptBox[\(r\), \(v\)]\)", 
                    RGBColor[0, 33/255, 66/255], Plain], 
                    0.92 $CellContext`polygonP2]]}, ImageSize -> {400, 300}], 
                 " ", 
                 Dynamic[
                  Style[
                   StringJoin["\[CapitalDelta]A = ", 
                    ToString[
                    Round[
                    Norm[
                    VectorAnalysis`CrossProduct[{
                    Part[$CellContext`polygonP4 - $CellContext`polygonP1, 1], 
                    
                    Part[$CellContext`polygonP4 - $CellContext`polygonP1, 2], 
                    0}, {
                    Part[$CellContext`polygonP2 - $CellContext`polygonP1, 1], 
                    
                    Part[$CellContext`polygonP2 - $CellContext`polygonP1, 2], 
                    0}]], 0.1]]], $CellContext`plotLabelStyle]], 
                 Dynamic[
                  Style[
                   StringJoin[
                   "\[CapitalDelta]v \!\(\*SubscriptBox[\(r\), \(v\)]\) = ", 
                    "\[InvisiblePrefixScriptBase](", 
                    ToString[
                    TraditionalForm[
                    Round[
                    Part[$CellContext`polygonP4 - $CellContext`polygonP1, 1], 
                    0.1]]], " , ", 
                    ToString[
                    TraditionalForm[
                    Round[
                    Part[$CellContext`polygonP4 - $CellContext`polygonP1, 2], 
                    0.1]]], "\!\(\*SuperscriptBox[\()\), \(T\)]\)", 
                    "\n \[CapitalDelta]u \!\(\*SubscriptBox[\(r\), \(u\)]\) = \
", "(", 
                    ToString[
                    TraditionalForm[
                    Round[
                    Part[$CellContext`polygonP2 - $CellContext`polygonP1, 1], 
                    0.1]]], " , ", 
                    ToString[
                    TraditionalForm[
                    Round[
                    Part[$CellContext`polygonP2 - $CellContext`polygonP1, 2], 
                    0.1]]], "\!\(\*SuperscriptBox[\()\), \(T\)]\)", 
                    "\n"], $CellContext`plotLabelStyle]]}, Background -> 
                RGBColor[1, 1, 1], Alignment -> Center], {{$CellContext`b, -3, 
                Dynamic[
                 Style[
                  StringJoin["Verzerrungsparameter b = ", 
                   ToString[
                    
                    Round[$CellContext`b, 
                    0.1]]], $CellContext`textStyle]]}, -20, 20}, 
              TextCell[
              "Mit dem Verzerrungsparameter k\[ODoubleDot]nnen Sie die Form \
des Gebietes R (blau umrandet) ver\[ADoubleDot]ndern.", \
$CellContext`textStyle, Plain], 
              TextCell[
              "(Seine genaue Bedeutung hier ist rein technisch und sollte Sie \
nicht weiter k\[UDoubleDot]mmern.)\n", $CellContext`textStyle, Plain], 
              Delimiter, 
              TextCell["Es gilt:", $CellContext`textStyle], 
              TextCell[
               Style[
               "     \[CapitalDelta]A \[TildeTilde] det[\[CapitalDelta]u \!\(\
\*SubscriptBox[\(r\), \(u\)]\) \[Times] \[CapitalDelta]v \
\!\(\*SubscriptBox[\(r\), \(v\)]\) ] = det[(\!\(\*SubscriptBox[\(r\), \
\(u\)]\) \[Times] \!\(\*SubscriptBox[\(r\), \(v\)]\))\[CapitalDelta]u\
\[CapitalDelta]v] = det[(\!\(\*SubscriptBox[\(r\), \(u\)]\) \[Times] \
\!\(\*SubscriptBox[\(r\), \(v\)]\))]\[CapitalDelta]u\[CapitalDelta]v\n", \
$CellContext`mathStyle, Plain]], 
              TextCell[
              "Da r die (Orts-)Vektorfunktion des Bildes eines Punktes (u,v) \
in den (x,y)-Koordinaten ist, lautet das Kreuzprodukt in der Determinante \
ausgeschrieben:", $CellContext`textStyle], 
              TextCell[
               Style[
               "     det[(ru \[Times] rv)] = |\!\(\*GridBox[{\n  \
{FractionBox[\n    RowBox[{\"\[PartialD]\", \"x\"}], \n    RowBox[{\"\
\[PartialD]\", \"r\"}]], FractionBox[\n    RowBox[{\"\[PartialD]\", \"x\"}], \
\n    RowBox[{\"\[PartialD]\", \"\[Theta]\"}]]},\n  {FractionBox[\n    \
RowBox[{\"\[PartialD]\", \"y\"}], \n    RowBox[{\"\[PartialD]\", \"r\"}]], \
FractionBox[\n    RowBox[{\"\[PartialD]\", \"y\"}], \n    RowBox[{\"\
\[PartialD]\", \"\[Theta]\"}]]}\n }]\)|  und damit  \[CapitalDelta]A \
\[TildeTilde] |\!\(\*GridBox[{\n  {FractionBox[\n    RowBox[{\"\[PartialD]\", \
\"x\"}], \n    RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[\n    \
RowBox[{\"\[PartialD]\", \"x\"}], \n    RowBox[{\"\[PartialD]\", \
\"\[Theta]\"}]]},\n  {FractionBox[\n    RowBox[{\"\[PartialD]\", \"y\"}], \n  \
  RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[\n    \
RowBox[{\"\[PartialD]\", \"y\"}], \n    RowBox[{\"\[PartialD]\", \
\"\[Theta]\"}]]}\n }]\)|\[CapitalDelta]u\[CapitalDelta]v", \
$CellContext`mathStyle, Plain]], 
              TextCell[
              "Unter den in der Vorlesung genannten Bedingungen \
f\[UDoubleDot]hrt dies zur Formel \[UDoubleDot]ber den Variablenwechsel (\
\[UDoubleDot]ber die Koordinatentransformation) in Gebietsintegralen (Details \
s.a. Erkl\[ADoubleDot]rung): ", $CellContext`textStyle], 
              TextCell[
               Style[
               "\n     \!\(\*UnderscriptBox[\(\[Integral]\[Integral]\), \
\(R\)]\)f(x,y)dA  =  \!\(\*UnderscriptBox[\(\[Integral]\[Integral]\), \
\(S\)]\)f(x(u,v),y(u,v))\!\(\*\nStyleBox[\"|\",\nFontColor->RGBColor[1, 0, \
0]]\)\!\(\*\nStyleBox[GridBox[{\n   {FractionBox[\n     RowBox[{\"\[PartialD]\
\", \"x\"}], \n     RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[\n     \
RowBox[{\"\[PartialD]\", \"x\"}], \n     RowBox[{\"\[PartialD]\", \
\"\[Theta]\"}]]},\n   {FractionBox[\n     RowBox[{\"\[PartialD]\", \"y\"}], \n\
     RowBox[{\"\[PartialD]\", \"r\"}]], FractionBox[\n     RowBox[{\"\
\[PartialD]\", \"y\"}], \n     RowBox[{\"\[PartialD]\", \"\[Theta]\"}]]}\n  \
}],\nFontColor->RGBColor[1, 0, 0]]\)\!\(\*\nStyleBox[\"|\",\n\
FontColor->RGBColor[1, 0, 0]]\) dudv\n                        ", \
$CellContext`mathStyle, Plain]], Delimiter, 
              TextCell[
              "\nBeachten Sie insbeondere auch, dass bei Verzerrungen \
bestimmten Typs - d.h. bei spezieller Gestalt des Gebiets - die Approximation \
durch das Parallelogramm schlecht werden kann!", $CellContext`textStyle, 
               RGBColor[77/255, 0, 0], Plain], 
              TextCell[" "], ControlPlacement -> Left, SaveDefinitions -> 
              True, AppearanceElements -> None, Paneled -> False]}, {{
             Right, Right}, {Top, Top}}]}, Background -> 
         RGBColor[0.9, 0.9, 0.9], ImageSize -> Full]), "Specifications" :> {},
       "Options" :> {AppearanceElements -> None, Paneled -> False}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{1125., {378., 383.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`titleStyle = {
        FontFamily -> "Liberation Sans", 14, Bold, 
         RGBColor[0.35, 0.35, 0.35], Background -> 
         RGBColor[1, 1, 1, 0]}, $CellContext`tagAtRight = {
        FontFamily -> "Liberation Sans", 12, Bold, 
         RGBColor[0, 11/85, 22/85], Background -> RGBColor[1, 1, 1, 0], 
         TextAlignment -> {Right, Top}}, $CellContext`textStyle = {
        FontFamily -> "Liberation Sans", 10, Bold, 
         RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0], 
         AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
         1}, $CellContext`explanationStyle = {
        FontFamily -> "Times", 14, Plain, 
         RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0], 
         AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
         1}, $CellContext`mathStyle = {
        FontFamily -> "Liberation Serif", 14, Bold, 
         RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0], 
         AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
         1}, $CellContext`plotLabelStyle = {
        FontFamily -> "Times", 14, Plain, 
         RGBColor[0.35, 0.35, 0.35], Background -> 
         RGBColor[1, 1, 1, 0]}, $CellContext`p1 = {1, 5}, $CellContext`p2 = {
        2, 1}, $CellContext`p3 = {5, 3}, $CellContext`p4 = {3, 
        6}, $CellContext`xParamPieces = {{1 + $CellContext`t, 
          And[$CellContext`t >= 0, $CellContext`t < 1]}, {-1 + 
          3 $CellContext`t, 
          And[$CellContext`t >= 1, $CellContext`t < 2]}, {
         9 - 2 $CellContext`t, 
          And[$CellContext`t >= 2, $CellContext`t < 3]}, {
         9 - 2 $CellContext`t, 
          
          And[$CellContext`t >= 3, $CellContext`t <= 
           4]}}, $CellContext`yParamPieces = {{
         5 - 3 $CellContext`t - $CellContext`t^2, 
          And[$CellContext`t >= 0, $CellContext`t < 1]}, {
         7/3 - 3 $CellContext`t + (5 $CellContext`t^2)/3, 
          And[$CellContext`t >= 1, $CellContext`t < 2]}, {
         21/5 - 3 $CellContext`t + (6 $CellContext`t^2)/5, 
          And[$CellContext`t >= 2, $CellContext`t < 3]}, {
         87/7 - 3 $CellContext`t + (2 $CellContext`t^2)/7, 
          
          And[$CellContext`t >= 3, $CellContext`t <= 
           4]}}, $CellContext`tangentVectorP1C4 = {
        2, 5/7}, $CellContext`normedTangentVectorP1C4 = {
        14/Sqrt[221], 5/Sqrt[221]}, $CellContext`tangentVectorP1C1 = {
        1, -3}, $CellContext`normedTangentVectorP1C1 = {
        1/Sqrt[10], (-3)/Sqrt[10]}, $CellContext`polygonP1 = {1, 
        5}, $CellContext`polygonP2 = {
        1 + Sqrt[17/10], 5 - 3 Sqrt[17/10]}, $CellContext`polygonP3 = {
        1 + 14 Sqrt[5/221] + Sqrt[17/10], 5 + 5 Sqrt[5/221] - 3 
         Sqrt[17/10]}, $CellContext`polygonP4 = {
        1 + 14 Sqrt[5/221], 5 + 5 Sqrt[5/221]}}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.447406668334878*^9, 3.447406671752684*^9}, {
   3.447406765766165*^9, 3.44740679918659*^9}, {3.447406833522266*^9, 
   3.447406838996399*^9}, {3.4474068802642527`*^9, 3.447406896411405*^9}, {
   3.4474071247004757`*^9, 3.447407128898705*^9}, {3.447407183270746*^9, 
   3.44740719080015*^9}, {3.447407455912318*^9, 3.447407461911632*^9}, {
   3.447407668617152*^9, 3.447407673233717*^9}, {3.447407760374735*^9, 
   3.447407770097657*^9}, {3.447408200629916*^9, 3.447408204352792*^9}, {
   3.447408678564686*^9, 3.447408683838779*^9}, {3.447408790978959*^9, 
   3.44740879428787*^9}, {3.4474088701406307`*^9, 3.4474088741173058`*^9}, {
   3.447408905872913*^9, 3.447408935633251*^9}, {3.447409003275303*^9, 
   3.4474090084054956`*^9}, {3.447409069688792*^9, 3.4474090736926327`*^9}, {
   3.447409109890079*^9, 3.447409113541122*^9}, {3.447409194820313*^9, 
   3.447409199022472*^9}, {3.447410291266707*^9, 3.447410295391141*^9}, {
   3.447410356091247*^9, 3.447410366211273*^9}, {3.4474106698489103`*^9, 
   3.447410703993692*^9}, {3.447410742272862*^9, 3.447410752201974*^9}, {
   3.447410913220018*^9, 3.447410934263946*^9}, {3.4474109984843197`*^9, 
   3.447411004891282*^9}, {3.447411036115872*^9, 3.4474110472319727`*^9}, {
   3.447412072722126*^9, 3.447412086090393*^9}, {3.447412164433967*^9, 
   3.447412179371526*^9}, {3.4474122532582397`*^9, 3.44741228823552*^9}, {
   3.447413042219737*^9, 3.447413058379389*^9}, {3.447413184782336*^9, 
   3.447413188710091*^9}, {3.447413261972643*^9, 3.447413265936221*^9}, {
   3.4474134585678387`*^9, 3.4474134622973843`*^9}, {3.447413512788125*^9, 
   3.447413516410659*^9}, {3.4474136693945007`*^9, 3.447413673064249*^9}, {
   3.447413804577857*^9, 3.447413810321556*^9}, {3.4474139139762983`*^9, 
   3.447413923236333*^9}, {3.4474139729141483`*^9, 3.447413979253523*^9}, 
   3.447414117848411*^9, {3.4474143437613688`*^9, 3.4474143527180557`*^9}, {
   3.447414640160955*^9, 3.447414644827702*^9}, {3.447414840167255*^9, 
   3.4474148450570803`*^9}, {3.447416621501295*^9, 3.4474166264306803`*^9}, {
   3.447416992639143*^9, 3.447416996652672*^9}, {3.447417215536778*^9, 
   3.447417219123576*^9}, {3.4474178087340508`*^9, 3.447417813813958*^9}, {
   3.4474179018455467`*^9, 3.447417906625485*^9}, {3.447418118048812*^9, 
   3.447418127793891*^9}, {3.447418183075688*^9, 3.447418193581139*^9}, {
   3.447418233033889*^9, 3.447418251557001*^9}, {3.447418366557268*^9, 
   3.4474183702968473`*^9}, {3.447418484103891*^9, 3.447418497073769*^9}, {
   3.4474185449466887`*^9, 3.447418550034099*^9}, {3.4474185878575487`*^9, 
   3.447418601012157*^9}, {3.4474302169852667`*^9, 3.44743021880451*^9}, 
   3.447430428075452*^9, 3.447430488049659*^9, {3.447430556715743*^9, 
   3.447430583796864*^9}, 3.447430619834572*^9, {3.44743069693744*^9, 
   3.4474307109016247`*^9}, {3.4474308679387913`*^9, 3.447430903796796*^9}, {
   3.4474310240197887`*^9, 3.4474310586063433`*^9}, 3.447431094246725*^9}]
}, Open  ]],

Cell[TextData[StyleBox["\[Copyright] 2009 Projekt LEMUREN, Lernen \
Multimedial, Departement Mathematik, ETH Z\[UDoubleDot]rich\n20090330 - 2145",
 
 FontColor->GrayLevel[0.5]]], "Text",
 CellChangeTimes->{{3.4474310835707607`*^9, 3.447431105736068*^9}},
 FontFamily->"Liberation Sans",
 FontSize->10]
},
WindowSize->{1250, 785},
WindowMargins->{{27, Automatic}, {25, Automatic}},
DockedCells->FEPrivate`If[
  FEPrivate`SameQ[FEPrivate`$ProductIDName, "MathematicaPlayer"], 
  FEPrivate`Join[{
    Cell[
     BoxData[
      GraphicsBox[
       RasterBox[CompressedData["
1:eJztXXdYFNfaz3O/f+79vudek3vTLKBIEaQpTRC7BgtqLCTWGxNjYsFookE0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        "], {{0, 0}, {557, 41}}, {0, 255}, 
        ColorFunction -> RGBColor], ImageSize -> {557, 41}, 
       PlotRange -> {{0, 557}, {0, 41}}]], "DockedCell", Background -> 
     GrayLevel[0.866682], CellFrame -> {{0, 0}, {0, 4}}, CellFrameColor -> 
     RGBColor[0.690074, 0.12871, 0.194598], CellMargins -> {{0, 0}, {-3, 0}}, 
     CellFrameMargins -> 0, ContextMenu -> None, 
     ComponentwiseContextMenu -> {}], 
    Cell[
     BoxData[
      GridBox[{{
         GraphicsBox[
          RasterBox[CompressedData["
1:eJztWl1Ik1EYFrqNEoLMbHPmNkRrEhJERj93ra4cJvbDRIsyMk1pc03tTL1w
aD+LfkQIJBkR/dBFdtHFDLywCykqoqgLIYRu6jbb8me933e+HT/P2fZN+sZ0
vg9n43zfec973nPe57zvOWNFDS2OhnU5OTlG+LyBj1S/ikAgEAgEAoFAIBAI
xEpFMBh8jUgPYG0z7d7MAOYedm/Bko4Ca5tp92YGSCokle5AUiGpdAeSCkml
O0RS/R1tjEajUIHvyIhdehPyLNZjrVSAgT5CK1Tmf32e+/qcdYEy+/4+vKTd
oQJN89PjojbaHcrCzE8qn0RGfIxrEjcF0SomD49hYqDDUUSGKtUKWRMYz42L
pFJDg1RPamGdlRWGuuDi2Yl+WHkoiy72W6jjgFeSm/wWKEAScCvtCxWpSzxt
1FPU9dJ76Lt8UnEmcVMQrWImUQE6nKJB7sgUKpb4LcpEtHiFpEpEKim2TI8n
IhXv4pAHXCAJEAPIq7d5JFAOYYEGKHEstTbQAJKSx+XH5ZKKE+CmIFq1ZC/E
SBVXoboJyMliKZKKgyapwLlK1ohHKgpYYfGRbnNpg4c8dP3prtckFQ0gUm5K
miKpVZxnRZP4KcSziiU1bjhOobpJ2TtIqnhITipYZ7byydJfoDzMpT9ZWMo1
EHbgBBLyhOWzlmakUtKQnB/VuUYkFbWNjZXIJHEKnFVL0t+IXSQVU4iRKkUk
JxVzhJI7hirpDpXOGzJ5eFLFvMNORxAlaJZhmtmZStQGAvSQA/FECSksH/kt
VLMyokw5qHDOFU3ipiBaxZmtTSo8U2lBI1LF/BWNXZ0Y1LckLo9IqQdYIWdA
9T0uvPT2J2qjrUr2lGMRSzrq4eiIVIxFGC5bMZO4KYhWcWYnSn8gv3j7k+vJ
GbVaSNXt9fo6O/XVib9Tpa+sClLdvtB0q+WSvjqRVGucVA/q6p9V1+irE0m1
xkk1cuLk2O49+upEUq1xUg1X14yZraSrS0ed+H+q9GFV/J+qx25/u9U40Nqa
aUMQ2YMrFRWf8g0vDh9JvUvgYjPR+8KIyA5AyiNeb1Pe5ql840xxSV97eyq9
Hp1y3nE602waYoXC19GRqInIGHC57lY53Lm53/O2RQ3Fr6qqNXUG609/LLX1
ulOiHyL74D/XeLPxvPiexHDtsuulyexbv2GqwLRgNP8xl/W7XAQE1IUQ1nHw
zNl5o2XYoc09RLbC5/E8te26V9+gfskY5SPkuss1abLc2Ljpm9E8Z7FFt++c
POroJoQWn1wotQAPj9XMFZp/m6y9bndGpoNYCZBikbNuoqBwsPY4IxIrQJu+
trYf5pLRfOOXotJw6d7Zsv0LtkOPzzb1ENKjolagueVD5YGodUfEZH2372Cm
p4X4X/wDFcRtOg==
           "], {{0, 0}, {199, 30}}, {0, 255}, ColorFunction -> 
           RGBColor], ImageSize -> {199, 30}, 
          PlotRange -> {{0, 199}, {0, 30}}], 
         ButtonBox[
          GraphicsBox[
           RasterBox[CompressedData["
1:eJztlDFuhFAMRJHS5w45Re6RI+wFcoOUtNtR0lJSUlNSUtNS0m9JXjTKaPQh
UfpgCeT1n2+Px15ebu9vt6eqqp55Xnm+/I/L/p+1bbtt277vvJumIcKbnwWs
73vBsHVdE1bXNQ55Ho8HMOEd3L9tWRZ+6tRBrrjEMAwigHO/37M6SII40zRB
Q7QLkpQWjKOu63RqGHHVIoOYYAR16oucinYGxUo2jqMIzPNMnpQRPF2nMkeS
cCBDXsm7ZNZp6oZRS3wsIBFNIYM2iY8gYmJA8imqawHcOAKqio4KSp4O7Qjp
K1nOUygasaG2hoKSaud3krkArggZzyhhTohP3Uz7E0mNu9g98oj26exOSTon
fRUtn8IUJL+W80gyuz6OW3mgrSXXEv5dSaRTaRz9KQpY/knxtVomKdFQxvFT
JZFR6pFBJWT5tbEvR9+H3F6S+GOSMC+DTHtrHYyh32Qu855cdhn2CUundjY=

            "], {{0, 0}, {55, 14}}, {0, 255}, ColorFunction -> RGBColor], 
           ImageSize -> {55, 14}, PlotRange -> {{0, 55}, {0, 14}}], 
          ButtonData -> {
            URL["http://store.wolfram.com/view/app/playerpro/"], None}, 
          ButtonNote -> "http://store.wolfram.com/view/app/playerpro/"], 
         GraphicsBox[
          
          RasterBox[{{{132, 132, 132}, {156, 155, 155}}, {{138, 137, 137}, {
           171, 169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 137, 
           137}, {171, 169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 
           137, 137}, {171, 169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{
           138, 137, 137}, {171, 169, 169}}, {{138, 137, 137}, {171, 169, 
           169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 137, 137}, {171, 
           169, 169}}, {{138, 137, 137}, {171, 169, 169}}, {{138, 137, 137}, {
           171, 169, 169}}, {{135, 135, 135}, {167, 166, 166}}}, {{0, 0}, {2, 
           14}}, {0, 255}, ColorFunction -> RGBColor], ImageSize -> {2, 14}, 
          PlotRange -> {{0, 2}, {0, 14}}], 
         ButtonBox[
          GraphicsBox[
           RasterBox[CompressedData["
1:eJztlSGSg2AMhTuzfu+wB1qzR+gF9gbIWhwSW4lEV1ZWYyvxSPZb3vAmDdDq
zpCZdvKH5CUvfwhfx9+f48fhcPjk983vXy922eU9paqqcRx9HGcZhiE+PZ1O
KHVd24KOgt0WFKLQ27ZdJrper0JGcS5CVqs6n89yRpGl73tZBK6kkvv97kCe
ChOlLEvbVW2kiYPoxKcYRdwWld00jS2EcFSFMYXCqbOcBJzL5aJcxK7SFEFB
GQFn8AWupPUkMRfIJEK53W5d1z2hGVP7yohVbfanWoxAJQTfeywbT1+xK9mi
GQGTj8FT0uRAN3Tdjl3SlNANP5WoabIIRP+x52ojLEgXs8fxs7+R1cCXNFH6
SVJhKZwx0+BxBZ7nraGNpBSrEFlA1khgRDcCRg1navIWTeVKPVmliaeaL+c4
tCmcknRHfjtWaS6HNtYmC1wYjGJ+6eKjJcficWgVssz1nGbabFtD682gZaIO
MHXqkq/vyW3GFaQXliNuOhbz9lOHU3a6SrhWkCmnXC9pUoPBt1aQpquYrtJt
0f6Pazkd497W1MkSlxierkrrN254iz8oHqS0ByzxGzfOHx2yq9plYSl8l13e
Xf4ArlmHrg==
            "], {{0, 0}, {77, 14}}, {0, 255}, ColorFunction -> 
            RGBColor], ImageSize -> {77, 14}, 
           PlotRange -> {{0, 77}, {0, 14}}], ButtonData -> {
            URL[
            "http://www.wolfram.com/solutions/interactivedeployment/\
licensingterms.html"], None}, ButtonNote -> 
          "http://www.wolfram.com/solutions/interactivedeployment/\
licensingterms.html"]}}, ColumnsEqual -> False, 
       GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}]], 
     "DockedCell", Background -> GrayLevel[0.494118], 
     CellFrame -> {{0, 0}, {4, 0}}, CellFrameColor -> 
     RGBColor[0.690074, 0.12871, 0.194598], CellMargins -> 0, 
     CellFrameMargins -> {{0, 0}, {0, -1}}, ContextMenu -> None, 
     ComponentwiseContextMenu -> {}, 
     ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
          NotebookLocate[#2]}]& ), Appearance -> None, ButtonFrame -> None, 
       Evaluator -> None, Method -> "Queued"}]}, 
   FEPrivate`If[
    FEPrivate`SameQ[
     FrontEnd`CurrentValue[
      FrontEnd`EvaluationNotebook[], ScreenStyleEnvironment], "SlideShow"], {
    Inherited}, {}]], Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 103995, 2080, 19, "Input",
 CellOpen->False],
Cell[104565, 2104, 44181, 816, 778, "Output"]
}, Open  ]],
Cell[148761, 2923, 301, 6, 47, "Text"]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature PxpXwTmWg48YYCKTF18FRxXP *)
