(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      9421,        306]
NotebookOptionsPosition[      8485,        274]
NotebookOutlinePosition[      8949,        292]
CellTagsIndexPosition[      8906,        289]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Ebene Kurven", "Title",
 Editable->False],

Cell[TextData[{
 StyleBox["Analysis I,  D-MATV/D-MATL",
  Editable->True],
 "\nHS 2008\nGiovanni Felder, ETH"
}], "Subtitle",
 Editable->False,
 CellChangeTimes->{{3.434024253921875*^9, 3.43402425990625*^9}, {
  3.4340260404375*^9, 3.434026079984375*^9}, {3.434026310234375*^9, 
  3.434026310984375*^9}}],

Cell["\<\
Dieses Notebook berechnet die Kr\[UDoubleDot]mmung in jedem Punkt einer in \
Parameterdarstellung gegebenen ebenen Kurve. Die Kurve und ihre Evolute \
werden graphisch dargestellt. Der Kr\[UDoubleDot]mmungskreis wird durch eine \
Animation gezeigt.
[Shift-Enter in Inputzellen dr\[UDoubleDot]cken]
Parameterdarstellung der Kurve. Der Parameter t l\[ADoubleDot]uft \
\[UDoubleDot]ber das Intervall [a,b]:\
\>", "Text",
 Editable->False,
 CellChangeTimes->{
  3.43402551803125*^9, {3.434026130265625*^9, 3.434026133515625*^9}, {
   3.434026225015625*^9, 3.4340262621875*^9}, {3.4340262925625*^9, 
   3.434026303625*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"x", ",", "y", ",", "X", ",", "Y", ",", "k"}], "]"}]], "Input",
 CellChangeTimes->{{3.453287411703125*^9, 3.45328741815625*^9}, {
  3.453287459828125*^9, 3.453287460078125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"x", "[", "t_", "]"}], ":=", 
   RowBox[{"2", 
    RowBox[{"Cos", "[", "t", "]"}]}]}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y", "[", "t_", "]"}], ":=", " ", 
  RowBox[{"Sin", "[", "t", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a", "=", "0"}], ";", 
  RowBox[{"b", "=", 
   RowBox[{"2", "Pi"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.4340245894375*^9, 3.4340246085*^9}, {
   3.434024707828125*^9, 3.4340247109375*^9}, 3.434024746234375*^9, 
   3.4340248254375*^9, 3.434025430453125*^9, {3.434026764921875*^9, 
   3.43402677003125*^9}, 3.43402682090625*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{"y", "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "a", ",", "b"}], "}"}]}], "]"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Plot", " ", "curve", " ", "t"}], "\[Rule]", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"x", 
         RowBox[{"(", "t", ")"}]}], ",", 
        RowBox[{"y", 
         RowBox[{"(", "t", ")"}]}]}], ")"}], " ", "for", " ", "a"}], "<", "t",
      "<", "b"}]}], " ", "*)"}]}]], "Input"],

Cell["\<\
\[LineSeparator]Die Kr\[UDoubleDot]mmung k(t) im Punkt (x(t),y(t)) ist die \
Ableitung nach t des Steigungswinkel in (x(t),y(t)) \
\>", "Text",
 Editable->False,
 CellChangeTimes->{3.434024751375*^9, 3.43402613496875*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"k", "[", "t_", "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}], 
      RowBox[{
       RowBox[{"y", "''"}], "[", "t", "]"}]}], "-", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "''"}], "[", "t", "]"}], 
      RowBox[{
       RowBox[{"y", "'"}], "[", "t", "]"}]}]}], ")"}], "/", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"x", "'"}], "[", "t", "]"}], "^", "2"}], "+", 
      RowBox[{
       RowBox[{
        RowBox[{"y", "'"}], "[", "t", "]"}], "^", "2"}]}], ")"}], "^", 
    RowBox[{"(", 
     RowBox[{"3", "/", "2"}], ")"}]}]}]}]], "Input"],

Cell["\<\
Der Kr\[UDoubleDot]mmungskreis im Punkt (x(t),y(t)) hat dieselbe Tangente und \
Kr\[UDoubleDot]mmung als die gegebene Kurve K in (x(t),y(t)).  Sein \
Mittelpunkt (X(t),Y(t)) beschreibt die Evolute von K.\
\>", "Text",
 Editable->False,
 CellChangeTimes->{{3.434026135921875*^9, 3.434026136890625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"X", "[", "t_", "]"}], ":=", 
  RowBox[{
   RowBox[{"x", "[", "t", "]"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "/", 
      RowBox[{"k", "[", "t", "]"}]}], ")"}], 
    RowBox[{
     RowBox[{
      RowBox[{"y", "'"}], "[", "t", "]"}], "/", 
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"x", "'"}], "[", "t", "]"}], "^", "2"}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"y", "'"}], "[", "t", "]"}], "^", "2"}]}], 
      "]"}]}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Y", "[", "t_", "]"}], ":=", 
  RowBox[{
   RowBox[{"y", "[", "t", "]"}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "/", 
      RowBox[{"k", "[", "t", "]"}]}], ")"}], 
    RowBox[{
     RowBox[{
      RowBox[{"x", "'"}], "[", "t", "]"}], "/", 
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"x", "'"}], "[", "t", "]"}], "^", "2"}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"y", "'"}], "[", "t", "]"}], "^", "2"}]}], 
      "]"}]}]}]}]}]}], "Input",
 CellChangeTimes->{{3.434026600140625*^9, 3.43402660140625*^9}, {
  3.45328731559375*^9, 3.453287330890625*^9}}],

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"X", "[", "t", "]"}], ",", 
    RowBox[{"Y", "[", "t", "]"}]}], "}"}], "]"}]], "Input"],

Cell["Graphische Darstellung der Kurve und ihrer Evolute:", "Text",
 CellChangeTimes->{{3.43402658984375*^9, 3.4340265908125*^9}}],

Cell[BoxData[
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x", "[", "t", "]"}], ",", 
       RowBox[{"y", "[", "t", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"X", "[", "t", "]"}], ",", 
       RowBox[{"Y", "[", "t", "]"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "a", ",", "b"}], "}"}], ",", 
   RowBox[{"AspectRatio", "->", "Automatic"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.434024623421875*^9, 3.434024624265625*^9}}],

Cell["\<\
Animation: Der Kr\[UDoubleDot]mmungskreis wird f\[UDoubleDot]r eine Folge von \
Parameterwerten gezeichnet.\
\>", "Text",
 CellChangeTimes->{
  3.434024550015625*^9, {3.434026138890625*^9, 3.434026157765625*^9}, {
   3.43402656440625*^9, 3.43402656509375*^9}}],

Cell[BoxData[
 RowBox[{"Animate", "[", 
  RowBox[{
   RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "[", "t", "]"}], ",", 
         RowBox[{"y", "[", "t", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"X", "[", "s", "]"}], "+", 
          RowBox[{
           RowBox[{"Cos", "[", "t", "]"}], "/", 
           RowBox[{"k", "[", "s", "]"}]}]}], ",", 
         RowBox[{
          RowBox[{"Y", "[", "s", "]"}], "+", 
          RowBox[{
           RowBox[{"Sin", "[", "t", "]"}], "/", 
           RowBox[{"k", "[", "s", "]"}]}]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "a", ",", "b"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"AspectRatio", "\[Rule]", " ", "Automatic"}], ",", 
     "                ", 
     RowBox[{"(*", " ", 
      RowBox[{
       RowBox[{"same", " ", "scale", " ", "for", " ", "x"}], "-", " ", 
       RowBox[{"and", " ", "y"}], "-", "axis"}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "7"}], ",", "7"}], "}"}]}], "}"}]}]}], "]"}], ",", " ",
    
   RowBox[{"(*", " ", 
    RowBox[{"same", " ", "range", " ", "for", " ", "all", " ", "frames"}], 
    " ", "*)"}], "\[IndentingNewLine]", " ", 
   RowBox[{"{", 
    RowBox[{"s", ",", "a", ",", "b"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.434024322109375*^9},
 AnimationDisplayTime->0.0460658,
 AnimationCycleOffset->1,
 AnimationCycleRepetitions->Infinity]
}, Open  ]]
},
WindowToolbars->"EditBar",
WindowSize->{1010, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "NaturalColor.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 47, 1, 73, "Title"],
Cell[640, 26, 304, 8, 96, "Subtitle"],
Cell[947, 36, 628, 13, 83, "Text"],
Cell[1578, 51, 225, 4, 41, "Input"],
Cell[1806, 57, 632, 16, 82, "Input"],
Cell[2441, 75, 640, 21, 41, "Input"],
Cell[3084, 98, 231, 5, 47, "Text"],
Cell[3318, 105, 709, 26, 41, "Input"],
Cell[4030, 133, 311, 6, 47, "Text"],
Cell[4344, 141, 1222, 42, 62, "Input"],
Cell[5569, 185, 168, 5, 41, "Input"],
Cell[5740, 192, 130, 1, 29, "Text"],
Cell[5873, 195, 555, 16, 41, "Input"],
Cell[6431, 213, 270, 6, 29, "Text"],
Cell[6704, 221, 1765, 50, 122, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
