(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     65846,       1394]
NotebookOptionsPosition[     65420,       1375]
NotebookOutlinePosition[     65758,       1390]
CellTagsIndexPosition[     65715,       1387]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"TabView", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{
       "\"\<Fourier-Reihen einfacher Funktionen\>\"", ",", "titleStyle"}], 
       "]"}], "\[Rule]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Column", "[", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"(*", 
         RowBox[{"First", " ", "Row", " ", 
          RowBox[{"(", 
           RowBox[{
           "Header", " ", "and", " ", "Explanation", " ", "Button"}]}]}], 
         "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Row", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
            "Button", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<Hinweise\>\"", ",", "9"}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"CreateDocument", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"TextCell", "[", "\[IndentingNewLine]", 
                 RowBox[{"Pane", "[", "\[IndentingNewLine]", 
                  RowBox[{"Column", "[", 
                   RowBox[{
                   "{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"(*", " ", "Hinweistext", " ", "*)"}], 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"TextCell", "[", 
                    RowBox[{"\"\<\\nHinweise\\n\>\"", ",", 
                    RowBox[{"{", "explanationHeaderStyle", "}"}]}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{"hintText", ",", "explanationStyle"}], "]"}], ",",
                     "\[IndentingNewLine]", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<\\nWas ist die Fourier-\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Reihe\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\< genau?\\n\>\""}], "}"}], "]"}], ",", 
                    RowBox[{"{", "explanationHeaderStyle", "}"}]}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"TextCell", "[", 
                    RowBox[{"hintText2", ",", "explanationStyle"}], "]"}]}], 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"(*", " ", "TODO", " ", "*)"}], 
                    "\[IndentingNewLine]", 
                    RowBox[{"(*", " ", 
                    RowBox[{"End", " ", "Hinweistext"}], " ", "*)"}], 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], 
                   "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
                  "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "]"}], 
                " ", ",", 
                RowBox[{"(*", " ", 
                 RowBox[{"End", " ", "TextCell"}], " ", "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{"WindowFrame", "\[Rule]", "\"\<Normal\>\""}], ",", 
                RowBox[{"WindowSize", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"650", ",", "500"}], "}"}]}], ",", 
                RowBox[{"WindowTitle", "\[Rule]", "\"\<Hinweise\>\""}]}], 
               "\[IndentingNewLine]", "]"}], " ", ",", 
              RowBox[{"(*", " ", 
               RowBox[{"End", " ", "CreateDocument"}], " ", "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"80", ",", "20"}], "}"}]}]}], "\[IndentingNewLine]", 
             "]"}], " ", 
            RowBox[{"(*", " ", 
             RowBox[{"End", " ", "Button"}], " ", "*)"}], 
            "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
           RowBox[{"ImageSize", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"860", ",", "25"}], "}"}]}], ",", "\[IndentingNewLine]", 
           
           RowBox[{"Background", "\[Rule]", 
            RowBox[{"RGBColor", "[", 
             RowBox[{"0.9", ",", "0.9", ",", "0.9"}], "]"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Alignment", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"Right", ",", "Top"}], "}"}]}]}], "\[IndentingNewLine]", 
          "]"}], ",", "  ", 
         RowBox[{"(*", " ", 
          RowBox[{"End", " ", "Row"}], " ", "*)"}], "\[IndentingNewLine]", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
         "Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", " ", 
           RowBox[{"Styles", " ", "definitions"}], " ", "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"titleStyle", " ", "=", " ", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "FontFamily", " ", "\[Rule]", "\"\<Liberation Sans\>\""}], ",",
                "14", ",", "Bold", ",", " ", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
               RowBox[{"Background", "\[Rule]", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}]}], 
              "}"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"tagAtRight", " ", "=", " ", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "FontFamily", " ", "\[Rule]", "\"\<Liberation Sans\>\""}], ",",
                "12", ",", "Bold", ",", " ", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"0", ",", 
                 RowBox[{"33", "/", "255"}], ",", 
                 RowBox[{"66", "/", "255"}]}], "]"}], ",", 
               RowBox[{"Background", "\[Rule]", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}], ",", 
               RowBox[{"TextAlignment", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"Right", ",", "Top"}], "}"}]}]}], "}"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"textStyle", " ", "=", " ", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "FontFamily", " ", "\[Rule]", "\"\<Liberation Sans\>\""}], ",",
                "10", ",", "Bold", ",", " ", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
               RowBox[{"Background", "\[Rule]", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}], ",", 
               RowBox[{"AutoIndent", "\[Rule]", "False"}], ",", 
               RowBox[{"ParagraphIndent", "\[Rule]", "0"}], ",", 
               RowBox[{"TextJustification", "\[Rule]", "1"}]}], "}"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"explanationStyle", " ", "=", " ", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"FontFamily", " ", "\[Rule]", "\"\<Times\>\""}], ",", 
               "14", ",", "Plain", ",", " ", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
               RowBox[{"Background", "\[Rule]", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}], ",", 
               RowBox[{"AutoIndent", "\[Rule]", "False"}], ",", 
               RowBox[{"ParagraphIndent", "\[Rule]", "0"}], ",", 
               RowBox[{"TextJustification", "\[Rule]", "1"}]}], "}"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"explanationHeaderStyle", " ", "=", " ", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"FontFamily", " ", "\[Rule]", "\"\<Times\>\""}], ",", 
               "16", ",", "Bold", ",", " ", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
               RowBox[{"Background", "\[Rule]", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}], ",", 
               RowBox[{"AutoIndent", "\[Rule]", "False"}], ",", 
               RowBox[{"ParagraphIndent", "\[Rule]", "0"}], ",", 
               RowBox[{"TextJustification", "\[Rule]", "1"}]}], "}"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"mathStyle", " ", "=", " ", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "FontFamily", " ", "\[Rule]", "\"\<Liberation Serif\>\""}], 
               ",", "14", ",", "Bold", ",", " ", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
               RowBox[{"Background", "\[Rule]", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}], ",", 
               RowBox[{"AutoIndent", "\[Rule]", "False"}], ",", 
               RowBox[{"ParagraphIndent", "\[Rule]", "0"}], ",", 
               RowBox[{"TextJustification", "\[Rule]", "1"}]}], "}"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"plotLabelStyle", " ", "=", " ", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"FontFamily", " ", "\[Rule]", "\"\<Times\>\""}], ",", 
               "14", ",", "Plain", ",", " ", 
               RowBox[{"RGBColor", "[", 
                RowBox[{"0.35", ",", "0.35", ",", "0.35"}], "]"}], ",", 
               RowBox[{"Background", "\[Rule]", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{"1", ",", "1", ",", "1", ",", "0"}], "]"}]}]}], 
              "}"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{"Plot", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"PeriodicExtension", "[", 
                 RowBox[{
                  RowBox[{"k", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"k", "[", 
                   RowBox[{"[", "2", "]"}], "]"}], "+", 
                  RowBox[{"Sum", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"k", "[", 
                    RowBox[{"[", "3", "]"}], "]"}], " ", 
                    RowBox[{"Sin", "[", 
                    RowBox[{"n", " ", "x"}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"k", "[", 
                    RowBox[{"[", "4", "]"}], "]"}], " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"n", " ", "x"}], "]"}]}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"n", ",", "1", ",", "m"}], "}"}]}], "]"}]}], 
                 "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"x", ",", 
                RowBox[{"-", "r"}], ",", "r"}], "}"}], ",", 
              RowBox[{"Axes", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"True", ",", "True"}], "}"}]}], ",", 
              RowBox[{"PlotStyle", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Thickness", "[", "0.005", "]"}], ",", 
                   RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "0", ",", "0"}], "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Thickness", "[", "0.003", "]"}], ",", "Blue"}], 
                  "}"}]}], "}"}]}], ",", 
              RowBox[{"Filling", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"1", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", "2", "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "0", ",", "0", ",", "0.2"}], "]"}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "0", ",", "1", ",", "0.2"}], "]"}]}], 
                    "}"}]}], 
                  RowBox[{"(*", 
                   RowBox[{"{", 
                    RowBox[{"Yellow", ",", "Orange"}], "}"}], "*)"}], "}"}]}],
                 "}"}]}], ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"500", ",", "400"}], "}"}]}], ",", 
              RowBox[{"ImagePadding", "\[Rule]", "30"}], ",", 
              RowBox[{"Background", "\[Rule]", "White"}]}], 
             "\[IndentingNewLine]", "]"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{"Manipulate", " ", "Parameters"}], " ", "*)"}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", "      ", 
           RowBox[{"(*", " ", 
            RowBox[{"Choosable", " ", "Functions"}], " ", "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"k", ",", 
               RowBox[{"(*", " ", 
                RowBox[{"Default", " ", "function", " ", "displayed"}], " ", 
                "*)"}], 
               RowBox[{"{", 
                RowBox[{"Sign", ",", "0", ",", 
                 RowBox[{
                  RowBox[{"1", "/", 
                   RowBox[{"(", 
                    RowBox[{"Pi", "*", "n"}], ")"}]}], "*", 
                  RowBox[{"(", 
                   RowBox[{"2", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"n", "*", "Pi"}], "]"}]}]}], ")"}]}], ",", "0"}], 
                "}"}], ",", 
               RowBox[{"Style", "[", 
                RowBox[{"\"\<Funktion\>\"", ",", "textStyle"}], "]"}]}], 
              "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{"Data", " ", "for", " ", "each", " ", "sample", " ", 
                RowBox[{"function", ":", " ", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"pure", " ", "function"}], ",", " ", 
                   RowBox[{
                    RowBox[{"const", ".", " ", "fourier"}], " ", 
                    RowBox[{"coeff", "."}]}], ",", " ", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"coeff", ".", " ", "of"}], " ", "the", " ", 
                    "sine", " ", "part", " ", "in", " ", 
                    RowBox[{"fct", ".", " ", "of"}], " ", "n"}], ",", " ", 
                   RowBox[{
                    RowBox[{"coeff", ".", " ", "of"}], " ", "the", " ", "cos",
                     " ", "part", " ", "in", " ", 
                    RowBox[{"fct", ".", " ", "of"}], " ", "n"}]}], "}"}]}]}], 
               " ", "*)"}], "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"Sign", ",", "0", ",", 
                  RowBox[{
                   RowBox[{"1", "/", 
                    RowBox[{"(", 
                    RowBox[{"Pi", "*", "n"}], ")"}]}], "*", 
                   RowBox[{"(", 
                    RowBox[{"2", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Cos", "[", 
                    RowBox[{"n", "*", "Pi"}], "]"}]}]}], ")"}]}], ",", "0"}], 
                 "}"}], "\[Rule]", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<Treppenfunktion\>\"", ",", "textStyle"}], 
                 "]"}]}], ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"#", "&"}], ",", "0", ",", 
                  RowBox[{"2", " ", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], "^", 
                    RowBox[{"(", 
                    RowBox[{"n", "+", "1"}], ")"}]}], "/", "n"}]}], ",", 
                  "0"}], "}"}], "\[Rule]", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<S\[ADoubleDot]gezahn\>\"", ",", "textStyle"}], 
                 "]"}]}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"#", "^", "2"}], "&"}], ",", 
                  RowBox[{
                   RowBox[{"\[Pi]", "^", "2"}], "/", "3"}], ",", "0", ",", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"4", " ", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], "^", "n"}]}], ")"}], "/", 
                   RowBox[{"n", "^", "2"}]}]}], "}"}], "\[Rule]", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<Parabel\>\"", ",", "textStyle"}], "]"}]}], ",", 
               
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"#", "-", "Pi"}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"#", "+", "Pi"}], ")"}], " ", 
                    RowBox[{"(", 
                    RowBox[{"#", "-", "1"}], ")"}]}], "&"}], ",", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"2", " ", 
                    RowBox[{"\[Pi]", "^", "2"}]}], ")"}], "/", "3"}], ",", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"12", " ", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], "^", "n"}]}], ")"}], "/", 
                   RowBox[{"n", "^", "3"}]}], ",", 
                  RowBox[{"-", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"4", " ", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], "^", "n"}]}], ")"}], "/", 
                    RowBox[{"n", "^", "2"}]}], ")"}]}]}], "}"}], "\[Rule]", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<Kubisch\>\"", ",", "textStyle"}], "]"}]}], ",", 
               
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Sin", "[", "#", "]"}], " ", 
                    RowBox[{"UnitStep", "[", "#", "]"}]}], ")"}], "&"}], ",", 
                  
                  RowBox[{"1", "/", "Pi"}], ",", 
                  RowBox[{
                   RowBox[{"KroneckerDelta", "[", 
                    RowBox[{"n", ",", "1"}], "]"}], "/", "2"}], ",", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"n", "\[Equal]", "1"}], ",", "0", ",", 
                    RowBox[{"(", 
                    RowBox[{"-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], "^", "n"}]}], ")"}], "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"n", "^", "2"}]}], ")"}], " ", "\[Pi]"}], ")"}]}],
                     ")"}]}], ")"}]}], "]"}]}], "}"}], "\[Rule]", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<Halbweg-Gleichrichter\>\"", ",", "textStyle"}], 
                 "]"}]}]}], "\[IndentingNewLine]", "}"}], ",", 
             "\[IndentingNewLine]", "PopupMenu"}], "\[IndentingNewLine]", 
            "}"}], ",", "\[IndentingNewLine]", "\"\<\>\"", ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", "     ", 
           RowBox[{"(*", " ", 
            RowBox[{
            "Number", " ", "of", " ", "Fourier", " ", "Summands", " ", "to", 
             " ", "consider"}], " ", "*)"}], "\[IndentingNewLine]", 
           RowBox[{"Row", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"Dynamic", "[", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{
                 "\"\<Anzahl Summanden der Fourier-Entwicklung: m = \>\"", "<>", 
                  RowBox[{"ToString", "[", "m", "]"}]}], ",", "textStyle"}], 
                "]"}], "]"}], "}"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"350", ",", "Automatic"}], "}"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"m", ",", "3", ",", "\"\<\>\""}], "}"}], ",", "1", ",", 
             "50", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", "      ", 
           RowBox[{"(*", " ", 
            RowBox[{
            "Intervall", " ", "length", " ", "to", " ", "display", " ", "as", 
             " ", "a", " ", "multiple", " ", "of", " ", "2", "Pi"}], " ", 
            "*)"}], "\[IndentingNewLine]", 
           RowBox[{"Dynamic", "[", 
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"\"\<x Zoom: I = [-\>\"", "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"r", ",", "TraditionalForm"}], "]"}], "<>", 
               "\"\<,\>\"", "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"r", ",", "TraditionalForm"}], "]"}], "<>", 
               "\"\<]\>\""}], ",", "textStyle"}], "]"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"r", ",", "Pi", ",", "\"\<\>\""}], "}"}], ",", "Pi", 
             ",", 
             RowBox[{"5", "*", "Pi"}], ",", "Pi"}], "}"}], ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", "Delimiter", ",", 
           "\[IndentingNewLine]", "\"\<\>\"", ",", "\[IndentingNewLine]", 
           RowBox[{"Style", "[", 
            RowBox[{
            "\"\<Fourier-entwickelte Funktion:\>\"", ",", "textStyle"}], 
            "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Row", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"Dynamic", "[", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{
                 "\"\<f \!\(\*SubscriptBox[\(|\), \([\(-\[Pi]\), \
\[Pi]]\)]\)(x) = \>\"", "<>", 
                  RowBox[{"ToString", "[", 
                   RowBox[{"TraditionalForm", "[", 
                    RowBox[{
                    RowBox[{"k", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "[", "x", "]"}], "]"}], 
                   "]"}]}], ",", "textStyle"}], "]"}], "]"}], "}"}], ",", 
             RowBox[{"Alignment", "\[Rule]", 
              RowBox[{"{", "Center", "}"}]}], ",", 
             RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"350", ",", "Automatic"}], "}"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Row", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"Dynamic", "[", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"ToString", "[", 
                    RowBox[{"k", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], "\[Equal]", 
                    RowBox[{"ToString", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Sin", "[", "#", "]"}], " ", 
                    RowBox[{"UnitStep", "[", "#", "]"}]}], ")"}], "&"}], 
                    "]"}]}], ",", 
                   "\"\<\\n \[Theta] ist die Einheitssprungfunktion \
(Heaviside Funktion)\\n\>\"", ",", "\"\<\\n\\n\>\""}], "]"}], ",", 
                 "textStyle", ",", " ", "Plain"}], "]"}], "]"}], "}"}], ",", 
             RowBox[{"Alignment", "\[Rule]", 
              RowBox[{"{", "Center", "}"}]}], ",", 
             RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"350", ",", "Automatic"}], "}"}]}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{"End", " ", "Manipulate", " ", "Parameters"}], " ", 
            "*)"}], "\[IndentingNewLine]", 
           RowBox[{"Initialization", "\[RuleDelayed]", 
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"PeriodicExtension", "[", 
                 RowBox[{"g_", ",", "x_"}], "]"}], ":=", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Abs", "[", "x", "]"}], "<", "Pi"}], ",", 
                  RowBox[{"g", "[", "x", "]"}], ",", 
                  RowBox[{"PeriodicExtension", "[", 
                   RowBox[{"g", ",", 
                    RowBox[{"x", "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"Sign", "[", "x", "]"}], " ", "Pi"}]}]}], "]"}]}],
                  "]"}]}], ")"}], ",", "\[IndentingNewLine]", 
              RowBox[{"(", " ", 
               RowBox[{"hintText", "  ", ":=", " ", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{
                  "\"\<Die Visualisierung soll Ihnen einen Eindruck \
vermitteln, wie die \>\"", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Partialsummen einer Fourier-Entwicklung\>\"", ",", 
                    "Bold"}], "]"}], ",", 
                   "\"\< die Ausgangsfunktion f immer besser \
ann\[ADoubleDot]hern bzw. darstellen. Sie sollen durch die verschiedenen \
Beispielfunktionen auch sehen, dass die Konvergenz nicht bei jeder Funktion \
gleich schnell ist. W\[ADoubleDot]hlen Sie hierzu im \>\"", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Dropdown-Men\[UDoubleDot] 'Funktion'\>\"", ",", 
                    "Bold"}], "]"}], ",", 
                   "\"\< eine andere Funktion aus und beobachten Sie durch \
Ver\[ADoubleDot]ndern des \>\"", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Schiebereglers 'Anzahl Summanden...'\>\"", ",", 
                    "Bold"}], "]"}], ",", 
                   "\"\< die Partialsummenfolge f\[UDoubleDot]r steigendes m. \
Sie sehen: Bei manchen Funktionen ist im Plot sehr rasch kaum mehr ein \
Unterschied sichtbar. \\n\\nWas beinflusst eine schnellere Konvergenz? \
Versuchen Sie mit Hilfe der Visualisierung zu erkennen, dass \\n\\n\>\"", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<\[Bullet]  wenn die Funktion f stetig ist, ihre \
Fourier-Reihe schneller konvergiert\\n\>\"", ",", 
                    RowBox[{"AutoIndent", " ", "\[Rule]", "True"}], ",", 
                    RowBox[{"LineIndent", "\[Rule]", "1"}]}], "]"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    StyleBox["Style",
                    CellOpen->False], "[", 
                    RowBox[{
                    "\"\<\[Bullet]  wenn sogar die Ableitung(en) der Funktion \
f stetig ist (sind), die Konvergenz noch schneller ist (im Fall der Parabel \
und der Kubischen Funktion ist die N\[ADoubleDot]herung schon nach 4 oder 5 \
Summanden sehr gut)\>\"", ",", 
                    RowBox[{"AutoIndent", "\[Rule]", " ", "True"}], ",", " ", 
                    
                    RowBox[{"LineIndent", "\[Rule]", "1"}]}], "]"}], ",", 
                   "\"\< \\n\\nBeachten Sie weiter auch, wie die entwickelte \
Funktion f ausserhalb des Intervalls [-\[Pi],\[Pi]] periodisch fortgesetzt \
ist. Dazu haben Sie mit dem \>\"", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<'x-Zoom'-Regler\>\"", ",", "Bold"}], "]"}], 
                   ",", "\"\< die M\[ODoubleDot]glichkeit, das Intervall zu \
vergr\[ODoubleDot]ssern.\>\""}], "}"}], "]"}]}], "\[IndentingNewLine]", ")"}],
               ",", "\[IndentingNewLine]", 
              RowBox[{"(", 
               RowBox[{"hintText2", " ", ":=", " ", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", "  ", 
                  RowBox[{
                  "\"\<Einen weiteren wichtigen Sachverhalt \
m\[ODoubleDot]chten wir hier auch noch kurz erw\[ADoubleDot]hnen, da dies oft \
nicht ganz klar ist:\\nW\[ADoubleDot]hrend jede Partialsumme der \
Fourier-Entwicklung von f, also das Fourier-\>\"", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<Polynom\>\"", ",", "Bold"}], "]"}], ",", 
                   "\"\<\\n\\n       \>\"", ",", 
                   RowBox[{"DisplayForm", "[", "\"\<\!\(\*
StyleBox[SubscriptBox[\"F\", \"n\"],
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[\"x\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\!\(\*
StyleBox[\"=\",
FontSize->14]\)\!\(\*
StyleBox[FractionBox[SubscriptBox[\"a\", \"0\"], \"2\"],
FontSize->14]\)\!\(\*
StyleBox[\"+\",
FontSize->14]\)\!\(\*
StyleBox[UnderoverscriptBox[
StyleBox[\"\[CapitalSigma]\",
FontSize->36], 
RowBox[{\"k\", \"=\", \"1\"}], 
StyleBox[\"m\",
FontSize->12,
FontColor->RGBColor[1, 0, 0]]],
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[SubscriptBox[\"a\", \"k\"],
FontSize->14]\)\!\(\*
StyleBox[\"cos\",
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[\"k\[Omega]x\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\!\(\*
StyleBox[\"+\",
FontSize->14]\)\!\(\*
StyleBox[SubscriptBox[\"b\", \"k\"],
FontSize->14]\)\!\(\*
StyleBox[\"sin\",
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[\"k\[Omega]x\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\>\"", "]"}], ",", "\"\<\\n\\n\>\"", ",", 
                   "\"\<f\[UDoubleDot]r jedes m eine N\[ADoubleDot]herung an \
f darstellt, ist die (unendliche) \>\"", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<Reihe\>\"", ",", "Bold"}], "]"}], ",", 
                   "\"\<\\n\\n       \>\"", ",", 
                   RowBox[{"DisplayForm", "[", "\"\<\!\(\*
StyleBox[FractionBox[SubscriptBox[\"a\", \"0\"], \"2\"],
FontSize->14]\)\!\(\*
StyleBox[\"+\",
FontSize->14]\)\!\(\*
StyleBox[UnderoverscriptBox[
StyleBox[\"\[CapitalSigma]\",
FontSize->36], 
RowBox[{\"k\", \"=\", \"1\"}], 
StyleBox[\"\[Infinity]\",
FontSize->12,
FontColor->RGBColor[1, 0, 0]]],
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[SubscriptBox[\"a\", \"k\"],
FontSize->14]\)\!\(\*
StyleBox[\"cos\",
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[\"k\[Omega]x\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\!\(\*
StyleBox[\"+\",
FontSize->14]\)\!\(\*
StyleBox[SubscriptBox[\"b\", \"k\"],
FontSize->14]\)\!\(\*
StyleBox[\"sin\",
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[\"k\[Omega]x\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\>\"", "]"}], ",", "\"\<\\n\\n\>\"", ",", 
                   "\"\<nicht etwa eine 'besonders gute', eine 'unendlich \
gute', die 'bestm\[ODoubleDot]gliche' o.\[ADoubleDot] N\[ADoubleDot]herung an \
f, sondern sie \>\"", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<ist\>\"", ",", "Bold"}], "]"}], ",", 
                   "\"\< f! Sie ist eine \>\"", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<\[ADoubleDot]quivalente Darstellung der Funktion f\>\
\"", ",", "Bold"}], "]"}], ",", 
                   "\"\<, was ein subtiler, aber wichtiger Unterschied \
ist.\\n\\nAls Folge k\[ODoubleDot]nnen wir Funktion und Reihe gleichsetzen \
und schreiben:\>\"", ",", "\"\<\\n\\n       \>\"", ",", 
                   RowBox[{"DisplayForm", "[", "\"\<\!\(\*
StyleBox[\"f\",
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[\"x\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\!\(\*
StyleBox[\" \",
FontSize->14]\)\!\(\*
StyleBox[\"=\",
FontSize->14]\)\!\(\*
StyleBox[FractionBox[SubscriptBox[\"a\", \"0\"], \"2\"],
FontSize->14]\)\!\(\*
StyleBox[\"+\",
FontSize->14]\)\!\(\*
StyleBox[UnderoverscriptBox[
StyleBox[\"\[CapitalSigma]\",
FontSize->36], 
RowBox[{\"k\", \"=\", \"1\"}], 
StyleBox[\"\[Infinity]\",
FontSize->12,
FontColor->RGBColor[1, 0, 0]]],
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[SubscriptBox[\"a\", \"k\"],
FontSize->14]\)\!\(\*
StyleBox[\"cos\",
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[\"k\[Omega]x\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\!\(\*
StyleBox[\"+\",
FontSize->14]\)\!\(\*
StyleBox[SubscriptBox[\"b\", \"k\"],
FontSize->14]\)\!\(\*
StyleBox[\"sin\",
FontSize->14]\)\!\(\*
StyleBox[\"(\",
FontSize->14]\)\!\(\*
StyleBox[\"k\[Omega]x\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\!\(\*
StyleBox[\")\",
FontSize->14]\)\>\"", "]"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", ")"}], 
              ",", "\[IndentingNewLine]", 
              RowBox[{"(", 
               RowBox[{"m", " ", "=", " ", "1"}], ")"}]}], 
             "\[IndentingNewLine]", "}"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
           RowBox[{"AppearanceElements", "\[Rule]", "None"}], ",", 
           RowBox[{"Paneled", "\[Rule]", "False"}], ",", " ", 
           RowBox[{"ControlPlacement", "\[Rule]", " ", "Left"}]}], 
          "\[IndentingNewLine]", "]"}]}], " ", 
        RowBox[{"(*", " ", 
         RowBox[{"End", " ", "Manipulate"}], "*)"}], "\[IndentingNewLine]", 
        "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", "]"}]}], " ", 
     RowBox[{"(*", " ", 
      RowBox[{"End", " ", "Column"}], " ", "*)"}], "\[IndentingNewLine]", 
     "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Background", "\[Rule]", 
     RowBox[{"RGBColor", "[", 
      RowBox[{"0.95", ",", "0.95", ",", "0.95"}], "]"}]}]}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"TabView", " ", "Background"}], " ", "*)"}], 
   "\[IndentingNewLine]", "]"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"End", " ", "TabView"}], " ", "*)"}]}]], "Input",
 CellOpen->False,
 CellChangeTimes->{{3.454989610421739*^9, 3.454989637167881*^9}, {
   3.454989733187718*^9, 3.4549897339586573`*^9}, {3.45498976892488*^9, 
   3.4549898031877003`*^9}, {3.454989834563542*^9, 3.4549898760202*^9}, {
   3.454989924300282*^9, 3.4549899439783583`*^9}, {3.454990080694931*^9, 
   3.454990120258028*^9}, {3.454990531024248*^9, 3.4549906001342907`*^9}, {
   3.454990645038566*^9, 3.4549907912806797`*^9}, 3.4549908333735847`*^9, 
   3.454990865266864*^9, {3.454990912502758*^9, 3.454990942335227*^9}, {
   3.454990984405155*^9, 3.4549910527222548`*^9}, {3.454991089083424*^9, 
   3.454991120345408*^9}, {3.4549911629768457`*^9, 3.454991174085278*^9}, {
   3.454991226157494*^9, 3.45499130433331*^9}, 3.454991343932794*^9, {
   3.454991374043941*^9, 3.454991378493556*^9}, {3.454991435465773*^9, 
   3.4549914433307447`*^9}, 3.454991483988105*^9, {3.4549915401145983`*^9, 
   3.454991613706037*^9}, {3.454991659410363*^9, 3.454991752873314*^9}, {
   3.454991792690339*^9, 3.45499179723909*^9}, {3.454991837052107*^9, 
   3.454991842992518*^9}, {3.4549919705501328`*^9, 3.454991978405904*^9}, {
   3.454992164955634*^9, 3.454992213052185*^9}, {3.45499225905228*^9, 
   3.454992273364128*^9}, {3.454992320986044*^9, 3.45499236275882*^9}, {
   3.454992552940693*^9, 3.454992559387968*^9}, {3.4549925949278183`*^9, 
   3.454992635820446*^9}, {3.4549931283862457`*^9, 3.45499315180352*^9}, {
   3.454993327848118*^9, 3.454993341783066*^9}, {3.4549933811747503`*^9, 
   3.4549933878137503`*^9}, {3.454993423527266*^9, 3.454993441527437*^9}, {
   3.454993515327086*^9, 3.454993518846467*^9}, {3.454993553286016*^9, 
   3.454993575530212*^9}, {3.454993650735539*^9, 3.454993700505402*^9}, {
   3.45499373456861*^9, 3.4549938230268*^9}, 3.45499391345162*^9, 
   3.4549939957650557`*^9, {3.454994939199555*^9, 3.454994953735015*^9}, {
   3.454995018277985*^9, 3.454995029035036*^9}, {3.455000429022599*^9, 
   3.455000664736315*^9}, {3.455000706777465*^9, 3.4550007571756067`*^9}, {
   3.455000811018566*^9, 3.4550008355220537`*^9}, {3.455001048275132*^9, 
   3.455001177552763*^9}, {3.4550012354530287`*^9, 3.455001279073092*^9}, {
   3.455001311413948*^9, 3.455001324152137*^9}, {3.455002070914452*^9, 
   3.455002077046471*^9}}],

Cell[BoxData[
 TabViewBox[{{1,
  StyleBox["\<\"Fourier-Reihen einfacher Funktionen\"\>",
   StripOnInput->False,
   FrontFaceColor->RGBColor[0.35, 0.35, 0.35],
   BackFaceColor->RGBColor[0.35, 0.35, 0.35],
   GraphicsColor->RGBColor[0.35, 0.35, 0.35],
   FontFamily->"Liberation Sans",
   FontSize->14,
   FontWeight->Bold,
   FontColor->RGBColor[0.35, 0.35, 0.35],
   Background->RGBColor[1, 1, 1, 0]]->
  TagBox[GridBox[{
     {
      TemplateBox[{ButtonBox[
         StyleBox["\"Hinweise\"", StripOnInput -> False, FontSize -> 9], 
         Appearance -> Automatic, ButtonFunction :> CreateDocument[
           TextCell[
            Pane[
             Column[{
               TextCell[
               "\nHinweise\n", {$CellContext`explanationHeaderStyle}], 
               TextCell[$CellContext`hintText, $CellContext`explanationStyle], 
               TextCell[
                Row[{"\nWas ist die Fourier-", 
                  Style["Reihe", Italic], 
                  " genau?\n"}], {$CellContext`explanationHeaderStyle}], 
               
               TextCell[$CellContext`hintText2, \
$CellContext`explanationStyle]}]]], WindowFrame -> "Normal", 
           WindowSize -> {650, 500}, WindowTitle -> "Hinweise"], Evaluator -> 
         Automatic, ImageSize -> {80, 20}, Method -> "Preemptive"]},
       "Row",
       DisplayFunction->(PaneBox[
         StyleBox[#, Background -> RGBColor[0.9, 0.9, 0.9]], 
         Alignment -> {Right, Top}, ImageSize -> {860, 25}]& ),
       InterpretationFunction->(RowBox[{"Row", "[", 
          RowBox[{
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
                RowBox[{"860", ",", "25"}], "}"}]}], ",", 
            RowBox[{"Background", "\[Rule]", 
              RowBox[{"RGBColor", "[", 
                RowBox[{"0.9`", ",", "0.9`", ",", "0.9`"}], "]"}]}], ",", 
            RowBox[{"Alignment", "\[Rule]", 
              RowBox[{"{", 
                RowBox[{"Right", ",", "Top"}], "}"}]}]}], "]"}]& )]},
     {
      TagBox[
       StyleBox[
        DynamicModuleBox[{$CellContext`k$$ = {
         Sign, 0, $CellContext`n^(-1) Pi^(-1) (2 - 2 Cos[$CellContext`n Pi]), 
          0}, $CellContext`m$$ = 1, $CellContext`r$$ = Pi, Typeset`show$$ = 
         True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
         Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
         "\"untitled\"", Typeset`specs$$ = {{{
            Hold[$CellContext`k$$], {
            Sign, 0, $CellContext`n^(-1) 
             Pi^(-1) (2 - 2 Cos[$CellContext`n Pi]), 0}, 
            Style["Funktion", {FontFamily -> "Liberation Sans", 10, Bold, 
              RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0], 
              AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
              1}]}, {{Sign, 0, $CellContext`n^(-1) 
              Pi^(-1) (2 - 2 Cos[$CellContext`n Pi]), 0} -> 
            Style["Treppenfunktion", {
              FontFamily -> "Liberation Sans", 10, Bold, 
               RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0],
                AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
               1}], {#& , 0, 2 (-1)^(1 + $CellContext`n)/$CellContext`n, 0} -> 
            Style["S\[ADoubleDot]gezahn", {
              FontFamily -> "Liberation Sans", 10, Bold, 
               RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0],
                AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
               1}], {#^2& , Rational[1, 3] Pi^2, 0, 
              4 (-1)^$CellContext`n $CellContext`n^(-2)} -> 
            Style["Parabel", {FontFamily -> "Liberation Sans", 10, Bold, 
               RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0],
                AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
               1}], {(# - Pi) (# + Pi) (# - 1)& , Rational[2, 3] Pi^2, 
              12 (-1)^$CellContext`n $CellContext`n^(-3), (-4) \
(-1)^$CellContext`n $CellContext`n^(-2)} -> 
            Style["Kubisch", {FontFamily -> "Liberation Sans", 10, Bold, 
               RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0],
                AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
               1}], {Sin[#] UnitStep[#]& , Pi^(-1), Rational[1, 2] 
              KroneckerDelta[1, $CellContext`n], 
              
              If[$CellContext`n == 1, 
               0, -((1 + (-1)^$CellContext`n)/((-1 + $CellContext`n^2) Pi))]} -> 
            Style["Halbweg-Gleichrichter", {
              FontFamily -> "Liberation Sans", 10, Bold, 
               RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0],
                AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
               1}]}}, {
           Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
           Hold[
            Row[{
              Dynamic[
               Style[
                StringJoin["Anzahl Summanden der Fourier-Entwicklung: m = ", 
                 ToString[$CellContext`m$$]], $CellContext`textStyle]]}, 
             ImageSize -> {350, Automatic}]], 
           Manipulate`Dump`ThisIsNotAControl}, {{
            Hold[$CellContext`m$$], 3, ""}, 1, 50, 1}, {
           Hold[
            Dynamic[
             Style[
              StringJoin["x Zoom: I = [-", 
               ToString[$CellContext`r$$, TraditionalForm], ",", 
               ToString[$CellContext`r$$, TraditionalForm], 
               "]"], $CellContext`textStyle]]], 
           Manipulate`Dump`ThisIsNotAControl}, {{
            Hold[$CellContext`r$$], Pi, ""}, Pi, 5 Pi, Pi}, {
           Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
           Hold[
            Style[
            "Fourier-entwickelte Funktion:", {
             FontFamily -> "Liberation Sans", 10, Bold, 
              RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0], 
              AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
              1}]], Manipulate`Dump`ThisIsNotAControl}, {
           Hold[
            Row[{
              Dynamic[
               Style[
                StringJoin[
                "f \!\(\*SubscriptBox[\(|\), \([\(-\[Pi]\), \[Pi]]\)]\)(x) = \
", 
                 ToString[
                  TraditionalForm[
                   
                   Part[$CellContext`k$$, 
                    1][$CellContext`x]]]], $CellContext`textStyle]]}, 
             Alignment -> {Center}, ImageSize -> {350, Automatic}]], 
           Manipulate`Dump`ThisIsNotAControl}, {
           Hold[
            Row[{
              Dynamic[
               Style[
                If[ToString[
                   Part[$CellContext`k$$, 1]] == 
                 ToString[Sin[#] UnitStep[#]& ], 
                 "\n \[Theta] ist die Einheitssprungfunktion (Heaviside \
Funktion)\n", "\n\n"], $CellContext`textStyle, Plain]]}, 
             Alignment -> {Center}, ImageSize -> {350, Automatic}]], 
           Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = {
         500., {197., 203.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
         Typeset`skipInitDone$$ = False, $CellContext`k$706$$ = 
         False, $CellContext`m$707$$ = 0, $CellContext`r$708$$ = 0}, 
         DynamicBox[Manipulate`ManipulateBoxes[
          1, StandardForm, 
           "Variables" :> {$CellContext`k$$ = {
              Sign, 0, $CellContext`n^(-1) 
               Pi^(-1) (2 - 2 Cos[$CellContext`n Pi]), 0}, $CellContext`m$$ = 
             3, $CellContext`r$$ = Pi}, "ControllerVariables" :> {
             Hold[$CellContext`k$$, $CellContext`k$706$$, False], 
             Hold[$CellContext`m$$, $CellContext`m$707$$, 0], 
             Hold[$CellContext`r$$, $CellContext`r$708$$, 0]}, 
           "OtherVariables" :> {
            Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
             Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
             Typeset`specs$$, Typeset`size$$, Typeset`update$$, 
             Typeset`initDone$$, Typeset`skipInitDone$$}, 
           "Body" :> ($CellContext`titleStyle = {
              FontFamily -> "Liberation Sans", 14, Bold, 
               RGBColor[0.35, 0.35, 0.35], Background -> 
               RGBColor[1, 1, 1, 0]}; $CellContext`tagAtRight = {
              FontFamily -> "Liberation Sans", 12, Bold, 
               RGBColor[0, 33/255, 66/255], Background -> 
               RGBColor[1, 1, 1, 0], 
               TextAlignment -> {Right, Top}}; $CellContext`textStyle = {
              FontFamily -> "Liberation Sans", 10, Bold, 
               RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0],
                AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
               1}; $CellContext`explanationStyle = {
              FontFamily -> "Times", 14, Plain, 
               RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0],
                AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
               1}; $CellContext`explanationHeaderStyle = {
              FontFamily -> "Times", 16, Bold, 
               RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0],
                AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
               1}; $CellContext`mathStyle = {
              FontFamily -> "Liberation Serif", 14, Bold, 
               RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0],
                AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
               1}; $CellContext`plotLabelStyle = {
              FontFamily -> "Times", 14, Plain, 
               RGBColor[0.35, 0.35, 0.35], Background -> 
               RGBColor[1, 1, 1, 0]}; Plot[{
               $CellContext`PeriodicExtension[
                Part[$CellContext`k$$, 1], $CellContext`x], 
               Evaluate[
               Part[$CellContext`k$$, 2] + 
                Sum[Part[$CellContext`k$$, 3] 
                   Sin[$CellContext`n $CellContext`x] + 
                  Part[$CellContext`k$$, 4] 
                   Cos[$CellContext`n $CellContext`x], {$CellContext`n, 
                   1, $CellContext`m$$}]]}, {$CellContext`x, \
-$CellContext`r$$, $CellContext`r$$}, Axes -> {True, True}, PlotStyle -> {{
                 Thickness[0.005], 
                 RGBColor[0, 0, 0]}, {
                 Thickness[0.003], Blue}}, Filling -> {1 -> {{2}, {
                   RGBColor[1, 0, 0, 0.2], 
                   RGBColor[0, 0, 1, 0.2]}}}, ImageSize -> {500, 400}, 
              ImagePadding -> 30, Background -> White]), 
           "Specifications" :> {{{$CellContext`k$$, {
               Sign, 0, $CellContext`n^(-1) 
                Pi^(-1) (2 - 2 Cos[$CellContext`n Pi]), 0}, 
               Style["Funktion", {FontFamily -> "Liberation Sans", 10, Bold, 
                 RGBColor[0.35, 0.35, 0.35], Background -> 
                 RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                 0, TextJustification -> 1}]}, {{
                Sign, 0, $CellContext`n^(-1) 
                 Pi^(-1) (2 - 2 Cos[$CellContext`n Pi]), 0} -> 
               Style["Treppenfunktion", {
                 FontFamily -> "Liberation Sans", 10, Bold, 
                  RGBColor[0.35, 0.35, 0.35], Background -> 
                  RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                  0, TextJustification -> 1}], {#& , 0, 
                 2 (-1)^(1 + $CellContext`n)/$CellContext`n, 0} -> 
               Style["S\[ADoubleDot]gezahn", {
                 FontFamily -> "Liberation Sans", 10, Bold, 
                  RGBColor[0.35, 0.35, 0.35], Background -> 
                  RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                  0, TextJustification -> 1}], {#^2& , Rational[1, 3] Pi^2, 0,
                  4 (-1)^$CellContext`n $CellContext`n^(-2)} -> 
               Style["Parabel", {FontFamily -> "Liberation Sans", 10, Bold, 
                  RGBColor[0.35, 0.35, 0.35], Background -> 
                  RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                  0, TextJustification -> 1}], {(# - Pi) (# + Pi) (# - 1)& , 
                 Rational[2, 3] Pi^2, 
                 12 (-1)^$CellContext`n $CellContext`n^(-3), (-4) \
(-1)^$CellContext`n $CellContext`n^(-2)} -> 
               Style["Kubisch", {FontFamily -> "Liberation Sans", 10, Bold, 
                  RGBColor[0.35, 0.35, 0.35], Background -> 
                  RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                  0, TextJustification -> 1}], {
                Sin[#] UnitStep[#]& , Pi^(-1), Rational[1, 2] 
                 KroneckerDelta[1, $CellContext`n], 
                 
                 If[$CellContext`n == 1, 
                  0, -((1 + (-1)^$CellContext`n)/((-1 + $CellContext`n^2) 
                   Pi))]} -> Style[
                "Halbweg-Gleichrichter", {
                 FontFamily -> "Liberation Sans", 10, Bold, 
                  RGBColor[0.35, 0.35, 0.35], Background -> 
                  RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                  0, TextJustification -> 1}]}, ControlType -> PopupMenu}, "", 
             Row[{
               Dynamic[
                Style[
                 StringJoin[
                 "Anzahl Summanden der Fourier-Entwicklung: m = ", 
                  ToString[$CellContext`m$$]], $CellContext`textStyle]]}, 
              ImageSize -> {350, Automatic}], {{$CellContext`m$$, 3, ""}, 1, 
              50, 1}, 
             Dynamic[
              Style[
               StringJoin["x Zoom: I = [-", 
                ToString[$CellContext`r$$, TraditionalForm], ",", 
                ToString[$CellContext`r$$, TraditionalForm], 
                "]"], $CellContext`textStyle]], {{$CellContext`r$$, Pi, ""}, 
              Pi, 5 Pi, Pi}, Delimiter, "", 
             Style[
             "Fourier-entwickelte Funktion:", {
              FontFamily -> "Liberation Sans", 10, Bold, 
               RGBColor[0.35, 0.35, 0.35], Background -> RGBColor[1, 1, 1, 0],
                AutoIndent -> False, ParagraphIndent -> 0, TextJustification -> 
               1}], 
             Row[{
               Dynamic[
                Style[
                 StringJoin[
                 "f \!\(\*SubscriptBox[\(|\), \([\(-\[Pi]\), \[Pi]]\)]\)(x) = \
", 
                  ToString[
                   TraditionalForm[
                    
                    Part[$CellContext`k$$, 
                    1][$CellContext`x]]]], $CellContext`textStyle]]}, 
              Alignment -> {Center}, ImageSize -> {350, Automatic}], 
             Row[{
               Dynamic[
                Style[
                 If[ToString[
                    Part[$CellContext`k$$, 1]] == 
                  ToString[Sin[#] UnitStep[#]& ], 
                  "\n \[Theta] ist die Einheitssprungfunktion (Heaviside \
Funktion)\n", "\n\n"], $CellContext`textStyle, Plain]]}, 
              Alignment -> {Center}, ImageSize -> {350, Automatic}]}, 
           "Options" :> {
            AppearanceElements -> None, Paneled -> False, ControlPlacement -> 
             Left}, "DefaultOptions" :> {}],
          ImageSizeCache->{877., {208., 213.}},
          SingleEvaluation->True],
         Deinitialization:>None,
         DynamicModuleValues:>{},
         Initialization:>({{$CellContext`titleStyle = {
               FontFamily -> "Liberation Sans", 14, Bold, 
                RGBColor[0.35, 0.35, 0.35], Background -> 
                RGBColor[1, 1, 1, 0]}, $CellContext`tagAtRight = {
               FontFamily -> "Liberation Sans", 12, Bold, 
                RGBColor[0, 11/85, 22/85], Background -> RGBColor[1, 1, 1, 0],
                 TextAlignment -> {Right, Top}}, $CellContext`textStyle = {
               FontFamily -> "Liberation Sans", 10, Bold, 
                RGBColor[0.35, 0.35, 0.35], Background -> 
                RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                0, TextJustification -> 1}, $CellContext`explanationStyle = {
               FontFamily -> "Times", 14, Plain, 
                RGBColor[0.35, 0.35, 0.35], Background -> 
                RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                0, TextJustification -> 
                1}, $CellContext`explanationHeaderStyle = {
               FontFamily -> "Times", 16, Bold, 
                RGBColor[0.35, 0.35, 0.35], Background -> 
                RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                0, TextJustification -> 1}, $CellContext`mathStyle = {
               FontFamily -> "Liberation Serif", 14, Bold, 
                RGBColor[0.35, 0.35, 0.35], Background -> 
                RGBColor[1, 1, 1, 0], AutoIndent -> False, ParagraphIndent -> 
                0, TextJustification -> 1}, $CellContext`plotLabelStyle = {
               FontFamily -> "Times", 14, Plain, 
                RGBColor[0.35, 0.35, 0.35], Background -> 
                RGBColor[1, 1, 1, 0]}, $CellContext`PeriodicExtension[
                Pattern[$CellContext`g, 
                 Blank[]], 
                Pattern[$CellContext`x, 
                 Blank[]]] := If[Abs[$CellContext`x] < Pi, 
                $CellContext`g[$CellContext`x], 
                $CellContext`PeriodicExtension[$CellContext`g, $CellContext`x - \
(2 Sign[$CellContext`x]) Pi]]}; {$CellContext`PeriodicExtension[
                Pattern[$CellContext`g, 
                 Blank[]], 
                Pattern[$CellContext`x, 
                 Blank[]]] := If[Abs[$CellContext`x] < Pi, 
                $CellContext`g[$CellContext`x], 
                $CellContext`PeriodicExtension[$CellContext`g, $CellContext`x - 
                 2 Sign[$CellContext`x] Pi]], $CellContext`hintText := 
              Row[{"Die Visualisierung soll Ihnen einen Eindruck vermitteln, \
wie die ", 
                 Style["Partialsummen einer Fourier-Entwicklung", Bold], 
                 " die Ausgangsfunktion f immer besser ann\[ADoubleDot]hern \
bzw. darstellen. Sie sollen durch die verschiedenen Beispielfunktionen auch \
sehen, dass die Konvergenz nicht bei jeder Funktion gleich schnell ist. W\
\[ADoubleDot]hlen Sie hierzu im ", 
                 Style["Dropdown-Men\[UDoubleDot] 'Funktion'", Bold], 
                 " eine andere Funktion aus und beobachten Sie durch Ver\
\[ADoubleDot]ndern des ", 
                 Style["Schiebereglers 'Anzahl Summanden...'", Bold], 
                 " die Partialsummenfolge f\[UDoubleDot]r steigendes m. Sie \
sehen: Bei manchen Funktionen ist im Plot sehr rasch kaum mehr ein \
Unterschied sichtbar. \n\nWas beinflusst eine schnellere Konvergenz? \
Versuchen Sie mit Hilfe der Visualisierung zu erkennen, dass \n\n", 
                 Style[
                 "\[Bullet]  wenn die Funktion f stetig ist, ihre \
Fourier-Reihe schneller konvergiert\n", AutoIndent -> True, LineIndent -> 1], 
                 
                 Style[
                 "\[Bullet]  wenn sogar die Ableitung(en) der Funktion f \
stetig ist (sind), die Konvergenz noch schneller ist (im Fall der Parabel und \
der Kubischen Funktion ist die N\[ADoubleDot]herung schon nach 4 oder 5 \
Summanden sehr gut)", AutoIndent -> True, LineIndent -> 1], 
                 " \n\nBeachten Sie weiter auch, wie die entwickelte Funktion \
f ausserhalb des Intervalls [-\[Pi],\[Pi]] periodisch fortgesetzt ist. Dazu \
haben Sie mit dem ", 
                 Style["'x-Zoom'-Regler", Bold], 
                 " die M\[ODoubleDot]glichkeit, das Intervall zu vergr\
\[ODoubleDot]ssern."}], $CellContext`hintText2 := 
              Row[{
                "Einen weiteren wichtigen Sachverhalt m\[ODoubleDot]chten wir \
hier auch noch kurz erw\[ADoubleDot]hnen, da dies oft nicht ganz klar ist:\nW\
\[ADoubleDot]hrend jede Partialsumme der Fourier-Entwicklung von f, also das \
Fourier-", 
                 Style["Polynom", Bold], "\n\n       ", 
                 DisplayForm[
                 "\!\(\*\nStyleBox[SubscriptBox[\"F\", \"n\"],\nFontSize->14]\
\)\!\(\*\nStyleBox[\"(\",\nFontSize->14]\)\!\(\*\nStyleBox[\"x\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\")\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\"=\",\nFontSize->14]\)\!\(\*\nStyleBox[FractionBox[SubscriptBox[\"a\
\", \"0\"], \"2\"],\nFontSize->14]\)\!\(\*\nStyleBox[\"+\",\n\
FontSize->14]\)\!\(\*\nStyleBox[UnderoverscriptBox[\n  StyleBox[\"\
\[CapitalSigma]\",\nFontSize->36], \n  RowBox[{\"k\", \"=\", \"1\"}], \n  \
StyleBox[\"m\",\nFontSize->12,\nFontColor->RGBColor[1, 0, 0]]],\n\
FontSize->14]\)\!\(\*\nStyleBox[\"(\",\nFontSize->14]\)\!\(\*\n\
StyleBox[SubscriptBox[\"a\", \"k\"],\nFontSize->14]\)\!\(\*\n\
StyleBox[\"cos\",\nFontSize->14]\)\!\(\*\nStyleBox[\"(\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\"k\[Omega]x\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\")\",\nFontSize->14]\)\!\(\*\nStyleBox[\"+\",\n\
FontSize->14]\)\!\(\*\nStyleBox[SubscriptBox[\"b\", \"k\"],\n\
FontSize->14]\)\!\(\*\nStyleBox[\"sin\",\nFontSize->14]\)\!\(\*\nStyleBox[\"(\
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"k\[Omega]x\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\")\",\nFontSize->14]\)\!\(\*\nStyleBox[\")\",\nFontSize->14]\)"], 
                 "\n\n", 
                 "f\[UDoubleDot]r jedes m eine N\[ADoubleDot]herung an f \
darstellt, ist die (unendliche) ", 
                 Style["Reihe", Bold], "\n\n       ", 
                 DisplayForm[
                 "\!\(\*\nStyleBox[FractionBox[SubscriptBox[\"a\", \"0\"], \
\"2\"],\nFontSize->14]\)\!\(\*\nStyleBox[\"+\",\nFontSize->14]\)\!\(\*\n\
StyleBox[UnderoverscriptBox[\n  StyleBox[\"\[CapitalSigma]\",\nFontSize->36], \
\n  RowBox[{\"k\", \"=\", \"1\"}], \n  StyleBox[\"\[Infinity]\",\n\
FontSize->12,\nFontColor->RGBColor[1, 0, 0]]],\nFontSize->14]\)\!\(\*\n\
StyleBox[\"(\",\nFontSize->14]\)\!\(\*\nStyleBox[SubscriptBox[\"a\", \"k\"],\n\
FontSize->14]\)\!\(\*\nStyleBox[\"cos\",\nFontSize->14]\)\!\(\*\nStyleBox[\"(\
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"k\[Omega]x\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\")\",\nFontSize->14]\)\!\(\*\nStyleBox[\"+\",\n\
FontSize->14]\)\!\(\*\nStyleBox[SubscriptBox[\"b\", \"k\"],\n\
FontSize->14]\)\!\(\*\nStyleBox[\"sin\",\nFontSize->14]\)\!\(\*\nStyleBox[\"(\
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"k\[Omega]x\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\")\",\nFontSize->14]\)\!\(\*\nStyleBox[\")\",\nFontSize->14]\)"], 
                 "\n\n", 
                 "nicht etwa eine 'besonders gute', eine 'unendlich gute', \
die 'bestm\[ODoubleDot]gliche' o.\[ADoubleDot] N\[ADoubleDot]herung an f, \
sondern sie ", 
                 Style["ist", Bold], " f! Sie ist eine ", 
                 Style[
                 "\[ADoubleDot]quivalente Darstellung der Funktion f", Bold], 
                 ", was ein subtiler, aber wichtiger Unterschied ist.\n\nAls \
Folge k\[ODoubleDot]nnen wir Funktion und Reihe gleichsetzen und schreiben:", 
                 "\n\n       ", 
                 DisplayForm[
                 "\!\(\*\nStyleBox[\"f\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\"(\",\nFontSize->14]\)\!\(\*\nStyleBox[\"x\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\")\",\nFontSize->14]\)\!\(\*\nStyleBox[\" \
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"=\",\nFontSize->14]\)\!\(\*\n\
StyleBox[FractionBox[SubscriptBox[\"a\", \"0\"], \"2\"],\nFontSize->14]\)\!\(\
\*\nStyleBox[\"+\",\nFontSize->14]\)\!\(\*\nStyleBox[UnderoverscriptBox[\n  \
StyleBox[\"\[CapitalSigma]\",\nFontSize->36], \n  RowBox[{\"k\", \"=\", \
\"1\"}], \n  StyleBox[\"\[Infinity]\",\nFontSize->12,\nFontColor->RGBColor[1, \
0, 0]]],\nFontSize->14]\)\!\(\*\nStyleBox[\"(\",\nFontSize->14]\)\!\(\*\n\
StyleBox[SubscriptBox[\"a\", \"k\"],\nFontSize->14]\)\!\(\*\n\
StyleBox[\"cos\",\nFontSize->14]\)\!\(\*\nStyleBox[\"(\",\n\
FontSize->14]\)\!\(\*\nStyleBox[\"k\[Omega]x\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\")\",\nFontSize->14]\)\!\(\*\nStyleBox[\"+\",\n\
FontSize->14]\)\!\(\*\nStyleBox[SubscriptBox[\"b\", \"k\"],\n\
FontSize->14]\)\!\(\*\nStyleBox[\"sin\",\nFontSize->14]\)\!\(\*\nStyleBox[\"(\
\",\nFontSize->14]\)\!\(\*\nStyleBox[\"k\[Omega]x\",\nFontSize->14]\)\!\(\*\n\
StyleBox[\")\",\nFontSize->14]\)\!\(\*\nStyleBox[\")\",\nFontSize->14]\)"]}], \
$CellContext`m$$ = 1}}; Typeset`initDone$$ = True),
         SynchronousInitialization->True,
         UnsavedVariables:>{Typeset`initDone$$},
         UntrackedVariables:>{Typeset`size$$}], "Manipulate",
        Deployed->True,
        StripOnInput->False],
       Manipulate`InterpretManipulate[1]]}
    },
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
   "Column"]}}, 1,
  Background->RGBColor[0.95, 0.95, 0.95]]], "Output",
 CellChangeTimes->{3.454994644937146*^9, 3.454994864122179*^9, 
  3.454994957248904*^9, 3.4549950315439796`*^9, 3.455000760392049*^9, 
  3.455001110798793*^9, 3.455001178885997*^9, 3.455001240103284*^9, 
  3.455001280028059*^9, 3.45500131254354*^9, 3.455002091931652*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.454992302331251*^9, 3.454992311456689*^9}}],

Cell[TextData[{
 "2009, ",
 StyleBox[ButtonBox["Projekt LEMUREN",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.lemuren.math.ethz.ch"], None},
  ButtonNote->"http://www.lemuren.math.ethz.ch"],
  FontVariations->{"Underline"->True}],
 ", Lernen Multimedial, Departement Mathematik, ETH Z\[UDoubleDot]rich | \
v20090626-1037 | Creative Common Licence: ",
 StyleBox[ButtonBox["CC-BY-SA",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://creativecommons.org/licenses/by-sa/3.0/"], None},
  ButtonNote->"http://creativecommons.org/licenses/by-sa/3.0/"],
  FontVariations->{"Underline"->True}],
 "\nAdapted version of Notebook \"",
 StyleBox[ButtonBox["FourierSeriesOfSimpleFunctions",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FourierSeriesOfSimpleFunctions/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/FourierSeriesOfSimpleFunctions/"],
  FontVariations->{"Underline"->True}],
 "\" by Alain Goriely at the Wolfram Demonstrations Project."
}], "Text",
 CellChangeTimes->{{3.446183449669383*^9, 3.446183477153606*^9}, {
   3.446183988887621*^9, 3.446184006151177*^9}, {3.4546698579880943`*^9, 
   3.4546698657797117`*^9}, {3.454669918700254*^9, 3.454670000220234*^9}, {
   3.4546700304763527`*^9, 3.454670044450142*^9}, {3.454670084876227*^9, 
   3.45467008922845*^9}, {3.454671860974012*^9, 3.454671864959506*^9}, 
   3.454671924868289*^9, {3.454737517114958*^9, 3.4547375255604963`*^9}, {
   3.454739612118599*^9, 3.4547396121228333`*^9}, {3.4547396507030487`*^9, 
   3.454739653538713*^9}, {3.454739706854105*^9, 3.454739729731954*^9}, {
   3.45475668623311*^9, 3.454756712365863*^9}, {3.454756754347534*^9, 
   3.454756754460532*^9}, {3.454916053026083*^9, 3.454916057286772*^9}, {
   3.454930224329027*^9, 3.454930290132287*^9}, {3.4549303457421837`*^9, 
   3.454930348617564*^9}, {3.454932227879908*^9, 3.4549322315538*^9}, {
   3.4549942184750557`*^9, 3.454994226618248*^9}, {3.4549951496634607`*^9, 
   3.45499514975317*^9}},
 FontFamily->"Liberation Sans",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
},
WindowSize->{1158, 713},
WindowMargins->{{70, Automatic}, {Automatic, 25}},
FrontEndVersion->"7.0 for Linux x86 (64-bit) (November 11, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 37643, 845, 19, "Input",
 CellOpen->False],
Cell[38213, 869, 24999, 455, 516, "Output"]
}, Open  ]],
Cell[63227, 1327, 92, 1, 32, "Input"],
Cell[63322, 1330, 2094, 43, 47, "Text"]
}
]
*)

(* End of internal cache information *)
