(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      8910,        307]
NotebookOptionsPosition[      7819,        271]
NotebookOutlinePosition[      8359,        292]
CellTagsIndexPosition[      8316,        289]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Funktionen von zwei Variablen", "Title"],

Cell["\<\
Analysis I,  D-MATV/D-MATL 
HS 2008  
Giovanni Felder, ETH\
\>", "Subsubtitle",
 CellChangeTimes->{{3.4376786847962866`*^9, 3.4376786876400366`*^9}}],

Cell[TextData[StyleBox["", "Text"]], "Abstract",
 CellChangeTimes->{{3.4376786584369116`*^9, 3.4376786587181616`*^9}, 
   3.4376788101869116`*^9}],

Cell[TextData[{
 StyleBox["In diesem Notebook werden Funktionen von zwei Variablen graphisch \
dargestellt und partielle Ableitungen gerechnet.", "Text"],
 "\n[Shift-Enter in Inputzellen drucken]\nDefinition einer Funktion von zwei \
Variablen:"
}], "Text",
 CellChangeTimes->{{3.4376788154056616`*^9, 3.4376788167181616`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
  RowBox[{"Cos", "[", 
   RowBox[{"x", "+", 
    RowBox[{"y", "^", "2"}], "+", 
    RowBox[{"x", " ", "y"}]}], "]"}]}]], "Input"],

Cell["\<\
Graphische Darstellung auf dem Bereich { (x,y), -2<x<2, -2<y<2}:\
\>", "Text",
 CellChangeTimes->{{3.4376787249369116`*^9, 3.4376787274056616`*^9}}],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"x", ",", "y"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "]"}]], "Input"],

Cell["Niveaulinien (dunkel=tief, hell=hoch):", "Text"],

Cell[BoxData[
 RowBox[{"ContourPlot", "[", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"x", ",", "y"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "]"}]], "Input"],

Cell["Ein weiteres Beispiel zum Spielen mit Inputdaten:", "Text"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"Sin", "[", "x", "]"}], " ", 
    RowBox[{"Cos", "[", "y", "]"}]}]}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a", "=", 
   RowBox[{"-", "Pi"}]}], ";", " ", 
  RowBox[{"b", "=", "Pi"}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"a", "<", "x", "<", "b"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"c", "=", 
   RowBox[{"-", "Pi"}]}], ";", " ", 
  RowBox[{"d", "=", "Pi"}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"c", "<", "y", "<", "d"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Plot3D", "[", 
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"x", ",", "y"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", "c", ",", "d"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ContourPlot", "[", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"x", ",", "y"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", "c", ",", "d"}], "}"}]}], "]"}]}], "Input"],

Cell["Partielle Ableitungen:", "Text"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"x_", ",", "y_"}], "]"}], "=", 
  RowBox[{"x", "^", 
   RowBox[{"(", 
    RowBox[{"y", "^", "2"}], ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<\!\(\*SubscriptBox[\(f\), \(x\)]\)(x,y) = \>\"", ",", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<\!\(\*SubscriptBox[\(f\), \(y\)]\)(x,y) = \>\"", ",", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}]}], "]"}]}], "Input"],

Cell[TextData[{
 "Linearisierung im Punkt ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     SubscriptBox["x", 
      RowBox[{"0", ","}]], 
     SubscriptBox["y", "0"]}], ")"}], TraditionalForm]]],
 "=(1,1):"
}], "Text"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"x", "^", "3"}], "-", 
      RowBox[{"x", " ", "y"}], " ", "+", 
      RowBox[{"y", "^", "2"}], "+", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"y", "^", "2"}]}], "/", "4"}], "]"}]}], ")"}], "/", "2"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["x", "0"], "=", "1"}], ";", 
  RowBox[{
   SubscriptBox["y", "0"], "=", "1"}], ";", 
  RowBox[{
   RowBox[{"fL", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{
      SubscriptBox["x", "0"], ",", 
      SubscriptBox["y", "0"]}], "]"}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"f", "[", 
          RowBox[{"x", ",", 
           SubscriptBox["y", "0"]}], "]"}], ",", "x"}], "]"}], "/.", 
       RowBox[{"x", "\[Rule]", 
        SubscriptBox["x", "0"]}]}], ")"}], 
     RowBox[{"(", 
      RowBox[{"x", "-", 
       SubscriptBox["x", "0"]}], ")"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"f", "[", 
          RowBox[{
           SubscriptBox["x", "0"], ",", "y"}], "]"}], ",", "y"}], "]"}], "/.",
        
       RowBox[{"y", "\[Rule]", 
        SubscriptBox["y", "0"]}]}], ")"}], 
     RowBox[{"(", 
      RowBox[{"y", "-", 
       SubscriptBox["y", "0"]}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<f(x,y) = \>\"", ",", 
   RowBox[{"f", "[", 
    RowBox[{"x", ",", "y"}], "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<f(x,y) = \>\"", ",", 
   RowBox[{"fL", "[", 
    RowBox[{"x", ",", "y"}], "]"}], ",", 
   "\"\< + o(\!\(\*SqrtBox[\((x - \*SuperscriptBox[SubscriptBox[\(x\), \
\(\(0\)\()\)\)], \(2\)] + \((y - \*SuperscriptBox[SubscriptBox[\(y\), \(\(0\)\
\()\)\)], \(2\)]\)\)]\))\>\""}], "]"}]}], "Input"],

Cell[TextData[{
 "Graph von f und der Linearisierung (die Tangentialebene durch ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SubscriptBox["x", 
       RowBox[{"0", ","}]], 
      SubscriptBox["y", "0"]}], ",", 
     RowBox[{"f", "(", 
      RowBox[{
       SubscriptBox["x", 
        RowBox[{"0", ","}]], 
       SubscriptBox["y", "0"]}], ")"}]}], ")"}], TraditionalForm]]],
 "):"
}], "Text"],

Cell[BoxData[
 RowBox[{"ParametricPlot3D", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", "y", ",", 
       RowBox[{"f", "[", 
        RowBox[{"x", ",", "y"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y", ",", 
       RowBox[{"fL", "[", 
        RowBox[{"x", ",", "y"}], "]"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", "0", ",", "2"}], "}"}], ",", " ", 
   RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{"f", ",", "fL", ",", "a", ",", "b", ",", "c", ",", "d"}], "]"}], 
  ";", 
  RowBox[{
   SubscriptBox["x", "0"], "=."}], ";", 
  RowBox[{
   SubscriptBox["y", "0"], "=."}]}]], "Input"]
},
ScreenStyleEnvironment->"Working",
WindowToolbars->"EditBar",
CellGrouping->Manual,
WindowSize->{940, 651},
WindowMargins->{{Automatic, 0}, {Automatic, 0}},
ShowSelection->True,
ShowCellTags->True,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "NaturalColor.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 46, 0, 73, "Title"],
Cell[617, 23, 159, 5, 69, "Subsubtitle"],
Cell[779, 30, 146, 2, 23, "Abstract"],
Cell[928, 34, 327, 6, 65, "Text"],
Cell[1258, 42, 218, 7, 41, "Input"],
Cell[1479, 51, 158, 3, 29, "Text"],
Cell[1640, 56, 306, 10, 41, "Input"],
Cell[1949, 68, 54, 0, 29, "Text"],
Cell[2006, 70, 311, 10, 41, "Input"],
Cell[2320, 82, 65, 0, 29, "Text"],
Cell[2388, 84, 1161, 35, 122, "Input"],
Cell[3552, 121, 38, 0, 29, "Text"],
Cell[3593, 123, 666, 19, 82, "Input"],
Cell[4262, 144, 233, 10, 31, "Text"],
Cell[4498, 156, 2056, 66, 111, "Input"],
Cell[6557, 224, 426, 16, 31, "Text"],
Cell[6986, 242, 583, 17, 41, "Input"],
Cell[7572, 261, 243, 8, 41, "Input"]
}
]
*)

(* End of internal cache information *)
