(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      8317,        270]
NotebookOptionsPosition[      7532,        242]
NotebookOutlinePosition[      7996,        260]
CellTagsIndexPosition[      7953,        257]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Klotoide", "Title",
 Editable->False,
 CellChangeTimes->{{3.436457360921875*^9, 3.4364573626875*^9}}],

Cell[TextData[{
 StyleBox["Analysis I,  D-MATV/D-MATL",
  Editable->True],
 "\nHS 2008\nGiovanni Felder, ETH"
}], "Subtitle",
 Editable->False,
 CellChangeTimes->{{3.434024253921875*^9, 3.43402425990625*^9}, {
  3.4340260404375*^9, 3.434026079984375*^9}, {3.434026310234375*^9, 
  3.434026310984375*^9}}],

Cell["\<\
Wenn man mit konstanter Geschwindigkeit faehrt und den Lenkrad mit konstanter \
Geschwindigkeit dreht, f\[ADoubleDot]hrt man auf einer Klotoidenbahn. Auf \
einer Klotoide ist die Kruemmung eine lineare Funktion der Bogenlaenge.\
\>", "Text",
 Editable->False,
 CellChangeTimes->{
  3.43402551803125*^9, {3.434026130265625*^9, 3.434026133515625*^9}, {
   3.434026225015625*^9, 3.4340262621875*^9}, {3.4340262925625*^9, 
   3.434026303625*^9}, {3.436457060046875*^9, 3.436457076125*^9}, {
   3.43645743859375*^9, 3.43645743984375*^9}, 3.436457699140625*^9, {
   3.43645774090625*^9, 3.4364577996875*^9}, {3.436457830546875*^9, 
   3.436457839953125*^9}}],

Cell["[Shift-Enter in Inputzellen drucken]", "Text",
 Editable->False],

Cell["\<\
Parameterdarstellung der Kurve. Der Parameter t laeuft ueber den Intervall \
[a,b]:\
\>", "Text",
 Editable->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"x", "[", "t_", "]"}], ":=", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{"Cos", "[", 
      RowBox[{
       RowBox[{"u", "^", "2"}], "/", "2"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "0", ",", "t"}], "}"}]}], "]"}]}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y", "[", "t_", "]"}], ":=", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{"Sin", "[", 
     RowBox[{
      RowBox[{"u", "^", "2"}], "/", "2"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"u", ",", "0", ",", "t"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a", "=", "0"}], ";", 
  RowBox[{"b", "=", "1"}], ";"}]}], "Input",
 CellChangeTimes->{
  3.436457991625*^9, {3.436458447375*^9, 3.436458448625*^9}, {
   3.453287922984375*^9, 3.453287924921875*^9}, {3.453288727171875*^9, 
   3.45328872815625*^9}, 3.453288766859375*^9, 3.453288856484375*^9, {
   3.453288962515625*^9, 3.4532889639375*^9}, 3.453289093*^9}],

Cell["\<\
Plot der Klotoide. Achtung: Kann lange Zeit brauchen f\[UDoubleDot]r gr\
\[ODoubleDot]ssere Werte von b-a \
\>", "Text",
 CellChangeTimes->{{3.453289107109375*^9, 3.453289176640625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Plot", " ", "curve", " ", "t"}], "\[Rule]", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"x", 
         RowBox[{"(", "t", ")"}]}], ",", 
        RowBox[{"y", 
         RowBox[{"(", "t", ")"}]}]}], ")"}], " ", "for", " ", "a"}], "<", "t",
      "<", "b"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{"y", "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "a", ",", "b"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
    "                  ", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Gleiche", " ", "Skala", "  ", "fuer", " ", "x", " ", "und", " ", "y", 
      " ", "Achse"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1.5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1.5"}], "}"}]}], "}"}]}]}], "]"}], "  "}]], "Input",\

 CellChangeTimes->{3.436457911140625*^9}],

Cell["Schneller: Taylorreihe:", "Text",
 CellChangeTimes->{{3.453289186734375*^9, 3.453289212671875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"n", "=", "50"}], ";", 
  RowBox[{"Clear", "[", 
   RowBox[{"x", ",", "y"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x", "[", "t_", "]"}], ":=", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "^", "j"}], " ", 
     RowBox[{
      RowBox[{"t", "^", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", "j"}], "+", "1"}], ")"}]}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"4", "^", "j"}], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", "j"}], "+", "1"}], ")"}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"2", "j"}], ")"}], "!"}]}], ")"}]}]}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "0", ",", "n"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y", "[", "t_", "]"}], ":=", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "^", "j"}], " ", 
     RowBox[{
      RowBox[{"t", "^", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", "j"}], "+", "3"}], ")"}]}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", "j"}], "+", "1"}], ")"}]}], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", "j"}], "+", "3"}], ")"}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", "j"}], "+", "1"}], ")"}], "!"}]}], ")"}]}]}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "0", ",", "n"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a", "=", "0"}], ";", 
  RowBox[{"b", "=", "8"}], ";"}]}], "Input",
 CellChangeTimes->{{3.453288137421875*^9, 3.4532885456875*^9}, {
   3.45328868109375*^9, 3.45328870440625*^9}, {3.45328924028125*^9, 
   3.453289243328125*^9}, {3.453289277546875*^9, 3.453289308140625*^9}, 
   3.453289341875*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Plot", " ", "curve", " ", "t"}], "\[Rule]", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"x", 
         RowBox[{"(", "t", ")"}]}], ",", 
        RowBox[{"y", 
         RowBox[{"(", "t", ")"}]}]}], ")"}], " ", "for", " ", "a"}], "<", "t",
      "<", "b"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{"y", "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "a", ",", "b"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
    "                  ", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Gleiche", " ", "Skala", "  ", "fuer", " ", "x", " ", "und", " ", "y", 
      " ", "Achse"}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1.5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1.5"}], "}"}]}], "}"}]}]}], "]"}], "  "}]], "Input"]
}, Open  ]]
},
WindowToolbars->"EditBar",
WindowSize->{1016, 652},
WindowMargins->{{0, Automatic}, {0, Automatic}},
ShowSelection->True,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "NaturalColor.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 107, 2, 73, "Title"],
Cell[700, 27, 304, 8, 96, "Subtitle"],
Cell[1007, 37, 662, 12, 47, "Text"],
Cell[1672, 51, 70, 1, 29, "Text"],
Cell[1745, 54, 125, 4, 29, "Text"],
Cell[1873, 60, 996, 29, 82, "Input"],
Cell[2872, 91, 196, 4, 29, "Text"],
Cell[3071, 97, 1210, 36, 102, "Input"],
Cell[4284, 135, 105, 1, 29, "Text"],
Cell[4392, 138, 1955, 65, 122, "Input"],
Cell[6350, 205, 1166, 34, 102, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
