(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5009,        181]
NotebookOptionsPosition[      4149,        151]
NotebookOutlinePosition[      4690,        172]
CellTagsIndexPosition[      4647,        169]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "Parameterdarstellung von K",
 StyleBox["urven und Fl",
  FontFamily->"Times New Roman"],
 StyleBox["\[ADoubleDot]chen",
  FontFamily->"Times New Roman",
  FontSize->36]
}], "Title",
 Editable->False],

Cell["\<\
Analysis I,  D-MATV/D-MATL 
2005/2006  
Giovanni Felder, ETH\
\>", "Subsubtitle",
 Editable->False],

Cell["[Shift-Enter in Inputzellen drucken]", "Text",
 Editable->False],

Cell[TextData[{
 "Parameterdarstellung von Kurven und ",
 StyleBox["Fl",
  FontSize->10],
 StyleBox["\[ADoubleDot]chen im dreidimensionalen Raum",
  FontFamily->"Times New Roman"],
 StyleBox[".",
  FontFamily->"Times New Roman",
  FontSize->14],
 StyleBox["\n",
  FontFamily->"Times New Roman",
  FontSize->16],
 "Eingabe der Parameterdarstellung einer Kurve und der Endpunkte a,b des \
Parameterbereichs. In diesem Beispiel (modifizieren Sie es!) ist es eine \
Schraubenlinie."
}], "Text",
 Editable->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"r", "[", "t_", "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Cos", "[", "t", "]"}], ",", 
    RowBox[{"Sin", "[", "t", "]"}], ",", 
    RowBox[{"t", "/", "10"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"a", ":=", "0"}], "\[IndentingNewLine]", 
 RowBox[{"b", ":=", 
  RowBox[{"8", "Pi"}]}]}], "Input"],

Cell["Grafische Darstellung der Kurve", "Text",
 Editable->False],

Cell[BoxData[
 RowBox[{"ParametricPlot3D", "[", 
  RowBox[{
   RowBox[{"r", "[", "t", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "a", ",", "b"}], "}"}]}], "]"}]], "Input"],

Cell[TextData[{
 "Eingabe der Parameterdarstellung einer Fl",
 StyleBox["\[ADoubleDot]",
  FontFamily->"Times New Roman",
  FontSize->16],
 "che. Der Parameterbereich ist der Rechteck [a,b]x[c,d]"
}], "Text",
 Editable->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"r", "[", 
   RowBox[{"u_", ",", "v_"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"u", " ", "v"}], "+", 
     RowBox[{"3", "u"}]}], ",", 
    RowBox[{
     RowBox[{"v", "^", "2"}], "-", 
     RowBox[{"u", " ", "v"}]}], ",", 
    RowBox[{"v", "+", 
     RowBox[{"u", "^", "2"}]}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"a", ":=", "0"}], "\[IndentingNewLine]", 
 RowBox[{"b", ":=", "5"}], "\[IndentingNewLine]", 
 RowBox[{"c", ":=", "0"}], "\[IndentingNewLine]", 
 RowBox[{"d", ":=", "5"}]}], "Input"],

Cell["Grafische Darstellung", "Text",
 Editable->False],

Cell[BoxData[
 RowBox[{"ParametricPlot3D", "[", 
  RowBox[{
   RowBox[{"r", "[", 
    RowBox[{"u", ",", "v"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"u", ",", "a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"v", ",", "c", ",", "d"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"r", "[", 
   RowBox[{"u_", ",", "v_"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"Cos", "[", "u", "]"}], " ", 
     RowBox[{"Sin", "[", "v", "]"}]}], ",", 
    RowBox[{
     RowBox[{"Sin", "[", "u", "]"}], " ", 
     RowBox[{"Sin", "[", "v", "]"}]}], ",", 
    RowBox[{"Cos", "[", "v", "]"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"a", ":=", "0"}], "\[IndentingNewLine]", 
 RowBox[{"b", ":=", 
  RowBox[{"1.6", " ", "Pi"}]}], "\[IndentingNewLine]", 
 RowBox[{"c", ":=", 
  RowBox[{"0.1", "Pi"}]}], "\[IndentingNewLine]", 
 RowBox[{"d", ":=", 
  RowBox[{"0.9", "Pi"}]}], "\[IndentingNewLine]", 
 RowBox[{"ParametricPlot3D", "[", 
  RowBox[{
   RowBox[{"r", "[", 
    RowBox[{"u", ",", "v"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"u", ",", "a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"v", ",", "c", ",", "d"}], "}"}]}], "]"}]}], "Input"]
},
ScreenStyleEnvironment->"Working",
WindowToolbars->"EditBar",
CellGrouping->Manual,
WindowSize->{1015, 651},
WindowMargins->{{0, Automatic}, {Automatic, 4}},
ShowSelection->True,
ShowCellTags->True,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "NaturalColor.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 217, 8, 73, "Title"],
Cell[788, 31, 109, 5, 69, "Subsubtitle"],
Cell[900, 38, 70, 1, 29, "Text"],
Cell[973, 41, 508, 16, 48, "Text"],
Cell[1484, 59, 349, 10, 82, "Input"],
Cell[1836, 71, 65, 1, 29, "Text"],
Cell[1904, 74, 180, 5, 41, "Input"],
Cell[2087, 81, 226, 7, 33, "Text"],
Cell[2316, 90, 567, 17, 122, "Input"],
Cell[2886, 109, 55, 1, 29, "Text"],
Cell[2944, 112, 274, 8, 41, "Input"],
Cell[3221, 122, 924, 27, 142, "Input"]
}
]
*)

(* End of internal cache information *)
