(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4661,        161]
NotebookOptionsPosition[      3936,        134]
NotebookOutlinePosition[      4454,        154]
CellTagsIndexPosition[      4411,        151]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Logarithmische Spirale", "Title"],

Cell["\<\
Analysis I,  D-MATV/D-MATL 
2005/2006  
Giovanni Felder, ETH\
\>", "Subsubtitle"],

Cell["\<\
Wird die logarithmische Spirale vergroessert, so bleibt sie sich selbst bis \
auf Drehung gleich: \"eadem mutata resurgo\" (J. Bernoulli). \
\>", "Abstract"],

Cell["[Shift-Enter in Inputzellen drucken]", "Text",
 CellChangeTimes->{{3.453290083703125*^9, 3.453290084546875*^9}}],

Cell["\<\
Parameterdarstellung der Kurve. Der Parameter t laeuft ueber den Intervall \
[a,b]:\
\>", "Text",
 Editable->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"x", "[", "t_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Exp", "[", "t", "]"}], 
   RowBox[{"Cos", "[", 
    RowBox[{"t", 
     RowBox[{"(", 
      RowBox[{"2", "Pi"}], ")"}]}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y", "[", "t_", "]"}], ":=", " ", 
  RowBox[{
   RowBox[{"Exp", "[", "t", "]"}], 
   RowBox[{"Sin", "[", 
    RowBox[{"t", 
     RowBox[{"(", 
      RowBox[{"2", "Pi"}], ")"}]}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a", "=", 
   RowBox[{"-", "10"}]}], ";", 
  RowBox[{"b", "=", "4"}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{"y", "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "a", ",", "b"}], "}"}], ",", 
    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Plot", " ", "curve", " ", "t"}], "\[Rule]", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"x", 
         RowBox[{"(", "t", ")"}]}], ",", 
        RowBox[{"y", 
         RowBox[{"(", "t", ")"}]}]}], ")"}], " ", "for", " ", "a"}], "<", "t",
      "<", "b"}]}], " ", "*)"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Animate", "[", 
  RowBox[{
   RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"s", " ", 
        RowBox[{"x", "[", "t", "]"}]}], ",", 
       RowBox[{"s", " ", 
        RowBox[{"y", "[", "t", "]"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "a", ",", "b"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"AspectRatio", "\[Rule]", " ", "Automatic"}], ",", 
     "                ", 
     RowBox[{"(*", " ", 
      RowBox[{
       RowBox[{"same", " ", "scale", " ", "for", " ", "x"}], "-", " ", 
       RowBox[{"and", " ", "y"}], "-", "axis"}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", "5"}], "}"}]}], "}"}]}]}], "]"}], ",", " ",
    
   RowBox[{"(*", " ", 
    RowBox[{"same", " ", "range", " ", "for", " ", "all", " ", "frames"}], 
    " ", "*)"}], "\[IndentingNewLine]", " ", 
   RowBox[{"{", 
    RowBox[{"s", ",", "1", ",", 
     RowBox[{"Exp", "[", "1", "]"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.453290105140625*^9, 3.453290106515625*^9}, 
   3.453290147640625*^9, {3.4532901780625*^9, 3.45329017871875*^9}},
 AnimationDisplayTime->0.0460658,
 AnimationCycleOffset->1,
 AnimationCycleRepetitions->Infinity]
}, Open  ]]
},
ScreenStyleEnvironment->"Working",
WindowToolbars->"EditBar",
WindowSize->{1016, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->1.,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "NaturalColor.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 39, 0, 73, "Title"],
Cell[632, 25, 91, 4, 69, "Subsubtitle"],
Cell[726, 31, 167, 3, 23, "Abstract"],
Cell[896, 36, 118, 1, 29, "Text"],
Cell[1017, 39, 125, 4, 29, "Text"],
Cell[1145, 45, 585, 20, 82, "Input"],
Cell[1733, 67, 699, 22, 41, "Input"],
Cell[2435, 91, 1485, 40, 122, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
