(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      7021,        257]
NotebookOptionsPosition[      5986,        222]
NotebookOutlinePosition[      6485,        241]
CellTagsIndexPosition[      6442,        238]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Potenzreihen", "Title"],

Cell["\<\
Analysis I,  D-MATV/D-MATL 
2005/2006  
Giovanni Felder, ETH\
\>", "Subsubtitle",
 Editable->False],

Cell["[Shift-Enter in Inputzellen drucken]", "Text",
 Editable->False],

Cell["\<\
Series[f[x],{x,a,n}] entwickelt die Funktion f in einer Potenzreihe mit \
Mittelpunkt a und gibt die ersten n+1 Terme explizit an. \
\>", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{"x", ",", "y", ",", "X", ",", "Y"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.453290607328125*^9, 3.453290614140625*^9}}],

Cell[BoxData[
 RowBox[{"Series", "[", 
  RowBox[{
   RowBox[{"Log", "[", 
    RowBox[{"1", "+", "x"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "12"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Series", "[", 
  RowBox[{
   RowBox[{"Sin", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"Pi", "/", "4"}], ",", "12"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Series", "[", 
  RowBox[{
   RowBox[{"Tan", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "12"}], "}"}]}], "]"}]], "Input"],

Cell[TextData[{
 "Gauss-Fehlerfunktion (error function) ",
 Cell[BoxData[
  FormBox[
   FractionBox["2", 
    SqrtBox["\[Pi]"]], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox[
     SubscriptBox["\[Integral]", "0"], "x"], 
    RowBox[{
     RowBox[{"exp", "(", 
      RowBox[{"-", 
       SuperscriptBox["t", "2"]}], ")"}], 
     StyleBox[
      RowBox[{
       StyleBox["d",
        FontSlant->"Italic"], "t"}]]}]}], TraditionalForm]]]
}], "Text"],

Cell[BoxData[
 RowBox[{"Series", "[", 
  RowBox[{
   RowBox[{"Erf", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "10"}], "}"}]}], "]"}]], "Input"],

Cell["\<\
Die Loesung der Differenzialgleichung y\"+x^2y=0 mit Anfangsbedingungen \
y(0)=0, y'(0)=1kann als Potenzreihe dargestellt werden: \
\>", "Text"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"m", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f", "[", "x_", "]"}], "=", 
  RowBox[{"x", "+", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], "^", "n"}], " ", 
      RowBox[{
       RowBox[{"x", "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", "n"}], "+", "1"}], ")"}]}], "/", 
       RowBox[{"Product", "[", 
        RowBox[{
         RowBox[{"4", "j", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", "j"}], "+", "1"}], ")"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "n"}], "}"}]}], "]"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "1", ",", "m"}], "}"}]}], "]"}]}]}]}], "Input"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"f", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "10"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "1"}], ",", "1.3"}], "}"}]}]}], "]"}]], "Input"],

Cell["Vergleich mit der numerischen Loesung", "Text"],

Cell[BoxData[{
 RowBox[{"Y", "=", 
  RowBox[{"y", "/.", 
   RowBox[{
    RowBox[{"DSolve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"y", "''"}], "[", "x", "]"}], "+", 
          RowBox[{
           RowBox[{"x", "^", "2"}], 
           RowBox[{"y", "[", "x", "]"}]}]}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"y", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"y", "'"}], "[", "0", "]"}], "\[Equal]", "1"}]}], "}"}], 
      ",", "y", ",", "x"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Y", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "10"}], "}"}]}], "]"}]}], "Input"],

Cell["\<\
Potenzreihe (blau)  und numerische Loesung (rot) auf demselben Graph:\
\>", "Text"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"m", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "x_", "]"}], "=", 
   RowBox[{"x", "+", 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "^", "n"}], " ", 
       RowBox[{
        RowBox[{"x", "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", "n"}], "+", "1"}], ")"}]}], "/", 
        RowBox[{"Product", "[", 
         RowBox[{
          RowBox[{"4", "j", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"4", "j"}], "+", "1"}], ")"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "1", ",", "n"}], "}"}]}], "]"}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{"n", ",", "1", ",", "m"}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Y", "[", "x", "]"}], ",", 
     RowBox[{"f", "[", "x", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", "10"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "2"}], ",", "2"}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Blue"}], "}"}]}]}], "]"}]}], "Input"]
}, Open  ]]
},
ScreenStyleEnvironment->"Working",
WindowToolbars->"EditBar",
WindowSize->{1016, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "NaturalColor.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 29, 0, 73, "Title"],
Cell[622, 25, 109, 5, 69, "Subsubtitle"],
Cell[734, 32, 70, 1, 29, "Text"],
Cell[807, 35, 155, 3, 29, "Text"],
Cell[965, 40, 186, 4, 41, "Input"],
Cell[1154, 46, 198, 6, 41, "Input"],
Cell[1355, 54, 200, 6, 41, "Input"],
Cell[1558, 62, 173, 5, 41, "Input"],
Cell[1734, 69, 478, 19, 43, "Text"],
Cell[2215, 90, 173, 5, 41, "Input"],
Cell[2391, 97, 154, 3, 29, "Text"],
Cell[2548, 102, 796, 26, 62, "Input"],
Cell[3347, 130, 292, 9, 41, "Input"],
Cell[3642, 141, 53, 0, 29, "Text"],
Cell[3698, 143, 835, 26, 62, "Input"],
Cell[4536, 171, 93, 2, 29, "Text"],
Cell[4632, 175, 1338, 44, 82, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
