(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      7460,        236]
NotebookOptionsPosition[      6741,        210]
NotebookOutlinePosition[      7241,        229]
CellTagsIndexPosition[      7198,        226]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Rotationsk\[ODoubleDot]rper", "Title",
 Editable->False,
 CellChangeTimes->{3.4370689013795853`*^9}],

Cell["\<\
Analysis I,  D-MATV/D-MATL 
HS 2008  
Giovanni Felder, ETH\
\>", "Subsubtitle",
 CellChangeTimes->{{3.4370690243639603`*^9, 3.4370690272858353`*^9}}],

Cell[TextData[{
 "Ein Rotationsk\[ODoubleDot]rper entsteht durch Drehung um einer Achse der \
Fl\[ADoubleDot]che zwischen dem Graph z=f(x) einer positiven Funktion ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", ":", 
     RowBox[{"[", 
      RowBox[{"a", ",", "b"}], "]"}]}], "->", 
    SubscriptBox["R", "+"], " "}], TraditionalForm]]],
 "und der x-Achse. Hier nehmen wir die x-Achse als Drehachse. Dieses Notebook \
rechnet Volumen, Oberfl\[ADoubleDot]cheninhalt, Schwerpunkt und Tr\
\[ADoubleDot]gheitsmoment bez\[UDoubleDot]glich der Symmetrieachse eines \
Rotationsk\[ODoubleDot]rper bei konstanter Dichte.\n[Shift-Enter in \
Inputzellen dr\[UDoubleDot]cken]\nAllgemeine Formeln:"
}], "Text",
 Editable->False,
 CellChangeTimes->{{3.4370683765670853`*^9, 3.4370683843483353`*^9}, {
  3.4370686727545853`*^9, 3.4370686749889603`*^9}, {3.4370687236608353`*^9, 
  3.4370687551608353`*^9}, {3.4370688854108353`*^9, 3.4370689233639603`*^9}}],\


Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{"f", ",", "a", ",", "b"}], "]"}], ";"}], "\n", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Volumen = \>\"", ",", 
   RowBox[{"\[Pi]", " ", 
    RowBox[{
     SubsuperscriptBox["\[Integral]", "a", "b"], 
     RowBox[{
      SuperscriptBox[
       RowBox[{"f", "[", "x", "]"}], "2"], 
      RowBox[{"\[DifferentialD]", "x"}]}]}]}]}], "]"}], "\n", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<x-Koordinate des Schwerpunkts = \>\"", ",", 
   FractionBox[
    RowBox[{"\[Pi]", " ", 
     RowBox[{
      SubsuperscriptBox["\[Integral]", "a", "b"], 
      RowBox[{
       RowBox[{"x", " ", 
        SuperscriptBox[
         RowBox[{"f", "[", "x", "]"}], "2"]}], 
       RowBox[{"\[DifferentialD]", "x"}]}]}]}], "V"]}], "]"}], "\n", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Oberfl\[ADoubleDot]cheninhalt = \>\"", ",", 
   RowBox[{"F", "=", 
    RowBox[{"2", " ", "\[Pi]", " ", 
     RowBox[{
      SubsuperscriptBox["\[Integral]", "a", "b"], 
      RowBox[{
       RowBox[{
        RowBox[{"f", "[", "x", "]"}], " ", 
        SqrtBox[
         RowBox[{"1", "+", 
          SuperscriptBox[
           RowBox[{
            SuperscriptBox["f", "\[Prime]",
             MultilineFunction->None], "[", "x", "]"}], "2"]}]]}], 
       RowBox[{"\[DifferentialD]", "x"}]}]}]}]}]}], "]"}], "\n", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Tr\[ADoubleDot]gheitsmoment bez\[UDoubleDot]glich des x-Achse = \>\"", 
   ",", 
   RowBox[{
    FractionBox["1", "2"], " ", "\[Rho]", " ", "\[Pi]", " ", 
    RowBox[{
     SubsuperscriptBox["\[Integral]", "a", "b"], 
     RowBox[{
      SuperscriptBox[
       RowBox[{"f", "[", "x", "]"}], "4"], 
      RowBox[{"\[DifferentialD]", "x"}]}]}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.4370684006764603`*^9, 3.4370684025670853`*^9}, 
   3.4370685366295853`*^9, {3.4370686768952103`*^9, 3.4370686783639603`*^9}, 
   3.4370687267389603`*^9, {3.4370688352702103`*^9, 3.4370688473014603`*^9}}],\


Cell["Ein Beispiel:", "Abstract",
 Editable->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f", "[", "x_", "]"}], "=", 
  RowBox[{
   SuperscriptBox["x", "2"], " ", 
   SqrtBox[
    RowBox[{"1", "-", "x"}]], " ", 
   SuperscriptBox["\[ExponentialE]", "x"]}]}], "\n", 
 RowBox[{
  RowBox[{"a", "=", "0"}], ";", 
  RowBox[{"b", "=", "1"}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"f", "[", "x", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "a", ",", "b"}], "}"}]}], "]"}], " ", 
  RowBox[{"ParametricPlot3D", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"t", ",", 
      RowBox[{
       RowBox[{"f", "[", "t", "]"}], " ", 
       RowBox[{"Cos", "[", "s", "]"}]}], ",", 
      RowBox[{
       RowBox[{"f", "[", "t", "]"}], " ", 
       RowBox[{"Sin", "[", "s", "]"}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "a", ",", "b"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"s", ",", "0", ",", 
      RowBox[{"2", " ", "\[Pi]"}]}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"V", "=", 
   RowBox[{"\[Pi]", " ", 
    RowBox[{"NIntegrate", "[", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"f", "[", "x", "]"}], "2"], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "a", ",", "b"}], "}"}]}], "]"}]}]}], ";"}], "\n", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Volumen = \>\"", ",", "V"}], "]"}], "\n", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<x-Koordinate des Schwerpunkts = \>\"", ",", 
   FractionBox[
    RowBox[{"\[Pi]", " ", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{"x", " ", 
        SuperscriptBox[
         RowBox[{"f", "[", "x", "]"}], "2"]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "a", ",", "b"}], "}"}]}], "]"}]}], "V"]}], 
  "]"}], "\n", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Oberfl\[ADoubleDot]cheninhalt = \>\"", ",", 
   RowBox[{"F", "=", 
    RowBox[{"2", " ", "\[Pi]", " ", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"f", "[", "x", "]"}], " ", 
        SqrtBox[
         RowBox[{"1", "+", 
          SuperscriptBox[
           RowBox[{
            SuperscriptBox["f", "\[Prime]",
             MultilineFunction->None], "[", "x", "]"}], "2"]}]]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "a", ",", "b"}], "}"}]}], "]"}]}]}]}], 
  "]"}], "\n", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<Tr\[ADoubleDot]gheitsmoment bez\[UDoubleDot]glich des x-Achse = \>\"", 
   ",", 
   RowBox[{
    FractionBox["1", "2"], " ", "\[Rho]", " ", "\[Pi]", " ", 
    RowBox[{"NIntegrate", "[", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"f", "[", "x", "]"}], "4"], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "a", ",", "b"}], "}"}]}], "]"}]}]}], "]"}]}], "Input",\

 CellChangeTimes->{{3.4370684117389603`*^9, 3.4370684152233353`*^9}, {
  3.4370686796295853`*^9, 3.4370687222077103`*^9}, {3.4370687918795853`*^9, 
  3.4370688083014603`*^9}}]
}, Open  ]]
},
ScreenStyleEnvironment->"Working",
WindowToolbars->"EditBar",
WindowSize->{970, 651},
WindowMargins->{{Automatic, -9}, {Automatic, 20}},
ShowSelection->True,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "NaturalColor.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 106, 2, 73, "Title"],
Cell[699, 27, 159, 5, 69, "Subsubtitle"],
Cell[861, 34, 952, 19, 101, "Text"],
Cell[1818, 56, 1962, 54, 189, "Input"],
Cell[3785, 113, 51, 1, 23, "Abstract"],
Cell[3839, 116, 299, 10, 66, "Input"],
Cell[4141, 128, 676, 21, 41, "Input"],
Cell[4820, 151, 1905, 56, 171, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
