(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4225,        128]
NotebookOptionsPosition[      3650,        105]
NotebookOutlinePosition[      4168,        125]
CellTagsIndexPosition[      4125,        122]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Schaukel", "Title",
 CellChangeTimes->{{3.450454562*^9, 3.450454565671875*^9}}],

Cell["\<\
Analysis II,  D-MATV/D-MATL 
FS2009  
Giovanni Felder, ETH\
\>", "Subsubtitle",
 CellChangeTimes->{{3.449580785484375*^9, 3.449580797265625*^9}}],

Cell["\<\
Kleine periodische St\[ODoubleDot]rung der Pendlegleichung mit verschiedenen \
Frequenzen.\
\>", "Text",
 CellChangeTimes->{
  3.450454625515625*^9, {3.453286423203125*^9, 3.453286455375*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"Loesung", "=", 
     RowBox[{"NDSolve", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"phi", "''"}], "[", "t", "]"}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "/", "2"}], ")"}], 
            RowBox[{"Sin", "[", 
             RowBox[{"phi", "[", "t", "]"}], "]"}]}]}], "\[Equal]", 
          RowBox[{"0.05", 
           RowBox[{"Sin", "[", " ", 
            RowBox[{"\[Sigma]", " ", "t"}], "]"}]}]}], ",", 
         RowBox[{
          RowBox[{"phi", "[", "0", "]"}], "\[Equal]", "1"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{
          RowBox[{
           RowBox[{"phi", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], 
       ",", "phi", ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "300"}], "}"}]}], "]"}]}], ";", "\n", 
    RowBox[{"Phi", ":=", 
     RowBox[{"phi", "/.", 
      RowBox[{"Loesung", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\n", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Phi", "[", "x", "]"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "0", ",", "300"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "5"}], "Pi"}], ",", 
         RowBox[{"5", "Pi"}]}], "}"}]}]}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Sigma]", ",", ".4", ",", ".8"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.44958087840625*^9, 3.449580879375*^9}, {
   3.449581024484375*^9, 3.44958102503125*^9}, {3.44959388540625*^9, 
   3.44959389434375*^9}, {3.449593932875*^9, 3.449593946375*^9}, {
   3.450407749828125*^9, 3.45040786465625*^9}, {3.450407930828125*^9, 
   3.450407956046875*^9}, {3.450453326578125*^9, 3.450453549203125*^9}, {
   3.450453621296875*^9, 3.450453901*^9}, {3.450453950984375*^9, 
   3.4504539700625*^9}, {3.450454000546875*^9, 3.45045402921875*^9}, {
   3.4504540783125*^9, 3.45045413884375*^9}, 3.450454181453125*^9, {
   3.450454212046875*^9, 3.45045421440625*^9}, {3.450454250328125*^9, 
   3.450454303890625*^9}, {3.4504543618125*^9, 3.450454391265625*^9}, {
   3.450454455703125*^9, 3.450454460359375*^9}, {3.450454630609375*^9, 
   3.450454632875*^9}, {3.450454709953125*^9, 3.4504547121875*^9}, {
   3.4532861515625*^9, 3.453286155578125*^9}, {3.4532862145625*^9, 
   3.453286217453125*^9}, 3.45328628390625*^9, {3.453286324203125*^9, 
   3.45328635821875*^9}}]
}, Open  ]]
},
ScreenStyleEnvironment->"Working",
WindowToolbars->"EditBar",
WindowSize->{1016, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->1.,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "NaturalColor.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 85, 1, 73, "Title"],
Cell[678, 26, 155, 5, 69, "Subsubtitle"],
Cell[836, 33, 202, 5, 29, "Text"],
Cell[1041, 40, 2593, 62, 122, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
