(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      8001,        235]
NotebookOptionsPosition[      7221,        207]
NotebookOutlinePosition[      7719,        226]
CellTagsIndexPosition[      7676,        223]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Schwingungen, Resonanz", "Title"],

Cell["\<\
Analysis II,  D-MATV/D-MATL 
FS 2009  
Giovanni Felder, ETH\
\>", "Subsubtitle",
 CellChangeTimes->{{3.449937371828125*^9, 3.44993738328125*^9}}],

Cell["[Shift-Enter in Inputzellen drucken]", "Text"],

Cell["\<\
 Mit DSolve kann man gewisse Differenzialgleichungen loesen. \
DSolve[Differenzialgleichung,y,x] gibt die allgemeine Loesung einer \
Differenzialgleichung fuer eine Funktion y[x]. \
DSolve[{Differenzialgleichung,Anfangsbedingungen},y,x] gibt die Loesungen \
welche die (Komma getrennten) Anfangsbedingungen erfuellen. In \
Differenzialgleichungen und Anfangsbedingungen muss == statt dem \
Zuweisungsbefehl = verwendet werden.\
\>", "Text"],

Cell["\<\
Harmonischer Oszillator mit D\[ADoubleDot]mpfung. Verhalten der \
L\[ODoubleDot]sung zur Anfangsbedingung x(0)=1,x'(0)=0 f\[UDoubleDot]r \
verschiedene Werte der D\[ADoubleDot]mpfungskonstante \[Lambda]. \
\>", "Text",
 CellChangeTimes->{{3.44993833040625*^9, 3.4499384558125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Omega]", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"X", "=", 
     RowBox[{"x", "/.", 
      RowBox[{
       RowBox[{"DSolve", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"x", "''"}], "[", "t", "]"}], "+", " ", 
             RowBox[{"2", "\[Lambda]", " ", 
              RowBox[{
               RowBox[{"x", "'"}], "[", "t", "]"}]}], "+", 
             RowBox[{
              RowBox[{"\[Omega]", "^", "2"}], 
              RowBox[{"x", "[", "t", "]"}]}]}], "\[Equal]", "0"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"x", "[", "0", "]"}], "\[Equal]", "1"}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{"x", "'"}], "[", "0", "]"}], "==", "0"}]}], "}"}], ",", 
         "x", ",", "t"}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"X", "[", "t", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "15"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1"}], "}"}]}]}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Lambda]", ",", "0", ",", "4"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.449937471484375*^9, 3.4499376245*^9}, {
  3.449937707640625*^9, 3.44993771453125*^9}, {3.4499377555*^9, 
  3.449937913515625*^9}, {3.449937988453125*^9, 3.449937994359375*^9}}],

Cell["\<\
Resonanzkurve: Abh\[ADoubleDot]ngigkeit der Amplitude der Schwingung von der \
Frequenz des St\[ODoubleDot]rterms\
\>", "Text",
 CellChangeTimes->{{3.44993849159375*^9, 3.4499385619375*^9}, {
  3.449938601875*^9, 3.44993863153125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Omega]", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Lambda]", "=", "0.05"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Epsilon]", "=", "0.1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A", "[", "\[Sigma]_", "]"}], ":=", 
   RowBox[{"\[Epsilon]", "/", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[Omega]", "^", "2"}], "-", 
         RowBox[{"\[Sigma]", "^", "2"}]}], ")"}], "^", "2"}], "+", 
      RowBox[{"4", 
       RowBox[{"\[Lambda]", "^", "2"}], 
       RowBox[{"\[Sigma]", "^", "2"}]}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"A", "[", "\[Sigma]", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Sigma]", ",", "0", ",", "5"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.449938637203125*^9, 3.449938703140625*^9}, {
  3.449938751921875*^9, 3.44993890603125*^9}}],

Cell["\<\
Kleine periodische St\[ODoubleDot]rung eines schwach ged\[ADoubleDot]mpften \
Oszillators. Rot: St\[ODoubleDot]rterm; blau: L\[ODoubleDot]sung. Nebst der \
Amplitude beachte man die Phasenverschiebung in Abh\[ADoubleDot]ngigkeit der \
St\[ODoubleDot]rfrequenz \[Sigma].\
\>", "Text",
 CellChangeTimes->{{3.453286623984375*^9, 3.4532866636875*^9}, {
  3.453286698484375*^9, 3.45328694246875*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Omega]", "=", "1"}], ";", "\[IndentingNewLine]", 
    RowBox[{"\[Lambda]", "=", "0.05"}], ";", "\[IndentingNewLine]", 
    RowBox[{"\[Epsilon]", "=", "0.1"}], ";", "\[IndentingNewLine]", 
    RowBox[{"X", "=", 
     RowBox[{"x", "/.", 
      RowBox[{
       RowBox[{"DSolve", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"x", "''"}], "[", "t", "]"}], "+", " ", 
             RowBox[{"2", "\[Lambda]", " ", 
              RowBox[{
               RowBox[{"x", "'"}], "[", "t", "]"}]}], "+", 
             RowBox[{
              RowBox[{"\[Omega]", "^", "2"}], 
              RowBox[{"x", "[", "t", "]"}]}]}], "\[Equal]", 
            RowBox[{"\[Epsilon]", " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Sigma]", " ", "t"}], "]"}]}]}], ",", 
           RowBox[{
            RowBox[{"x", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{"x", "'"}], "[", "0", "]"}], "==", "0"}]}], "}"}], ",", 
         "x", ",", "t"}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], ";", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"X", "[", "t", "]"}], ",", 
        RowBox[{"\[Epsilon]", 
         RowBox[{"Cos", "[", 
          RowBox[{"\[Sigma]", " ", "t"}], "]"}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "100"}], "}"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Blue", ",", "Red"}], "}"}]}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1"}], "}"}]}]}], "]"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"\[Sigma]", ",", "0.8", ",", "1.2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.44993990528125*^9, {3.449940065625*^9, 3.449940140328125*^9}, 
   3.449940191390625*^9, {3.449940221625*^9, 3.4499402665*^9}, {
   3.449940302296875*^9, 3.4499403229375*^9}, {3.44994035353125*^9, 
   3.44994036403125*^9}}]
}, Open  ]]
},
ScreenStyleEnvironment->"Working",
WindowToolbars->"EditBar",
WindowSize->{970, 650},
WindowMargins->{{Automatic, 0}, {0, Automatic}},
ShowSelection->True,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "NaturalColor.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 39, 0, 73, "Title"],
Cell[632, 25, 155, 5, 69, "Subsubtitle"],
Cell[790, 32, 52, 0, 29, "Text"],
Cell[845, 34, 450, 8, 65, "Text"],
Cell[1298, 44, 291, 5, 29, "Text"],
Cell[1592, 51, 1657, 44, 122, "Input"],
Cell[3252, 97, 245, 5, 29, "Text"],
Cell[3500, 104, 1087, 31, 122, "Input"],
Cell[4590, 137, 405, 7, 47, "Text"],
Cell[4998, 146, 2207, 58, 162, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
