(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5069,        176]
NotebookOptionsPosition[      4338,        149]
NotebookOutlinePosition[      4863,        170]
CellTagsIndexPosition[      4820,        167]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["\<\
D'Alembert-L\[ODoubleDot]sung der eindimensionalen Wellengleichung\
\>", "Title",
 CellChangeTimes->{3.44407012221875*^9}],

Cell["\<\
Analysis II,  D-MATV/D-MATL 
FS 2009  
Giovanni Felder, ETH\
\>", "Text",
 CellChangeTimes->{{3.444069418265625*^9, 3.4440694335*^9}}],

Cell[TextData[{
 "Die d'Alembert-L\[ODoubleDot]sung u(x,t)=F(x-ct)+G(x+ct) der \
Wellengleichung ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox["c", 
       RowBox[{"-", "2"}]], 
      SubscriptBox["u", "tt"]}], "-", 
     SubscriptBox["u", "xx"]}], "=", "0", " "}], TraditionalForm]]],
 " wird durch eine Animation fuer 0<t<T graphisch dargestellt."
}], "Text",
 CellChangeTimes->{{3.4440700223125*^9, 3.444070022625*^9}, {
  3.44407006546875*^9, 3.444070078671875*^9}}],

Cell["\<\
Allgemeine L\[ODoubleDot]sung der Wellengleichung:\
\>", "Text",
 CellChangeTimes->{{3.444069447796875*^9, 3.444069449359375*^9}, {
  3.44407008471875*^9, 3.44407009*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"u", "[", 
   RowBox[{"x_", ",", " ", "t_"}], "]"}], " ", ":=", " ", 
  RowBox[{
   RowBox[{"F", "[", 
    RowBox[{"x", " ", "-", " ", 
     RowBox[{"c", " ", "t"}]}], "]"}], " ", "+", " ", 
   RowBox[{"G", "[", 
    RowBox[{"x", " ", "+", " ", 
     RowBox[{"c", " ", "t"}]}], "]"}]}]}]], "Input"],

Cell["\<\
Beispiel einer L\[ODoubleDot]sung mit c=1. Sie beschreibt die Superposition \
einer Welle die sich nach rechts bewegt und einer Welle die sich nach links \
bewegt. \[CapitalADoubleDot]ndern Sie diese Daten nach Belieben:\
\>", "Text",
 CellChangeTimes->{
  3.444070120515625*^9, {3.444070152640625*^9, 3.444070156546875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"c", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"F", "[", "x_", "]"}], ":=", 
  RowBox[{"1", "/", 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["x", "2"], "+", "1"}], ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"G", "[", "x_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Exp", "[", 
    RowBox[{"-", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"x", "-", "8"}], ")"}], "2"]}], "]"}], "/", "2"}]}]}], "Input",\

 CellChangeTimes->{3.444069873015625*^9, 3.4440701935625*^9}],

Cell[TextData[{
 "Animation auf dem Intervall ",
 Cell[BoxData[
  FormBox[
   RowBox[{"[", 
    RowBox[{
     SubscriptBox["x", "min"], ",", 
     SubscriptBox["x", "max"]}], "]"}], TraditionalForm]]],
 " waehrend der Zeit [-T,T] "
}], "Text",
 CellChangeTimes->{{3.444070168015625*^9, 3.44407017271875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"T", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["x", "min"], "=", 
   RowBox[{"-", "10"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   SubscriptBox["x", "max"], "=", "20"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   SubscriptBox["y", "min"], "=", "0"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   SubscriptBox["y", "max"], "=", "1.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Animate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"u", "[", 
      RowBox[{"x", ",", "t"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       SubscriptBox["x", "min"], ",", 
       SubscriptBox["x", "max"]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["y", "min"], ",", 
        SubscriptBox["y", "max"]}], "}"}]}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"U", "[", 
       RowBox[{"x", ",", "t"}], "]"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", 
     RowBox[{"-", "T"}], ",", "T"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.44406903159375*^9, 3.44406908721875*^9}, {
  3.444069129171875*^9, 3.444069190859375*^9}, {3.444069223640625*^9, 
  3.4440692251875*^9}}]
},
WindowToolbars->"EditBar",
CellGrouping->Manual,
WindowSize->{1016, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
ShowCellTags->True,
Magnification->1.,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "NaturalColor.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 132, 3, 127, "Title"],
Cell[703, 26, 144, 5, 65, "Text"],
Cell[850, 33, 513, 15, 31, "Text"],
Cell[1366, 50, 181, 4, 29, "Text"],
Cell[1550, 56, 332, 10, 41, "Input"],
Cell[1885, 68, 335, 6, 47, "Text"],
Cell[2223, 76, 548, 18, 86, "Input"],
Cell[2774, 96, 308, 10, 29, "Text"],
Cell[3085, 108, 1249, 39, 142, "Input"]
}
]
*)

(* End of internal cache information *)
