(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      7445,        273]
NotebookOptionsPosition[      6435,        238]
NotebookOutlinePosition[      6975,        259]
CellTagsIndexPosition[      6932,        256]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Differenzialoperatoren der Vektoranalysis", "Title"],

Cell["\<\
Analysis I,  D-MATV/D-MATL 
2005/2006  
Giovanni Felder, ETH\
\>", "Subsubtitle",
 Editable->False],

Cell["[Shift-Enter in Inputzellen drucken]", "Text",
 Editable->False],

Cell[TextData[{
 StyleBox["Partielle Ableitungen:",
  FontWeight->"Bold"],
 " D[f,x] ist die partielle Ableitung von f bezueglich x, D[f,{x,2}] ist die \
zweite partielle Ableitung ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["f", 
      RowBox[{"xx", " "}]], ".", " ", "Die"}], " ", "zwiete", " ", 
    "partielle", " ", "Ableitung", " ", 
    SubscriptBox["f", "xy"], " ", "wird", "  ", "mit", " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{"f", ",", "x"}], "]"}], ",", "y"}], "]"}]}], 
   TraditionalForm]]],
 " eingegeben. Im output wird die Notation ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["f", 
     RowBox[{"(", 
      RowBox[{"1", ",", "2", ",", "2"}], ")"}]], " ", "um", " ", "etwa", " ", 
    "die", " ", "partielle", " ", "Ableitung", " ", 
    SubscriptBox["f", "xyyzz"], " ", "zu", " ", 
    RowBox[{"bezeichnen", "."}]}], TraditionalForm]]]
}], "Text",
 Editable->False],

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"x", "^", "2"}], "y"}], "+", 
    RowBox[{"Cos", "[", "x", "]"}]}], ",", "x"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"D", "[", 
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"h", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", "x"}], "]"}], ",", "z"}],
   "]"}]], "Input"],

Cell[TextData[{
 StyleBox["Vektoren: ",
  FontWeight->"Bold"],
 "Vektoren koennen als ",
 StyleBox["lists",
  FontSlant->"Italic"],
 " v=",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["v", "1"], ",", 
      SubscriptBox["v", "2"], ",", 
      SubscriptBox["v", "3"]}], "}"}], " "}], TraditionalForm]]],
 "eingegeben werden. Das i-te Element einer list v ist v[[i]] "
}], "Text",
 Editable->False],

Cell[BoxData[
 RowBox[{"V", ":=", 
  RowBox[{"{", 
   RowBox[{"3444", ",", "12", ",", 
    RowBox[{"-", "5"}]}], "}"}]}]], "Input"],

Cell[BoxData[{
 RowBox[{"V", "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"V", "[", 
  RowBox[{"[", "2", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"V", "[", 
  RowBox[{"[", "3", "]"}], "]"}]}], "Input"],

Cell["Differenzialoperatoren der Vektoranalysis", "Text",
 Editable->False],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grad", "[", "f_", "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{"f", ",", "x"}], "]"}], ",", 
    RowBox[{"D", "[", 
     RowBox[{"f", ",", "y"}], "]"}], ",", 
    RowBox[{"D", "[", 
     RowBox[{"f", ",", "z"}], "]"}]}], "}"}]}], "\n", 
 RowBox[{
  RowBox[{"div", "[", "v_", "]"}], ":=", 
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"v", "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], "+", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"v", "[", 
      RowBox[{"[", "2", "]"}], "]"}], ",", "y"}], "]"}], "+", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"v", "[", 
      RowBox[{"[", "3", "]"}], "]"}], ",", "z"}], "]"}]}]}], "\n", 
 RowBox[{
  RowBox[{"rot", "[", "v_", "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"v", "[", 
        RowBox[{"[", "3", "]"}], "]"}], ",", "y"}], "]"}], "-", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"v", "[", 
        RowBox[{"[", "2", "]"}], "]"}], ",", "z"}], "]"}]}], ",", 
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"v", "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", "z"}], "]"}], "-", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"v", "[", 
        RowBox[{"[", "3", "]"}], "]"}], ",", "x"}], "]"}]}], ",", 
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"v", "[", 
        RowBox[{"[", "2", "]"}], "]"}], ",", "x"}], "]"}], "-", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"v", "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", "y"}], "]"}]}]}], 
   "}"}]}], "\n", 
 RowBox[{
  RowBox[{"Laplace", "[", "f_", "]"}], ":=", 
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{"f", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "2"}], "}"}]}], "]"}], "+", 
   RowBox[{"D", "[", 
    RowBox[{"f", ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "2"}], "}"}]}], "]"}], "+", 
   RowBox[{"D", "[", 
    RowBox[{"f", ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", "2"}], "}"}]}], "]"}]}]}]}], "Input"],

Cell[BoxData[{
 RowBox[{"v", ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"x", "^", "2"}], 
     RowBox[{"y", "^", "3"}]}], ",", 
    RowBox[{"z", "^", "2"}], ",", 
    RowBox[{"x", "+", 
     RowBox[{"y", " ", "z"}]}]}], 
   "}"}]}], "\[IndentingNewLine]", "v", "\[IndentingNewLine]", 
 RowBox[{"rot", "[", "v", "]"}], "\[IndentingNewLine]", 
 RowBox[{"div", "[", "v", "]"}]}], "Input"],

Cell[BoxData[{
 RowBox[{"v", ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"A", "[", 
     RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
    RowBox[{"B", "[", 
     RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
    RowBox[{"C", "[", 
     RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"rot", "[", "v", "]"}]}], "Input"],

Cell["Verifikation von Identitaeten", "Text",
 Editable->False,
 CellEditDuplicate->True],

Cell[BoxData[{
 RowBox[{"rot", "[", 
  RowBox[{"grad", "[", 
   RowBox[{"f", "[", 
    RowBox[{"x", ",", "y", ",", "z"}], "]"}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rot", "[", 
   RowBox[{"rot", "[", "v", "]"}], "]"}], "-", 
  RowBox[{"grad", "[", 
   RowBox[{"div", "[", "v", "]"}], "]"}], "+", 
  RowBox[{"Laplace", "[", "v", "]"}]}]}], "Input"]
}, Open  ]]
},
ScreenStyleEnvironment->"Working",
WindowToolbars->"EditBar",
CellGrouping->Manual,
WindowSize->{907, 651},
WindowMargins->{{Automatic, 0}, {Automatic, 4}},
ShowSelection->True,
ShowCellTags->True,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "NaturalColor.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 58, 0, 73, "Title"],
Cell[629, 23, 109, 5, 69, "Subsubtitle"],
Cell[741, 30, 70, 1, 29, "Text"],
Cell[814, 33, 967, 29, 70, "Text"],
Cell[1784, 64, 179, 6, 41, "Input"],
Cell[1966, 72, 202, 7, 41, "Input"],
Cell[2171, 81, 441, 17, 29, "Text"],
Cell[2615, 100, 131, 4, 41, "Input"],
Cell[2749, 106, 235, 6, 82, "Input"],
Cell[2987, 114, 75, 1, 29, "Text"],
Cell[CellGroupData[{
Cell[3087, 119, 2087, 72, 102, "Input"],
Cell[5177, 193, 403, 12, 102, "Input"],
Cell[5583, 207, 368, 11, 62, "Input"],
Cell[5954, 220, 89, 2, 29, "Text"],
Cell[6046, 224, 373, 11, 62, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

